declare module "constants" {
    const FALSE: unknown;
    const TRUE: unknown;
    const JASS_MAX_ARRAY_SIZE: unknown;
    const TEXT_TAG_MAX_SIZE: unknown;
    /**
     * Stores the zero-based ID of neutral passive player.
     *
     * @note See: `GetPlayerNeutralPassive`, `GetPlayerNeutralAggressive`, `GetBJPlayerNeutralExtra`, `GetBJPlayerNeutralVictim`.
     *
     *
     */
    const PLAYER_NEUTRAL_PASSIVE: unknown;
    /**
     * Stores the zero-based ID of neutral aggressive player.
     *
     * @note See: `GetPlayerNeutralAggressive`.
     *
     *
     */
    const PLAYER_NEUTRAL_AGGRESSIVE: unknown;
    const PLAYER_COLOR_RED: HandleHolder<"playercolor">;
    const PLAYER_COLOR_BLUE: HandleHolder<"playercolor">;
    const PLAYER_COLOR_CYAN: HandleHolder<"playercolor">;
    const PLAYER_COLOR_PURPLE: HandleHolder<"playercolor">;
    const PLAYER_COLOR_YELLOW: HandleHolder<"playercolor">;
    const PLAYER_COLOR_ORANGE: HandleHolder<"playercolor">;
    const PLAYER_COLOR_GREEN: HandleHolder<"playercolor">;
    const PLAYER_COLOR_PINK: HandleHolder<"playercolor">;
    const PLAYER_COLOR_LIGHT_GRAY: HandleHolder<"playercolor">;
    const PLAYER_COLOR_LIGHT_BLUE: HandleHolder<"playercolor">;
    const PLAYER_COLOR_AQUA: HandleHolder<"playercolor">;
    const PLAYER_COLOR_BROWN: HandleHolder<"playercolor">;
    const PLAYER_COLOR_MAROON: HandleHolder<"playercolor">;
    const PLAYER_COLOR_NAVY: HandleHolder<"playercolor">;
    const PLAYER_COLOR_TURQUOISE: HandleHolder<"playercolor">;
    const PLAYER_COLOR_VIOLET: HandleHolder<"playercolor">;
    const PLAYER_COLOR_WHEAT: HandleHolder<"playercolor">;
    const PLAYER_COLOR_PEACH: HandleHolder<"playercolor">;
    const PLAYER_COLOR_MINT: HandleHolder<"playercolor">;
    const PLAYER_COLOR_LAVENDER: HandleHolder<"playercolor">;
    const PLAYER_COLOR_COAL: HandleHolder<"playercolor">;
    const PLAYER_COLOR_SNOW: HandleHolder<"playercolor">;
    const PLAYER_COLOR_EMERALD: HandleHolder<"playercolor">;
    const PLAYER_COLOR_PEANUT: HandleHolder<"playercolor">;
    const RACE_HUMAN: HandleHolder<"race">;
    const RACE_ORC: HandleHolder<"race">;
    const RACE_UNDEAD: HandleHolder<"race">;
    const RACE_NIGHTELF: HandleHolder<"race">;
    const RACE_DEMON: HandleHolder<"race">;
    const RACE_OTHER: HandleHolder<"race">;
    const PLAYER_GAME_RESULT_VICTORY: HandleHolder<"playergameresult">;
    const PLAYER_GAME_RESULT_DEFEAT: HandleHolder<"playergameresult">;
    const PLAYER_GAME_RESULT_TIE: HandleHolder<"playergameresult">;
    const PLAYER_GAME_RESULT_NEUTRAL: HandleHolder<"playergameresult">;
    const ALLIANCE_PASSIVE: HandleHolder<"alliancetype">;
    const ALLIANCE_HELP_REQUEST: HandleHolder<"alliancetype">;
    const ALLIANCE_HELP_RESPONSE: HandleHolder<"alliancetype">;
    const ALLIANCE_SHARED_XP: HandleHolder<"alliancetype">;
    const ALLIANCE_SHARED_SPELLS: HandleHolder<"alliancetype">;
    const ALLIANCE_SHARED_VISION: HandleHolder<"alliancetype">;
    const ALLIANCE_SHARED_CONTROL: HandleHolder<"alliancetype">;
    const ALLIANCE_SHARED_ADVANCED_CONTROL: HandleHolder<"alliancetype">;
    const ALLIANCE_RESCUABLE: HandleHolder<"alliancetype">;
    const ALLIANCE_SHARED_VISION_FORCED: HandleHolder<"alliancetype">;
    const VERSION_REIGN_OF_CHAOS: HandleHolder<"version">;
    const VERSION_FROZEN_THRONE: HandleHolder<"version">;
    const ATTACK_TYPE_NORMAL: HandleHolder<"attacktype">;
    const ATTACK_TYPE_MELEE: HandleHolder<"attacktype">;
    const ATTACK_TYPE_PIERCE: HandleHolder<"attacktype">;
    const ATTACK_TYPE_SIEGE: HandleHolder<"attacktype">;
    const ATTACK_TYPE_MAGIC: HandleHolder<"attacktype">;
    const ATTACK_TYPE_CHAOS: HandleHolder<"attacktype">;
    const ATTACK_TYPE_HERO: HandleHolder<"attacktype">;
    const DAMAGE_TYPE_UNKNOWN: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_NORMAL: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_ENHANCED: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_FIRE: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_COLD: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_LIGHTNING: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_POISON: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_DISEASE: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_DIVINE: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_MAGIC: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_SONIC: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_ACID: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_FORCE: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_DEATH: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_MIND: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_PLANT: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_DEFENSIVE: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_DEMOLITION: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_SLOW_POISON: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_SPIRIT_LINK: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_SHADOW_STRIKE: HandleHolder<"damagetype">;
    const DAMAGE_TYPE_UNIVERSAL: HandleHolder<"damagetype">;
    const WEAPON_TYPE_WHOKNOWS: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_LIGHT_CHOP: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_MEDIUM_CHOP: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_HEAVY_CHOP: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_LIGHT_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_MEDIUM_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_HEAVY_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_MEDIUM_BASH: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_HEAVY_BASH: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_MEDIUM_STAB: HandleHolder<"weapontype">;
    const WEAPON_TYPE_METAL_HEAVY_STAB: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_LIGHT_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_MEDIUM_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_HEAVY_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_LIGHT_BASH: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_MEDIUM_BASH: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_HEAVY_BASH: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_LIGHT_STAB: HandleHolder<"weapontype">;
    const WEAPON_TYPE_WOOD_MEDIUM_STAB: HandleHolder<"weapontype">;
    const WEAPON_TYPE_CLAW_LIGHT_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_CLAW_MEDIUM_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_CLAW_HEAVY_SLICE: HandleHolder<"weapontype">;
    const WEAPON_TYPE_AXE_MEDIUM_CHOP: HandleHolder<"weapontype">;
    const WEAPON_TYPE_ROCK_HEAVY_BASH: HandleHolder<"weapontype">;
    const PATHING_TYPE_ANY: HandleHolder<"pathingtype">;
    const PATHING_TYPE_WALKABILITY: HandleHolder<"pathingtype">;
    const PATHING_TYPE_FLYABILITY: HandleHolder<"pathingtype">;
    const PATHING_TYPE_BUILDABILITY: HandleHolder<"pathingtype">;
    const PATHING_TYPE_PEONHARVESTPATHING: HandleHolder<"pathingtype">;
    const PATHING_TYPE_BLIGHTPATHING: HandleHolder<"pathingtype">;
    const PATHING_TYPE_FLOATABILITY: HandleHolder<"pathingtype">;
    const PATHING_TYPE_AMPHIBIOUSPATHING: HandleHolder<"pathingtype">;
    const MAPPED_FIELD_ATTACHMENT: HandleHolder<"mappedfield">;
    const MAPPED_FIELD_BONE: HandleHolder<"mappedfield">;
    const MAPPED_FIELD_ANIMATION: HandleHolder<"mappedfield">;
    const MAPPED_FIELD_SUB_ANIMATION: HandleHolder<"mappedfield">;
    const MAPPED_CURSOR_SUB_ANIMATION: HandleHolder<"mappedfield">;
    const ATTACHMENT_TYPE_CHEST: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_FEET: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_FOOT: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_HAND: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_HEAD: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_ORIGIN: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_OVERHEAD: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_SPRITE: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_WEAPON: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_ALTERNATE: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_LEFT: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_RIGHT: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_MOUNT: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_REAR: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_SMART: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_FIRST: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_SECOND: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_THIRD: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_FOURTH: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_FIFTH: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_SIXTH: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_SMALL: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_MEDIUM: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_LARGE: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_GOLD: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_RALLYPOINT: HandleHolder<"attachmenttype">;
    const ATTACHMENT_TYPE_EAT_TREE: HandleHolder<"attachmenttype">;
    const BONE_TYPE_CHEST: HandleHolder<"bonetype">;
    const BONE_TYPE_FOOT: HandleHolder<"bonetype">;
    const BONE_TYPE_HAND: HandleHolder<"bonetype">;
    const BONE_TYPE_HEAD: HandleHolder<"bonetype">;
    const BONE_TYPE_TURRET: HandleHolder<"bonetype">;
    const BONE_TYPE_ALTERNATE: HandleHolder<"bonetype">;
    const BONE_TYPE_LEFT: HandleHolder<"bonetype">;
    const BONE_TYPE_RIGHT: HandleHolder<"bonetype">;
    const BONE_TYPE_MOUNT: HandleHolder<"bonetype">;
    const BONE_TYPE_SMART: HandleHolder<"bonetype">;
    const ANIM_TYPE_BIRTH: HandleHolder<"animtype">;
    const ANIM_TYPE_DEATH: HandleHolder<"animtype">;
    const ANIM_TYPE_DECAY: HandleHolder<"animtype">;
    const ANIM_TYPE_DISSIPATE: HandleHolder<"animtype">;
    const ANIM_TYPE_STAND: HandleHolder<"animtype">;
    const ANIM_TYPE_WALK: HandleHolder<"animtype">;
    const ANIM_TYPE_ATTACK: HandleHolder<"animtype">;
    const ANIM_TYPE_MORPH: HandleHolder<"animtype">;
    const ANIM_TYPE_SLEEP: HandleHolder<"animtype">;
    const ANIM_TYPE_SPELL: HandleHolder<"animtype">;
    const ANIM_TYPE_PORTRAIT: HandleHolder<"animtype">;
    const SUBANIM_TYPE_ROOTED: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_ALTERNATE_EX: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_LOOPING: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SLAM: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_THROW: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SPIKED: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FAST: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SPIN: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_READY: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_CHANNEL: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_DEFEND: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_VICTORY: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_TURN: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_LEFT: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_RIGHT: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FIRE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FLESH: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_HIT: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_WOUNDED: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_LIGHT: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_MODERATE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SEVERE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_CRITICAL: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_COMPLETE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_GOLD: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_LUMBER: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_WORK: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_TALK: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FIRST: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SECOND: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_THIRD: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FOURTH: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FIFTH: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_ONE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_TWO: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_THREE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FOUR: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FIVE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SMALL: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_MEDIUM: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_LARGE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_UPGRADE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_DRAIN: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FILL: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_CHAINLIGHTNING: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_EATTREE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_PUKE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_FLAIL: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_OFF: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_SWIM: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_ENTANGLE: HandleHolder<"subanimtype">;
    const SUBANIM_TYPE_BERSERK: HandleHolder<"subanimtype">;
    const CURSORANIM_TYPE_NORMAL: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_SELECT: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_TARGET: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_TARGET_SELECT: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_INVALID_TARGET: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_HOLD_ITEM: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_SCROLL: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_LEFT: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_RIGHT: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_UP: HandleHolder<"cursoranimtype">;
    const CURSORANIM_TYPE_DOWN: HandleHolder<"cursoranimtype">;
    const RACE_PREF_HUMAN: HandleHolder<"racepreference">;
    const RACE_PREF_ORC: HandleHolder<"racepreference">;
    const RACE_PREF_NIGHTELF: HandleHolder<"racepreference">;
    const RACE_PREF_UNDEAD: HandleHolder<"racepreference">;
    const RACE_PREF_DEMON: HandleHolder<"racepreference">;
    const RACE_PREF_RANDOM: HandleHolder<"racepreference">;
    const RACE_PREF_USER_SELECTABLE: HandleHolder<"racepreference">;
    const MAP_CONTROL_USER: HandleHolder<"mapcontrol">;
    const MAP_CONTROL_COMPUTER: HandleHolder<"mapcontrol">;
    const MAP_CONTROL_RESCUABLE: HandleHolder<"mapcontrol">;
    const MAP_CONTROL_NEUTRAL: HandleHolder<"mapcontrol">;
    const MAP_CONTROL_CREEP: HandleHolder<"mapcontrol">;
    const MAP_CONTROL_NONE: HandleHolder<"mapcontrol">;
    const GAME_TYPE_MELEE: HandleHolder<"gametype">;
    const GAME_TYPE_FFA: HandleHolder<"gametype">;
    const GAME_TYPE_USE_MAP_SETTINGS: HandleHolder<"gametype">;
    const GAME_TYPE_BLIZ: HandleHolder<"gametype">;
    const GAME_TYPE_ONE_ON_ONE: HandleHolder<"gametype">;
    const GAME_TYPE_TWO_TEAM_PLAY: HandleHolder<"gametype">;
    const GAME_TYPE_THREE_TEAM_PLAY: HandleHolder<"gametype">;
    const GAME_TYPE_FOUR_TEAM_PLAY: HandleHolder<"gametype">;
    const MAP_FOG_HIDE_TERRAIN: HandleHolder<"mapflag">;
    const MAP_FOG_MAP_EXPLORED: HandleHolder<"mapflag">;
    const MAP_FOG_ALWAYS_VISIBLE: HandleHolder<"mapflag">;
    const MAP_USE_HANDICAPS: HandleHolder<"mapflag">;
    const MAP_OBSERVERS: HandleHolder<"mapflag">;
    const MAP_OBSERVERS_ON_DEATH: HandleHolder<"mapflag">;
    const MAP_FIXED_COLORS: HandleHolder<"mapflag">;
    const MAP_LOCK_RESOURCE_TRADING: HandleHolder<"mapflag">;
    const MAP_RESOURCE_TRADING_ALLIES_ONLY: HandleHolder<"mapflag">;
    const MAP_LOCK_ALLIANCE_CHANGES: HandleHolder<"mapflag">;
    const MAP_ALLIANCE_CHANGES_HIDDEN: HandleHolder<"mapflag">;
    const MAP_CHEATS: HandleHolder<"mapflag">;
    const MAP_CHEATS_HIDDEN: HandleHolder<"mapflag">;
    const MAP_LOCK_SPEED: HandleHolder<"mapflag">;
    const MAP_LOCK_RANDOM_SEED: HandleHolder<"mapflag">;
    const MAP_SHARED_ADVANCED_CONTROL: HandleHolder<"mapflag">;
    const MAP_RANDOM_HERO: HandleHolder<"mapflag">;
    const MAP_RANDOM_RACES: HandleHolder<"mapflag">;
    const MAP_RELOADED: HandleHolder<"mapflag">;
    const MAP_PLACEMENT_RANDOM: HandleHolder<"placement">;
    const MAP_PLACEMENT_FIXED: HandleHolder<"placement">;
    const MAP_PLACEMENT_USE_MAP_SETTINGS: HandleHolder<"placement">;
    const MAP_PLACEMENT_TEAMS_TOGETHER: HandleHolder<"placement">;
    const MAP_LOC_PRIO_LOW: HandleHolder<"startlocprio">;
    const MAP_LOC_PRIO_HIGH: HandleHolder<"startlocprio">;
    const MAP_LOC_PRIO_NOT: HandleHolder<"startlocprio">;
    const MAP_DENSITY_NONE: HandleHolder<"mapdensity">;
    const MAP_DENSITY_LIGHT: HandleHolder<"mapdensity">;
    const MAP_DENSITY_MEDIUM: HandleHolder<"mapdensity">;
    const MAP_DENSITY_HEAVY: HandleHolder<"mapdensity">;
    const MAP_DIFFICULTY_EASY: HandleHolder<"gamedifficulty">;
    const MAP_DIFFICULTY_NORMAL: HandleHolder<"gamedifficulty">;
    const MAP_DIFFICULTY_HARD: HandleHolder<"gamedifficulty">;
    const MAP_DIFFICULTY_INSANE: HandleHolder<"gamedifficulty">;
    /**
     *
     * @note See `gamespeed` for explanation, values and mechanics.
     *
     *
     */
    const MAP_SPEED_SLOWEST: HandleHolder<"gamespeed">;
    /**
     *
     * @note See `gamespeed` for explanation, values and mechanics.
     *
     *
     */
    const MAP_SPEED_SLOW: HandleHolder<"gamespeed">;
    /**
     *
     * @note See `gamespeed` for explanation, values and mechanics.
     *
     *
     */
    const MAP_SPEED_NORMAL: HandleHolder<"gamespeed">;
    /**
     *
     * @note See `gamespeed` for explanation, values and mechanics.
     * @bug Currently unused, resets to `MAP_SPEED_NORMAL`.
     *
     *
     */
    const MAP_SPEED_FAST: HandleHolder<"gamespeed">;
    /**
     *
     * @note See `gamespeed` for explanation, values and mechanics.
     * @bug Currently unused, resets to `MAP_SPEED_NORMAL`.
     *
     *
     */
    const MAP_SPEED_FASTEST: HandleHolder<"gamespeed">;
    const PLAYER_SLOT_STATE_EMPTY: HandleHolder<"playerslotstate">;
    const PLAYER_SLOT_STATE_PLAYING: HandleHolder<"playerslotstate">;
    const PLAYER_SLOT_STATE_LEFT: HandleHolder<"playerslotstate">;
    const SOUND_VOLUMEGROUP_UNITMOVEMENT: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_UNITSOUNDS: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_COMBAT: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_SPELLS: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_UI: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_MUSIC: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_AMBIENTSOUNDS: HandleHolder<"volumegroup">;
    const SOUND_VOLUMEGROUP_FIRE: HandleHolder<"volumegroup">;
    const GAME_STATE_DIVINE_INTERVENTION: HandleHolder<"igamestate">;
    const GAME_STATE_DISCONNECTED: HandleHolder<"igamestate">;
    const GAME_STATE_TIME_OF_DAY: HandleHolder<"fgamestate">;
    const PLAYER_STATE_GAME_RESULT: HandleHolder<"playerstate">;
    const PLAYER_STATE_RESOURCE_GOLD: HandleHolder<"playerstate">;
    const PLAYER_STATE_RESOURCE_LUMBER: HandleHolder<"playerstate">;
    const PLAYER_STATE_RESOURCE_HERO_TOKENS: HandleHolder<"playerstate">;
    const PLAYER_STATE_RESOURCE_FOOD_CAP: HandleHolder<"playerstate">;
    const PLAYER_STATE_RESOURCE_FOOD_USED: HandleHolder<"playerstate">;
    const PLAYER_STATE_FOOD_CAP_CEILING: HandleHolder<"playerstate">;
    const PLAYER_STATE_GIVES_BOUNTY: HandleHolder<"playerstate">;
    const PLAYER_STATE_ALLIED_VICTORY: HandleHolder<"playerstate">;
    const PLAYER_STATE_PLACED: HandleHolder<"playerstate">;
    const PLAYER_STATE_OBSERVER_ON_DEATH: HandleHolder<"playerstate">;
    const PLAYER_STATE_OBSERVER: HandleHolder<"playerstate">;
    const PLAYER_STATE_UNFOLLOWABLE: HandleHolder<"playerstate">;
    const PLAYER_STATE_GOLD_UPKEEP_RATE: HandleHolder<"playerstate">;
    const PLAYER_STATE_LUMBER_UPKEEP_RATE: HandleHolder<"playerstate">;
    const PLAYER_STATE_GOLD_GATHERED: HandleHolder<"playerstate">;
    const PLAYER_STATE_LUMBER_GATHERED: HandleHolder<"playerstate">;
    const PLAYER_STATE_NO_CREEP_SLEEP: HandleHolder<"playerstate">;
    const UNIT_STATE_LIFE: HUnitState;
    const UNIT_STATE_MAX_LIFE: HUnitState;
    const UNIT_STATE_MANA: HUnitState;
    const UNIT_STATE_MAX_MANA: HUnitState;
    const AI_DIFFICULTY_NEWBIE: HandleHolder<"aidifficulty">;
    const AI_DIFFICULTY_NORMAL: HandleHolder<"aidifficulty">;
    const AI_DIFFICULTY_INSANE: HandleHolder<"aidifficulty">;
    const PLAYER_SCORE_UNITS_TRAINED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_UNITS_KILLED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_STRUCT_BUILT: HandleHolder<"playerscore">;
    const PLAYER_SCORE_STRUCT_RAZED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_TECH_PERCENT: HandleHolder<"playerscore">;
    const PLAYER_SCORE_FOOD_MAXPROD: HandleHolder<"playerscore">;
    const PLAYER_SCORE_FOOD_MAXUSED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_HEROES_KILLED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_ITEMS_GAINED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_MERCS_HIRED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_GOLD_MINED_TOTAL: HandleHolder<"playerscore">;
    const PLAYER_SCORE_GOLD_MINED_UPKEEP: HandleHolder<"playerscore">;
    const PLAYER_SCORE_GOLD_LOST_UPKEEP: HandleHolder<"playerscore">;
    const PLAYER_SCORE_GOLD_LOST_TAX: HandleHolder<"playerscore">;
    const PLAYER_SCORE_GOLD_GIVEN: HandleHolder<"playerscore">;
    const PLAYER_SCORE_GOLD_RECEIVED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_LUMBER_TOTAL: HandleHolder<"playerscore">;
    const PLAYER_SCORE_LUMBER_LOST_UPKEEP: HandleHolder<"playerscore">;
    const PLAYER_SCORE_LUMBER_LOST_TAX: HandleHolder<"playerscore">;
    const PLAYER_SCORE_LUMBER_GIVEN: HandleHolder<"playerscore">;
    const PLAYER_SCORE_LUMBER_RECEIVED: HandleHolder<"playerscore">;
    const PLAYER_SCORE_UNIT_TOTAL: HandleHolder<"playerscore">;
    const PLAYER_SCORE_HERO_TOTAL: HandleHolder<"playerscore">;
    const PLAYER_SCORE_RESOURCE_TOTAL: HandleHolder<"playerscore">;
    const PLAYER_SCORE_TOTAL: HandleHolder<"playerscore">;
    const EVENT_GAME_VICTORY: HandleHolder<"gameevent">;
    const EVENT_GAME_END_LEVEL: HandleHolder<"gameevent">;
    const EVENT_GAME_VARIABLE_LIMIT: HandleHolder<"gameevent">;
    const EVENT_GAME_STATE_LIMIT: HandleHolder<"gameevent">;
    const EVENT_GAME_TIMER_EXPIRED: HandleHolder<"gameevent">;
    const EVENT_GAME_ENTER_REGION: HandleHolder<"gameevent">;
    const EVENT_GAME_LEAVE_REGION: HandleHolder<"gameevent">;
    const EVENT_GAME_TRACKABLE_HIT: HandleHolder<"gameevent">;
    const EVENT_GAME_TRACKABLE_TRACK: HandleHolder<"gameevent">;
    const EVENT_GAME_SHOW_SKILL: HandleHolder<"gameevent">;
    /**
     * This event is fired when a build menu is opened (e.g. by human peasant).
     *
     * **Example (Lua)**:
     *
     * ```lua
     * trg_gameev = CreateTrigger()
     * -- just print the object representing EventId
     * TriggerAddAction(trg_gameev, function() print(GetTriggerEventId()) end)
     * -- register for this event
     * TriggerRegisterGameEvent(trg_gameev, EVENT_GAME_BUILD_SUBMENU)
     * ```
     *
     *
     *
     */
    const EVENT_GAME_BUILD_SUBMENU: HandleHolder<"gameevent">;
    const EVENT_PLAYER_STATE_LIMIT: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ALLIANCE_CHANGED: HandleHolder<"playerevent">;
    const EVENT_PLAYER_DEFEAT: HandleHolder<"playerevent">;
    const EVENT_PLAYER_VICTORY: HandleHolder<"playerevent">;
    const EVENT_PLAYER_LEAVE: HandleHolder<"playerevent">;
    /**
     *
     * @bug Do not use this with `TriggerRegisterPlayerEvent` as `GetEventPlayerChatString`
     * will return `""`. Use `TriggerRegisterPlayerChatEvent` instead.
     *
     *
     *
     */
    const EVENT_PLAYER_CHAT: HandleHolder<"playerevent">;
    const EVENT_PLAYER_END_CINEMATIC: HandleHolder<"playerevent">;
    const EVENT_PLAYER_UNIT_ATTACKED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_RESCUED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DEATH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DECAY: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DETECTED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_HIDDEN: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SELECTED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DESELECTED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_CONSTRUCT_START: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_CONSTRUCT_CANCEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_CONSTRUCT_FINISH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_UPGRADE_START: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_UPGRADE_CANCEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_UPGRADE_FINISH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_TRAIN_START: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_TRAIN_CANCEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_TRAIN_FINISH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_RESEARCH_START: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_RESEARCH_CANCEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_RESEARCH_FINISH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_ISSUED_ORDER: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_ISSUED_POINT_ORDER: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_ISSUED_TARGET_ORDER: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_ISSUED_UNIT_ORDER: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_HERO_LEVEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_HERO_SKILL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_HERO_REVIVABLE: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_HERO_REVIVE_START: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_HERO_REVIVE_CANCEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_HERO_REVIVE_FINISH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SUMMON: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DROP_ITEM: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_PICKUP_ITEM: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_USE_ITEM: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_LOADED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DAMAGED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DAMAGING: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_ATTACK_FINISHED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_DECAY_FINISHED: HandleHolder<"playerunitevent">;
    const EVENT_UNIT_DAMAGED: HUnitEvent;
    const EVENT_UNIT_DAMAGING: HUnitEvent;
    const EVENT_UNIT_DEATH: HUnitEvent;
    const EVENT_UNIT_DECAY: HUnitEvent;
    const EVENT_UNIT_DETECTED: HUnitEvent;
    const EVENT_UNIT_HIDDEN: HUnitEvent;
    const EVENT_UNIT_SELECTED: HUnitEvent;
    const EVENT_UNIT_DESELECTED: HUnitEvent;
    const EVENT_UNIT_STATE_LIMIT: HUnitEvent;
    const EVENT_UNIT_ACQUIRED_TARGET: HUnitEvent;
    const EVENT_UNIT_TARGET_IN_RANGE: HUnitEvent;
    const EVENT_UNIT_ATTACKED: HUnitEvent;
    const EVENT_UNIT_RESCUED: HUnitEvent;
    const EVENT_UNIT_CONSTRUCT_CANCEL: HUnitEvent;
    const EVENT_UNIT_CONSTRUCT_FINISH: HUnitEvent;
    const EVENT_UNIT_UPGRADE_START: HUnitEvent;
    const EVENT_UNIT_UPGRADE_CANCEL: HUnitEvent;
    const EVENT_UNIT_UPGRADE_FINISH: HUnitEvent;
    const EVENT_UNIT_TRAIN_START: HUnitEvent;
    const EVENT_UNIT_TRAIN_CANCEL: HUnitEvent;
    const EVENT_UNIT_TRAIN_FINISH: HUnitEvent;
    const EVENT_UNIT_RESEARCH_START: HUnitEvent;
    const EVENT_UNIT_RESEARCH_CANCEL: HUnitEvent;
    const EVENT_UNIT_RESEARCH_FINISH: HUnitEvent;
    const EVENT_UNIT_ISSUED_ORDER: HUnitEvent;
    const EVENT_UNIT_ISSUED_POINT_ORDER: HUnitEvent;
    const EVENT_UNIT_ISSUED_TARGET_ORDER: HUnitEvent;
    const EVENT_UNIT_HERO_LEVEL: HUnitEvent;
    const EVENT_UNIT_HERO_SKILL: HUnitEvent;
    const EVENT_UNIT_HERO_REVIVABLE: HUnitEvent;
    const EVENT_UNIT_HERO_REVIVE_START: HUnitEvent;
    const EVENT_UNIT_HERO_REVIVE_CANCEL: HUnitEvent;
    const EVENT_UNIT_HERO_REVIVE_FINISH: HUnitEvent;
    const EVENT_UNIT_SUMMON: HUnitEvent;
    const EVENT_UNIT_DROP_ITEM: HUnitEvent;
    const EVENT_UNIT_PICKUP_ITEM: HUnitEvent;
    const EVENT_UNIT_USE_ITEM: HUnitEvent;
    const EVENT_UNIT_LOADED: HUnitEvent;
    const EVENT_UNIT_ATTACK_FINISHED: HUnitEvent;
    const EVENT_UNIT_DECAY_FINISHED: HUnitEvent;
    /**
     * Currently useless, there are no functions that take `widgetevent`.
     *
     * @note It was probably intended to be used in a similar way like
     * `TriggerRegisterUnitEvent` and `TriggerRegisterFilterUnitEvent` that take
     * a `unitevent`. It would have allowed to register an event for
     * a specific widget (unit/item/destructable).
     *
     * @note See: `TriggerRegisterDeathEvent`.
     *
     *
     */
    const EVENT_WIDGET_DEATH: HandleHolder<"widgetevent">;
    const EVENT_WIDGET_DAMAGING: HandleHolder<"widgetevent">;
    const EVENT_WIDGET_DAMAGED: HandleHolder<"widgetevent">;
    const EVENT_DIALOG_BUTTON_CLICK: HandleHolder<"dialogevent">;
    const EVENT_DIALOG_CLICK: HandleHolder<"dialogevent">;
    const EVENT_GAME_LOADED: HandleHolder<"gameevent">;
    const EVENT_GAME_TOURNAMENT_FINISH_SOON: HandleHolder<"gameevent">;
    const EVENT_GAME_TOURNAMENT_FINISH_NOW: HandleHolder<"gameevent">;
    const EVENT_GAME_SAVE: HandleHolder<"gameevent">;
    const EVENT_PLAYER_ARROW_LEFT_DOWN: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_LEFT_UP: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_RIGHT_DOWN: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_RIGHT_UP: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_DOWN_DOWN: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_DOWN_UP: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_UP_DOWN: HandleHolder<"playerevent">;
    const EVENT_PLAYER_ARROW_UP_UP: HandleHolder<"playerevent">;
    const EVENT_PLAYER_MOUSE_DOWN: HandleHolder<"playerevent">;
    const EVENT_PLAYER_MOUSE_UP: HandleHolder<"playerevent">;
    const EVENT_PLAYER_MOUSE_MOVE: HandleHolder<"playerevent">;
    const EVENT_PLAYER_SYNC_DATA: HandleHolder<"playerevent">;
    const EVENT_PLAYER_KEY: HandleHolder<"playerevent">;
    const EVENT_PLAYER_KEY_DOWN: HandleHolder<"playerevent">;
    const EVENT_PLAYER_KEY_UP: HandleHolder<"playerevent">;
    const EVENT_PLAYER_UNIT_SELL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_CHANGE_OWNER: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SELL_ITEM: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SPELL_CHANNEL: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SPELL_CAST: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SPELL_EFFECT: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SPELL_FINISH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_SPELL_ENDCAST: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_PAWN_ITEM: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_BUFF_RECEIVED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_BUFF_REFRESHED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_BUFF_ENDED: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_PROJECTILE_LAUNCH: HandleHolder<"playerunitevent">;
    const EVENT_PLAYER_UNIT_PROJECTILE_HIT: HandleHolder<"playerunitevent">;
    const EVENT_UNIT_SELL: HUnitEvent;
    const EVENT_UNIT_CHANGE_OWNER: HUnitEvent;
    const EVENT_UNIT_SELL_ITEM: HUnitEvent;
    const EVENT_UNIT_SPELL_CHANNEL: HUnitEvent;
    const EVENT_UNIT_SPELL_CAST: HUnitEvent;
    const EVENT_UNIT_SPELL_EFFECT: HUnitEvent;
    const EVENT_UNIT_SPELL_FINISH: HUnitEvent;
    const EVENT_UNIT_SPELL_ENDCAST: HUnitEvent;
    const EVENT_UNIT_PAWN_ITEM: HUnitEvent;
    const EVENT_UNIT_BUFF_RECEIVED: HUnitEvent;
    const EVENT_UNIT_BUFF_REFRESHED: HUnitEvent;
    const EVENT_UNIT_BUFF_ENDED: HUnitEvent;
    const EVENT_UNIT_PROJECTILE_LAUNCH: HUnitEvent;
    const EVENT_UNIT_PROJECTILE_HIT: HUnitEvent;
    const LESS_THAN: HandleHolder<"limitop">;
    const LESS_THAN_OR_EQUAL: HandleHolder<"limitop">;
    const EQUAL: HandleHolder<"limitop">;
    const GREATER_THAN_OR_EQUAL: HandleHolder<"limitop">;
    const GREATER_THAN: HandleHolder<"limitop">;
    const NOT_EQUAL: HandleHolder<"limitop">;
    const UNIT_TYPE_HERO: HandleHolder<"unittype">;
    const UNIT_TYPE_DEAD: HandleHolder<"unittype">;
    const UNIT_TYPE_STRUCTURE: HandleHolder<"unittype">;
    const UNIT_TYPE_FLYING: HandleHolder<"unittype">;
    const UNIT_TYPE_GROUND: HandleHolder<"unittype">;
    const UNIT_TYPE_ATTACKS_FLYING: HandleHolder<"unittype">;
    const UNIT_TYPE_ATTACKS_GROUND: HandleHolder<"unittype">;
    const UNIT_TYPE_MELEE_ATTACKER: HandleHolder<"unittype">;
    const UNIT_TYPE_RANGED_ATTACKER: HandleHolder<"unittype">;
    const UNIT_TYPE_GIANT: HandleHolder<"unittype">;
    const UNIT_TYPE_SUMMONED: HandleHolder<"unittype">;
    const UNIT_TYPE_STUNNED: HandleHolder<"unittype">;
    const UNIT_TYPE_PLAGUED: HandleHolder<"unittype">;
    const UNIT_TYPE_SNARED: HandleHolder<"unittype">;
    const UNIT_TYPE_UNDEAD: HandleHolder<"unittype">;
    const UNIT_TYPE_MECHANICAL: HandleHolder<"unittype">;
    const UNIT_TYPE_PEON: HandleHolder<"unittype">;
    const UNIT_TYPE_SAPPER: HandleHolder<"unittype">;
    const UNIT_TYPE_TOWNHALL: HandleHolder<"unittype">;
    const UNIT_TYPE_ANCIENT: HandleHolder<"unittype">;
    const UNIT_TYPE_TAUREN: HandleHolder<"unittype">;
    const UNIT_TYPE_POISONED: HandleHolder<"unittype">;
    const UNIT_TYPE_POLYMORPHED: HandleHolder<"unittype">;
    const UNIT_TYPE_SLEEPING: HandleHolder<"unittype">;
    const UNIT_TYPE_RESISTANT: HandleHolder<"unittype">;
    const UNIT_TYPE_ETHEREAL: HandleHolder<"unittype">;
    const UNIT_TYPE_MAGIC_IMMUNE: HandleHolder<"unittype">;
    const PROJECTILE_TYPE_BULLET: HandleHolder<"projectiletype">;
    const PROJECTILE_TYPE_MISSILE: HandleHolder<"projectiletype">;
    const PROJECTILE_TYPE_ARTILLERY: HandleHolder<"projectiletype">;
    const PROJECTILE_TYPE_VISIBLE: HandleHolder<"projectiletype">;
    const PROJECTILE_TYPE_DEAD: HandleHolder<"projectiletype">;
    const ITEM_TYPE_PERMANENT: HandleHolder<"itemtype">;
    const ITEM_TYPE_CHARGED: HandleHolder<"itemtype">;
    const ITEM_TYPE_POWERUP: HandleHolder<"itemtype">;
    const ITEM_TYPE_ARTIFACT: HandleHolder<"itemtype">;
    const ITEM_TYPE_PURCHASABLE: HandleHolder<"itemtype">;
    const ITEM_TYPE_CAMPAIGN: HandleHolder<"itemtype">;
    const ITEM_TYPE_MISCELLANEOUS: HandleHolder<"itemtype">;
    const ITEM_TYPE_UNKNOWN: HandleHolder<"itemtype">;
    const ITEM_TYPE_ANY: HandleHolder<"itemtype">;
    const ITEM_TYPE_TOME: HandleHolder<"itemtype">;
    const CAMERA_FIELD_TARGET_DISTANCE: HandleHolder<"camerafield">;
    const CAMERA_FIELD_FARZ: HandleHolder<"camerafield">;
    const CAMERA_FIELD_ANGLE_OF_ATTACK: HandleHolder<"camerafield">;
    const CAMERA_FIELD_FIELD_OF_VIEW: HandleHolder<"camerafield">;
    const CAMERA_FIELD_ROLL: HandleHolder<"camerafield">;
    const CAMERA_FIELD_ROTATION: HandleHolder<"camerafield">;
    const CAMERA_FIELD_ZOFFSET: HandleHolder<"camerafield">;
    const CAMERA_FIELD_NEARZ: HandleHolder<"camerafield">;
    const CAMERA_FIELD_LOCAL_PITCH: HandleHolder<"camerafield">;
    const CAMERA_FIELD_LOCAL_YAW: HandleHolder<"camerafield">;
    const CAMERA_FIELD_LOCAL_ROLL: HandleHolder<"camerafield">;
    const BLEND_MODE_NONE: HandleHolder<"blendmode">;
    const BLEND_MODE_DONT_CARE: HandleHolder<"blendmode">;
    const BLEND_MODE_KEYALPHA: HandleHolder<"blendmode">;
    const BLEND_MODE_BLEND: HandleHolder<"blendmode">;
    const BLEND_MODE_ADDITIVE: HandleHolder<"blendmode">;
    const BLEND_MODE_MODULATE: HandleHolder<"blendmode">;
    const BLEND_MODE_MODULATE_2X: HandleHolder<"blendmode">;
    const RARITY_FREQUENT: HandleHolder<"raritycontrol">;
    const RARITY_RARE: HandleHolder<"raritycontrol">;
    const RARITY_QUEUE: HandleHolder<"raritycontrol">;
    const TEXMAP_FLAG_NONE: HandleHolder<"texmapflags">;
    const TEXMAP_FLAG_WRAP_U: HandleHolder<"texmapflags">;
    const TEXMAP_FLAG_WRAP_V: HandleHolder<"texmapflags">;
    const TEXMAP_FLAG_WRAP_UV: HandleHolder<"texmapflags">;
    /**
     * See `fogstate` for an explanation.
     *
     *
     */
    const FOG_OF_WAR_MASKED: HandleHolder<"fogstate">;
    /**
     * See `fogstate` for an explanation.
     *
     *
     */
    const FOG_OF_WAR_FOGGED: HandleHolder<"fogstate">;
    /**
     * See `fogstate` for an explanation.
     *
     *
     */
    const FOG_OF_WAR_VISIBLE: HandleHolder<"fogstate">;
    const CAMERA_MARGIN_LEFT: unknown;
    const CAMERA_MARGIN_RIGHT: unknown;
    const CAMERA_MARGIN_TOP: unknown;
    const CAMERA_MARGIN_BOTTOM: unknown;
    const EFFECT_TYPE_EFFECT: HandleHolder<"effecttype">;
    const EFFECT_TYPE_TARGET: HandleHolder<"effecttype">;
    const EFFECT_TYPE_CASTER: HandleHolder<"effecttype">;
    const EFFECT_TYPE_SPECIAL: HandleHolder<"effecttype">;
    const EFFECT_TYPE_AREA_EFFECT: HandleHolder<"effecttype">;
    const EFFECT_TYPE_MISSILE: HandleHolder<"effecttype">;
    const EFFECT_TYPE_LIGHTNING: HandleHolder<"effecttype">;
    const SOUND_TYPE_EFFECT: HandleHolder<"soundtype">;
    const SOUND_TYPE_EFFECT_LOOPED: HandleHolder<"soundtype">;
    const ORIGIN_FRAME_GAME_UI: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_COMMAND_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_HERO_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_HERO_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_HERO_HP_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_HERO_MANA_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_HERO_BUTTON_INDICATOR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_ITEM_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_MINIMAP: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_MINIMAP_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_SYSTEM_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_TOOLTIP: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_UBERTOOLTIP: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CHAT_MSG: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_UNIT_MSG: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_TOP_MSG: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_PORTRAIT: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_WORLD_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CONSOLE_UI: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_PORTRAIT_TEXT: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_BUFF_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_BUFF_BAR_TEXT: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_BUFF_BAR_INDICATOR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_TIME_OF_DAY_INDICATOR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_LEADERBOARD: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_MULTIBOARD: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_INFO_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_COMMAND_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_RESOURCE_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_RESOURCE_BAR_TEXTURE: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_RESOURCE_BAR_TEXT: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_UPPERBUTTON_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_UPPERBUTTON_BAR_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_PEON_BAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_PLAYER_MESSAGE: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_UNIT_MESSAGE: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CHAT_MESSAGE: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_TOP_MESSAGE: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CHAT_EDITBAR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CINEMATIC_PANEL: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_COMMAND_BUTTON_COOLDOWN_INDICATOR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_COMMAND_BUTTON_AUTOCAST_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_COMMAND_BUTTON_CHARGES_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_COMMAND_BUTTON_CHARGES_TEXT: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CURSOR_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_INVENTORY_COVER_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_UNIT_TIP: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_ITEM_BUTTON_COOLDOWN_INDICATOR: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_ITEM_BUTTON_AUTOCAST_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_ITEM_BUTTON_CHARGES_FRAME: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_ITEM_BUTTON_CHARGES_TEXT: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_TRAINABLE_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_CARGO_BUTTON: HandleHolder<"originframetype">;
    const ORIGIN_FRAME_GROUP_BUTTON: HandleHolder<"originframetype">;
    const FRAMEPOINT_TOPLEFT: HandleHolder<"framepointtype">;
    const FRAMEPOINT_TOP: HandleHolder<"framepointtype">;
    const FRAMEPOINT_TOPRIGHT: HandleHolder<"framepointtype">;
    const FRAMEPOINT_LEFT: HandleHolder<"framepointtype">;
    const FRAMEPOINT_CENTER: HandleHolder<"framepointtype">;
    const FRAMEPOINT_RIGHT: HandleHolder<"framepointtype">;
    const FRAMEPOINT_BOTTOMLEFT: HandleHolder<"framepointtype">;
    const FRAMEPOINT_BOTTOM: HandleHolder<"framepointtype">;
    const FRAMEPOINT_BOTTOMRIGHT: HandleHolder<"framepointtype">;
    const TEXT_JUSTIFY_TOP: HandleHolder<"textaligntype">;
    const TEXT_JUSTIFY_MIDDLE: HandleHolder<"textaligntype">;
    const TEXT_JUSTIFY_BOTTOM: HandleHolder<"textaligntype">;
    const TEXT_JUSTIFY_LEFT: HandleHolder<"textaligntype">;
    const TEXT_JUSTIFY_CENTER: HandleHolder<"textaligntype">;
    const TEXT_JUSTIFY_RIGHT: HandleHolder<"textaligntype">;
    const FRAMEEVENT_CONTROL_CLICK: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_MOUSE_ENTER: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_MOUSE_LEAVE: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_MOUSE_UP: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_MOUSE_DOWN: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_MOUSE_WHEEL: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_CHECKBOX_CHECKED: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_CHECKBOX_UNCHECKED: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_EDITBOX_TEXT_CHANGED: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_POPUPMENU_ITEM_CHANGED: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_MOUSE_DOUBLECLICK: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_SPRITE_ANIM_UPDATE: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_SLIDER_VALUE_CHANGED: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_DIALOG_CANCEL: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_DIALOG_ACCEPT: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_EDITBOX_ENTER: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_CHECKBOX_CHANGED: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_CONTROL_RELEASE: HandleHolder<"frameeventtype">;
    const FRAMEEVENT_CONTROL_DRAG: HandleHolder<"frameeventtype">;
    const OSKEY_LBUTTON: HandleHolder<"oskeytype">;
    const OSKEY_RBUTTON: HandleHolder<"oskeytype">;
    const OSKEY_CANCEL: HandleHolder<"oskeytype">;
    const OSKEY_MBUTTON: HandleHolder<"oskeytype">;
    const OSKEY_XBUTTON1: HandleHolder<"oskeytype">;
    const OSKEY_XBUTTON2: HandleHolder<"oskeytype">;
    const OSKEY_UNDEFINED: HandleHolder<"oskeytype">;
    const OSKEY_BACKSPACE: HandleHolder<"oskeytype">;
    const OSKEY_TAB: HandleHolder<"oskeytype">;
    const OSKEY_CLEAR: HandleHolder<"oskeytype">;
    const OSKEY_RETURN: HandleHolder<"oskeytype">;
    const OSKEY_SHIFT: HandleHolder<"oskeytype">;
    const OSKEY_CONTROL: HandleHolder<"oskeytype">;
    const OSKEY_ALT: HandleHolder<"oskeytype">;
    const OSKEY_PAUSE: HandleHolder<"oskeytype">;
    const OSKEY_CAPSLOCK: HandleHolder<"oskeytype">;
    const OSKEY_KANA: HandleHolder<"oskeytype">;
    const OSKEY_HANGUL: HandleHolder<"oskeytype">;
    const OSKEY_JUNJA: HandleHolder<"oskeytype">;
    const OSKEY_FINAL: HandleHolder<"oskeytype">;
    const OSKEY_HANJA: HandleHolder<"oskeytype">;
    const OSKEY_KANJI: HandleHolder<"oskeytype">;
    const OSKEY_ESCAPE: HandleHolder<"oskeytype">;
    const OSKEY_CONVERT: HandleHolder<"oskeytype">;
    const OSKEY_NONCONVERT: HandleHolder<"oskeytype">;
    const OSKEY_ACCEPT: HandleHolder<"oskeytype">;
    const OSKEY_MODECHANGE: HandleHolder<"oskeytype">;
    const OSKEY_SPACE: HandleHolder<"oskeytype">;
    const OSKEY_PAGEUP: HandleHolder<"oskeytype">;
    const OSKEY_PAGEDOWN: HandleHolder<"oskeytype">;
    const OSKEY_END: HandleHolder<"oskeytype">;
    const OSKEY_HOME: HandleHolder<"oskeytype">;
    const OSKEY_LEFT: HandleHolder<"oskeytype">;
    const OSKEY_UP: HandleHolder<"oskeytype">;
    const OSKEY_RIGHT: HandleHolder<"oskeytype">;
    const OSKEY_DOWN: HandleHolder<"oskeytype">;
    const OSKEY_SELECT: HandleHolder<"oskeytype">;
    const OSKEY_PRINT: HandleHolder<"oskeytype">;
    const OSKEY_EXECUTE: HandleHolder<"oskeytype">;
    const OSKEY_PRINTSCREEN: HandleHolder<"oskeytype">;
    const OSKEY_INSERT: HandleHolder<"oskeytype">;
    const OSKEY_DELETE: HandleHolder<"oskeytype">;
    const OSKEY_HELP: HandleHolder<"oskeytype">;
    const OSKEY_0: HandleHolder<"oskeytype">;
    const OSKEY_1: HandleHolder<"oskeytype">;
    const OSKEY_2: HandleHolder<"oskeytype">;
    const OSKEY_3: HandleHolder<"oskeytype">;
    const OSKEY_4: HandleHolder<"oskeytype">;
    const OSKEY_5: HandleHolder<"oskeytype">;
    const OSKEY_6: HandleHolder<"oskeytype">;
    const OSKEY_7: HandleHolder<"oskeytype">;
    const OSKEY_8: HandleHolder<"oskeytype">;
    const OSKEY_9: HandleHolder<"oskeytype">;
    const OSKEY_A: HandleHolder<"oskeytype">;
    const OSKEY_B: HandleHolder<"oskeytype">;
    const OSKEY_C: HandleHolder<"oskeytype">;
    const OSKEY_D: HandleHolder<"oskeytype">;
    const OSKEY_E: HandleHolder<"oskeytype">;
    const OSKEY_F: HandleHolder<"oskeytype">;
    const OSKEY_G: HandleHolder<"oskeytype">;
    const OSKEY_H: HandleHolder<"oskeytype">;
    const OSKEY_I: HandleHolder<"oskeytype">;
    const OSKEY_J: HandleHolder<"oskeytype">;
    const OSKEY_K: HandleHolder<"oskeytype">;
    const OSKEY_L: HandleHolder<"oskeytype">;
    const OSKEY_M: HandleHolder<"oskeytype">;
    const OSKEY_N: HandleHolder<"oskeytype">;
    const OSKEY_O: HandleHolder<"oskeytype">;
    const OSKEY_P: HandleHolder<"oskeytype">;
    const OSKEY_Q: HandleHolder<"oskeytype">;
    const OSKEY_R: HandleHolder<"oskeytype">;
    const OSKEY_S: HandleHolder<"oskeytype">;
    const OSKEY_T: HandleHolder<"oskeytype">;
    const OSKEY_U: HandleHolder<"oskeytype">;
    const OSKEY_V: HandleHolder<"oskeytype">;
    const OSKEY_W: HandleHolder<"oskeytype">;
    const OSKEY_X: HandleHolder<"oskeytype">;
    const OSKEY_Y: HandleHolder<"oskeytype">;
    const OSKEY_Z: HandleHolder<"oskeytype">;
    const OSKEY_LMETA: HandleHolder<"oskeytype">;
    const OSKEY_RMETA: HandleHolder<"oskeytype">;
    const OSKEY_APPS: HandleHolder<"oskeytype">;
    const OSKEY_SLEEP: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD0: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD1: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD2: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD3: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD4: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD5: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD6: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD7: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD8: HandleHolder<"oskeytype">;
    const OSKEY_NUMPAD9: HandleHolder<"oskeytype">;
    const OSKEY_MULTIPLY: HandleHolder<"oskeytype">;
    const OSKEY_ADD: HandleHolder<"oskeytype">;
    const OSKEY_SEPARATOR: HandleHolder<"oskeytype">;
    const OSKEY_SUBTRACT: HandleHolder<"oskeytype">;
    const OSKEY_DECIMAL: HandleHolder<"oskeytype">;
    const OSKEY_DIVIDE: HandleHolder<"oskeytype">;
    const OSKEY_F1: HandleHolder<"oskeytype">;
    const OSKEY_F2: HandleHolder<"oskeytype">;
    const OSKEY_F3: HandleHolder<"oskeytype">;
    const OSKEY_F4: HandleHolder<"oskeytype">;
    const OSKEY_F5: HandleHolder<"oskeytype">;
    const OSKEY_F6: HandleHolder<"oskeytype">;
    const OSKEY_F7: HandleHolder<"oskeytype">;
    const OSKEY_F8: HandleHolder<"oskeytype">;
    const OSKEY_F9: HandleHolder<"oskeytype">;
    const OSKEY_F10: HandleHolder<"oskeytype">;
    const OSKEY_F11: HandleHolder<"oskeytype">;
    const OSKEY_F12: HandleHolder<"oskeytype">;
    const OSKEY_F13: HandleHolder<"oskeytype">;
    const OSKEY_F14: HandleHolder<"oskeytype">;
    const OSKEY_F15: HandleHolder<"oskeytype">;
    const OSKEY_F16: HandleHolder<"oskeytype">;
    const OSKEY_F17: HandleHolder<"oskeytype">;
    const OSKEY_F18: HandleHolder<"oskeytype">;
    const OSKEY_F19: HandleHolder<"oskeytype">;
    const OSKEY_F20: HandleHolder<"oskeytype">;
    const OSKEY_F21: HandleHolder<"oskeytype">;
    const OSKEY_F22: HandleHolder<"oskeytype">;
    const OSKEY_F23: HandleHolder<"oskeytype">;
    const OSKEY_F24: HandleHolder<"oskeytype">;
    const OSKEY_NUMLOCK: HandleHolder<"oskeytype">;
    const OSKEY_SCROLLLOCK: HandleHolder<"oskeytype">;
    const OSKEY_OEM_NEC_EQUAL: HandleHolder<"oskeytype">;
    const OSKEY_OEM_FJ_JISHO: HandleHolder<"oskeytype">;
    const OSKEY_OEM_FJ_MASSHOU: HandleHolder<"oskeytype">;
    const OSKEY_OEM_FJ_TOUROKU: HandleHolder<"oskeytype">;
    const OSKEY_OEM_FJ_LOYA: HandleHolder<"oskeytype">;
    const OSKEY_OEM_FJ_ROYA: HandleHolder<"oskeytype">;
    const OSKEY_LSHIFT: HandleHolder<"oskeytype">;
    const OSKEY_RSHIFT: HandleHolder<"oskeytype">;
    const OSKEY_LCONTROL: HandleHolder<"oskeytype">;
    const OSKEY_RCONTROL: HandleHolder<"oskeytype">;
    const OSKEY_LALT: HandleHolder<"oskeytype">;
    const OSKEY_RALT: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_BACK: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_FORWARD: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_REFRESH: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_STOP: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_SEARCH: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_FAVORITES: HandleHolder<"oskeytype">;
    const OSKEY_BROWSER_HOME: HandleHolder<"oskeytype">;
    const OSKEY_VOLUME_MUTE: HandleHolder<"oskeytype">;
    const OSKEY_VOLUME_DOWN: HandleHolder<"oskeytype">;
    const OSKEY_VOLUME_UP: HandleHolder<"oskeytype">;
    const OSKEY_MEDIA_NEXT_TRACK: HandleHolder<"oskeytype">;
    const OSKEY_MEDIA_PREV_TRACK: HandleHolder<"oskeytype">;
    const OSKEY_MEDIA_STOP: HandleHolder<"oskeytype">;
    const OSKEY_MEDIA_PLAY_PAUSE: HandleHolder<"oskeytype">;
    const OSKEY_LAUNCH_MAIL: HandleHolder<"oskeytype">;
    const OSKEY_LAUNCH_MEDIA_SELECT: HandleHolder<"oskeytype">;
    const OSKEY_LAUNCH_APP1: HandleHolder<"oskeytype">;
    const OSKEY_LAUNCH_APP2: HandleHolder<"oskeytype">;
    const OSKEY_OEM_1: HandleHolder<"oskeytype">;
    const OSKEY_OEM_PLUS: HandleHolder<"oskeytype">;
    const OSKEY_OEM_COMMA: HandleHolder<"oskeytype">;
    const OSKEY_OEM_MINUS: HandleHolder<"oskeytype">;
    const OSKEY_OEM_PERIOD: HandleHolder<"oskeytype">;
    const OSKEY_OEM_2: HandleHolder<"oskeytype">;
    const OSKEY_OEM_3: HandleHolder<"oskeytype">;
    const OSKEY_OEM_4: HandleHolder<"oskeytype">;
    const OSKEY_OEM_5: HandleHolder<"oskeytype">;
    const OSKEY_OEM_6: HandleHolder<"oskeytype">;
    const OSKEY_OEM_7: HandleHolder<"oskeytype">;
    const OSKEY_OEM_8: HandleHolder<"oskeytype">;
    const OSKEY_OEM_AX: HandleHolder<"oskeytype">;
    const OSKEY_OEM_102: HandleHolder<"oskeytype">;
    const OSKEY_ICO_HELP: HandleHolder<"oskeytype">;
    const OSKEY_ICO_00: HandleHolder<"oskeytype">;
    const OSKEY_PROCESSKEY: HandleHolder<"oskeytype">;
    const OSKEY_ICO_CLEAR: HandleHolder<"oskeytype">;
    const OSKEY_PACKET: HandleHolder<"oskeytype">;
    const OSKEY_OEM_RESET: HandleHolder<"oskeytype">;
    const OSKEY_OEM_JUMP: HandleHolder<"oskeytype">;
    const OSKEY_OEM_PA1: HandleHolder<"oskeytype">;
    const OSKEY_OEM_PA2: HandleHolder<"oskeytype">;
    const OSKEY_OEM_PA3: HandleHolder<"oskeytype">;
    const OSKEY_OEM_WSCTRL: HandleHolder<"oskeytype">;
    const OSKEY_OEM_CUSEL: HandleHolder<"oskeytype">;
    const OSKEY_OEM_ATTN: HandleHolder<"oskeytype">;
    const OSKEY_OEM_FINISH: HandleHolder<"oskeytype">;
    const OSKEY_OEM_COPY: HandleHolder<"oskeytype">;
    const OSKEY_OEM_AUTO: HandleHolder<"oskeytype">;
    const OSKEY_OEM_ENLW: HandleHolder<"oskeytype">;
    const OSKEY_OEM_BACKTAB: HandleHolder<"oskeytype">;
    const OSKEY_ATTN: HandleHolder<"oskeytype">;
    const OSKEY_CRSEL: HandleHolder<"oskeytype">;
    const OSKEY_EXSEL: HandleHolder<"oskeytype">;
    const OSKEY_EREOF: HandleHolder<"oskeytype">;
    const OSKEY_PLAY: HandleHolder<"oskeytype">;
    const OSKEY_ZOOM: HandleHolder<"oskeytype">;
    const OSKEY_NONAME: HandleHolder<"oskeytype">;
    const OSKEY_PA1: HandleHolder<"oskeytype">;
    const OSKEY_OEM_CLEAR: HandleHolder<"oskeytype">;
    const MOUSE_BUTTON_TYPE_LEFT: HandleHolder<"mousebuttontype">;
    const MOUSE_BUTTON_TYPE_MIDDLE: HandleHolder<"mousebuttontype">;
    const MOUSE_BUTTON_TYPE_RIGHT: HandleHolder<"mousebuttontype">;
    const META_KEY_NONE: unknown;
    const META_KEY_SHIFT: unknown;
    const META_KEY_CONTROL: unknown;
    const META_KEY_ALT: unknown;
    const META_KEY_WINDOWS: unknown;
    const CHAT_RECIPIENT_ALL: unknown;
    const CHAT_RECIPIENT_ALLIES: unknown;
    const CHAT_RECIPIENT_REFEREES: unknown;
    const CHAT_RECIPIENT_OBSERVERS: unknown;
    const CHAT_RECIPIENT_PRIVATE: unknown;
    const ABILITY_IF_BUTTON_POSITION_NORMAL_X: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_POSITION_NORMAL_Y: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_HOTKEY_NORMAL: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_HOTKEY_ACTIVATED: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_POSITION_ACTIVATED_X: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_POSITION_ACTIVATED_Y: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_HOTKEY_RESEARCH: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_POSITION_RESEARCH_X: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_POSITION_RESEARCH_Y: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_BUTTON_HOTKEY_ALL: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_MISSILE_SPEED: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_TARGET_ATTACHMENTS: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_CASTER_ATTACHMENTS: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_PRIORITY: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_LEVELS: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_REQUIRED_LEVEL: HandleHolder<"abilityintegerfield">;
    const ABILITY_IF_LEVEL_SKIP_REQUIREMENT: HandleHolder<"abilityintegerfield">;
    const ABILITY_BF_HERO_ABILITY: HandleHolder<"abilitybooleanfield">;
    const ABILITY_BF_ITEM_ABILITY: HandleHolder<"abilitybooleanfield">;
    const ABILITY_BF_CHECK_DEPENDENCIES: HandleHolder<"abilitybooleanfield">;
    const ABILITY_BF_HOMING: HandleHolder<"abilitybooleanfield">;
    const ABILITY_RF_ARF_MISSILE_ARC: HandleHolder<"abilityrealfield">;
    const ABILITY_RF_AURA_REFRESH_TIME: HandleHolder<"abilityrealfield">;
    const ABILITY_SF_NAME: HandleHolder<"abilitystringfield">;
    const ABILITY_SF_ICON_NORMAL: HandleHolder<"abilitystringfield">;
    const ABILITY_SF_ICON_ACTIVATED: HandleHolder<"abilitystringfield">;
    const ABILITY_SF_ICON_RESEARCH: HandleHolder<"abilitystringfield">;
    const ABILITY_SF_EFFECT_SOUND: HandleHolder<"abilitystringfield">;
    const ABILITY_SF_EFFECT_SOUND_LOOPING: HandleHolder<"abilitystringfield">;
    const ABILITY_ILF_MANA_COST: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_WAVES: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SHARDS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_UNITS_TELEPORTED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_COUNT_HWE2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_IMAGES: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_CORPSES_RAISED_UAN1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MORPHING_FLAGS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_STRENGTH_BONUS_NRG5: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DEFENSE_BONUS_NRG6: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_TARGETS_HIT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_TYPE_OFS1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SUMMONED_UNITS_OSF2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SUMMONED_UNITS_EFN1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_CORPSES_RAISED_HRE1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_STACK_FLAGS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MINIMUM_NUMBER_OF_UNITS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_UNITS_NDP3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_UNITS_CREATED_NRC2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SHIELD_LIFE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_LOSS_AMS4: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GOLD_PER_INTERVAL_BGM1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_NUMBER_OF_MINERS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_CARGO_CAPACITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_CREEP_LEVEL_DEV3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_CREEP_LEVEL_DEV1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GOLD_PER_INTERVAL_EGM1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DEFENSE_REDUCTION: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_TYPE_FLA1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_FLARE_COUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_GOLD: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MINING_CAPACITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_CORPSES_GYD1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DAMAGE_TO_TREE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_LUMBER_CAPACITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GOLD_CAPACITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DEFENSE_INCREASE_INF2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_INTERACTION_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GOLD_COST_NDT1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_LUMBER_COST_NDT2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_TYPE_NDT3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_STACKING_TYPE_POI4: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_STACKING_TYPE_POA5: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_CREEP_LEVEL_PLY1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_CREEP_LEVEL_POS1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MOVEMENT_UPDATE_FREQUENCY_PRG1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ATTACK_UPDATE_FREQUENCY_PRG2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_LOSS_PRG6: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNITS_SUMMONED_TYPE_ONE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNITS_SUMMONED_TYPE_TWO: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_UNITS_SUMMONED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ALLOW_WHEN_FULL_REJ3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_UNITS_CHARGED_TO_CASTER: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_UNITS_AFFECTED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DEFENSE_INCREASE_ROA2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_UNITS_ROA7: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ROOTED_WEAPONS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UPROOTED_WEAPONS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UPROOTED_DEFENSE_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ACCUMULATION_STEP: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_OWLS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_STACKING_TYPE_SPO4: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_UNITS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SPIDER_CAPACITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_INTERVALS_BEFORE_CHANGING_TREES: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_AGILITY_BONUS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_INTELLIGENCE_BONUS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_STRENGTH_BONUS_ISTR: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ATTACK_BONUS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DEFENSE_BONUS_IDEF: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMON_1_AMOUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMON_2_AMOUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_EXPERIENCE_GAINED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_HIT_POINTS_GAINED_IHPG: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_POINTS_GAINED_IMPG: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_HIT_POINTS_GAINED_IHP2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_POINTS_GAINED_IMP2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DAMAGE_BONUS_DICE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ARMOR_PENALTY_IARP: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ENABLED_ATTACK_INDEX_IOB5: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_LEVELS_GAINED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_LIFE_GAINED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_MANA_GAINED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GOLD_GIVEN: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_LUMBER_GIVEN: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_TYPE_IFA1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_CREEP_LEVEL_ICRE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MOVEMENT_SPEED_BONUS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_HIT_POINTS_REGENERATED_PER_SECOND: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SIGHT_RANGE_BONUS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DAMAGE_PER_DURATION: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_USED_PER_SECOND: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_EXTRA_MANA_REQUIRED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_RADIUS_IDET: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_LOSS_PER_UNIT_IDIM: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DAMAGE_TO_SUMMONED_UNITS_IDID: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_UNITS_IREC: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DELAY_AFTER_DEATH_SECONDS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_RESTORED_LIFE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_RESTORED_MANA_1_FOR_CURRENT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_HIT_POINTS_RESTORED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MANA_POINTS_RESTORED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_UNITS_ITPM: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_CORPSES_RAISED_CAD1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_TERRAIN_DEFORMATION_DURATION_MS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_UNITS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_TYPE_DET1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GOLD_COST_PER_STRUCTURE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_LUMBER_COST_PER_USE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DETECTION_TYPE_NSP3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SWARM_UNITS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_SWARM_UNITS_PER_TARGET: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SUMMONED_UNITS_NBA2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_CREEP_LEVEL_NCH1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ATTACKS_PREVENTED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_TARGETS_EFK3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SUMMONED_UNITS_ESV1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_CORPSES_EXH1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ITEM_CAPACITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_NUMBER_OF_TARGETS_SPL2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ALLOW_WHEN_FULL_IRL3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_DISPELLED_UNITS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_LURES: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NEW_TIME_OF_DAY_HOUR: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NEW_TIME_OF_DAY_MINUTE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_UNITS_CREATED_MEC1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MINIMUM_SPELLS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_SPELLS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DISABLED_ATTACK_INDEX: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ENABLED_ATTACK_INDEX_GRA4: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAXIMUM_ATTACKS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_BUILDING_TYPES_ALLOWED_NPR1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_BUILDING_TYPES_ALLOWED_NSA1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ATTACK_MODIFICATION: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_COUNT_NPA5: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UPGRADE_LEVELS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_SUMMONED_UNITS_NDO2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_BEASTS_PER_SECOND: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_TARGETS_ALLOWED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_TARGET_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_OPTIONS: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ARMOR_PENALTY_NAB3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_WAVE_COUNT_NHS6: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_CREEP_LEVEL_NTM3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MISSILE_COUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SPLIT_ATTACK_COUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_GENERATION_COUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ROCK_RING_COUNT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_WAVE_COUNT_NVC2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_PREFER_HOSTILES_TAU1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_PREFER_FRIENDLIES_TAU2: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_MAX_UNITS_TAU3: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NUMBER_OF_PULSES: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPE_HWE1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_UIN4: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_OSF1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPE_EFNU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPE_NBAU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPE_NTOU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPE_ESVU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPES: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SUMMONED_UNIT_TYPE_NDOU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ALTERNATE_FORM_UNIT_EMEU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_PLAGUE_WARD_UNIT_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ALLOWED_UNIT_TYPE_BTL1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_NEW_UNIT_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_RESULTING_UNIT_TYPE_ENT1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_CORPSE_UNIT_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_ALLOWED_UNIT_TYPE_LOA1: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNIT_TYPE_FOR_LIMIT_CHECK: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_WARD_UNIT_TYPE_STAU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_EFFECT_ABILITY: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_CONVERSION_UNIT: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNIT_TO_PRESERVE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNIT_TYPE_ALLOWED: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SWARM_UNIT_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_RESULTING_UNIT_TYPE_COAU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNIT_TYPE_EXHU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_WARD_UNIT_TYPE_HWDU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_LURE_UNIT_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UNIT_TYPE_IPMU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_FACTORY_UNIT_ID: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_SPAWN_UNIT_ID_NFYU: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_DESTRUCTIBLE_ID: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_ILF_UPGRADE_TYPE: HandleHolder<"abilityintegerlevelfield">;
    const ABILITY_RLF_CASTING_TIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CAST_BACK_SWING: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CAST_POINT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DURATION_NORMAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DURATION_HERO: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_COOLDOWN: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AREA_OF_EFFECT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CAST_RANGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_HBZ2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_REDUCTION_HBZ4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_HBZ5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_DAMAGE_PER_WAVE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_REGENERATION_INCREASE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CASTING_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_OWW1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_REDUCTION_OWW2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_CRITICAL_STRIKE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_MULTIPLIER_OCR2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_OCR3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_EVADE_OCR4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_PERCENT_OMI2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_TAKEN_PERCENT_OMI3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ANIMATION_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_TRANSITION_TIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_INCREASE_PERCENT_OWK2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BACKSTAB_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AMOUNT_HEALED_DAMAGED_UDC1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_CONVERTED_TO_MANA: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_CONVERTED_TO_LIFE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_INCREASE_PERCENT_UAU1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_REGENERATION_INCREASE_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_EVADE_EEV1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_INTERVAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_DRAINED_PER_SECOND_EIM2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUFFER_MANA_REQUIRED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_MANA_DRAINED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BOLT_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BOLT_LIFETIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ALTITUDE_ADJUSTMENT_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LANDING_DELAY_TIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ALTERNATE_FORM_HIT_POINT_BONUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVE_SPEED_BONUS_INFO_PANEL_ONLY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_BONUS_INFO_PANEL_ONLY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_REGENERATION_RATE_PER_SECOND: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_STUN_DURATION_USL1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_DAMAGE_STOLEN_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_UCS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_DAMAGE_UCS2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DISTANCE_UCS3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FINAL_AREA_UCS4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_UIN1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_IMPACT_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_TARGET_OCL1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_REDUCTION_PER_TARGET: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EFFECT_DELAY_OEQ1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_TO_BUILDINGS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_UNITS_SLOWED_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FINAL_AREA_OEQ4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_EER1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_TO_ATTACKERS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_HEALED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HEAL_INTERVAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_REDUCTION_ETQ3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INITIAL_IMMUNITY_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_LIFE_DRAINED_PER_SECOND_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_REDUCTION_UDD2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ARMOR_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ARMOR_BONUS_UFA2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AREA_OF_EFFECT_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPECIFIC_TARGET_DAMAGE_UFN2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_HFA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_ESF1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_INTERVAL_ESF2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_REDUCTION_ESF3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEFENSE_BONUS_HAV1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINT_BONUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_HAV3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_REDUCTION_HAV4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_BASH: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_MULTIPLIER_HBH2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_HBH3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_MISS_HBH4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_HTB1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AOE_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPECIFIC_TARGET_DAMAGE_HTC2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_PERCENT_HTC3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_PERCENT_HTC4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ARMOR_BONUS_HAD1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AMOUNT_HEALED_DAMAGED_HHB1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EXTRA_DAMAGE_HCA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_HCA2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_HCA3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_INCREASE_PERCENT_OAE1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_INCREASE_PERCENT_OAE2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_REINCARNATION_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_OSH1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_DAMAGE_OSH2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DISTANCE_OSH3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FINAL_AREA_OSH4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_GRAPHIC_DELAY_NFD1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_GRAPHIC_DURATION_NFD2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_NFD3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DAMAGE_AMS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_REDUCTION_AMS2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AURA_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_APL2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DURATION_OF_PLAGUE_WARD: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AMOUNT_OF_HIT_POINTS_REGENERATED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_DAMAGE_INCREASE_AKB1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_LOSS_ADM1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DAMAGE_ADM2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EXPANSION_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INTERVAL_DURATION_BGM2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_RADIUS_OF_MINING_RING: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_INCREASE_PERCENT_BLO1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_INCREASE_PERCENT_BLO2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SCALING_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_PER_SECOND_CAN1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_HIT_POINTS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_DEV2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_UPDATE_FREQUENCY_CHD1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_UPDATE_FREQUENCY_CHD2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DAMAGE_CHD3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_PERCENT_CRI1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_PERCENT_CRI2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_REDUCTION_CRI3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_MISS_CRS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_RADIUS_DDA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_AMOUNT_DDA2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_PARTIAL_DAMAGE_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_PARTIAL_DAMAGE_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_DAMAGE_FACTOR_SDS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_DAMAGE_UCO5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVE_SPEED_BONUS_UCO6: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_TAKEN_PERCENT_DEF1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_PERCENT_DEF2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_DEF3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_DEF4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_REDUCTION_DEF5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_DEFLECT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEFLECT_DAMAGE_TAKEN_PIERCING: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEFLECT_DAMAGE_TAKEN_SPELLS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_RIP_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EAT_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_GAINED_EAT3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AIR_UNIT_LOWER_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AIR_UNIT_HEIGHT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MELEE_ATTACK_RANGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INTERVAL_DURATION_EGM2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EFFECT_DELAY_FLA2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MINING_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_RADIUS_OF_GRAVESTONES: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_RADIUS_OF_CORPSES: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_GAINED_HEA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_INCREASE_PERCENT_INF1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AUTOCAST_RANGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_REGEN_RATE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_GRAPHIC_DELAY_LIT1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_GRAPHIC_DURATION_LIT2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_LSH1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_GAINED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_GAINED_MBT2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AUTOCAST_REQUIREMENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_WATER_HEIGHT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ACTIVATION_DELAY_MIN1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INVISIBILITY_TRANSITION_TIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ACTIVATION_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AMOUNT_REGENERATED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_POI1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_POI2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_POI3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EXTRA_DAMAGE_POA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_POA2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_POA3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_POA4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_AMPLIFICATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_STOMP_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_WAR2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_RADIUS_WAR3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HALF_DAMAGE_RADIUS_WAR4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DAMAGE_PRG3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_UNIT_PAUSE_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HERO_PAUSE_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_GAINED_REJ1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_POINTS_GAINED_REJ2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MINIMUM_LIFE_REQUIRED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MINIMUM_MANA_REQUIRED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_REPAIR_COST_RATIO: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_REPAIR_TIME_RATIO: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_POWERBUILD_COST: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_POWERBUILD_RATE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_NAVAL_RANGE_BONUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_INCREASE_PERCENT_ROA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_REGENERATION_RATE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_REGEN: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_INCREASE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SALVAGE_COST_RATIO: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_IN_FLIGHT_SIGHT_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HOVERING_SIGHT_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HOVERING_HEIGHT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DURATION_OF_OWLS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FADE_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAY_NIGHT_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ACTION_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_SLO1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_SLO2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_SPO1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_SPO2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_SPO3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ACTIVATION_DELAY_STA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DETECTION_RADIUS_STA2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DETONATION_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_STUN_DURATION_STA4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_BONUS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_UHF2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LUMBER_PER_INTERVAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ART_ATTACHMENT_HEIGHT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_TELEPORT_AREA_WIDTH: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_TELEPORT_AREA_HEIGHT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_STOLEN_PER_ATTACK: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_IDAM: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_HIT_UNITS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_HIT_HEROS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_HIT_SUMMONS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DELAY_FOR_TARGET_EFFECT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_PERCENT_OF_NORMAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_RECEIVED_MULTIPLIER: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_REGENERATION_BONUS_AS_FRACTION_OF_NORMAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_INCREASE_ISPI: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_IDPS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_DAMAGE_INCREASE_CAC1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_COR1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_INCREASE_ISX1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_WRS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_TERRAIN_DEFORMATION_AMPLITUDE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_CTC1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EXTRA_DAMAGE_TO_TARGET: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_CTC3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_CTC4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_CTB1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CASTING_DELAY_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_LOSS_PER_UNIT_DTN1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_TO_SUMMONED_UNITS_DTN2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_TRANSITION_TIME_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_DRAINED_PER_SECOND_NMR1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_REDUCE_DAMAGE_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MINIMUM_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_IGNORED_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_DEALT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_INTERVAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HALF_DAMAGE_DEALT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HALF_DAMAGE_INTERVAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_REDUCTION_HFS5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_DAMAGE_HFS6: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_PER_HIT_POINT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_ABSORBED_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_WAVE_DISTANCE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_WAVE_TIME_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DEALT_UIM3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AIR_TIME_SECONDS_UIM4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_UNIT_RELEASE_INTERVAL_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_RETURN_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_RETURN_THRESHOLD: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_RETURNED_DAMAGE_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_RECEIVED_DAMAGE_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEFENSE_BONUS_UTS3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_NBA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DURATION_SECONDS_NBA3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_PER_SUMMONED_HITPOINT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHARGE_FOR_CURRENT_LIFE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_DRAINED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_POINTS_DRAINED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DRAIN_INTERVAL_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_TRANSFERRED_PER_SECOND: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_TRANSFERRED_PER_SECOND: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BONUS_LIFE_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BONUS_LIFE_DECAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BONUS_MANA_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BONUS_MANA_DECAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_MISS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_MODIFIER: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_MODIFIER: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_TDG1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MEDIUM_DAMAGE_RADIUS_TDG2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MEDIUM_DAMAGE_PER_SECOND: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SMALL_DAMAGE_RADIUS_TDG4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SMALL_DAMAGE_PER_SECOND: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_AIR_TIME_SECONDS_TSP1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MINIMUM_HIT_INTERVAL_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_NBF5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_RANGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MINIMUM_RANGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_TARGET_EFK1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_TOTAL_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_SPEED_ADJUSTMENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DECAYING_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_FACTOR_ESH2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_FACTOR_ESH3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DECAY_POWER: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INITIAL_DAMAGE_ESH5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_LIFE_ABSORBED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAXIMUM_MANA_ABSORBED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_INCREASE_BSK1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_INCREASE_BSK2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_TAKEN_INCREASE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_PER_UNIT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_PER_UNIT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_PER_BUFF: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_PER_BUFF: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DAMAGE_DVM5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_FAK1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MEDIUM_DAMAGE_FACTOR_FAK2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SMALL_DAMAGE_FACTOR_FAK3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_RADIUS_FAK4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HALF_DAMAGE_RADIUS_FAK5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EXTRA_DAMAGE_PER_SECOND: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_LIQ2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_LIQ3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_UNIT_DAMAGE_PER_MANA_POINT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HERO_DAMAGE_PER_MANA_POINT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_UNIT_MAXIMUM_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HERO_MAXIMUM_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_COOLDOWN: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DISTRIBUTED_DAMAGE_FACTOR_SPL1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_REGENERATED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_REGENERATED: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_LOSS_PER_UNIT_IDC1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DAMAGE_IDC2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ACTIVATION_DELAY_IMO2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LURE_INTERVAL_SECONDS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_ISR1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_REDUCTION_ISR2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_IPV1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_STEAL_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_RESTORED_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MANA_RESTORED_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACH_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_REMOVE_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HERO_REGENERATION_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_UNIT_REGENERATION_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_REDUCTION_NSA4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HIT_POINTS_PER_SECOND_NSA5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_TO_SUMMONED_UNITS_IXS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAGIC_DAMAGE_REDUCTION_IXS2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SHIELD_COOLDOWN_TIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_NDO1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_UNIT_DURATION_SECONDS_NDO3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MEDIUM_DAMAGE_RADIUS_FLK1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SMALL_DAMAGE_RADIUS_FLK2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_AMOUNT_FLK3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MEDIUM_DAMAGE_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SMALL_DAMAGE_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_PERCENT_HBN1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_PERCENT_HBN2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_MANA_DRAINED_UNITS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_RATIO_UNITS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_MANA_DRAINED_HEROS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_RATIO_HEROS_PERCENT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SUMMONED_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DISTRIBUTED_DAMAGE_FACTOR_NCA1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INITIAL_DAMAGE_PXF1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_PXF2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PER_SECOND_MLS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BEAST_COLLISION_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_AMOUNT_NST3: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_RADIUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FOLLOW_THROUGH_TIME: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ART_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_PERCENT_NAB1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_PERCENT_NAB2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_PRIMARY_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SECONDARY_DAMAGE: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_INTERVAL_NAB6: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_GOLD_COST_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LUMBER_COST_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVE_SPEED_BONUS_NEG1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_BONUS_NEG2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_AMOUNT_NCS1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_INTERVAL_NCS2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_DAMAGE_NCS4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_DAMAGE_FACTOR_NCS5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_EFFECT_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPAWN_INTERVAL_NSY1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPAWN_UNIT_DURATION: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPAWN_UNIT_OFFSET: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LEASH_RANGE_NSY5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPAWN_INTERVAL_NFY1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LEASH_RANGE_NFY2: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_CHANCE_TO_DEMOLISH: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_MULTIPLIER_BUILDINGS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_MULTIPLIER_UNITS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_MULTIPLIER_HEROES: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BONUS_DAMAGE_MULTIPLIER: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEATH_DAMAGE_FULL_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEATH_DAMAGE_FULL_AREA: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEATH_DAMAGE_HALF_AMOUNT: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEATH_DAMAGE_HALF_AREA: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DEATH_DAMAGE_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_AMOUNT_NSO1: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PERIOD: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_DAMAGE_PENALTY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MOVEMENT_SPEED_REDUCTION_PERCENT_NSO4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_ATTACK_SPEED_REDUCTION_PERCENT_NSO5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_SPLIT_DELAY: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_MAX_HITPOINT_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_LIFE_DURATION_SPLIT_BONUS: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_WAVE_INTERVAL: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_BUILDING_DAMAGE_FACTOR_NVC4: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_FULL_DAMAGE_AMOUNT_NVC5: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_HALF_DAMAGE_FACTOR: HandleHolder<"abilityreallevelfield">;
    const ABILITY_RLF_INTERVAL_BETWEEN_PULSES: HandleHolder<"abilityreallevelfield">;
    const ABILITY_BLF_PERCENT_BONUS_HAB2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_USE_TELEPORT_CLUSTERING_HMT3: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_NEVER_MISS_OCR5: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_EXCLUDE_ITEM_DAMAGE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_BACKSTAB_DAMAGE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_INHERIT_UPGRADES_UAN3: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_MANA_CONVERSION_AS_PERCENT: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_LIFE_CONVERSION_AS_PERCENT: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_LEAVE_TARGET_ALIVE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_PERCENT_BONUS_UAU3: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_DAMAGE_IS_PERCENT_RECEIVED: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_MELEE_BONUS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_RANGED_BONUS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_FLAT_BONUS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_NEVER_MISS_HBH5: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_PERCENT_BONUS_HAD2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CAN_DEACTIVATE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_RAISED_UNITS_ARE_INVULNERABLE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_PERCENTAGE_OAR2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_SUMMON_BUSY_UNITS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CREATES_BLIGHT: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_EXPLODES_ON_DEATH: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ALWAYS_AUTOCAST_FAE2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_REGENERATE_ONLY_AT_NIGHT: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_SHOW_SELECT_UNIT_BUTTON: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_SHOW_UNIT_INDICATOR: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CHARGE_OWNING_PLAYER: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_PERCENTAGE_ARM2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_TARGET_IS_INVULNERABLE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_TARGET_IS_MAGIC_IMMUNE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_KILL_ON_CASTER_DEATH: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_NO_TARGET_REQUIRED_REJ4: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ACCEPTS_GOLD: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ACCEPTS_LUMBER: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_PREFER_HOSTILES_ROA5: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_PREFER_FRIENDLIES_ROA6: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ROOTED_TURNING: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ALWAYS_AUTOCAST_SLO3: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_HIDE_BUTTON: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_USE_TELEPORT_CLUSTERING_ITP2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_IMMUNE_TO_MORPH_EFFECTS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_DOES_NOT_BLOCK_BUILDINGS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_AUTO_ACQUIRE_ATTACK_TARGETS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_IMMUNE_TO_MORPH_EFFECTS_GHO2: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_DO_NOT_BLOCK_BUILDINGS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_INCLUDE_RANGED_DAMAGE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_INCLUDE_MELEE_DAMAGE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_MOVE_TO_PARTNER: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CAN_BE_DISPELLED: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_IGNORE_FRIENDLY_BUFFS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_DROP_ITEMS_ON_DEATH: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CAN_USE_ITEMS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CAN_GET_ITEMS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CAN_DROP_ITEMS: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_REPAIRS_ALLOWED: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_CASTER_ONLY_SPLASH: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_NO_TARGET_REQUIRED_IRL4: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_DISPEL_ON_ATTACK: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_AMOUNT_IS_RAW_VALUE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_SHARED_SPELL_COOLDOWN: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_SLEEP_ONCE: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ALLOW_ON_ANY_PLAYER_SLOT: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_DISABLE_OTHER_ABILITIES: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_BLF_ALLOW_BOUNTY: HandleHolder<"abilitybooleanlevelfield">;
    const ABILITY_SLF_ICON_NORMAL: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_CASTER: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TARGET: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_SPECIAL: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_EFFECT: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_AREA_EFFECT: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_LIGHTNING_EFFECTS: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_MISSILE_ART: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TOOLTIP_LEARN: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TOOLTIP_LEARN_EXTENDED: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TOOLTIP_NORMAL: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TOOLTIP_TURN_OFF: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TOOLTIP_NORMAL_EXTENDED: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_TOOLTIP_TURN_OFF_EXTENDED: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_NORMAL_FORM_UNIT_EME1: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_SPAWNED_UNITS: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_ABILITY_FOR_UNIT_CREATION: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_NORMAL_FORM_UNIT_MIL1: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_ALTERNATE_FORM_UNIT_MIL2: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_BASE_ORDER_ID_ANS5: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_MORPH_UNITS_GROUND: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_MORPH_UNITS_AIR: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_MORPH_UNITS_AMPHIBIOUS: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_MORPH_UNITS_WATER: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_UNIT_TYPE_ONE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_UNIT_TYPE_TWO: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_UNIT_TYPE_SOD2: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_SUMMON_1_UNIT_TYPE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_SUMMON_2_UNIT_TYPE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_RACE_TO_CONVERT: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_PARTNER_UNIT_TYPE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_PARTNER_UNIT_TYPE_ONE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_PARTNER_UNIT_TYPE_TWO: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_REQUIRED_UNIT_TYPE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_CONVERTED_UNIT_TYPE: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_SPELL_LIST: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_BASE_ORDER_ID_SPB5: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_BASE_ORDER_ID_NCL6: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_ABILITY_UPGRADE_1: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_ABILITY_UPGRADE_2: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_ABILITY_UPGRADE_3: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_ABILITY_UPGRADE_4: HandleHolder<"abilitystringlevelfield">;
    const ABILITY_SLF_SPAWN_UNIT_ID_NSY2: HandleHolder<"abilitystringlevelfield">;
    const BUFF_SF_ICON_NORMAL: HandleHolder<"abilitystringfield">;
    const BUFF_SF_TOOLTIP_NORMAL: HandleHolder<"abilitystringfield">;
    const BUFF_SF_TOOLTIP_NORMAL_EXTENDED: HandleHolder<"abilitystringfield">;
    const ITEM_IF_TINTING_COLOR: HandleHolder<"itemintegerfield">;
    const ITEM_IF_TINTING_COLOR_RED: HandleHolder<"itemintegerfield">;
    const ITEM_IF_TINTING_COLOR_GREEN: HandleHolder<"itemintegerfield">;
    const ITEM_IF_TINTING_COLOR_BLUE: HandleHolder<"itemintegerfield">;
    const ITEM_IF_TINTING_COLOR_ALPHA: HandleHolder<"itemintegerfield">;
    const ITEM_IF_ARMOR_TYPE: HandleHolder<"itemintegerfield">;
    const ITEM_IF_COOLDOWN_GROUP: HandleHolder<"itemintegerfield">;
    const ITEM_IF_GOLD_COST: HandleHolder<"itemintegerfield">;
    const ITEM_IF_HIT_POINTS: HandleHolder<"itemintegerfield">;
    const ITEM_IF_LEVEL_UNCLASSIFIED: HandleHolder<"itemintegerfield">;
    const ITEM_IF_LEVEL: HandleHolder<"itemintegerfield">;
    const ITEM_IF_LUMBER_COST: HandleHolder<"itemintegerfield">;
    const ITEM_IF_NUMBER_OF_CHARGES: HandleHolder<"itemintegerfield">;
    const ITEM_IF_PRIORITY: HandleHolder<"itemintegerfield">;
    const ITEM_IF_STOCK_MAXIMUM: HandleHolder<"itemintegerfield">;
    const ITEM_IF_STOCK_REPLENISH_INTERVAL: HandleHolder<"itemintegerfield">;
    const ITEM_IF_STOCK_START_DELAY: HandleHolder<"itemintegerfield">;
    const ITEM_IF_MAX_HIT_POINTS: HandleHolder<"itemintegerfield">;
    const ITEM_RF_SCALING_VALUE: HandleHolder<"itemrealfield">;
    const ITEM_RF_SELECTION_SIZE: HandleHolder<"itemrealfield">;
    const ITEM_BF_ACTIVELY_USED: HandleHolder<"itembooleanfield">;
    const ITEM_BF_CAN_BE_DROPPED: HandleHolder<"itembooleanfield">;
    const ITEM_BF_CAN_BE_SOLD_TO_MERCHANTS: HandleHolder<"itembooleanfield">;
    const ITEM_BF_DROPPED_WHEN_CARRIER_DIES: HandleHolder<"itembooleanfield">;
    const ITEM_BF_IGNORE_COOLDOWN: HandleHolder<"itembooleanfield">;
    const ITEM_BF_INCLUDE_AS_RANDOM_CHOICE: HandleHolder<"itembooleanfield">;
    const ITEM_BF_PERISHABLE: HandleHolder<"itembooleanfield">;
    const ITEM_BF_USE_AUTOMATICALLY_WHEN_ACQUIRED: HandleHolder<"itembooleanfield">;
    const ITEM_BF_VALID_FOR_TRANSFORMATION: HandleHolder<"itembooleanfield">;
    const ITEM_SF_ABILITY_LIST: HandleHolder<"itemstringfield">;
    const ITEM_SF_ICON: HandleHolder<"itemstringfield">;
    const ITEM_SF_MODEL_USED: HandleHolder<"itemstringfield">;
    const ITEM_SF_DESCRIPTION: HandleHolder<"itemstringfield">;
    const ITEM_SF_NAME: HandleHolder<"itemstringfield">;
    const ITEM_SF_TOOLTIP_NORMAL: HandleHolder<"itemstringfield">;
    const ITEM_SF_TOOLTIP_EXTENDED: HandleHolder<"itemstringfield">;
    const UNIT_IF_DEFENSE_TYPE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_ARMOR_TYPE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LOOPING_FADE_IN_RATE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LOOPING_FADE_OUT_RATE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_STRENGTH_BASE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_AGILITY_BASE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_INTELLIGENCE_BASE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_STRENGTH: HandleHolder<"unitintegerfield">;
    const UNIT_IF_AGILITY: HandleHolder<"unitintegerfield">;
    const UNIT_IF_INTELLIGENCE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_STRENGTH_PERMANENT: HandleHolder<"unitintegerfield">;
    const UNIT_IF_AGILITY_PERMANENT: HandleHolder<"unitintegerfield">;
    const UNIT_IF_INTELLIGENCE_PERMANENT: HandleHolder<"unitintegerfield">;
    const UNIT_IF_STRENGTH_WITH_BONUS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_AGILITY_WITH_BONUS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_INTELLIGENCE_WITH_BONUS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_STRENGTH_BONUS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_AGILITY_BONUS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_INTELLIGENCE_BONUS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_FOOD_USED: HandleHolder<"unitintegerfield">;
    const UNIT_IF_FOOD_PRODUCED: HandleHolder<"unitintegerfield">;
    const UNIT_IF_GOLD_COST: HandleHolder<"unitintegerfield">;
    const UNIT_IF_GOLD_BOUNTY_AWARDED_NUMBER_OF_DICE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_GOLD_BOUNTY_AWARDED_BASE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_GOLD_BOUNTY_AWARDED_SIDES_PER_DIE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LUMBER_COST: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LUMBER_BOUNTY_AWARDED_NUMBER_OF_DICE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LUMBER_BOUNTY_AWARDED_BASE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LUMBER_BOUNTY_AWARDED_SIDES_PER_DIE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_LEVEL: HandleHolder<"unitintegerfield">;
    const UNIT_IF_FORMATION_RANK: HandleHolder<"unitintegerfield">;
    const UNIT_IF_ORIENTATION_INTERPOLATION: HandleHolder<"unitintegerfield">;
    const UNIT_IF_ELEVATION_SAMPLE_POINTS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_PROPER_NAMES_COUNT: HandleHolder<"unitintegerfield">;
    const UNIT_IF_HOTKEY: HandleHolder<"unitintegerfield">;
    const UNIT_IF_TINTING_COLOR: HandleHolder<"unitintegerfield">;
    const UNIT_IF_TINTING_COLOR_RED: HandleHolder<"unitintegerfield">;
    const UNIT_IF_TINTING_COLOR_GREEN: HandleHolder<"unitintegerfield">;
    const UNIT_IF_TINTING_COLOR_BLUE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_TINTING_COLOR_ALPHA: HandleHolder<"unitintegerfield">;
    const UNIT_IF_MOVE_TYPE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_TARGETED_AS: HandleHolder<"unitintegerfield">;
    const UNIT_IF_UNIT_CLASSIFICATION: HandleHolder<"unitintegerfield">;
    const UNIT_IF_HIT_POINTS_REGENERATION_TYPE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_PLACEMENT_PREVENTED_BY: HandleHolder<"unitintegerfield">;
    const UNIT_IF_PRIMARY_ATTRIBUTE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_COLLISION_TYPE: HandleHolder<"unitintegerfield">;
    const UNIT_IF_PATHING_AI: HandleHolder<"unitintegerfield">;
    const UNIT_IF_PATHING_TYPE: HandleHolder<"unitintegerfield">;
    const UNIT_RF_STRENGTH_PER_LEVEL: HandleHolder<"unitrealfield">;
    const UNIT_RF_AGILITY_PER_LEVEL: HandleHolder<"unitrealfield">;
    const UNIT_RF_INTELLIGENCE_PER_LEVEL: HandleHolder<"unitrealfield">;
    const UNIT_RF_HIT_POINTS_REGENERATION_RATE: HandleHolder<"unitrealfield">;
    const UNIT_RF_MANA_REGENERATION: HandleHolder<"unitrealfield">;
    const UNIT_RF_DEATH_TIME: HandleHolder<"unitrealfield">;
    const UNIT_RF_FLY_HEIGHT: HandleHolder<"unitrealfield">;
    const UNIT_RF_TURN_RATE: HandleHolder<"unitrealfield">;
    const UNIT_RF_ELEVATION_SAMPLE_RADIUS: HandleHolder<"unitrealfield">;
    const UNIT_RF_FOG_OF_WAR_SAMPLE_RADIUS: HandleHolder<"unitrealfield">;
    const UNIT_RF_MAXIMUM_PITCH_ANGLE_DEGREES: HandleHolder<"unitrealfield">;
    const UNIT_RF_MAXIMUM_ROLL_ANGLE_DEGREES: HandleHolder<"unitrealfield">;
    const UNIT_RF_SCALING_VALUE: HandleHolder<"unitrealfield">;
    const UNIT_RF_ANIMATION_RUN_SPEED: HandleHolder<"unitrealfield">;
    const UNIT_RF_SELECTION_SCALE: HandleHolder<"unitrealfield">;
    const UNIT_RF_SELECTION_CIRCLE_HEIGHT: HandleHolder<"unitrealfield">;
    const UNIT_RF_SHADOW_IMAGE_HEIGHT: HandleHolder<"unitrealfield">;
    const UNIT_RF_SHADOW_IMAGE_WIDTH: HandleHolder<"unitrealfield">;
    const UNIT_RF_SHADOW_IMAGE_CENTER_X: HandleHolder<"unitrealfield">;
    const UNIT_RF_SHADOW_IMAGE_CENTER_Y: HandleHolder<"unitrealfield">;
    const UNIT_RF_ANIMATION_WALK_SPEED: HandleHolder<"unitrealfield">;
    const UNIT_RF_DEFENSE: HandleHolder<"unitrealfield">;
    const UNIT_RF_SIGHT_RADIUS: HandleHolder<"unitrealfield">;
    const UNIT_RF_SIGHT_RADIUS_DAY: HandleHolder<"unitrealfield">;
    const UNIT_RF_SIGHT_RADIUS_NIGHT: HandleHolder<"unitrealfield">;
    const UNIT_RF_PRIORITY: HandleHolder<"unitrealfield">;
    const UNIT_RF_SPEED: HandleHolder<"unitrealfield">;
    const UNIT_RF_OCCLUDER_HEIGHT: HandleHolder<"unitrealfield">;
    const UNIT_RF_HP: HandleHolder<"unitrealfield">;
    const UNIT_RF_MANA: HandleHolder<"unitrealfield">;
    const UNIT_RF_ACQUISITION_RANGE: HandleHolder<"unitrealfield">;
    const UNIT_RF_CAST_BACK_SWING: HandleHolder<"unitrealfield">;
    const UNIT_RF_CAST_POINT: HandleHolder<"unitrealfield">;
    const UNIT_RF_MINIMUM_ATTACK_RANGE: HandleHolder<"unitrealfield">;
    const UNIT_RF_COLLISION_SIZE: HandleHolder<"unitrealfield">;
    const UNIT_RF_HEALTH_FROM_BONUS_STRENGTH: HandleHolder<"unitrealfield">;
    const UNIT_RF_MANA_FROM_BONUS_INTELLIGENCE: HandleHolder<"unitrealfield">;
    const UNIT_RF_DEFENSE_BONUS: HandleHolder<"unitrealfield">;
    const UNIT_RF_DEFENSE_BASE: HandleHolder<"unitrealfield">;
    const UNIT_RF_SPEED_BONUS: HandleHolder<"unitrealfield">;
    const UNIT_BF_RAISABLE: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_DECAYABLE: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_IS_A_BUILDING: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_USE_EXTENDED_LINE_OF_SIGHT: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_NEUTRAL_BUILDING_SHOWS_MINIMAP_ICON: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_HERO_HIDE_HERO_INTERFACE_ICON: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_HERO_HIDE_HERO_MINIMAP_DISPLAY: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_HERO_HIDE_HERO_DEATH_MESSAGE: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_HIDE_MINIMAP_DISPLAY: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_SCALE_PROJECTILES: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_SELECTION_CIRCLE_ON_WATER: HandleHolder<"unitbooleanfield">;
    const UNIT_BF_HAS_WATER_SHADOW: HandleHolder<"unitbooleanfield">;
    const UNIT_SF_HERO_ABILITY_LIST: HandleHolder<"unitstringfield">;
    const UNIT_SF_ABILITY_LIST: HandleHolder<"unitstringfield">;
    const UNIT_SF_ICON_NORMAL: HandleHolder<"unitstringfield">;
    const UNIT_SF_ICON_SCORE_SCREEN: HandleHolder<"unitstringfield">;
    const UNIT_SF_MODEL: HandleHolder<"unitstringfield">;
    const UNIT_SF_PORTRAIT: HandleHolder<"unitstringfield">;
    const UNIT_SF_SHADOW_IMAGE_UNIT: HandleHolder<"unitstringfield">;
    const UNIT_SF_GROUND_TEXTURE: HandleHolder<"unitstringfield">;
    const UNIT_SF_SPECIAL: HandleHolder<"unitstringfield">;
    const UNIT_SF_NAME: HandleHolder<"unitstringfield">;
    const UNIT_SF_PROPER_NAMES: HandleHolder<"unitstringfield">;
    const UNIT_SF_PROPER_NAME: HandleHolder<"unitstringfield">;
    const UNIT_SF_TOOLTIP_AWAKEN: HandleHolder<"unitstringfield">;
    const UNIT_SF_TOOLTIP_NORMAL: HandleHolder<"unitstringfield">;
    const UNIT_SF_TOOLTIP_EXTENDED: HandleHolder<"unitstringfield">;
    const UNIT_SF_TOOLTIP_REVIVE: HandleHolder<"unitstringfield">;
    const UNIT_WEAPON_IF_ATTACKS_ENABLED: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_NUMBER_OF_DICE: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_BASE: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_SIDES_PER_DIE: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_MAXIMUM_NUMBER_OF_TARGETS: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_ATTACK_TYPE: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_WEAPON_TYPE: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_WEAPON_SOUND: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_AREA_OF_EFFECT_TARGETS: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_TARGETS_ALLOWED: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_BASE_MINIMUM: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_BASE_MAXIMUM: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_BONUS: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_IF_ATTACK_DAMAGE_BONUS_FROM_STATS: HandleHolder<"unitweaponintegerfield">;
    const UNIT_WEAPON_RF_ATTACK_BACKSWING_POINT: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_DAMAGE_POINT: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_BASE_COOLDOWN: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_DAMAGE_LOSS_FACTOR: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_DAMAGE_FACTOR_MEDIUM: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_DAMAGE_FACTOR_SMALL: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_DAMAGE_SPILL_DISTANCE: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_DAMAGE_SPILL_RADIUS: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_PROJECTILE_SPEED: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_PROJECTILE_ARC: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_AREA_OF_EFFECT_FULL_DAMAGE: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_AREA_OF_EFFECT_MEDIUM_DAMAGE: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_AREA_OF_EFFECT_SMALL_DAMAGE: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_RANGE: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_RF_ATTACK_SPEED_BONUS: HandleHolder<"unitweaponrealfield">;
    const UNIT_WEAPON_BF_ATTACK_SHOW_UI: HandleHolder<"unitweaponbooleanfield">;
    const UNIT_WEAPON_BF_ATTACKS_ENABLED: HandleHolder<"unitweaponbooleanfield">;
    const UNIT_WEAPON_BF_ATTACK_PROJECTILE_HOMING_ENABLED: HandleHolder<"unitweaponbooleanfield">;
    const UNIT_WEAPON_SF_ATTACK_PROJECTILE_ART: HandleHolder<"unitweaponstringfield">;
    const MOVE_TYPE_UNKNOWN: HandleHolder<"movetype">;
    const MOVE_TYPE_FOOT: HandleHolder<"movetype">;
    const MOVE_TYPE_FLY: HandleHolder<"movetype">;
    const MOVE_TYPE_HORSE: HandleHolder<"movetype">;
    const MOVE_TYPE_HOVER: HandleHolder<"movetype">;
    const MOVE_TYPE_FLOAT: HandleHolder<"movetype">;
    const MOVE_TYPE_AMPHIBIOUS: HandleHolder<"movetype">;
    const MOVE_TYPE_UNBUILDABLE: HandleHolder<"movetype">;
    const PATHING_AI_TYPE_FOOT: HandleHolder<"pathingaitype">;
    const PATHING_AI_TYPE_AMPHIBIOUS: HandleHolder<"pathingaitype">;
    const PATHING_AI_TYPE_FLOAT: HandleHolder<"pathingaitype">;
    const PATHING_AI_TYPE_FLY: HandleHolder<"pathingaitype">;
    const COLLISION_TYPE_NONE: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_ANY: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_FOOT: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_AIR: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_BUILDING: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_HARVESTER: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_BLIGHTED: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_FLOAT: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_AMPHIBIOUS: HandleHolder<"collisiontype">;
    const COLLISION_TYPE_GROUND: HandleHolder<"collisiontype">;
    const TARGET_FLAG_NONE: HandleHolder<"targetflag">;
    const TARGET_FLAG_GROUND: HandleHolder<"targetflag">;
    const TARGET_FLAG_AIR: HandleHolder<"targetflag">;
    const TARGET_FLAG_STRUCTURE: HandleHolder<"targetflag">;
    const TARGET_FLAG_WARD: HandleHolder<"targetflag">;
    const TARGET_FLAG_ITEM: HandleHolder<"targetflag">;
    const TARGET_FLAG_TREE: HandleHolder<"targetflag">;
    const TARGET_FLAG_WALL: HandleHolder<"targetflag">;
    const TARGET_FLAG_DEBRIS: HandleHolder<"targetflag">;
    const TARGET_FLAG_DECORATION: HandleHolder<"targetflag">;
    const TARGET_FLAG_BRIDGE: HandleHolder<"targetflag">;
    const TARGET_FLAG_SELF: HandleHolder<"targetflag">;
    const TARGET_FLAG_PLAYER_UNITS: HandleHolder<"targetflag">;
    const TARGET_FLAG_ALLIED: HandleHolder<"targetflag">;
    const TARGET_FLAG_FRIEND: HandleHolder<"targetflag">;
    const TARGET_FLAG_NEUTRAL: HandleHolder<"targetflag">;
    const TARGET_FLAG_ENEMY: HandleHolder<"targetflag">;
    const TARGET_FLAG_NOT_SELF: HandleHolder<"targetflag">;
    const TARGET_FLAG_VULNERABLE: HandleHolder<"targetflag">;
    const TARGET_FLAG_INVULNERABLE: HandleHolder<"targetflag">;
    const TARGET_FLAG_HERO: HandleHolder<"targetflag">;
    const TARGET_FLAG_NON_HERO: HandleHolder<"targetflag">;
    const TARGET_FLAG_ALIVE: HandleHolder<"targetflag">;
    const TARGET_FLAG_DEAD: HandleHolder<"targetflag">;
    const TARGET_FLAG_ORGANIC: HandleHolder<"targetflag">;
    const TARGET_FLAG_MECHANICAL: HandleHolder<"targetflag">;
    const TARGET_FLAG_NON_SUICIDAL: HandleHolder<"targetflag">;
    const TARGET_FLAG_SUICIDAL: HandleHolder<"targetflag">;
    const TARGET_FLAG_NON_ANCIENT: HandleHolder<"targetflag">;
    const TARGET_FLAG_ANCIENT: HandleHolder<"targetflag">;
    const TARGET_FLAG_EMPTY: HandleHolder<"targetflag">;
    const DEFENSE_TYPE_LIGHT: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_MEDIUM: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_LARGE: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_FORT: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_NORMAL: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_HERO: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_DIVINE: HandleHolder<"defensetype">;
    const DEFENSE_TYPE_NONE: HandleHolder<"defensetype">;
    const HERO_ATTRIBUTE_STR: HandleHolder<"heroattribute">;
    const HERO_ATTRIBUTE_INT: HandleHolder<"heroattribute">;
    const HERO_ATTRIBUTE_AGI: HandleHolder<"heroattribute">;
    const ARMOR_TYPE_WHOKNOWS: HandleHolder<"armortype">;
    const ARMOR_TYPE_FLESH: HandleHolder<"armortype">;
    const ARMOR_TYPE_METAL: HandleHolder<"armortype">;
    const ARMOR_TYPE_WOOD: HandleHolder<"armortype">;
    const ARMOR_TYPE_ETHREAL: HandleHolder<"armortype">;
    const ARMOR_TYPE_STONE: HandleHolder<"armortype">;
    const REGENERATION_TYPE_NONE: HandleHolder<"regentype">;
    const REGENERATION_TYPE_ALWAYS: HandleHolder<"regentype">;
    const REGENERATION_TYPE_BLIGHT: HandleHolder<"regentype">;
    const REGENERATION_TYPE_DAY: HandleHolder<"regentype">;
    const REGENERATION_TYPE_NIGHT: HandleHolder<"regentype">;
    const UNIT_CATEGORY_GIANT: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_UNDEAD: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_SUMMONED: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_MECHANICAL: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_PEON: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_SAPPER: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_TOWNHALL: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_ANCIENT: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_NEUTRAL: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_WARD: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_STANDON: HandleHolder<"unitcategory">;
    const UNIT_CATEGORY_TAUREN: HandleHolder<"unitcategory">;
    const PATHING_FLAG_UNWALKABLE: HandleHolder<"pathingflag">;
    const PATHING_FLAG_UNFLYABLE: HandleHolder<"pathingflag">;
    const PATHING_FLAG_UNBUILDABLE: HandleHolder<"pathingflag">;
    const PATHING_FLAG_UNPEONHARVEST: HandleHolder<"pathingflag">;
    const PATHING_FLAG_BLIGHTED: HandleHolder<"pathingflag">;
    const PATHING_FLAG_UNFLOATABLE: HandleHolder<"pathingflag">;
    const PATHING_FLAG_UNAMPHIBIOUS: HandleHolder<"pathingflag">;
    const PATHING_FLAG_UNITEMPLACABLE: HandleHolder<"pathingflag">;
    const TIME_TYPE_YEAR: HandleHolder<"timetype">;
    const TIME_TYPE_MONTH: HandleHolder<"timetype">;
    const TIME_TYPE_DAY_OF_WEEK: HandleHolder<"timetype">;
    const TIME_TYPE_DAY: HandleHolder<"timetype">;
    const TIME_TYPE_HOUR: HandleHolder<"timetype">;
    const TIME_TYPE_MINUTE: HandleHolder<"timetype">;
    const TIME_TYPE_SECOND: HandleHolder<"timetype">;
    const TIME_TYPE_MILLISECOND: HandleHolder<"timetype">;
    const VARIABLE_TYPE_NOTHING: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_UNKNOWN: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_NULL: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_CODE: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_INTEGER: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_REAL: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_STRING: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_HANDLE: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_BOOLEAN: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_INTEGER_ARRAY: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_REAL_ARRAY: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_STRING_ARRAY: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_HANDLE_ARRAY: HandleHolder<"variabletype">;
    const VARIABLE_TYPE_BOOLEAN_ARRAY: HandleHolder<"variabletype">;
    const RENDER_STAGE_SKYBOX: HandleHolder<"renderstage">;
    const RENDER_STAGE_TERRAIN: HandleHolder<"renderstage">;
    const RENDER_STAGE_FOG_OF_WAR: HandleHolder<"renderstage">;
    const RENDER_STAGE_TERRAIN_SHADOW: HandleHolder<"renderstage">;
    const RENDER_STAGE_WATER_SHADOW: HandleHolder<"renderstage">;
    const RENDER_STAGE_BLIGHT: HandleHolder<"renderstage">;
    const RENDER_STAGE_WEATHER: HandleHolder<"renderstage">;
    const RENDER_STAGE_SELECTION_CIRCLE: HandleHolder<"renderstage">;
    const RENDER_STAGE_INDICATOR: HandleHolder<"renderstage">;
    const RENDER_STAGE_FOOTPRINT: HandleHolder<"renderstage">;
    const RENDER_STAGE_DOODAD: HandleHolder<"renderstage">;
    const RENDER_STAGE_SPRITE: HandleHolder<"renderstage">;
    const RENDER_STAGE_SELECTION_SPRITE: HandleHolder<"renderstage">;
    const RENDER_STAGE_DECORATION: HandleHolder<"renderstage">;
    const RENDER_STAGE_WATER: HandleHolder<"renderstage">;
    const RENDER_STAGE_SELECTION_BOX: HandleHolder<"renderstage">;
    const RENDER_STAGE_TEXTURE: HandleHolder<"renderstage">;
    const RENDER_STAGE_OCCLUSION_MASK: HandleHolder<"renderstage">;
    const RENDER_STAGE_BUILDING: HandleHolder<"renderstage">;
    const RENDER_STAGE_UBERSPLAT: HandleHolder<"renderstage">;
    const RENDER_STAGE_LIGHTNING: HandleHolder<"renderstage">;
    const RENDER_STAGE_TEXTTAG: HandleHolder<"renderstage">;
    const BORDER_FLAG_UPPER_LEFT: unknown;
    const BORDER_FLAG_UPPER_RIGHT: unknown;
    const BORDER_FLAG_BOTTOM_LEFT: unknown;
    const BORDER_FLAG_BOTTOM_RIGHT: unknown;
    const BORDER_FLAG_TOP: unknown;
    const BORDER_FLAG_LEFT: unknown;
    const BORDER_FLAG_BOTTOM: unknown;
    const BORDER_FLAG_RIGHT: unknown;
    const BORDER_FLAG_ALL: unknown;
    const bj_PI: unknown;
    const bj_E: unknown;
    const bj_CELLWIDTH: unknown;
    const bj_CLIFFHEIGHT: unknown;
    const bj_UNIT_FACING: unknown;
    const bj_RADTODEG: unknown;
    const bj_DEGTORAD: unknown;
    const bj_TEXT_DELAY_QUEST: unknown;
    const bj_TEXT_DELAY_QUESTUPDATE: unknown;
    const bj_TEXT_DELAY_QUESTDONE: unknown;
    const bj_TEXT_DELAY_QUESTFAILED: unknown;
    const bj_TEXT_DELAY_QUESTREQUIREMENT: unknown;
    const bj_TEXT_DELAY_MISSIONFAILED: unknown;
    const bj_TEXT_DELAY_ALWAYSHINT: unknown;
    const bj_TEXT_DELAY_HINT: unknown;
    const bj_TEXT_DELAY_SECRET: unknown;
    const bj_TEXT_DELAY_UNITACQUIRED: unknown;
    const bj_TEXT_DELAY_UNITAVAILABLE: unknown;
    const bj_TEXT_DELAY_ITEMACQUIRED: unknown;
    const bj_TEXT_DELAY_WARNING: unknown;
    const bj_QUEUE_DELAY_QUEST: unknown;
    const bj_QUEUE_DELAY_HINT: unknown;
    const bj_QUEUE_DELAY_SECRET: unknown;
    const bj_HANDICAP_EASY: unknown;
    const bj_GAME_STARTED_THRESHOLD: unknown;
    const bj_WAIT_FOR_COND_MIN_INTERVAL: unknown;
    const bj_POLLED_WAIT_INTERVAL: unknown;
    const bj_POLLED_WAIT_SKIP_THRESHOLD: unknown;
    const bj_MAX_INVENTORY: unknown;
    const bj_MAX_PLAYERS: unknown;
    const bj_PLAYER_NEUTRAL_VICTIM: unknown;
    const bj_PLAYER_NEUTRAL_EXTRA: unknown;
    const bj_MAX_PLAYER_SLOTS: unknown;
    const bj_MAX_SKELETONS: unknown;
    const bj_MAX_STOCK_ITEM_SLOTS: unknown;
    const bj_MAX_STOCK_UNIT_SLOTS: unknown;
    const bj_MAX_ITEM_LEVEL: unknown;
    const bj_TOD_DAWN: unknown;
    const bj_TOD_DUSK: unknown;
    const bj_MELEE_STARTING_TOD: unknown;
    const bj_MELEE_STARTING_GOLD_V0: unknown;
    const bj_MELEE_STARTING_GOLD_V1: unknown;
    const bj_MELEE_STARTING_LUMBER_V0: unknown;
    const bj_MELEE_STARTING_LUMBER_V1: unknown;
    const bj_MELEE_STARTING_HERO_TOKENS: unknown;
    const bj_MELEE_HERO_LIMIT: unknown;
    const bj_MELEE_HERO_TYPE_LIMIT: unknown;
    const bj_MELEE_MINE_SEARCH_RADIUS: unknown;
    const bj_MELEE_CLEAR_UNITS_RADIUS: unknown;
    const bj_MELEE_CRIPPLE_TIMEOUT: unknown;
    const bj_MELEE_CRIPPLE_MSG_DURATION: unknown;
    const bj_MELEE_MAX_TWINKED_HEROES_V0: unknown;
    const bj_MELEE_MAX_TWINKED_HEROES_V1: unknown;
    const bj_CREEP_ITEM_DELAY: unknown;
    const bj_STOCK_RESTOCK_INITIAL_DELAY: unknown;
    const bj_STOCK_RESTOCK_INTERVAL: unknown;
    const bj_STOCK_MAX_ITERATIONS: unknown;
    const bj_MAX_DEST_IN_REGION_EVENTS: unknown;
    const bj_CAMERA_MIN_FARZ: unknown;
    const bj_CAMERA_DEFAULT_DISTANCE: unknown;
    const bj_CAMERA_DEFAULT_FARZ: unknown;
    const bj_CAMERA_DEFAULT_AOA: unknown;
    const bj_CAMERA_DEFAULT_FOV: unknown;
    const bj_CAMERA_DEFAULT_ROLL: unknown;
    const bj_CAMERA_DEFAULT_ROTATION: unknown;
    const bj_RESCUE_PING_TIME: unknown;
    const bj_NOTHING_SOUND_DURATION: unknown;
    const bj_TRANSMISSION_PING_TIME: unknown;
    const bj_TRANSMISSION_IND_RED: unknown;
    const bj_TRANSMISSION_IND_BLUE: unknown;
    const bj_TRANSMISSION_IND_GREEN: unknown;
    const bj_TRANSMISSION_IND_ALPHA: unknown;
    const bj_TRANSMISSION_PORT_HANGTIME: unknown;
    const bj_CINEMODE_INTERFACEFADE: unknown;
    const bj_CINEMODE_GAMESPEED: HandleHolder<"gamespeed">;
    const bj_CINEMODE_VOLUME_UNITMOVEMENT: unknown;
    const bj_CINEMODE_VOLUME_UNITSOUNDS: unknown;
    const bj_CINEMODE_VOLUME_COMBAT: unknown;
    const bj_CINEMODE_VOLUME_SPELLS: unknown;
    const bj_CINEMODE_VOLUME_UI: unknown;
    const bj_CINEMODE_VOLUME_MUSIC: unknown;
    const bj_CINEMODE_VOLUME_AMBIENTSOUNDS: unknown;
    const bj_CINEMODE_VOLUME_FIRE: unknown;
    const bj_SPEECH_VOLUME_UNITMOVEMENT: unknown;
    const bj_SPEECH_VOLUME_UNITSOUNDS: unknown;
    const bj_SPEECH_VOLUME_COMBAT: unknown;
    const bj_SPEECH_VOLUME_SPELLS: unknown;
    const bj_SPEECH_VOLUME_UI: unknown;
    const bj_SPEECH_VOLUME_MUSIC: unknown;
    const bj_SPEECH_VOLUME_AMBIENTSOUNDS: unknown;
    const bj_SPEECH_VOLUME_FIRE: unknown;
    const bj_SMARTPAN_TRESHOLD_PAN: unknown;
    const bj_SMARTPAN_TRESHOLD_SNAP: unknown;
    const bj_MAX_QUEUED_TRIGGERS: unknown;
    const bj_QUEUED_TRIGGER_TIMEOUT: unknown;
    const bj_CAMPAIGN_INDEX_T: unknown;
    const bj_CAMPAIGN_INDEX_H: unknown;
    const bj_CAMPAIGN_INDEX_U: unknown;
    const bj_CAMPAIGN_INDEX_O: unknown;
    const bj_CAMPAIGN_INDEX_N: unknown;
    const bj_CAMPAIGN_INDEX_XN: unknown;
    const bj_CAMPAIGN_INDEX_XH: unknown;
    const bj_CAMPAIGN_INDEX_XU: unknown;
    const bj_CAMPAIGN_INDEX_XO: unknown;
    const bj_CAMPAIGN_OFFSET_T: unknown;
    const bj_CAMPAIGN_OFFSET_H: unknown;
    const bj_CAMPAIGN_OFFSET_U: unknown;
    const bj_CAMPAIGN_OFFSET_O: unknown;
    const bj_CAMPAIGN_OFFSET_N: unknown;
    const bj_CAMPAIGN_OFFSET_XN: unknown;
    const bj_CAMPAIGN_OFFSET_XH: unknown;
    const bj_CAMPAIGN_OFFSET_XU: unknown;
    const bj_CAMPAIGN_OFFSET_XO: unknown;
    const bj_MISSION_INDEX_T00: unknown;
    const bj_MISSION_INDEX_T01: unknown;
    const bj_MISSION_INDEX_H00: unknown;
    const bj_MISSION_INDEX_H01: unknown;
    const bj_MISSION_INDEX_H02: unknown;
    const bj_MISSION_INDEX_H03: unknown;
    const bj_MISSION_INDEX_H04: unknown;
    const bj_MISSION_INDEX_H05: unknown;
    const bj_MISSION_INDEX_H06: unknown;
    const bj_MISSION_INDEX_H07: unknown;
    const bj_MISSION_INDEX_H08: unknown;
    const bj_MISSION_INDEX_H09: unknown;
    const bj_MISSION_INDEX_H10: unknown;
    const bj_MISSION_INDEX_H11: unknown;
    const bj_MISSION_INDEX_U00: unknown;
    const bj_MISSION_INDEX_U01: unknown;
    const bj_MISSION_INDEX_U02: unknown;
    const bj_MISSION_INDEX_U03: unknown;
    const bj_MISSION_INDEX_U05: unknown;
    const bj_MISSION_INDEX_U07: unknown;
    const bj_MISSION_INDEX_U08: unknown;
    const bj_MISSION_INDEX_U09: unknown;
    const bj_MISSION_INDEX_U10: unknown;
    const bj_MISSION_INDEX_U11: unknown;
    const bj_MISSION_INDEX_O00: unknown;
    const bj_MISSION_INDEX_O01: unknown;
    const bj_MISSION_INDEX_O02: unknown;
    const bj_MISSION_INDEX_O03: unknown;
    const bj_MISSION_INDEX_O04: unknown;
    const bj_MISSION_INDEX_O05: unknown;
    const bj_MISSION_INDEX_O06: unknown;
    const bj_MISSION_INDEX_O07: unknown;
    const bj_MISSION_INDEX_O08: unknown;
    const bj_MISSION_INDEX_O09: unknown;
    const bj_MISSION_INDEX_O10: unknown;
    const bj_MISSION_INDEX_N00: unknown;
    const bj_MISSION_INDEX_N01: unknown;
    const bj_MISSION_INDEX_N02: unknown;
    const bj_MISSION_INDEX_N03: unknown;
    const bj_MISSION_INDEX_N04: unknown;
    const bj_MISSION_INDEX_N05: unknown;
    const bj_MISSION_INDEX_N06: unknown;
    const bj_MISSION_INDEX_N07: unknown;
    const bj_MISSION_INDEX_N08: unknown;
    const bj_MISSION_INDEX_N09: unknown;
    const bj_MISSION_INDEX_XN00: unknown;
    const bj_MISSION_INDEX_XN01: unknown;
    const bj_MISSION_INDEX_XN02: unknown;
    const bj_MISSION_INDEX_XN03: unknown;
    const bj_MISSION_INDEX_XN04: unknown;
    const bj_MISSION_INDEX_XN05: unknown;
    const bj_MISSION_INDEX_XN06: unknown;
    const bj_MISSION_INDEX_XN07: unknown;
    const bj_MISSION_INDEX_XN08: unknown;
    const bj_MISSION_INDEX_XN09: unknown;
    const bj_MISSION_INDEX_XN10: unknown;
    const bj_MISSION_INDEX_XH00: unknown;
    const bj_MISSION_INDEX_XH01: unknown;
    const bj_MISSION_INDEX_XH02: unknown;
    const bj_MISSION_INDEX_XH03: unknown;
    const bj_MISSION_INDEX_XH04: unknown;
    const bj_MISSION_INDEX_XH05: unknown;
    const bj_MISSION_INDEX_XH06: unknown;
    const bj_MISSION_INDEX_XH07: unknown;
    const bj_MISSION_INDEX_XH08: unknown;
    const bj_MISSION_INDEX_XH09: unknown;
    const bj_MISSION_INDEX_XU00: unknown;
    const bj_MISSION_INDEX_XU01: unknown;
    const bj_MISSION_INDEX_XU02: unknown;
    const bj_MISSION_INDEX_XU03: unknown;
    const bj_MISSION_INDEX_XU04: unknown;
    const bj_MISSION_INDEX_XU05: unknown;
    const bj_MISSION_INDEX_XU06: unknown;
    const bj_MISSION_INDEX_XU07: unknown;
    const bj_MISSION_INDEX_XU08: unknown;
    const bj_MISSION_INDEX_XU09: unknown;
    const bj_MISSION_INDEX_XU10: unknown;
    const bj_MISSION_INDEX_XU11: unknown;
    const bj_MISSION_INDEX_XU12: unknown;
    const bj_MISSION_INDEX_XU13: unknown;
    const bj_MISSION_INDEX_XO00: unknown;
    const bj_CINEMATICINDEX_TOP: unknown;
    const bj_CINEMATICINDEX_HOP: unknown;
    const bj_CINEMATICINDEX_HED: unknown;
    const bj_CINEMATICINDEX_OOP: unknown;
    const bj_CINEMATICINDEX_OED: unknown;
    const bj_CINEMATICINDEX_UOP: unknown;
    const bj_CINEMATICINDEX_UED: unknown;
    const bj_CINEMATICINDEX_NOP: unknown;
    const bj_CINEMATICINDEX_NED: unknown;
    const bj_CINEMATICINDEX_XOP: unknown;
    const bj_CINEMATICINDEX_XED: unknown;
    const bj_ALLIANCE_UNALLIED: unknown;
    const bj_ALLIANCE_UNALLIED_VISION: unknown;
    const bj_ALLIANCE_ALLIED: unknown;
    const bj_ALLIANCE_ALLIED_VISION: unknown;
    const bj_ALLIANCE_ALLIED_UNITS: unknown;
    const bj_ALLIANCE_ALLIED_ADVUNITS: unknown;
    const bj_ALLIANCE_NEUTRAL: unknown;
    const bj_ALLIANCE_NEUTRAL_VISION: unknown;
    const bj_KEYEVENTTYPE_DEPRESS: unknown;
    const bj_KEYEVENTTYPE_RELEASE: unknown;
    const bj_KEYEVENTKEY_LEFT: unknown;
    const bj_KEYEVENTKEY_RIGHT: unknown;
    const bj_KEYEVENTKEY_DOWN: unknown;
    const bj_KEYEVENTKEY_UP: unknown;
    const bj_TIMETYPE_ADD: unknown;
    const bj_TIMETYPE_SET: unknown;
    const bj_TIMETYPE_SUB: unknown;
    const bj_CAMERABOUNDS_ADJUST_ADD: unknown;
    const bj_CAMERABOUNDS_ADJUST_SUB: unknown;
    const bj_QUESTTYPE_REQ_DISCOVERED: unknown;
    const bj_QUESTTYPE_REQ_UNDISCOVERED: unknown;
    const bj_QUESTTYPE_OPT_DISCOVERED: unknown;
    const bj_QUESTTYPE_OPT_UNDISCOVERED: unknown;
    const bj_QUESTMESSAGE_DISCOVERED: unknown;
    const bj_QUESTMESSAGE_UPDATED: unknown;
    const bj_QUESTMESSAGE_COMPLETED: unknown;
    const bj_QUESTMESSAGE_FAILED: unknown;
    const bj_QUESTMESSAGE_REQUIREMENT: unknown;
    const bj_QUESTMESSAGE_MISSIONFAILED: unknown;
    const bj_QUESTMESSAGE_ALWAYSHINT: unknown;
    const bj_QUESTMESSAGE_HINT: unknown;
    const bj_QUESTMESSAGE_SECRET: unknown;
    const bj_QUESTMESSAGE_UNITACQUIRED: unknown;
    const bj_QUESTMESSAGE_UNITAVAILABLE: unknown;
    const bj_QUESTMESSAGE_ITEMACQUIRED: unknown;
    const bj_QUESTMESSAGE_WARNING: unknown;
    const bj_SORTTYPE_SORTBYVALUE: unknown;
    const bj_SORTTYPE_SORTBYPLAYER: unknown;
    const bj_SORTTYPE_SORTBYLABEL: unknown;
    const bj_CINEFADETYPE_FADEIN: unknown;
    const bj_CINEFADETYPE_FADEOUT: unknown;
    const bj_CINEFADETYPE_FADEOUTIN: unknown;
    const bj_REMOVEBUFFS_POSITIVE: unknown;
    const bj_REMOVEBUFFS_NEGATIVE: unknown;
    const bj_REMOVEBUFFS_ALL: unknown;
    const bj_REMOVEBUFFS_NONTLIFE: unknown;
    const bj_BUFF_POLARITY_POSITIVE: unknown;
    const bj_BUFF_POLARITY_NEGATIVE: unknown;
    const bj_BUFF_POLARITY_EITHER: unknown;
    const bj_BUFF_RESIST_MAGIC: unknown;
    const bj_BUFF_RESIST_PHYSICAL: unknown;
    const bj_BUFF_RESIST_EITHER: unknown;
    const bj_BUFF_RESIST_BOTH: unknown;
    const bj_HEROSTAT_STR: unknown;
    const bj_HEROSTAT_AGI: unknown;
    const bj_HEROSTAT_INT: unknown;
    const bj_MODIFYMETHOD_ADD: unknown;
    const bj_MODIFYMETHOD_SUB: unknown;
    const bj_MODIFYMETHOD_SET: unknown;
    const bj_UNIT_STATE_METHOD_ABSOLUTE: unknown;
    const bj_UNIT_STATE_METHOD_RELATIVE: unknown;
    const bj_UNIT_STATE_METHOD_DEFAULTS: unknown;
    const bj_UNIT_STATE_METHOD_MAXIMUM: unknown;
    const bj_GATEOPERATION_CLOSE: unknown;
    const bj_GATEOPERATION_OPEN: unknown;
    const bj_GATEOPERATION_DESTROY: unknown;
    const bj_GAMECACHE_BOOLEAN: unknown;
    const bj_GAMECACHE_INTEGER: unknown;
    const bj_GAMECACHE_REAL: unknown;
    const bj_GAMECACHE_UNIT: unknown;
    const bj_GAMECACHE_STRING: unknown;
    const bj_HASHTABLE_BOOLEAN: unknown;
    const bj_HASHTABLE_INTEGER: unknown;
    const bj_HASHTABLE_REAL: unknown;
    const bj_HASHTABLE_STRING: unknown;
    const bj_HASHTABLE_HANDLE: unknown;
    const bj_ITEM_STATUS_HIDDEN: unknown;
    const bj_ITEM_STATUS_OWNED: unknown;
    const bj_ITEM_STATUS_INVULNERABLE: unknown;
    const bj_ITEM_STATUS_POWERUP: unknown;
    const bj_ITEM_STATUS_SELLABLE: unknown;
    const bj_ITEM_STATUS_PAWNABLE: unknown;
    const bj_ITEMCODE_STATUS_POWERUP: unknown;
    const bj_ITEMCODE_STATUS_SELLABLE: unknown;
    const bj_ITEMCODE_STATUS_PAWNABLE: unknown;
    const bj_MINIMAPPINGSTYLE_SIMPLE: unknown;
    const bj_MINIMAPPINGSTYLE_FLASHY: unknown;
    const bj_MINIMAPPINGSTYLE_ATTACK: unknown;
    const bj_CORPSE_MAX_DEATH_TIME: unknown;
    const bj_CORPSETYPE_FLESH: unknown;
    const bj_CORPSETYPE_BONE: unknown;
    const bj_ELEVATOR_BLOCKER_CODE: unknown;
    const bj_ELEVATOR_CODE01: unknown;
    const bj_ELEVATOR_CODE02: unknown;
    const bj_ELEVATOR_WALL_TYPE_ALL: unknown;
    const bj_ELEVATOR_WALL_TYPE_EAST: unknown;
    const bj_ELEVATOR_WALL_TYPE_NORTH: unknown;
    const bj_ELEVATOR_WALL_TYPE_SOUTH: unknown;
    const bj_ELEVATOR_WALL_TYPE_WEST: unknown;
}
