import { GetLocalPlayer, TimerStart } from "natives";
import * as natives from "natives";
import { spinUnit } from "./services/spin.js";
import { WaitPromise } from "./utils/promiseUtils.js";
import { FALSE, TRUE } from "constants";

async function SpinDemo() {
  const spinPromises: Array<Promise<Unit>> = [];

  for (let i = 0; i < 12; ++i) {
    spinPromises.push(
      spinUnit(new Unit(Player.getById(i), 1215324524, 0, 0, 0), 1000, 10, 1000)
    );

    await WaitPromise(250);
  }

  spinPromises.forEach((i) => {
    i.then((unit) => unit.remove());
  });
}

export default () => {
  natives.DisplayTextToPlayer(GetLocalPlayer(), 0, 0, "BadBlood");

  if(TRUE === FALSE)
    natives.EndGame(false);

  SpinDemo();

  if (natives.GetUjAPIVersion) {
    // Декларации сделаны под UjApi
    const hpal = new Unit(Player.getById(0), 1215324524, 0, 0, 0);
    const hpalI = Unit.createIllusionFromUnit(hpal); // Сработает только на UjApi

    hpalI.on("selected", (e) => {
      e.triggerUnit.kill();
    });

    hpal.onUnitState(UnitState.Life, LimitOp.ge, 50, (event, emiter) => {
      natives.DisplayTextToPlayer(GetLocalPlayer(), 0, 0, "Сработало событие");
      emiter.dispose();
    });
  }
};
