// eslint-disable-next-line @typescript-eslint/triple-slash-reference
/// <reference path="bootstrap.d.ts" />
// eslint-disable-next-line @typescript-eslint/triple-slash-reference
/// <reference path="bootstrap.d.ts" />
declare module "natives" {
    /**
     * Returns the race that corresponds to the given integer.
     * @param i The integer representation of the race.
     *
     * @pure 
     *
     *
     */
    function ConvertRace(i: number): HandleHolder<"race">;

    /**
     * Returns the alliancetype that corresponds to the given integer.
     * @param i The integer representation of the alliancetype.
     *
     * @pure 
     *
     *
     */
    function ConvertAllianceType(i: number): HandleHolder<"alliancetype">;

    /**
     * Returns the racepreference that corresponds to the given integer.
     * @param i The integer representation of the racepreference.
     *
     * @pure 
     *
     *
     */
    function ConvertRacePref(i: number): HandleHolder<"racepreference">;

    /**
     * Returns the igamestate that corresponds to the given integer.
     * @param i The integer representation of the igamestate.
     *
     * @pure 
     *
     *
     */
    function ConvertIGameState(i: number): HandleHolder<"igamestate">;

    /**
     * Returns the fgamestate that corresponds to the given integer.
     * @param i The integer representation of the fgamestate.
     *
     * @pure 
     *
     *
     */
    function ConvertFGameState(i: number): HandleHolder<"fgamestate">;

    /**
     * Returns the playerstate that corresponds to the given integer.
     * @param i The integer representation of the playerstate.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerState(i: number): HandleHolder<"playerstate">;

    /**
     * Returns the playerscore that corresponds to the given integer.
     * @param i The integer representation of the playerscore.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerScore(i: number): HandleHolder<"playerscore">;

    /**
     * Returns the playergameresult that corresponds to the given integer.
     * @param i The integer representation of the playergameresult.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerGameResult(i: number): HandleHolder<"playergameresult">;

    /**
     * Returns unitstate, first index is 0. 
     *
     * It is used to define the constants representing unit state. Accepts any integer, the unitstate reference is always the same for a given integer.
     *
     * **Example:** `constant unitstate UNIT_STATE_MAX_MANA = ConvertUnitState(3)`
     *
     * @param i The integer representation of the unitstate.
     *
     *
     * @note See: `GetUnitState`, `SetUnitState`.
     * @pure 
     *
     *
     */
    function ConvertUnitState(i: number): HUnitState;

    /**
     * Returns the aidifficulty that corresponds to the given integer.
     * @param i The integer representation of the aidifficulty.
     *
     * @pure 
     *
     *
     */
    function ConvertAIDifficulty(i: number): HandleHolder<"aidifficulty">;

    /**
     * Returns the gameevent that corresponds to the given integer.
     * @param i The integer representation of the gameevent.
     *
     * @pure 
     *
     *
     */
    function ConvertGameEvent(i: number): HandleHolder<"gameevent">;

    /**
     * Returns the playerevent that corresponds to the given integer.
     * @param i The integer representation of the playerevent.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerEvent(i: number): HandleHolder<"playerevent">;

    /**
     * Returns the playerunitevent that corresponds to the given integer.
     * @param i The integer representation of the playerunitevent.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerUnitEvent(i: number): HandleHolder<"playerunitevent">;

    /**
     * Returns the widgetevent that corresponds to the given integer.
     * @param i The integer representation of the widgetevent.
     *
     * @pure 
     *
     *
     */
    function ConvertWidgetEvent(i: number): HandleHolder<"widgetevent">;

    /**
     * Returns the dialogevent that corresponds to the given integer.
     * @param i The integer representation of the dialogevent.
     *
     * @pure 
     *
     *
     */
    function ConvertDialogEvent(i: number): HandleHolder<"dialogevent">;

    /**
     * Returns the unitevent that corresponds to the given integer.
     * @param i The integer representation of the unitevent.
     *
     * @pure 
     *
     *
     */
    function ConvertUnitEvent(i: number): HUnitEvent;

    /**
     * Returns the limitop that corresponds to the given integer.
     * @param i The integer representation of the limitop.
     *
     * @pure 
     *
     *
     */
    function ConvertLimitOp(i: number): HandleHolder<"limitop">;

    /**
     * Returns the unittype that corresponds to the given integer.
     * @param i The integer representation of the unittype.
     *
     * @pure 
     *
     *
     */
    function ConvertUnitType(i: number): HandleHolder<"unittype">;

    /**
     * Returns the gamespeed that corresponds to the given integer.
     *
     * It is used to define the constants representing gamespeed. First index is 0. Accepts any integer, the reference is always the same for a given integer.
     *
     * @param i The integer representation of the gamespeed.
     *
     * @pure 
     *
     *
     */
    function ConvertGameSpeed(i: number): HandleHolder<"gamespeed">;

    /**
     * Returns the placement that corresponds to the given integer.
     * @param i The integer representation of the placement.
     *
     * @pure 
     *
     *
     */
    function ConvertPlacement(i: number): HandleHolder<"placement">;

    /**
     * Returns the startlocprio that corresponds to the given integer.
     * @param i The integer representation of the startlocprio.
     *
     * @pure 
     *
     *
     */
    function ConvertStartLocPrio(i: number): HandleHolder<"startlocprio">;

    /**
     * Returns the gamedifficulty that corresponds to the given integer.
     * @param i The integer representation of the gamedifficulty.
     *
     * @pure 
     *
     *
     */
    function ConvertGameDifficulty(i: number): HandleHolder<"gamedifficulty">;

    /**
     * Returns the gametype that corresponds to the given integer.
     * @param i The integer representation of the gametype.
     *
     * @pure 
     *
     *
     */
    function ConvertGameType(i: number): HandleHolder<"gametype">;

    /**
     * Returns the mapflag that corresponds to the given integer.
     * @param i The integer representation of the mapflag.
     *
     * @pure 
     *
     *
     */
    function ConvertMapFlag(i: number): HandleHolder<"mapflag">;

    /**
     * Returns the mapvisibility that corresponds to the given integer.
     * @param i The integer representation of the mapvisibility.
     *
     * @pure 
     *
     *
     */
    function ConvertMapVisibility(i: number): HandleHolder<"mapvisibility">;

    /**
     * Returns the mapsetting that corresponds to the given integer.
     * @param i The integer representation of the mapsetting.
     *
     * @pure 
     *
     *
     */
    function ConvertMapSetting(i: number): HandleHolder<"mapsetting">;

    /**
     * Returns the mapdensity that corresponds to the given integer.
     * @param i The integer representation of the mapdensity.
     *
     * @pure 
     *
     *
     */
    function ConvertMapDensity(i: number): HandleHolder<"mapdensity">;

    /**
     * Returns the mapcontrol that corresponds to the given integer.
     * @param i The integer representation of the mapcontrol.
     *
     * @pure 
     *
     *
     */
    function ConvertMapControl(i: number): HandleHolder<"mapcontrol">;

    /**
     * Returns the playercolor that corresponds to the given integer.
     * @param i The integer representation of the playercolor.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerColor(i: number): HandleHolder<"playercolor">;

    /**
     * Returns the playerslotstate that corresponds to the given integer.
     * @param i The integer representation of the playerslotstate.
     *
     * @pure 
     *
     *
     */
    function ConvertPlayerSlotState(i: number): HandleHolder<"playerslotstate">;

    /**
     * Returns the volumegroup that corresponds to the given integer.
     * @param i The integer representation of the volumegroup.
     *
     * @pure 
     *
     *
     */
    function ConvertVolumeGroup(i: number): HandleHolder<"volumegroup">;

    /**
     * Returns the camerafield that corresponds to the given integer.
     * @param i The integer representation of the camerafield.
     *
     * @pure 
     *
     *
     */
    function ConvertCameraField(i: number): HandleHolder<"camerafield">;

    /**
     * Returns the blendmode that corresponds to the given integer.
     * @param i The integer representation of the blendmode.
     *
     * @pure 
     *
     *
     */
    function ConvertBlendMode(i: number): HandleHolder<"blendmode">;

    /**
     * Returns the raritycontrol that corresponds to the given integer.
     * @param i The integer representation of the raritycontrol.
     *
     * @pure 
     *
     *
     */
    function ConvertRarityControl(i: number): HandleHolder<"raritycontrol">;

    /**
     * Returns the texmapflags that corresponds to the given integer.
     * @param i The integer representation of the texmapflags.
     *
     * @pure 
     *
     *
     */
    function ConvertTexMapFlags(i: number): HandleHolder<"texmapflags">;

    /**
     * Converts a bitmask in integer i to a fog of war type. See: `fogstate`.
     *
     *
     * @note Can be used for extended typecasting.
     * <http://www.hiveworkshop.com/forums/j-280/t-232039/>
     * @pure 
     *
     *
     */
    function ConvertFogState(i: number): HandleHolder<"fogstate">;

    /**
     * Returns the effecttype that corresponds to the given integer.
     * @param i The integer representation of the effecttype.
     *
     * @pure 
     *
     *
     */
    function ConvertEffectType(i: number): HandleHolder<"effecttype">;

    /**
     * Returns the version that corresponds to the given integer.
     * @param i The integer representation of the version.
     *
     * @pure 
     *
     *
     */
    function ConvertVersion(i: number): HandleHolder<"version">;

    /**
     * Returns the itemtype that corresponds to the given integer.
     * @param i The integer representation of the itemtype.
     *
     * @pure 
     *
     *
     */
    function ConvertItemType(i: number): HandleHolder<"itemtype">;

    /**
     *
     *
     * @note Blizzard only defined attack-types 0 to 6 but there is a hidden one:
     * `ConvertAttackType(7)`.
     * <http://www.hiveworkshop.com/forums/t-269/h-227993/>
     * @pure 
     *
     *
     */
    function ConvertAttackType(i: number): HandleHolder<"attacktype">;

    /**
     * Returns the damagetype that corresponds to the given integer.
     * @param i The integer representation of the damagetype.
     *
     * @pure 
     *
     *
     */
    function ConvertDamageType(i: number): HandleHolder<"damagetype">;

    /**
     * Returns the weapontype that corresponds to the given integer.
     * @param i The integer representation of the weapontype.
     *
     * @pure 
     *
     *
     */
    function ConvertWeaponType(i: number): HandleHolder<"weapontype">;

    /**
     * Returns the soundtype that corresponds to the given integer.
     * @param i The integer representation of the soundtype.
     *
     * @pure 
     *
     *
     */
    function ConvertSoundType(i: number): HandleHolder<"soundtype">;

    /**
     * Returns the pathingtype that corresponds to the given integer.
     * @param i The integer representation of the pathingtype.
     *
     * @pure 
     *
     *
     */
    function ConvertPathingType(i: number): HandleHolder<"pathingtype">;

    function ConvertProjectileType(i: number): HandleHolder<"projectiletype">;

    function ConvertMappedField(i: number): HandleHolder<"mappedfield">;

    function ConvertAttachmentType(i: number): HandleHolder<"attachmenttype">;

    function ConvertBoneType(i: number): HandleHolder<"bonetype">;

    /**
     * Returns the animtype that corresponds to the given integer.
     * @param i The integer representation of the animtype.
     *
     * @pure 
     * @patch 1.30
     *
     *
     */
    function ConvertAnimType(i: number): HandleHolder<"animtype">;

    /**
     * Returns the subanimtype that corresponds to the given integer.
     * @param i The integer representation of the subanimtype.
     *
     * @pure 
     * @patch 1.30
     *
     *
     */
    function ConvertSubAnimType(i: number): HandleHolder<"subanimtype">;

    function ConvertCursorAnimType(i: number): HandleHolder<"cursoranimtype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertOriginFrameType(i: number): HandleHolder<"originframetype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertFramePointType(i: number): HandleHolder<"framepointtype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertTextAlignType(i: number): HandleHolder<"textaligntype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertFrameEventType(i: number): HandleHolder<"frameeventtype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertOsKeyType(i: number): HandleHolder<"oskeytype">;

    /**
     * Returns the mousebuttontype that corresponds to the given integer.
     * @param i The integer representation of the mousebuttontype.
     *
     * @pure 
     * @patch 1.29
     *
     *
     */
    function ConvertMouseButtonType(i: number): HandleHolder<"mousebuttontype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityIntegerField(i: number): HandleHolder<"abilityintegerfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityRealField(i: number): HandleHolder<"abilityrealfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityBooleanField(i: number): HandleHolder<"abilitybooleanfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityStringField(i: number): HandleHolder<"abilitystringfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityIntegerLevelField(i: number): HandleHolder<"abilityintegerlevelfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityRealLevelField(i: number): HandleHolder<"abilityreallevelfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityBooleanLevelField(i: number): HandleHolder<"abilitybooleanlevelfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityStringLevelField(i: number): HandleHolder<"abilitystringlevelfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityIntegerLevelArrayField(i: number): HandleHolder<"abilityintegerlevelarrayfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityRealLevelArrayField(i: number): HandleHolder<"abilityreallevelarrayfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityBooleanLevelArrayField(i: number): HandleHolder<"abilitybooleanlevelarrayfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertAbilityStringLevelArrayField(i: number): HandleHolder<"abilitystringlevelarrayfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitIntegerField(i: number): HandleHolder<"unitintegerfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitRealField(i: number): HandleHolder<"unitrealfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitBooleanField(i: number): HandleHolder<"unitbooleanfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitStringField(i: number): HandleHolder<"unitstringfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitWeaponIntegerField(i: number): HandleHolder<"unitweaponintegerfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitWeaponRealField(i: number): HandleHolder<"unitweaponrealfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitWeaponBooleanField(i: number): HandleHolder<"unitweaponbooleanfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitWeaponStringField(i: number): HandleHolder<"unitweaponstringfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertItemIntegerField(i: number): HandleHolder<"itemintegerfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertItemRealField(i: number): HandleHolder<"itemrealfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertItemBooleanField(i: number): HandleHolder<"itembooleanfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertItemStringField(i: number): HandleHolder<"itemstringfield">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertMoveType(i: number): HandleHolder<"movetype">;

    function ConvertPathingAIType(i: number): HandleHolder<"pathingaitype">;

    function ConvertCollisionType(i: number): HandleHolder<"collisiontype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertTargetFlag(i: number): HandleHolder<"targetflag">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertArmorType(i: number): HandleHolder<"armortype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertHeroAttribute(i: number): HandleHolder<"heroattribute">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertDefenseType(i: number): HandleHolder<"defensetype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertRegenType(i: number): HandleHolder<"regentype">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertUnitCategory(i: number): HandleHolder<"unitcategory">;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function ConvertPathingFlag(i: number): HandleHolder<"pathingflag">;

    function ConvertTimeType(i: number): HandleHolder<"timetype">;

    function ConvertVariableType(i: number): HandleHolder<"variabletype">;

    function ConvertRenderStage(i: number): HandleHolder<"renderstage">;

    /**
     * Returns an internal ID for the unit order string.
     *
     * **Example (Lua):**
     *
     * ```lua
     * OrderId("humanbuild") == 851995 -- this order opens the human build menu
     * ```
     *
     *
     * @note See: `OrderId2String`
     *
     * @bug Do not use this in a global initialisation (map init) as it returns 0 there.
     * @bug 
     * Orders: `humainbuild` / `orcbuild` / `nightelfbuild` / `undeadbuild` are [totally broken](https://www.hiveworkshop.com/threads/build-order-causing-all-player-builders-to-open-build-menu.339196/post-3529953), don't issue them.
     *
     * @pure 
     *
     *
     */
    function OrderId(orderIdString: string): number;

    /**
     * Returns the human-readable unit order string.
     *
     * **Example (Lua):**
     *
     * ```lua
     * OrderId2String(851995) --> returns "humanbuild" (opens human build menu)
     * ```
     *
     *
     * @note See: `OrderId`
     *
     * @pure 
     * @bug Always returns null after the game is loaded/if the game is a replay.
     * @bug Do not use this in a global initialisation (map init) as it returns null there.
     *
     *
     */
    function OrderId2String(orderId: number): string;

    function UnitId(unitIdString: string): number;

    /**
     * **Example (Lua):** `UnitId2String( FourCC("hfoo") ) --> "footman" (internal name, not localized)`lua
     *
     *
     * @note See `GetObjectName` if you need to retrieve a unit's localized pretty name by the type ID.
     *
     * @bug Always returns null after the game is loaded/if the game is a replay.
     * @bug Do not use this in a global initialisation (on map init) as it returns null there.
     *
     *
     */
    function UnitId2String(unitId: number): string;

    /**
     *
     *
     * @bug Not working correctly.
     * @pure 
     *
     *
     */
    function AbilityId(abilityIdString: string): number;

    /**
     *
     *
     * @bug Not working correctly.
     * @pure 
     *
     *
     */
    function AbilityId2String(abilityId: number): string;

    /**
     * Returns localized value for field "name" for the given object type ID (unit, item, ability).
     * In WorldEdit this is "Text - Name".
     *
     * **Example (Lua):** `GetObjectName( FourCC("hfoo") ) --> "Footman"`lua
     *
     *
     * @note See: `UnitId2String`.
     *
     * @pure 
     * @async 
     * @bug Do not use this in a global initialisation (on map init) as it crashes the game there.
     *
     *
     */
    function GetObjectName(objectId: number): string;

    /**
     * Returns the maximum number of playable player slots regardless of map options.
     *
     * * Classic: 12 (hardcoded as `bj_MAX_PLAYERS`)
     * * Reforged: 24
     *
     * @note This is only affected by WorldEditor version (>=6060) specified in the map's war3map.w3i file.
     * [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     * @note See: `bj_MAX_PLAYERS`, `GetBJMaxPlayerSlots`.
     *
     * @patch 1.29.0.8803
     *
     */
    function GetBJMaxPlayers(): number;

    /**
     * Returns the zero-based ID of neutral victim player.
     *
     * * Classic: 13 (hardcoded as `bj_PLAYER_NEUTRAL_VICTIM`)
     * * Reforged: 25
     *
     * @note This is only affected by WorldEditor version (>=6060) specified in the map's war3map.w3i file.
     * [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     *
     * @note See: `bj_PLAYER_NEUTRAL_VICTIM`, `GetPlayerNeutralAggressive`, `GetBJPlayerNeutralExtra`, `GetPlayerNeutralPassive`.
     *
     * @patch 1.29.0.8803
     *
     */
    function GetBJPlayerNeutralVictim(): number;

    /**
     * Returns the zero-based ID of neutral extra player.
     *
     * * Classic: 14 (hardcoded as `bj_PLAYER_NEUTRAL_EXTRA`)
     * * Reforged: 26
     *
     * @note This is only affected by WorldEditor version (>=6060) specified in the map's war3map.w3i file.
     * [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     *
     * @note See: `bj_PLAYER_NEUTRAL_EXTRA`, `GetPlayerNeutralAggressive`, `GetPlayerNeutralPassive`, `GetBJPlayerNeutralVictim`.
     *
     * @patch 1.29.0.8803
     *
     */
    function GetBJPlayerNeutralExtra(): number;

    /**
     * Returns the maximum number of internal player slots regardless of map options.
     *
     * * Classic: 16 (hardcoded as `bj_MAX_PLAYER_SLOTS`)
     * * Reforged: 28
     *
     * @note This is only affected by WorldEditor version (>=6060) specified in the map's war3map.w3i file.
     * [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     * @note See: `bj_MAX_PLAYER_SLOTS`, `GetBJMaxPlayers`.
     *
     * @patch 1.29.0.8803
     *
     */
    function GetBJMaxPlayerSlots(): number;

    /**
     * Returns the zero-based ID of neutral passive player.
     *
     * * Classic: 15 (hardcoded as `PLAYER_NEUTRAL_PASSIVE`)
     * * Reforged: 27
     *
     * @note This is only affected by WorldEditor version (>=6060) specified in the map's war3map.w3i file.
     * [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     * See: `PLAYER_NEUTRAL_PASSIVE`, `GetPlayerNeutralAggressive`, `GetBJPlayerNeutralExtra`, `GetBJPlayerNeutralVictim`.
     *
     * @patch 1.29.0.8803
     *
     */
    function GetPlayerNeutralPassive(): number;

    /**
     * Returns the zero-based ID of neutral aggressive player.
     *
     * * Classic: 12 (hardcoded as `PLAYER_NEUTRAL_AGGRESSIVE`)
     * * Reforged: 24
     *
     * @note This is only affected by WorldEditor version (>=6060) specified in the map's war3map.w3i file.
     * [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     * See: `PLAYER_NEUTRAL_AGGRESSIVE`, `GetBJPlayerNeutralExtra`, `GetPlayerNeutralPassive`, `GetBJPlayerNeutralVictim`.
     *
     * @patch 1.29.0.8803
     *
     */
    function GetPlayerNeutralAggressive(): number;

    function GetJassArrayLimit(): number;

    function GetTextTagLimit(): number;

    /**
     * Converts degrees into radians. This is similar to multiplying the degree value by pi / 2.
     *
     * @param degrees The degree input.
     *
     *
     * @note This is slightly more accurate than multiplying the degree value
     * by `bj_PI / 2`. `bj_PI` has a value of 3.14159. This native uses a pi value closer to 3.141592496.
     *
     * @pure 
     *
     *
     */
    function Deg2Rad(degrees: number): number;

    /**
     * Converts a radian value into its degree equivalent.
     *
     * @param radians The radian value to be converted.
     *
     *
     * @pure 
     *
     *
     */
    function Rad2Deg(radians: number): number;

    /**
     * Takes a real value input in radians and returns its sine value. The domain of
     * the input is all real numbers and the range of the output is -1 to 1 inclusive.
     *
     * @param radians The input radians.
     *
     *
     * @pure 
     *
     *
     */
    function Sin(radians: number): number;

    /**
     * Takes a real value input in radians and returns its cosine value. The domain of
     * the input is all real numbers and the range of the output is -1 to 1 inclusive.
     *
     * @param radians The input radians.
     *
     *
     * @pure 
     *
     *
     */
    function Cos(radians: number): number;

    /**
     * Takes a real value input in radians and returns its tangent value.
     *
     * @param radians The input radians.
     *
     * @pure 
     *
     *
     */
    function Tan(radians: number): number;

    /**
     * Arcsine, one of inverse trigonometric functions. The result is returned in
     * radians in range [-Pi/2;Pi/2].
     * Returns 0 for invalid input.
     *
     * @param y A value between -1 and 1.
     *
     * @pure 
     *
     *
     */
    function Asin(y: number): number;

    /**
     * Arccos, one of inverse trigonometric functions. The result is returned in
     * radians in range [-Pi/2;Pi/2].
     * Returns 0 for invalid input.
     *
     * @param x A value between -1 and 1.
     *
     * @pure 
     *
     *
     */
    function Acos(x: number): number;

    /**
     * Arctangen, one of the inverse trigonometric functions. The result is returned
     * in radians in range [-π/2, π/2].
     * Returns 0 for invalid input.
     *
     * @param x A value between -1 and 1.
     *
     * @pure 
     *
     *
     */
    function Atan(x: number): number;

    /**
     * Arctangent function with two arguments.
     * The result is returned in radians in range (-Pi;Pi].
     * Returns 0 if x and y are both 0
     *
     * @pure 
     *
     *
     */
    function Atan2(y: number, x: number): number;

    /**
     * Returns the square root of x.
     * If x is less than or equal to zero this returns 0.0
     *
     * @param x Should be greater than or equal to 0.
     *
     *
     * @pure 
     *
     *
     */
    function SquareRoot(x: number): number;

    /**
     * Computes x to the y'th power.
     * If y is zero this returns 1.0 and if both x is zero and y is less than zero this returns 0.0
     *
     *
     * @pure 
     *
     *
     */
    function Pow(x: number, power: number): number;

    /**
     * Returns a real representation for integer i.
     *
     * Lua: If i is not an integer or i is null, raises an error.
     *
     *
     * @pure 
     *
     *
     */
    function I2R(i: number): number;

    /**
     * Returns an integer representation for real r. The output will be rounded towards 0 if it is a real number.
     *
     * Lua: Only raises an error if r is null.
     *
     * For extermely large values the minimum/maximum representable signed integer will be returned
     * (e.g. for Lua: `math.mininteger`lua and `math.maxinteger`lua)
     *
     *
     * @note NaN is not a possible value in Warcraft 3 (always reset to 1.0).
     *
     * @pure 
     *
     *
     */
    function R2I(r: number): number;

    /**
     * Returns the string representation for integer i.
     *
     * Lua: Raises an error if i is null or has no integer representation.
     *
     *
     * @pure 
     *
     *
     */
    function I2S(i: number): string;

    /**
     * Returns a string representation for real r with precision of 3 digits.
     * The real is correctly rounded to nearest to fit within the precision.
     *
     * Lua: Raises an error if r is null.
     *
     * **Example:**
     *
     * `R2S(1.12) --> 1.120`lua
     * Equivalent to: `R2SW(r, 0, 3)` and Lua: `string.format("%.3f", r)`lua
     *
     *
     * @note See: `R2SW`.
     *
     * @pure 
     *
     *
     */
    function R2S(r: number): string;

    /**
     * Returns a string representation for real r with precision digits and width.
     * The real is correctly rounded to nearest to fit within the precision.
     *
     * Lua: Raises an error if r is null.
     *
     * Works similar to C/C++ [printf](https://www.cplusplus.com/reference/cstdio/printf/),
     * but does not support negative width (left-align with right padding).
     *
     * **Example (Lua):**
     *
     * ```lua
     * R2SW(31.1235, 5, 3) == "31.124"
     * R2SW(1, 5, 0) == "  1.0" --> two spaces followed by number
     * ```
     * 	
     *
     * @param r The number to be converted.
     * @param width The width of the string. If the width of the resulting conversion
     *              is too small the string will be filled with spaces.
     *              Use 0 for no padding.
     * @param precision The amount of decimal places. The minimum possible precision is 1 (automatically set).
     *
     *
     * @note See: `R2S` for a simple converter with preset values.
     *
     * @pure 
     *
     *
     */
    function R2SW(r: number, width: number, precision: number): string;

    /**
     * Returns an integer by parsing the string for a number.
     *
     * For values too big or too small, returns max/min integer respectively.
     * For an empty string or text that doesn't start with a number, returns 0.
     *
     *
     * Lua: For null raises an error.
     *
     * **Examples (Lua):**
     *
     * ```lua
     * S2I("") == 0
     * S2I("-123") == -123
     * S2I("-99999999") == -2147483648
     * S2I("99999999") == 2147483647
     * S2I("123abc") == 123
     * S2I("abc123") == 0
     * S2I(nil) -- error
     * ```
     *
     * @param s The string to be converted.
     *
     *
     * @note This function only works for decimal strings. Hexadecimal or octal strings
     * are not supported.
     *
     * @note The parser stops at the first non-number character [0-9.].
     * If the input string starts with some valid input but ends in invalid input
     * this will return the conversion of the valid part: `S2I("123asd") == 123`.
     *
     * @pure 
     *
     *
     *
     */
    function S2I(s: string): number;

    /**
     * Returns a real by parsing the string for a number.
     * Returns 0 for: values too big or too small, an empty string or text that doesn't start with a number.
     *
     * Lua: For null raises an error.
     *
     * @param s The string to be converted.
     *
     *
     * @note This function only works for decimal strings. Hexadecimal or octal strings
     * are not supported.
     *
     * @note The parser stops at the first non-number character [0-9.] - does not support comma `,` as a decimal point.
     * If the input string starts with some valid input but ends in invalid input
     * this will return the conversion of the valid part: `S2R(".123asd") == 0.123`.
     *
     * @pure 
     *
     *
     */
    function S2R(s: string): number;

    /**
     * Returns the internal index of the given handle; returns 0 if `h` is `null`.
     *
     * **Example:** `GetHandleId(Player(0)) -> 1048584`
     *
     * @note Removing a game object does not automatically invalidate an allocated handle:
     *
     * ```lua
     * uf = CreateUnit(Player(0), FourCC("hfoo"), -30, 0, 90)
     * GetHandleId(uf) --> 1049016
     * RemoveUnit(uf)
     * GetHandleId(uf) --> 1049016
     * uf = nil
     * GetHandleId(uf) --> 0
     * ```
     *
     * @note Sometimes the handle ID may be different between clients.
     *
     * @note The handle index returned here is only a weak and not a conclusive indicator
     * of leaking game objects. In other words, the number may be high without an actual leak.
     *
     * @param h Handle
     *
     * @patch 1.24b
     *
     *
     */
    function GetHandleId(h: Handle): number;

    /**
     * Returns a new substring from the interval [start, end) - inclusive, exclusive.
     * Positions are zero-indexed.
     * For empty or invalid out-of-bounds values returns an empty string "" (in Lua).
     *
     * For start>end returns substring beginning with start until the actual end of string.
     * For start<0 returns an empty string.
     *
     * **Examples (Lua):**
     *
     * ```lua
     * SubString("abc", 0, 0) == ""
     * SubString("abc", 0, 1) == "a"
     * SubString("abc", 2, 3) == "c"
     * SubString("abc", 0, 3) == "abc"
     * SubString("abcdef", 2, 0) == "cdef"
     * ```
     *
     * @param source Text string.
     * @param start Starting position, zero-indexed, inclusive.
     * @param end Last position, zero-indexed, exclusive.
     *
     *
     * @pure 
     *
     *
     */
    function SubString(source: string, start: number, end: number): string;

    /**
     * Returns the length of the string in *bytes*.
     * This means Unicode (non-ASCII) characters will take up and return a higher byte count than there are letters.
     *
     * **Example**: `StringLength("я")` returns 2.
     *
     *
     * @pure 
     *
     *
     */
    function StringLength(s: string): number;

    /**
     * Turns the text to upper/lower case and returns it. Only works for ASCII characters (A-Z), not Unicode (Дружба).
     *
     * @param source Text string.
     *
     * @param upper True: turn to UPPER CASE. False: turn to lower case.
     *
     *
     * @pure 
     *
     *
     */
    function StringCase(source: string, upper: boolean): string;

    /**
     * Returns a string hash for the given string. The string is normalized before hashing.
     *
     * The hash is supposed to be case-insensitive of the input string:
     * this works for ASCII and (Reforged) some small subset of Unicode (Latin Supplement, Cyrillic...).
     * Also the backslash is the same as forward slash: `/` and `\`.
     * A probable explanation for this is the usage of file paths, since the game runs on Windows and Mac OS/OSX.
     * StringHash is also used for variable lookup: string name -> integer index.
     *
     * `StringHash("\\") == StringHash("/")`
     * `StringHash("AB") == StringHash("ab")`
     *
     *
     * @note Code for the algorithm ["SStrHash2"](https://www.hiveworkshop.com/threads/bits-of-interest.213272/) via ["1997 Dr Dobbs article"](http://burtleburtle.net/bob/hash/doobs.html).
     *
     * @note *Breaking:* The hashing of multi-byte characters (Unicode) was changed in v1.30.0/1.31.1.
     * It's unknown if hashes of these characters are different in old versions between Windows/Mac OS
     * or depends on OS-default character page settings (non-Unicode programs on Windows).
     *
     * @pure 
     *
     * @patch 1.24a
     *
     *
     */
    function StringHash(s: string): number;

    /**
     * returns a translated string for the client's local language.
     * Without an available translation, returns `source`.
     *
     * The result will differ between players with different languages.
     * Possible sources are the .fdf files and the war3map.wts file.
     *
     * **Example:** `GetLocalizedString("REFORGED")` -> "Reforged"
     *
     *
     * @bug (Jass) Cannot assign it to a constant variable as it will crash the game.
     * `constant string foo = GetLocalizedString("bar")`
     *
     * @async 
     *
     *
     */
    function GetLocalizedString(source: string): string;

    /**
     * Returns the `integer` hotkey for a specific game action à la `"GAMEOVER_QUIT_GAME"`.
     * You can look up potential values in `UI\FrameDef\GlobalStrings.fdf`.
     *
     *
     * @note To define own values you have to import a file named `war3mapMisc.txt`
     * into your map. A sample `war3mapMisc.txt` could look like this:
     *
     *     [Hotkeys]
     *     ,=44
     *     !='!'
     *     A='A'
     *     B='B'
     *     C='C'
     *     // etc.
     *
     * See also <https://www.hiveworkshop.com/threads/chrord.274579/>.
     *
     * @async 
     *
     *
     */
    function GetLocalizedHotkey(source: string): number;

    /**
     * Sets the map name.
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     * @note v1.32.10: WorldEditor limits map name input to 36 characters (ASCII/Unicode).
     *
     * @note 
     * Old game versions (tested v1.0) used different sources for map name based on
     * where it was intended to be displayed:
     *
     * - In map selection (to create a lobby), the map name embedded in HM3W map's header
     * was used (see legacy .w3m/.w3x file format).
     * - The map preview (right-hand side) runs the map's `config` code and thus
     * makes use of `SetMapName` and strings in .wts files.
     * - (Unused) Map name field in war3map.w3i
     *
     * Reforged runs the configuration code in both cases. Therefore it always uses
     * the proper name at the expense of increasing the loading time of map selection list.
     *
     * @note Supports color codes (they also affect sorting)
     *
     * @note Map name length:
     *
     * - Classic (1.0): Limited by total text width, e.g. `DescriptionFirstL...`
     * - Reforged (1.32.10): Up to two lines, then limited by text width, e.g. `VeryLongMapName-ABCDEFGHIJKLMNOP...`
     *
     *
     */
    function SetMapName(name: string): void;

    /**
     * Sets the map description.
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     * @note The map description is saved to "war3map.w3i" too, but this field is unused.
     *
     * @note Supports color codes.
     *
     * @note Length limits:
     *
     * - Classic (1.0): Limited by total text width,
     * approx. 40 latin characters per line. Automatic line breaks.
     * - Reforged: Seemingly no limit, the description box gets (bugged)
     * vertical & horizontal scroll bars along with automatic line-breaking.
     *
     * @note Line limits:
     *
     * - Classic (1.0): Maximum 9 lines.
     * - Reforged (1.32.10): Seemingly no limit.
     *
     *
     */
    function SetMapDescription(description: string): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetTeams(teamcount: number): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     * @note The maximum amount of players (12 or 24) is determined by WorldEditor version specified in the map's war3map.w3i file. [Further reading](https://www.hiveworkshop.com/threads/success-hybrid-12-24-player-map-backwards-compatible-1-24-1-28-5-1-31.339722/).
     *
     *
     */
    function SetPlayers(playercount: number): void;

    /**
     * Defines a player's start location at the specified coordinates. The start
     * location determines where the camera is initially positioned. For melee maps,
     * it will also determine where the player's first town hall structure will be placed.
     *
     * @param whichStartLoc The ID of the player for the starting location. See `GetPlayerStartLocation`.
     *
     * @param x The x-coordinate of the start location.
     *
     * @param y The y-coordinate of the start location.
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     * Using it elsewhere will affect the returned values of `GetStartLocationX` and
     * `GetStartLocationY`, but will have no effect on the camera's initial position and
     * the melee starting positions.
     *
     *
     *
     */
    function DefineStartLocation(whichStartLoc: number, x: number, y: number): void;

    /**
     * Defines a player's start location at the specified location. The start
     * location determines where the camera is initially positioned. For melee maps,
     * it will also determine where the player's first town hall structure will be placed.
     *
     * @param whichStartLoc The ID of the player for the starting location. See `GetPlayerStartLocation`.
     *
     * @param whichLocation The location of the start location.
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     * Using it elsewhere will affect the returned values of `GetStartLocationX` and
     * `GetStartLocationY`, but will have no effect on the camera's initial position and
     * the melee starting positions.
     *
     *
     *
     */
    function DefineStartLocationLoc(whichStartLoc: number, whichLocation: HLocation): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetStartLocPrioCount(whichStartLoc: number, prioSlotCount: number): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetStartLocPrio(whichStartLoc: number, prioSlotIndex: number, otherStartLocIndex: number, priority: HandleHolder<"startlocprio">): void;

    function GetStartLocPrioSlot(whichStartLoc: number, prioSlotIndex: number): number;

    function GetStartLocPrio(whichStartLoc: number, prioSlotIndex: number): HandleHolder<"startlocprio">;

    function SetGameTypeSupported(whichGameType: HandleHolder<"gametype">, value: boolean): void;

    function SetMapFlag(whichMapFlag: HandleHolder<"mapflag">, value: boolean): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetGamePlacement(whichPlacementType: HandleHolder<"placement">): void;

    /**
     * Sets a new gamespeed to run the map at.
     *
     * @param whichspeed The gamespeed constant to be set as new speed.
     * The only allowed values are: `MAP_SPEED_SLOWEST`, `MAP_SPEED_SLOW` and `MAP_SPEED_NORMAL`, because `MAP_SPEED_FAST` and `MAP_SPEED_FASTEST` are automatically reverted to normal speed.
     *
     *
     * @note See: `gamespeed` for values and mechanics.
     *
     *
     */
    function SetGameSpeed(whichspeed: HandleHolder<"gamespeed">): void;

    function SetGameDifficulty(whichdifficulty: HandleHolder<"gamedifficulty">): void;

    function SetResourceDensity(whichdensity: HandleHolder<"mapdensity">): void;

    function SetCreatureDensity(whichdensity: HandleHolder<"mapdensity">): void;

    function GetTeams(): number;

    function GetPlayers(): number;

    function IsGameTypeSupported(whichGameType: HandleHolder<"gametype">): boolean;

    function GetGameTypeSelected(): HandleHolder<"gametype">;

    function IsMapFlagSet(whichMapFlag: HandleHolder<"mapflag">): boolean;

    function GetGamePlacement(): HandleHolder<"placement">;

    /**
     * Returns the currently set gamespeed.
     *
     *
     * @note See: `SetGameSpeed` and for values and mechanics `gamespeed`.
     *
     *
     */
    function GetGameSpeed(): HandleHolder<"gamespeed">;

    function GetGameDifficulty(): HandleHolder<"gamedifficulty">;

    function GetResourceDensity(): HandleHolder<"mapdensity">;

    function GetCreatureDensity(): HandleHolder<"mapdensity">;

    function GetStartLocationX(whichStartLocation: number): number;

    function GetStartLocationY(whichStartLocation: number): number;

    function GetStartLocationLoc(whichStartLocation: number): HLocation;

    function SetPlayerTeam(whichPlayer: Player, whichTeam: number): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetPlayerStartLocation(whichPlayer: Player, startLocIndex: number): void;

    /**
     * Forces player to have the specified start loc and marks the start loc as occupied
     * which removes it from consideration for subsequently placed players
     * ( i.e. you can use this to put people in a fixed loc and then
     * use random placement for any unplaced players etc. ).
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function ForcePlayerStartLocation(whichPlayer: Player, startLocIndex: number): void;

    /**
     *
     *
     * @note This function is called by the game within the scope of `config`
     * to set each player's color.
     *
     *
     */
    function SetPlayerColor(whichPlayer: Player, color: HandleHolder<"playercolor">): void;

    function SetPlayerAlliance(sourcePlayer: Player, otherPlayer: Player, whichAllianceSetting: HandleHolder<"alliancetype">, value: boolean): void;

    function SetPlayerTaxRate(sourcePlayer: Player, otherPlayer: Player, whichResource: HandleHolder<"playerstate">, rate: number): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetPlayerRacePreference(whichPlayer: Player, whichRacePreference: HandleHolder<"racepreference">): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetPlayerRaceSelectable(whichPlayer: Player, value: boolean): void;

    /**
     *
     *
     * @note This function shall only be used within the scope of function `config`
     * in war3map.j, it is executed by the game when you load the lobby/selected
     * the map for preview.
     *
     *
     */
    function SetPlayerController(whichPlayer: Player, controlType: HandleHolder<"mapcontrol">): void;

    function SetPlayerName(whichPlayer: Player, name: string): void;

    function SetPlayerOnScoreScreen(whichPlayer: Player, flag: boolean): void;

    function GetPlayerTeam(whichPlayer: Player): number;

    /**
     * Returns an integer representation of a player's start location. If the player
     * has a start location on the map (regardless of whether that player slot is filled),
     * it will return the player's ID (e.g. Player 1 (red) will return 0, Player 2 (blue)
     * will return 1, and so forth). If the player does not have a start location
     * on the map, it will return -1.
     *
     * @param whichPlayer The player of which to return the starting location.
     *
     *
     *
     */
    function GetPlayerStartLocation(whichPlayer: Player): number;

    function GetPlayerColor(whichPlayer: Player): HandleHolder<"playercolor">;

    function GetPlayerSelectable(whichPlayer: Player): boolean;

    function GetPlayerController(whichPlayer: Player): HandleHolder<"mapcontrol">;

    function GetPlayerSlotState(whichPlayer: Player): HandleHolder<"playerslotstate">;

    function GetPlayerTaxRate(sourcePlayer: Player, otherPlayer: Player, whichResource: HandleHolder<"playerstate">): number;

    function IsPlayerRacePrefSet(whichPlayer: Player, pref: HandleHolder<"racepreference">): boolean;

    /**
     * Returns the player name.
     *
     * **Example (Lua):**
     *
     *     -- assuming you play as player Red
     *     local name = GetPlayerName(Player(0)) --> your player name as text
     *
     * If the player is not present in the game or is one of the internal players, returns localized string + one-based player number (WorldEdit-like):
     *
     *     local me = GetPlayerName( Player(0) ) --> your player name as text
     *     local np = GetPlayerName( Player(PLAYER_NEUTRAL_PASSIVE) ) --> "Player 28"
     *
     *
     *
     *
     */
    function GetPlayerName(whichPlayer: Player): string;

    function CreateTimer(): HandleHolder<"timer">;

    /**
     *
     *
     * @bug Destroying does not pause timer, so if call of its callback is scheduled,
     * then callback is called with `GetElapsedTimer` being `null`.
     *
     *
     */
    function DestroyTimer(whichTimer: HandleHolder<"timer">): void;

    /**
     * Starts a previously created timer that calls a function when timeout reaches 0.
     *
     * It is affected by gamespeed at any point of it execution, if the gamespeed is changed at 50% of timeout duration, the rest of the timeout will be correctly affected by new gamespeed.
     *
     * @param whichTimer Handle to timer.
     * @param timeout Delay in seconds.
     * @param periodic True: repeat timer after expiration (loop).
     * False: timer only runs once.
     *
     * @param handlerFunc Callback function to be executed when timer expires.
     *
     *
     * @note See: `GetExpiredTimer` to retrieve the handle of the expired timer inside handlerFunc.
     *
     * @note The table below shows how often a 0 millisecond timer is executed
     * in comparison with `TriggerRegisterTimerEvent`
     * (aka `TriggerRegisterTimerEventPeriodic`).
     *
     * | Trigger or Timer \ Tick count  |   ROC 1.0 | Reforged 1.32.10 |
     * |--------------------------------|----------:|-----------------:|
     * | 1000ms Trigger periodic        |      1 Hz |             1 Hz |
     * | 100ms Trigger periodic         |     10 Hz |            10 Hz |
     * | 20ms Trigger periodic          |     50 Hz |            50 Hz |
     * | 10ms Trigger periodic          |    100 Hz |           100 Hz |
     * | 5ms Trigger periodic           |    200 Hz |           100 Hz |
     * | 1ms Trigger periodic           |   1000 Hz |           100 Hz |
     * | 0ms Trigger periodic           |  10077 Hz |           100 Hz |
     * | 1ms Timer                      |   1000 Hz |          1000 Hz |
     * | 0ms Timer                      |  10077 Hz |         10077 Hz |
     *
     *
     */
    function TimerStart(whichTimer: HandleHolder<"timer">, timeout: number, periodic: boolean, handlerFunc: JassCodeCallback): void;

    /**
     *
     *
     * @note If passed timer is paused or has expired,
     * this function returns `(TimerGetTimeout - TimerGetRemaining)`.
     * @bug If passed timer was resumed by `ResumeTimer`,
     * this function returns amount of time elapsed after last resuming.
     *
     *
     */
    function TimerGetElapsed(whichTimer: HandleHolder<"timer">): number;

    /**
     *
     *
     * @note Returns remaining time of passed timer while timer is running or paused by `PauseTimer`.
     * @bug After non-periodic timer expires, this function returns remaining time that was at last pause of this timer.
     *
     *
     */
    function TimerGetRemaining(whichTimer: HandleHolder<"timer">): number;

    function TimerGetTimeout(whichTimer: HandleHolder<"timer">): number;

    function PauseTimer(whichTimer: HandleHolder<"timer">): void;

    /**
     *
     *
     * @note Has no effect if passed timer is running.
     * @bug If passed timer is paused or has expired, launches it for `TimerGetRemaining`,
     * and after this time is elapsed, launches it again for `TimerGetTimeout`.
     * After that passed timer is stopped even if it is periodic.
     *
     *
     */
    function ResumeTimer(whichTimer: HandleHolder<"timer">): void;

    /**
     *
     *
     * @bug Returns `null` if timer is destroyed right before callback call.
     * @bug Might crash the game if called when there is no expired timer.
     * <http://www.wc3c.net/showthread.php?t=84131>
     *
     *
     */
    function GetExpiredTimer(): HandleHolder<"timer">;

    function CreateGroup(): HandleHolder<"group">;

    /**
     * Destroys the group.
     *
     * Accessing a destroyed group shows no units, a size of 0 and cannot be modified in any way.
     *
     *
     *
     */
    function DestroyGroup(whichGroup: HandleHolder<"group">): void;

    /**
     * Appends unit at the end of group, increasing size by 1 (see `BlzGroupGetSize`).
     * Returns true if the unit was added, false if the unit is already in the group or the group is destroyed.
     *
     * Even if there's a null "hole" at index 0, the unit will still be added at the tail end.
     *
     * @param whichGroup Target group.
     * @param whichUnit Target unit.
     *
     *
     *
     */
    function GroupAddUnit(whichGroup: HandleHolder<"group">, whichUnit: Unit): void;

    /**
     * Removes unit from group, returns true on success; returns false on failure (no operation).
     *
     * If unit is null, does nothing and returns false regardless if there're null values at any index in the group (does not remove destroyed units which are still in group).
     *
     *
     *
     */
    function GroupRemoveUnit(whichGroup: HandleHolder<"group">, whichUnit: Unit): void;

    /**
     * Erase every unit from the group, it becomes size = 0.
     *
     *
     *
     */
    function GroupClear(whichGroup: HandleHolder<"group">): void;

    function GroupEnumUnitsOfType(whichGroup: HandleHolder<"group">, unitname: string, filter: HandleHolder<"boolexpr">): void;

    /**
     *
     *
     * @note In contrast to other Enum-functions this function enumarates units with locust.
     *
     *
     */
    function GroupEnumUnitsOfPlayer(whichGroup: HandleHolder<"group">, whichPlayer: Player, filter: HandleHolder<"boolexpr">): void;

    /**
     *
     *
     * @bug Causes irregular behavior when used with large numbers.
     * @note *Probably* countLimit doesn't work similar to `GroupEnumUnitsInRangeCounted`. Instead see `GroupEnumUnitsOfType`.
     *
     *
     */
    function GroupEnumUnitsOfTypeCounted(whichGroup: HandleHolder<"group">, unitname: string, filter: HandleHolder<"boolexpr">, countLimit: number): void;

    function GroupEnumUnitsInRect(whichGroup: HandleHolder<"group">, r: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    /**
     *
     *
     * @bug Causes irregular behavior when used with large numbers.
     * @note *Probably* countLimit doesn't work similar to `GroupEnumUnitsInRangeCounted`. Instead see `GroupEnumUnitsInRect`.
     *
     *
     */
    function GroupEnumUnitsInRectCounted(whichGroup: HandleHolder<"group">, r: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">, countLimit: number): void;

    /**
     * Adds units within radius of map coordinates X, Y who match filter to whichGroup.
     * A null as filter means that every nearby unit is added to group.
     *
     * If the group has had units previously, it will be first cleared (old units will not be preserved).
     * A group that has been destroyed will not be recreated.
     *
     * @param whichGroup Group to add units to.
     * @param x X map coordinate.
     * @param y Y map coordinate.
     * @param radius Radius in map units.
     * @param filter Filter function.
     *
     *
     * @note See: `GroupEnumUnitsInRect`, `GroupEnumUnitsInRangeOfLoc`.
     *
     *
     */
    function GroupEnumUnitsInRange(whichGroup: HandleHolder<"group">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function GroupEnumUnitsInRangeOfLoc(whichGroup: HandleHolder<"group">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    /**
     *
     *
     * @bug Causes irregular behavior when used with large numbers.
     * @bug countLimit does not work, tested in 1.32.10.18067. Therefore behaves like `GroupEnumUnitsInRange` adding all units in range.
     *
     *
     */
    function GroupEnumUnitsInRangeCounted(whichGroup: HandleHolder<"group">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, countLimit: number): void;

    /**
     *
     *
     * @bug Causes irregular behavior when used with large numbers.
     * @note *Probably* countLimit doesn't work similar to `GroupEnumUnitsInRangeCounted`. Instead see `GroupEnumUnitsInRangeOfLoc`.
     *
     *
     */
    function GroupEnumUnitsInRangeOfLocCounted(whichGroup: HandleHolder<"group">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">, countLimit: number): void;

    /**
     * @param whichGroup Should be an empty group.
     *
     * @note Must call `SyncSelections` before this to have up-to-date players' selections.
     *
     */
    function GroupEnumUnitsSelected(whichGroup: HandleHolder<"group">, whichPlayer: Player, filter: HandleHolder<"boolexpr">): void;

    function GroupImmediateOrder(whichGroup: HandleHolder<"group">, order: string): boolean;

    function GroupImmediateOrderById(whichGroup: HandleHolder<"group">, order: number): boolean;

    function GroupPointOrder(whichGroup: HandleHolder<"group">, order: string, x: number, y: number): boolean;

    function GroupPointOrderLoc(whichGroup: HandleHolder<"group">, order: string, whichLocation: HLocation): boolean;

    function GroupPointOrderById(whichGroup: HandleHolder<"group">, order: number, x: number, y: number): boolean;

    function GroupPointOrderByIdLoc(whichGroup: HandleHolder<"group">, order: number, whichLocation: HLocation): boolean;

    function GroupTargetOrder(whichGroup: HandleHolder<"group">, order: string, targetWidget: Widget): boolean;

    function GroupTargetOrderById(whichGroup: HandleHolder<"group">, order: number, targetWidget: Widget): boolean;

    function ForGroup(whichGroup: HandleHolder<"group">, callback: JassCodeCallback): void;

    /**
     * Returns the unit at the first position in group or null if that unit no longer exists.
     *
     * Equivalent to: `BlzGroupUnitAt(varGroup, 0)`.
     *
     *
     * @bug If the first unit of this group was removed from the game (RemoveUnit or decayed) then null be returned, regardless if there're valid units in group at further indeces. To iterate over all existing units of a group, use `ForGroup`/`ForGroupBJ`.
     * You cannot remove such null "holes" from a group without destroying or clearing it (`DestroyGroup`/`GroupClear`).
     * If you use FirstOfGroup in iterations with removal, units in the group will eventually leak.
     *
     * @note See [GroupUtils Library](https://web.archive.org/web/20200918161954/http://wc3c.net/showthread.php?t=104464) for vJass.
     *
     *
     */
    function FirstOfGroup(whichGroup: HandleHolder<"group">): Unit;

    /**
     * Creates an empty force object, returns a handle to it.
     *
     * Forces are groups containing players.
     * To add/remove a player, see `ForceAddPlayer`/`ForceRemovePlayer`.
     *
     */
    function CreateForce(): HandleHolder<"force">;

    /**
     * Destroys the force. Any further actions on it will have no effect.
     *
     * For example, checks if player is part of force will return false, enums will not iterate.
     *
     */
    function DestroyForce(whichForce: HandleHolder<"force">): void;

    /**
     * Adds player to force.
     *
     */
    function ForceAddPlayer(whichForce: HandleHolder<"force">, whichPlayer: Player): void;

    function ForceRemovePlayer(whichForce: HandleHolder<"force">, whichPlayer: Player): void;

    function ForceClear(whichForce: HandleHolder<"force">): void;

    /**
     * Populates the force by iterating all existing players and AI (excluding player neutral etc.) and adds them to force if filter returned true.
     *
     * Calling `GetFilterPlayer` will return the current player, see `Filter`.
     *
     * @note If you only want to iterate the force without changing it, use `ForForce`.
     *
     */
    function ForceEnumPlayers(whichForce: HandleHolder<"force">, filter: HandleHolder<"boolexpr">): void;

    /**
     *
     *
     * @note *Probably* countLimit doesn't work similar to `GroupEnumUnitsInRangeCounted`. Instead see `ForceEnumPlayers`.
     *
     *
     */
    function ForceEnumPlayersCounted(whichForce: HandleHolder<"force">, filter: HandleHolder<"boolexpr">, countLimit: number): void;

    function ForceEnumAllies(whichForce: HandleHolder<"force">, whichPlayer: Player, filter: HandleHolder<"boolexpr">): void;

    function ForceEnumEnemies(whichForce: HandleHolder<"force">, whichPlayer: Player, filter: HandleHolder<"boolexpr">): void;

    /**
     * Executes a callback function for every player in a given force. Within the callback, calling `GetEnumPlayer` returns the player of the current iteration.
     *
     * @note: The iteration order is given by the player id, ascending (e.g., `Player(3)`, then `Player(7)`, then `Player(15)`) regardless in which order the players were added to the force.
     *
     */
    function ForForce(whichForce: HandleHolder<"force">, callback: JassCodeCallback): void;

    /**
     * Returns a new rectangle as defined by two points (minX, minY) and (maxX, maxY).
     *
     * The rectangle size and coordinates are limited to valid map coordinates, see
     * `GetWorldBounds`.
     *
     * In Warcraft 3 the coordinates follow the regular cartesian system you know from
     * school math. The minimum coordinates (towards negative infinity) are on the left/bottom,
     * the maximum coordinates on right/top (towards positive infinity).
     *
     * In the following graphic the N stands for the minimum point (minX, minY) and
     * X for the maximum point (maxX, maxY).
     *
     *     +----X
     *     |    |
     *     |    |
     *     N----+
     * 	
     *
     * @bug You can't create your own rectangle that would match the dimensions
     * of `GetWorldBounds`. The maxX and maxY will be smaller by `32.0` than that of
     * the world bounds.
     *
     * @note See: `RectFromLoc`, `RemoveRect`, `GetWorldBounds`.
     *
     *
     *
     */
    function Rect(minx: number, miny: number, maxx: number, maxy: number): HandleHolder<"rect">;

    /**
     * Returns new rectangle as defined by two locations: `min` (bottom-left) and
     * `max` (top-right).
     *
     * The rectangle size and coordinates are limited to valid map coordinates, see
     * `GetWorldBounds`.
     *
     *
     * @bug You can't create your own rectangle that would match the dimensions
     * of `GetWorldBounds`. The maxX and maxY will be smaller by `32.0` than that of
     * the world bounds.
     *
     * @note See: `Rect`, `RemoveRect`, `GetWorldBounds`.
     *
     *
     *
     */
    function RectFromLoc(min: HLocation, max: HLocation): HandleHolder<"rect">;

    /**
     * Destroys the rectangle.
     *
     * If you access the rectangle after removal, all of its values will return zero.
     *
     *
     *
     *
     */
    function RemoveRect(whichRect: HandleHolder<"rect">): void;

    /**
     * Changes a rectangle's minimum and maximum points that define it.
     *
     * The rectangle size and coordinates are limited to valid map coordinates, see
     * `GetWorldBounds`.
     *
     *
     * @bug You can't create your own rectangle that would match the dimensions
     * of `GetWorldBounds`. The maxX and maxY will be smaller by `32.0` than that of
     * the world bounds.
     *
     * @note See: `Rect`, `SetRectFromLoc`, `MoveRectTo`, `MoveRectToLoc`.
     *
     *
     *
     */
    function SetRect(whichRect: HandleHolder<"rect">, minx: number, miny: number, maxx: number, maxy: number): void;

    /**
     * Changes a rectangle's minimum and maximum points (that define it) to those specified
     * by `min` and `max` locations.
     *
     * Does nothing if either location is null or invalid.
     *
     *
     * @bug You can't create your own rectangle that would match the dimensions
     * of `GetWorldBounds`. The maxX and maxY will be smaller by `32.0` than that of
     * the world bounds.
     *
     * @note See: `Rect`, `SetRect`, `MoveRectTo`, `MoveRectToLoc`.
     *
     *
     *
     */
    function SetRectFromLoc(whichRect: HandleHolder<"rect">, min: HLocation, max: HLocation): void;

    /**
     * Changes the minimum and maximum point of a rectangle to make it centered around the
     * specified point. Thus it moves the rectangle to a new position.
     *
     *
     * @bug This can be used to move the rectangle outside of the map bounds, bypassing
     * the limiting checks.
     *
     * @note See: `Rect`, `SetRect`, `SetRectFromLoc`, `MoveRectToLoc`.
     *
     *
     *
     */
    function MoveRectTo(whichRect: HandleHolder<"rect">, newCenterX: number, newCenterY: number): void;

    /**
     * Changes the minimum and maximum point of a rectangle to make it centered around the
     * specified point. Thus it moves the rectangle to a new position.
     *
     * Does nothing if either location is null or invalid.
     *
     *
     * @bug This can be used to move the rectangle outside of the map bounds, bypassing
     * the limiting checks.
     *
     * @note See: `Rect`, `SetRect`, `SetRectFromLoc`, `MoveRectTo`.
     *
     *
     *
     */
    function MoveRectToLoc(whichRect: HandleHolder<"rect">, newCenterLoc: HLocation): void;

    /**
     * Returns rectangle's center X coordinate. This is equal to `((maxX + minX)/2)`.
     *
     * Returns zero if `whichRect` is null or invalid.
     *
     *
     *
     */
    function GetRectCenterX(whichRect: HandleHolder<"rect">): number;

    /**
     * Returns rectangle's center Y coordinate. This is equal to `((maxY + minY)/2)`.
     *
     * Returns zero if `whichRect` is null or invalid.
     *
     *
     *
     */
    function GetRectCenterY(whichRect: HandleHolder<"rect">): number;

    /**
     * Returns rectangle's bottom-left X coordinate. 
     *
     * Returns zero if `whichRect` is null or invalid.
     *
     *
     *
     */
    function GetRectMinX(whichRect: HandleHolder<"rect">): number;

    /**
     * Returns rectangle's bottom-left Y coordinate. 
     *
     * Returns zero if `whichRect` is null or invalid.
     *
     *
     *
     */
    function GetRectMinY(whichRect: HandleHolder<"rect">): number;

    /**
     * Returns rectangle's top-right X coordinate. 
     *
     * Returns zero if `whichRect` is null or invalid.
     *
     *
     *
     */
    function GetRectMaxX(whichRect: HandleHolder<"rect">): number;

    /**
     * Returns rectangle's top-right Y coordinate. 
     *
     * Returns zero if `whichRect` is null or invalid.
     *
     *
     *
     */
    function GetRectMaxY(whichRect: HandleHolder<"rect">): number;

    function CreateRegion(): HandleHolder<"region">;

    function RemoveRegion(whichRegion: HandleHolder<"region">): void;

    function RegionAddRect(whichRegion: HandleHolder<"region">, r: HandleHolder<"rect">): void;

    function RegionClearRect(whichRegion: HandleHolder<"region">, r: HandleHolder<"rect">): void;

    function RegionAddCell(whichRegion: HandleHolder<"region">, x: number, y: number): void;

    function RegionAddCellAtLoc(whichRegion: HandleHolder<"region">, whichLocation: HLocation): void;

    function RegionClearCell(whichRegion: HandleHolder<"region">, x: number, y: number): void;

    function RegionClearCellAtLoc(whichRegion: HandleHolder<"region">, whichLocation: HLocation): void;

    function Location(x: number, y: number): HLocation;

    function RemoveLocation(whichLocation: HLocation): void;

    function MoveLocation(whichLocation: HLocation, newX: number, newY: number): void;

    function GetLocationX(whichLocation: HLocation): number;

    function GetLocationY(whichLocation: HLocation): number;

    /**
     *
     *
     * @note Reasons for returning different values might be terrain-deformations
     * caused by spells/abilities and different graphic settings.
     * Other reasons could be the rendering state of destructables and visibility differences.
     *
     * @async 
     *
     *
     */
    function GetLocationZ(whichLocation: HLocation): number;

    function IsUnitInRegion(whichRegion: HandleHolder<"region">, whichUnit: Unit): boolean;

    function IsPointInRegion(whichRegion: HandleHolder<"region">, x: number, y: number): boolean;

    function IsLocationInRegion(whichRegion: HandleHolder<"region">, whichLocation: HLocation): boolean;

    /**
     * Returns a new instance of rectangle that spans the entire map, including
     * unplayable borders, in world coordinates.
     *
     * Since this creates a new rectangle on each call, the rectangle object must be
     * destroyed manually by calling `RemoveRect`.
     *
     *
     * @note See: `Rect`, `RemoveRect`.
     *
     *
     *
     */
    function GetWorldBounds(): HandleHolder<"rect">;

    /**
     * Creates a new blank trigger object without any events, conditions or actions.
     *
     *
     *
     */
    function CreateTrigger(): HTrigger;

    /**
     *
     *
     * @bug Do not destroy the current running Trigger (when waits are involved) as
     * it can cause handle stack corruption as documented [here](http://www.wc3c.net/showthread.php?t=110519).
     *
     *
     */
    function DestroyTrigger(whichTrigger: HTrigger): void;

    /**
     * Resets the evaluate and execution count of the given trigger back to zero.
     *
     *
     * @note See: `GetTriggerEvalCount`, `GetTriggerExecCount`.
     *
     *
     */
    function ResetTrigger(whichTrigger: HTrigger): void;

    /**
     * See `DisableTrigger`. `EnableTrigger` enables the given trigger again, so it will be fired when the events registered on it occur.
     *
     *
     *
     */
    function EnableTrigger(whichTrigger: HTrigger): void;

    /**
     * Disables the given trigger. A disabled trigger is not fired by the events registered on it but `TriggerEvaluate` and `TriggerExecute` can still be used.
     * This can be reversed with `EnableTrigger`.
     *
     *
     *
     */
    function DisableTrigger(whichTrigger: HTrigger): void;

    /**
     * Tells whether the given trigger is enabled. See `EnableTrigger` and `DisableTrigger`. A trigger is enabled on default.
     *
     *
     *
     */
    function IsTriggerEnabled(whichTrigger: HTrigger): boolean;

    /**
     * Marks the given trigger to wait/no longer wait for `TriggerSleepAction`s in sub trigger executions started via `TriggerExecuteWait`.
     * Since this is an attribute of the execution rather than the trigger object, this affects future runs of the given trigger, and not
     * those already started.
     *
     *
     *
     */
    function TriggerWaitOnSleeps(whichTrigger: HTrigger, flag: boolean): void;

    /**
     * Tells whether the given trigger waits for `TriggerSleepAction`s in sub trigger executions started via `TriggerExecuteWait`.
     * See `TriggerWaitOnSleeps`.
     *
     *
     *
     */
    function IsTriggerWaitOnSleeps(whichTrigger: HTrigger): boolean;

    /**
     * This returns the current unit in calls to the `GroupEnumUnits-`natives.
     *
     *
     *
     */
    function GetFilterUnit(): Unit;

    /**
     * This returns the current unit in calls to the `ForGroup` native.
     *
     *
     *
     */
    function GetEnumUnit(): Unit;

    function GetFilterDestructable(): Destructable;

    function GetEnumDestructable(): Destructable;

    function GetFilterItem(): Item;

    function GetEnumItem(): Item;

    function GetFilterPlayer(): Player;

    function GetEnumPlayer(): Player;

    function GetTriggeringTrigger(): HTrigger;

    function GetTriggerEventId(): HandleHolder<"eventid">;

    /**
     * Returns the count of how often this trigger was evaluated.
     *
     * A trigger is evaluated each time it is called. A trigger is executed each time it is called and passes the condition. If the condition is not met, the execution count is not incremented.
     *
     *
     * @note See: `ResetTrigger`, `GetTriggerExecCount`.
     *
     *
     */
    function GetTriggerEvalCount(whichTrigger: HTrigger): number;

    /**
     * Returns the count of how often this trigger was executed.
     *
     * A trigger is evaluated each time it is called. A trigger is executed each time it is called and passes the condition. If the condition is not met, the execution count is not incremented.
     *
     *
     * @note See: `ResetTrigger`, `GetTriggerEvalCount`.
     *
     *
     */
    function GetTriggerExecCount(whichTrigger: HTrigger): number;

    /**
     * Tries to find a function with the given name and calls it in a new thread.
     *
     *
     * @note If this is called in a trigger action context, `ExecuteFunc` will use that trigger, so `GetTriggeringTrigger` will return it. If `ExecuteFunc` is
     * called in another type of context, it will spawn a new trigger, which can be seen with `GetTriggeringTrigger`.
     *
     * @bug `ExecuteFunc` does not seem to release the trigger it spawns.
     *
     * @note As `ExecuteFunc` will run the target function in a trigger action context one way or another, `TriggerSleepAction` can be used.
     *
     * @note Performance numbers:
     *
     * - 10000 regular function calls in Jass: 3ms (300ns/call)
     * - 10000 regular function calls in Lua: 0.07ms (6.9ns/call)
     * - 10000 "ExecuteFunc" calls in Jass: ~50ms (5µs/call)
     *
     * Result: plain Lua is ~43.5x and ~724x faster respectively.
     *
     * Source: Unryze's test results using
     * [this code](https://github.com/Luashine/wc3-test-maps/blob/31138de4f481b0186ee1002481324f0003baa51b/JassTestSpeed-ujAPI-20221109.j)
     * and his UjAPI (Jass on 1.26a; Lua on 1.32.10 and 1.26a).
     *
     *
     */
    function ExecuteFunc(funcName: string): void;

    /**
     * Always returns a new boolean expression that has the result of evaluating logical (expr1 AND expr2).
     *
     *
     * @note `boolexpr` extends from `agent` and must be explicitly destroyed with `DestroyBoolExpr` to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note See: `Or`, `Not`, `Condition`, `Filter`, `DestroyBoolExpr`
     *
     */
    function And(operandA: HandleHolder<"boolexpr">, operandB: HandleHolder<"boolexpr">): HandleHolder<"boolexpr">;

    /**
     * Always returns a new boolean expression that has the result of evaluating logical (expr1 OR expr2).
     *
     *
     * @note `boolexpr` extends from `agent` and must be explicitly destroyed with `DestroyBoolExpr` to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note See: `And`, `Not`, `Condition`, `Filter`, `DestroyBoolExpr`
     *
     */
    function Or(operandA: HandleHolder<"boolexpr">, operandB: HandleHolder<"boolexpr">): HandleHolder<"boolexpr">;

    /**
     * Always returns a new boolean expression that has the result of evaluating logical (NOT expr1).
     *
     * @note `boolexpr` extends from `agent` and must be explicitly destroyed with `DestroyBoolExpr` to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note See: `And`, `Or`, `Condition`, `Filter`, `DestroyBoolExpr`
     *
     */
    function Not(operand: HandleHolder<"boolexpr">): HandleHolder<"boolexpr">;

    /**
     * Returns a new conditionfunc, when called by the game returns the result of evaluating func().
     * func will receive no arguments and must return a boolean: true/false.
     *
     * @param func A function that returns boolean or `null`.
     *
     * @note 1.32.10, Lua: `conditionfunc` extends from `boolexpr`->`agent` and must be explicitly destroyed with `DestroyBoolExpr`/`DestroyCondition` to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note **Lua:** Always returns a new handle unless the passed parameter is `nil`, in this case
     * it MAY return the same handle depending on unknown conditions (consecutive calls are likely to reuse previous handle).
     *
     * **Jass:** Returns same handle when creating multiple filters for the same function:
     * `Condition(function foo) == Condition(function foo)` ("foo" can be non-constant and constant).
     *
     * For this reason, do **not** destroy filterfuncs created with `Condition` in Jass,
     * in the best case it does nothing but in the worst case it would affect some internals.
     *
     * This behavior is similar to `Condition`.
     *
     * @pure 
     *
     * @note See: `And`, `Or`, `Not`, `Condition`, `Filter`, `DestroyCondition`
     *
     *
     */
    function Condition(func: JassCodeCallback): HandleHolder<"conditionfunc">;

    /**
     * Destroys the provided condition.
     *
     *
     * @note `conditionfunc` extends from `boolexpr`->`agent` and must be explicitly destroyed to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note Only call this on conditionfuncs created via `And`,`Or`,`Not`.
     *
     * @note See: `Condition`
     *
     *
     */
    function DestroyCondition(c: HandleHolder<"conditionfunc">): void;

    /**
     * Returns a new filterfunc, when called by the game returns the result of evaluating func().
     * func will receive no arguments and must return a boolean: true/false.
     *
     *
     * @param func A filtering function that returns boolean or `null`.
     *
     * @note Lua, 1.32.10: `filterfunc` extends from `boolexpr`->`agent` and must be explicitly destroyed with `DestroyBoolExpr`/`DestroyFilter` to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note **Lua:** Always returns a new handle unless the passed parameter is `nil`, in this case
     * it MAY return the same handle depending on unknown conditions (consecutive calls are likely to reuse previous handle).
     *
     * **Jass:** Returns same handle when creating multiple filters for the same function:
     * `Filter(function foo) == Filter(function foo)` ("foo" can be non-constant and constant).
     *
     * For this reason, do **not** destroy filterfuncs created with `Filter` in Jass,
     * in the best case it does nothing but in the worst case it would affect some internals.
     *
     * This behavior is similar to `Condition`.
     *
     * @pure 
     *
     * @note See: `And`, `Or`, `Not`, `Condition`, `DestroyFilter`;
     * `GetFilterUnit`, `GetFilterItem`, `GetFilterPlayer`, `GetFilterDestructable`.
     *
     *
     */
    function Filter(func: JassCodeCallback): HandleHolder<"filterfunc">;

    /**
     * Destroys the provided filter function.
     *
     *
     * @note `filterfunc` extends from `boolexpr`->`agent` and must be explicitly destroyed with `DestroyBoolExpr`/`DestroyFilter` to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note Only call this on filterfunc created via `And`,`Or`,`Not`.
     *
     * @note See: `Filter`.
     *
     *
     */
    function DestroyFilter(f: HandleHolder<"filterfunc">): void;

    /**
     * Destroys the provided boolean expression.
     *
     *
     * @note `boolexpr` extends from `agent` and must be explicitly destroyed to prevent leaks.
     * However, most functions from blizzard.j destroy passed boolexpr automatically.
     *
     * @note Only call this on boolexpr created via `And`,`Or`,`Not`.
     *
     * @note See: `And`, `Or`, `Not`, `Condition`, `Filter`.
     *
     *
     */
    function DestroyBoolExpr(e: HandleHolder<"boolexpr">): void;

    function TriggerRegisterVariableEvent(whichTrigger: HTrigger, varName: string, opcode: HandleHolder<"limitop">, limitval: number): HEvent;

    /**
     * Creates its own timer and triggers when it expires.
     *
     *
     * @note The table below shows how often `TriggerRegisterTimerEvent` aka
     * `TriggerRegisterTimerEventPeriodic` is executed per second with different
     * timeout values set.
     * This is in comparison with a 1ms and 0ms `timer`.
     *
     * Note how its frequency was limited to 100 times per second in v1.32.x.
     *
     * | Trigger or Timer \ Tick count  |   ROC 1.0 | Reforged 1.32.10 |
     * |--------------------------------|----------:|-----------------:|
     * | 1000ms Trigger periodic        |      1 Hz |             1 Hz |
     * | 100ms Trigger periodic         |     10 Hz |            10 Hz |
     * | 20ms Trigger periodic          |     50 Hz |            50 Hz |
     * | 10ms Trigger periodic          |    100 Hz |           100 Hz |
     * | 5ms Trigger periodic           |    200 Hz |           100 Hz |
     * | 1ms Trigger periodic           |   1000 Hz |           100 Hz |
     * | 0ms Trigger periodic           |  10077 Hz |           100 Hz |
     * | 1ms Timer                      |   1000 Hz |          1000 Hz |
     * | 0ms Timer                      |  10077 Hz |         10077 Hz |
     *
     * See: `TimerStart`
     *
     *
     */
    function TriggerRegisterTimerEvent(whichTrigger: HTrigger, timeout: number, periodic: boolean): HEvent;

    /**
     * Attach trigger to timer t. The trigger executes each time when timer expires.
     * Usually used on periodic timers.
     *
     * Returns event, which is not used by GUI functions.
     *
     *
     * @note See: `GetExpiredTimer` to retrieve timer inside trigger's actions.
     *
     *
     */
    function TriggerRegisterTimerExpireEvent(whichTrigger: HTrigger, t: HandleHolder<"timer">): HEvent;

    function TriggerRegisterGameStateEvent(whichTrigger: HTrigger, whichState: HandleHolder<"gamestate">, opcode: HandleHolder<"limitop">, limitval: number): HEvent;

    function TriggerRegisterDialogEvent(whichTrigger: HTrigger, whichDialog: HandleHolder<"dialog">): HEvent;

    function TriggerRegisterDialogButtonEvent(whichTrigger: HTrigger, whichButton: HandleHolder<"button">): HEvent;

    /**
     *
     *
     * @event EVENT_GAME_STATE_LIMIT
     *
     *
     */
    function GetEventGameState(): HandleHolder<"gamestate">;

    /**
     * Registers to execute whichTrigger when a game event occurs.
     * Returns a handle to event that represents the registration, you can't do anything with those currently.
     *
     * **Example (Lua):**
     *
     *     trg_gameev = CreateTrigger()
     *     -- this will print a message when someone opens a build menu
     *     TriggerAddAction(trg_gameev, function() print(GetTriggerEventId()) end)
     *     TriggerRegisterGameEvent(trg_gameev, EVENT_GAME_BUILD_SUBMENU)
     *     --> new event on build menu open
     *
     *
     * @bug Registered events cannot be destroyed as an object.
     *
     *
     */
    function TriggerRegisterGameEvent(whichTrigger: HTrigger, whichGameEvent: HandleHolder<"gameevent">): HEvent;

    /**
     *
     *
     * @event EVENT_GAME_VICTORY
     *
     *
     */
    function GetWinningPlayer(): Player;

    function TriggerRegisterEnterRegion(whichTrigger: HTrigger, whichRegion: HandleHolder<"region">, filter: HandleHolder<"boolexpr">): HEvent;

    /**
     *
     *
     * @event EVENT_GAME_ENTER_REGION
     *
     *
     */
    function GetTriggeringRegion(): HandleHolder<"region">;

    /**
     *
     *
     * @event EVENT_GAME_ENTER_REGION
     *
     *
     */
    function GetEnteringUnit(): Unit;

    function TriggerRegisterLeaveRegion(whichTrigger: HTrigger, whichRegion: HandleHolder<"region">, filter: HandleHolder<"boolexpr">): HEvent;

    /**
     *
     *
     * @event EVENT_GAME_LEAVE_REGION
     *
     *
     */
    function GetLeavingUnit(): Unit;

    /**
     * Registers when a player clicks on the given `trackable`.
     *
     *
     *
     */
    function TriggerRegisterTrackableHitEvent(whichTrigger: HTrigger, t: HandleHolder<"trackable">): HEvent;

    /**
     * Registers when a player hovers over the given `trackable`.
     *
     *
     *
     */
    function TriggerRegisterTrackableTrackEvent(whichTrigger: HTrigger, t: HandleHolder<"trackable">): HEvent;

    /**
     *
     *
     * @event `EVENT_GAME_TRACKABLE_HIT`
     * @event `EVENT_GAME_TRACKABLE_TRACK`
     *
     *
     */
    function GetTriggeringTrackable(): HandleHolder<"trackable">;

    /**
     *
     *
     * @event EVENT_DIALOG_BUTTON_CLICK
     *
     *
     */
    function GetClickedButton(): HandleHolder<"button">;

    /**
     *
     *
     * @event EVENT_DIALOG_BUTTON_CLICK
     *
     *
     */
    function GetClickedDialog(): HandleHolder<"dialog">;

    /**
     *
     *
     * @event EVENT_GAME_TOURNAMENT_FINISH_SOON
     *
     *
     */
    function GetTournamentFinishSoonTimeRemaining(): number;

    /**
     *
     *
     * @event EVENT_GAME_TOURNAMENT_FINISH_SOON
     *
     *
     */
    function GetTournamentFinishNowRule(): number;

    /**
     *
     *
     * @event EVENT_GAME_TOURNAMENT_FINISH_SOON
     *
     *
     */
    function GetTournamentFinishNowPlayer(): Player;

    /**
     *
     *
     * @event EVENT_GAME_TOURNAMENT_FINISH_SOON
     *
     *
     */
    function GetTournamentScore(whichPlayer: Player): number;

    /**
     *
     *
     * @event EVENT_GAME_SAVE
     *
     *
     */
    function GetSaveBasicFilename(): string;

    function TriggerRegisterPlayerEvent(whichTrigger: HTrigger, whichPlayer: Player, whichPlayerEvent: HandleHolder<"playerevent">): HEvent;

    /**
     *
     *
     * @event EVENT_PLAYER_DEFEAT
     * @event EVENT_PLAYER_VICTORY
     *
     *
     */
    function GetTriggerPlayer(): Player;

    function TriggerRegisterPlayerUnitEvent(whichTrigger: HTrigger, whichPlayer: Player, whichPlayerUnitEvent: HandleHolder<"playerunitevent">, filter: HandleHolder<"boolexpr">): HEvent;

    /**
     *
     *
     * @event EVENT_PLAYER_HERO_LEVEL
     * @event EVENT_UNIT_HERO_LEVEL
     *
     *
     */
    function GetLevelingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_HERO_SKILL
     * @event EVENT_UNIT_HERO_SKILL
     *
     *
     */
    function GetLearningUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_HERO_SKILL
     * @event EVENT_UNIT_HERO_SKILL
     *
     *
     */
    function GetLearnedSkill(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_HERO_SKILL
     * @event EVENT_UNIT_HERO_SKILL
     *
     *
     */
    function GetLearnedSkillLevel(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_HERO_REVIVABLE
     *
     *
     */
    function GetRevivableUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_HERO_REVIVE_START
     * @event EVENT_PLAYER_HERO_REVIVE_CANCEL
     * @event EVENT_PLAYER_HERO_REVIVE_FINISH
     * @event EVENT_UNIT_HERO_REVIVE_START
     * @event EVENT_UNIT_HERO_REVIVE_CANCEL
     * @event EVENT_UNIT_HERO_REVIVE_FINISH
     *
     *
     */
    function GetRevivingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ATTACKED
     * @event EVENT_UNIT_ATTACKED
     *
     *
     */
    function GetAttacker(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_RESCUED
     * @event EVENT_UNIT_RESCUEDED
     *
     *
     */
    function GetRescuer(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_DEATH
     * @event EVENT_UNIT_DEATH
     *
     *
     *
     *
     */
    function GetDyingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_DEATH
     *
     *
     */
    function GetKillingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_DECAY
     * @event EVENT_UNIT_DECAY
     *
     *
     */
    function GetDecayingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_CONSTRUCT_START
     *
     *
     */
    function GetConstructingStructure(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_CONSTRUCT_FINISH
     * @event EVENT_PLAYER_UNIT_CONSTRUCT_CANCEL
     *
     * @event EVENT_UNIT_CONSTRUCT_CANCEL
     *
     *
     */
    function GetCancelledStructure(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_CONSTRUCT_FINISH
     * @event EVENT_PLAYER_UNIT_CONSTRUCT_CANCEL
     *
     * @event EVENT_UNIT_CONSTRUCT_CANCEL
     * @event EVENT_UNIT_CONSTRUCT_FINISH
     *
     *
     */
    function GetConstructedStructure(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_RESEARCH_START
     * @event EVENT_PLAYER_UNIT_RESEARCH_CANCEL
     * @event EVENT_PLAYER_UNIT_RESEARCH_FINISH
     *
     *
     */
    function GetResearchingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_RESEARCH_START
     * @event EVENT_PLAYER_UNIT_RESEARCH_CANCEL
     * @event EVENT_PLAYER_UNIT_RESEARCH_FINISH
     *
     *
     */
    function GetResearched(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_TRAIN_START
     * @event EVENT_PLAYER_UNIT_TRAIN_CANCEL
     *
     * @event EVENT_UNIT_TRAIN_START
     * @event EVENT_UNIT_TRAIN_CANCELLED
     * @event EVENT_UNIT_TRAIN_FINISH
     *
     *
     */
    function GetTrainedUnitType(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_TRAIN_FINISH
     * @event EVENT_UNIT_TRAIN_FINISH
     *
     *
     */
    function GetTrainedUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_DETECTED
     *
     *
     */
    function GetDetectedUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_SUMMONED
     *
     *
     */
    function GetSummoningUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_SUMMONED
     *
     *
     */
    function GetSummonedUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_LOADED
     *
     *
     */
    function GetTransportUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_LOADED
     *
     *
     */
    function GetLoadedUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_SELL
     * @event EVENT_UNIT_SELL
     *
     *
     */
    function GetSellingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_SELL
     * @event EVENT_UNIT_SELL
     *
     *
     */
    function GetSoldUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_SELL
     * @event EVENT_UNIT_SELL
     *
     *
     */
    function GetBuyingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_SELL_ITEM
     *
     *
     */
    function GetSoldItem(): Item;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_CHANGE_OWNER
     *
     *
     */
    function GetChangingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_CHANGE_OWNER
     *
     *
     */
    function GetChangingUnitPrevOwner(): Player;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_DROP_ITEM
     * @event EVENT_PLAYER_UNIT_PICKUP_ITEM
     * @event EVENT_PLAYER_UNIT_USE_ITEM
     *
     * @event EVENT_UNIT_DROP_ITEM
     * @event EVENT_UNIT_PICKUP_ITEM
     * @event EVENT_UNIT_USE_ITEM
     *
     *
     */
    function GetManipulatingUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_DROP_ITEM
     * @event EVENT_PLAYER_UNIT_PICKUP_ITEM
     * @event EVENT_PLAYER_UNIT_USE_ITEM
     *
     * @event EVENT_UNIT_DROP_ITEM
     * @event EVENT_UNIT_PICKUP_ITEM
     * @event EVENT_UNIT_USE_ITEM
     *
     *
     */
    function GetManipulatedItem(): Item;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_ORDER
     *
     * @event EVENT_UNIT_ISSUED_ORDER
     * @event EVENT_UNIT_ISSUED_POINT_ORDER
     * @event EVENT_UNIT_ISSUED_TARGET_ORDER
     *
     *
     */
    function GetOrderedUnit(): Unit;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_ORDER
     *
     * @event EVENT_UNIT_ISSUED_ORDER
     * @event EVENT_UNIT_ISSUED_POINT_ORDER
     * @event EVENT_UNIT_ISSUED_TARGET_ORDER
     *
     *
     */
    function GetIssuedOrderId(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_POINT_ORDER
     * @event EVENT_UNIT_ISSUED_POINT_ORDER
     *
     *
     */
    function GetOrderPointX(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_POINT_ORDER
     * @event EVENT_UNIT_ISSUED_POINT_ORDER
     *
     *
     */
    function GetOrderPointY(): number;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_POINT_ORDER
     * @event EVENT_UNIT_ISSUED_POINT_ORDER
     *
     *
     */
    function GetOrderPointLoc(): HLocation;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_TARGET_ORDER
     * @event EVENT_UNIT_ISSUED_TARGET_ORDER
     *
     *
     */
    function GetOrderTarget(): Widget;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_TARGET_ORDER
     * @event EVENT_UNIT_ISSUED_TARGET_ORDER
     *
     *
     */
    function GetOrderTargetDestructable(): Destructable;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_TARGET_ORDER
     * @event EVENT_UNIT_ISSUED_TARGET_ORDER
     *
     *
     */
    function GetOrderTargetItem(): Item;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_ISSUED_TARGET_ORDER
     * @event EVENT_UNIT_ISSUED_TARGET_ORDER
     *
     *
     */
    function GetOrderTargetUnit(): Unit;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellAbilityUnit(): Unit;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellAbilityId(): number;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellAbility(): HandleHolder<"ability">;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellTargetLoc(): HLocation;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     * @patch 1.24b
     *
     *
     */
    function GetSpellTargetX(): number;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     * @patch 1.24b
     *
     *
     */
    function GetSpellTargetY(): number;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellTargetDestructable(): Destructable;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellTargetItem(): Item;

    /**
     *
     *
     * @event EVENT_UNIT_SPELL_CHANNEL
     * @event EVENT_UNIT_SPELL_CAST
     * @event EVENT_UNIT_SPELL_EFFECT
     * @event EVENT_UNIT_SPELL_FINISH
     * @event EVENT_UNIT_SPELL_ENDCAST
     * @event EVENT_PLAYER_UNIT_SPELL_CHANNEL
     * @event EVENT_PLAYER_UNIT_SPELL_CAST
     * @event EVENT_PLAYER_UNIT_SPELL_EFFECT
     * @event EVENT_PLAYER_UNIT_SPELL_FINISH
     * @event EVENT_PLAYER_UNIT_SPELL_ENDCAST
     *
     *
     */
    function GetSpellTargetUnit(): Unit;

    function TriggerRegisterPlayerAllianceChange(whichTrigger: HTrigger, whichPlayer: Player, whichAlliance: HandleHolder<"alliancetype">): HEvent;

    function TriggerRegisterPlayerStateEvent(whichTrigger: HTrigger, whichPlayer: Player, whichState: HandleHolder<"playerstate">, opcode: HandleHolder<"limitop">, limitval: number): HEvent;

    /**
     *
     *
     * @event EVENT_PLAYER_STATE_LIMIT
     *
     *
     */
    function GetEventPlayerState(): HandleHolder<"playerstate">;

    /**
     * Registers a chat event.
     *
     * @param whichTrigger The trigger to which register the event.
     *
     * @param whichPlayer The player on which chat-messages to react to.
     *
     * @param chatMessageToDetect The message to react to. Pass `""` to react to any message.
     *
     * @param exactMatchOnly `true` if only the exact string in `chatMessageToDetect`
     * should fire the trigger. `false` will trigger if the `chatMessageToDetect` appears
     * anywhere in the entered string.
     *
     *
     * @note The callback event will not have the `EVENT_PLAYER_CHAT` eventid,
     * instead `ConvertPlayerEvent(96)` which has no attached global in common.j.
     *
     * @note Players removed by `RemovePlayer` will not fire chat events.
     *
     * @event ConvertPlayerEvent(96)
     *
     *
     */
    function TriggerRegisterPlayerChatEvent(whichTrigger: HTrigger, whichPlayer: Player, chatMessageToDetect: string, exactMatchOnly: boolean): HEvent;

    /**
     * Returns the actual string they typed in ( same as what you registered for
     *  if you required exact match ).
     * Used in conjunction with `TriggerRegisterPlayerChatEvent`.
     *
     *
     * @event ConvertPlayerEvent(96)
     *
     * @bug This function only returns `""` when called in response to `EVENT_PLAYER_CHAT`.
     *
     *
     */
    function GetEventPlayerChatString(): string;

    /**
     * Returns the string that you registered for.
     * Used in conjunction with `TriggerRegisterPlayerChatEvent`.
     *
     *
     * @event ConvertPlayerEvent(96)
     *
     * @bug This function only returns `""` when called in response to `EVENT_PLAYER_CHAT`.
     *
     *
     */
    function GetEventPlayerChatStringMatched(): string;

    /**
     * Makes the target trigger execute when specified widget dies.
     * Returns registered event.
     *
     * Use `GetTriggerWidget` to retrieve the target. These work too if the widget
     * is of the correct sub-type: `GetTriggerUnit`, `GetTriggerDestructable`.
     *
     * @param whichTrigger Register death event to execute this trigger.
     * @param whichWidget Trigger when this widget dies.
     *
     * @note There's no "GetTriggerItem" so you have to downcast it from `widget` type.
     * See example.
     *
     * @note **Example (Lua):** This event and trigger can be used to operate on
     * widgets, units, destructables, items (with typecasting).
     *
     * ```lua
     * -- Create necessary widgets
     * u = CreateUnit(Player(0), FourCC("Hamg"), -30, 0, 90)
     * d = CreateDestructable(FourCC("ZTg1"), 256, 0, 90, 1, 0)
     * item = CreateItem(FourCC("war2"), 256, 384)
     *
     * -- This is our trigger action
     * hasht = InitHashtable() -- for type-casting
     * function widgetDied()
     * 	local w,u,d,i
     * 	w,u,d = GetTriggerWidget(),GetTriggerUnit(),GetTriggerDestructable()
     * 	if not u and not d then -- the widget is an item
     * 		-- Downcasting (explicit type casting from widget to a child type)
     * 		SaveWidgetHandle(hasht, 1, 1, w) -- put as widget
     * 		i = LoadItemHandle(hasht, 1, 1) -- retrieve as item
     * 	end
     * 	print("died object (widget, unit, destr, item):", w, u, d, i)
     * 	
     * 	local wXpos, uXpos, dXpos, iXpos
     * 	wXpos = GetWidgetX(w)
     * 	if u then uXpos = GetUnitX(u) end
     * 	if d then dXpos = GetDestructableX(d) end
     * 	if i then iXpos = GetItemX(i) end
     * 	print("died obj x pos (widget, unit, destr, item):", wXpos, uXpos, dXpos, iXpos)
     * end
     *
     * -- Create and register widgets to this trigger
     * trig = CreateTrigger()
     * TriggerAddAction(trig, widgetDied)
     * for k,widg in pairs({u,d,item}) do TriggerRegisterDeathEvent(trig, widg) end
     *
     * -- Kill widgets and observe what happens
     * SetWidgetLife(u, 0)
     * SetWidgetLife(d, 0)
     * SetWidgetLife(item, 0)
     * ```
     *
     * @note You can use this with units, items, destructables. Explained in `widget`.
     *
     *
     *
     */
    function TriggerRegisterDeathEvent(whichTrigger: HTrigger, whichWidget: Widget): HEvent;

    /**
     * Returns handle to unit which triggered the most recent event when called from
     * within a trigger action function. Returns `null` handle when used incorrectly.
     *
     *
     * @note Can be used in `TriggerRegisterDeathEvent` if the dead widget is actually
     * a unit.
     *
     *
     */
    function GetTriggerUnit(): Unit;

    function TriggerRegisterUnitStateEvent(whichTrigger: HTrigger, whichUnit: Unit, whichState: HUnitState, opcode: HandleHolder<"limitop">, limitval: number): HEvent;

    /**
     *
     *
     * @event EVENT_UNIT_STATE_LIMIT
     *
     *
     */
    function GetEventUnitState(): HUnitState;

    function TriggerRegisterUnitEvent(whichTrigger: HTrigger, whichUnit: Unit, whichEvent: HUnitEvent): HEvent;

    /**
     *
     *
     * @event EVENT_UNIT_DAMAGED
     *
     *
     */
    function GetEventDamage(): number;

    /**
     *
     *
     * @event EVENT_UNIT_DAMAGED
     *
     *
     */
    function GetEventDamageSource(): Unit;

    /**
     *
     *
     * @event EVENT_UNIT_DETECTED
     *
     *
     */
    function GetEventDetectingPlayer(): Player;

    function TriggerRegisterFilterUnitEvent(whichTrigger: HTrigger, whichUnit: Unit, whichEvent: HUnitEvent, filter: HandleHolder<"boolexpr">): HEvent;

    /**
     *
     *
     * @event EVENT_UNIT_ACQUIRED_TARGET
     * @event EVENT_UNIT_TARGET_IN_RANGE
     *
     *
     */
    function GetEventTargetUnit(): Unit;

    function TriggerRegisterUnitInRange(whichTrigger: HTrigger, whichUnit: Unit, range: number, filter: HandleHolder<"boolexpr">): HEvent;

    function TriggerAddCondition(whichTrigger: HTrigger, condition: HandleHolder<"boolexpr">): HandleHolder<"triggercondition">;

    function TriggerRemoveCondition(whichTrigger: HTrigger, whichCondition: HandleHolder<"triggercondition">): void;

    function TriggerClearConditions(whichTrigger: HTrigger): void;

    /**
     * Adds an action to be called when the given trigger is fired through registered events or through `TriggerExecute`.
     *
     *
     * @note More than one action can be added to the trigger. The actions run in the order they were added.
     *
     * @note The same function can be used more than once on the same trigger.
     *
     * @note Actions wait for their forerunner to finish. So if there are `TriggerSleepAction`s, subsequent actions will be delayed accordingly.
     *
     * @note If an action execution crashes, subsequent actions will be unaffected and still be called.
     *
     * @bug If an action execution crashes after a `TriggerSleepAction` in the same action execution, subsequent actions will not be run.
     *
     * @note New actions added to the trigger during the execution of the actions won't be subject for execution for this run.
     *
     *
     */
    function TriggerAddAction(whichTrigger: HTrigger, actionFunc: JassCodeCallback): HTriggerAction;

    /**
     * Removes an action from a trigger.
     *
     *
     * @bug If the actions of the trigger are currently running and the removed action was still pending to be called, it will still be called unless
     * there is a `TriggerSleepAction` after the `TriggerRemoveAction`.
     *
     *
     */
    function TriggerRemoveAction(whichTrigger: HTrigger, whichAction: HTriggerAction): void;

    /**
     * Removes all actions from a trigger.
     *
     *
     * @bug If the actions of the trigger are currently running, hereby removed actions still pending to be called will still be called. In contrast to
     * `TriggerRemoveAction`, this will be the case regardless if there is a `TriggerSleepAction` after `TriggerClearActions` or not.
     *
     *
     */
    function TriggerClearActions(whichTrigger: HTrigger): void;

    /**
     * Makes a trigger execution sleep for a given duration. The thread will yield so other threads can do their work.
     *
     *
     * @note This works only in a trigger action execution context, not in trigger conditions nor for example in timer functions or `ForGroup` functions. However, it
     * also works in `ExecuteFunc` contexts, even if the `ExecuteFunc` call is not in a trigger action execution context.
     *
     * @note This has many implications, see other trigger-related natives.
     *
     * @note This ticks while the game was paused with the `PauseGame` native, unlike timers.
     *
     * @note This does not tick while the game was paused by the user, neither in singleplayer nor in multiplayer. (But the Trigger Editor of the World Editor
     * denotes it as a real-time wait. Is this a bug?)
     *
     * @note This ticks independently from game speed, i.e., in Fast mode, it will be about the same as a game time, in Normal mode, it will be about 25% faster than
     * game time and in Slow mode, it will be about 67% faster than game time, see table below.
     *
     * Game speed | TSA speed (%) | game speed (%)
     * -----------|---------------|---------------
     * Fast       | 100%          | 100%
     * Normal     | 100%          | 80%
     * Slow       | 100%          | 60%
     *
     * Example elapsed game time after TSA with timeout = 30:
     *
     * Game speed | game time elapsed
     * -----------|------------------
     * Fast       | 30s
     * Normal     | 24s
     * Slow       | 18s
     *
     *
     */
    function TriggerSleepAction(timeout: number): void;

    function TriggerWaitForSound(whichSound: HandleHolder<"sound">, offset: number): void;

    /**
     * Evaluates all functions that were added to the trigger via `TriggerAddCondition`.
     * All return-values from all added condition-functions are `and`ed together as the final return-value.
     * Returns the boolean value of the return value from the condition-function.
     * So if the condition-functions return `0`/`0.0`/`null`, then `TriggerEvaluate`
     * will return `false`. Note that an empty string `""` would return `true`.
     *
     *
     * @note If a condition-function crashes the thread or does not return any value
     * `TriggerEvaluate` will return `false`.
     *
     * @note If you want to return false for a condition-function that returns
     * string (for whatever reason) return `null` instead of `""`.
     *
     * @note *All* functions added via `TriggerAddCondition` are run.
     * There is no short-circuting. If you want short-circuting use `And` or `Or`.
     *
     * @note All functions added via `TriggerAddCondition` are run in the order they
     * were added.
     *
     *
     */
    function TriggerEvaluate(whichTrigger: HTrigger): boolean;

    /**
     * Calls the actions of a trigger in a new execution context. Control will return to the caller when the
     * trigger has finished or has been suspended via `TriggerSleepAction`.
     *
     *
     *
     */
    function TriggerExecute(whichTrigger: HTrigger): void;

    /**
     * Does the same as `TriggerExecute` but if the caller has been marked with `TriggerWaitOnSleeps` before its
     * execution, it will additionally wait for `TriggerSleepAction`s of the callee, so this really ensures that
     * the callee has finished. If there was a `TriggerSleepAction`, there will be a short delay before returning.
     *
     *
     *
     */
    function TriggerExecuteWait(whichTrigger: HTrigger): void;

    function TriggerSyncStart(): void;

    /**
     * Waits until all currently running `SyncStoredX` (like `SyncStoredInteger`)
     * calls are done.
     *
     *
     *
     */
    function TriggerSyncReady(): void;

    /**
     * Returns target's health points on succcess. Returns 0.0 if widget was removed or is null.
     *
     * @param whichWidget target widget.
     *
     * @note See: `SetWidgetLife`.
     * See `widget` for an explanation how this applies to units, destructables, items.
     *
     *
     *
     */
    function GetWidgetLife(whichWidget: Widget): number;

    /**
     * Sets target's health points.
     *
     * It is limited by target's maximum health points. A value of ≤0 kills the target.
     *
     * @param whichWidget target widget.
     * @param newLife set health points to this amount.
     *
     * @note See: `GetWidgetLife`.
     * See `widget` for an explanation how this applies to units, destructables, items.
     *
     *
     *
     */
    function SetWidgetLife(whichWidget: Widget, newLife: number): void;

    /**
     * Returns X map coordinate of widget on success. Returns 0.0 if widget was removed or is null.
     *
     * @param whichWidget target widget.
     *
     * @note See: `GetWidgetY`.
     * See `widget` for an explanation how this applies to units, destructables, items.
     *
     *
     *
     */
    function GetWidgetX(whichWidget: Widget): number;

    /**
     * Returns Y map coordinate of widget on success. Returns 0.0 if widget was removed or is null.
     *
     * @param whichWidget target widget.
     *
     * @note See: `GetWidgetX`.
     * See `widget` for an explanation how this applies to units, destructables, items.
     *
     *
     *
     */
    function GetWidgetY(whichWidget: Widget): number;

    /**
     * Returns the target widget (that caused the trigger-event) inside a trigger action.
     * Otherwise returns null.
     *
     *
     * @note Only works in triggers that operate on actual `widget` type, like `TriggerRegisterDeathEvent`.
     *
     *
     */
    function GetTriggerWidget(): Widget;

    function CreateDestructable(objectid: number, x: number, y: number, face: number, scale: number, variation: number): Destructable;

    /**
     * Creates a destructable at the coordinates ( x , y ).
     *
     * @param objectid The rawcode of the destructable to be created.
     * @param x The x-coordinate of the destructable.
     * @param y The y-coordinate of the destructable.
     * @param face The facing of the destructable.
     * @param scale The X-Y-Z scaling value of the destructable.
     * @param variation The integer representing the variation of the destructable to be created.
     *
     *
     *
     */
    function CreateDestructableZ(objectid: number, x: number, y: number, z: number, face: number, scale: number, variation: number): Destructable;

    /**
     * Creates the dead version of a destructable at the coordinates ( x , y ).
     * If the destructable has no animations, it will show the destructable's default
     * form. If it has a death animation, but no decay animation, then the object will
     * be created in memory but will not visibly appear.
     *
     * @param objectid The rawcode of the destructable to be created.
     * @param x The x-coordinate of the destructable.
     * @param y The y-coordinate of the destructable.
     * @param face The facing of the destructable.
     * @param scale The X-Y-Z scaling value of the destructable.
     * @param variation The integer representing the variation of the destructable to be created.
     *
     *
     *
     */
    function CreateDeadDestructable(objectid: number, x: number, y: number, face: number, scale: number, variation: number): Destructable;

    /**
     * Creates the dead version of a destructable at the coordinates ( x , y , z ).
     * If the destructable has no animations, it will show the destructable's default
     * form. If it has a death animation, but no decay animation, then the object will
     * be created in memory but will not visibly appear.
     *
     * @param objectid The rawcode of the destructable to be created.
     * @param x The x-coordinate of the destructable.
     * @param y The y-coordinate of the destructable.
     * @param z The z-coordinate of the destructable.
     * @param face The facing of the destructable.
     * @param scale The X-Y-Z scaling value of the destructable.
     * @param variation The integer representing the variation of the destructable to be created.
     *
     *
     *
     */
    function CreateDeadDestructableZ(objectid: number, x: number, y: number, z: number, face: number, scale: number, variation: number): Destructable;

    function RemoveDestructable(d: Destructable): void;

    function KillDestructable(d: Destructable): void;

    function SetDestructableInvulnerable(d: Destructable, flag: boolean): void;

    function IsDestructableInvulnerable(d: Destructable): boolean;

    function EnumDestructablesInRect(r: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">, actionFunc: JassCodeCallback): void;

    function GetDestructableTypeId(d: Destructable): number;

    function GetDestructableX(d: Destructable): number;

    function GetDestructableY(d: Destructable): number;

    function SetDestructableLife(d: Destructable, life: number): void;

    function GetDestructableLife(d: Destructable): number;

    function SetDestructableMaxLife(d: Destructable, max: number): void;

    function GetDestructableMaxLife(d: Destructable): number;

    /**
     * Resurrects a destructable with the specified hit points.
     *
     * @param d The destructable to resurrect. If it is not dead, there will be no effect.
     *
     * @param life The amount of hit points the destructable will have when it is
     * resurrected. A value of 0, or any value above the destructable's maximum HP,
     * will give the destructable its maximum HP (as defined in the object editor).
     * Any value below 0.5 will give the destructable 0.5 hit points.
     *
     * @param birth If true, the destructable will play its birth animation upon resurrection.
     *
     *
     *
     *
     */
    function DestructableRestoreLife(d: Destructable, life: number, birth: boolean): void;

    function QueueDestructableAnimation(d: Destructable, whichAnimation: string): void;

    function SetDestructableAnimation(d: Destructable, whichAnimation: string): void;

    function SetDestructableAnimationSpeed(d: Destructable, speedFactor: number): void;

    function ShowDestructable(d: Destructable, flag: boolean): void;

    function GetDestructableOccluderHeight(d: Destructable): number;

    function SetDestructableOccluderHeight(d: Destructable, height: number): void;

    /**
     *
     *
     * @async 
     *
     *
     */
    function GetDestructableName(d: Destructable): string;

    /**
     *
     *
     * @note Can be used in `TriggerRegisterDeathEvent` if the dead widget is actually
     * a destructable.
     *
     *
     */
    function GetTriggerDestructable(): Destructable;

    /**
     * Creates an item object at the specified coordinates ( x , y ).
     *
     * @param itemid The rawcode of the item.
     *
     * @param x The x-coordinate of the item.
     *
     * @param y The y-coordinate of the item.
     *
     *
     *
     */
    function CreateItem(itemid: number, x: number, y: number): Item;

    function RemoveItem(whichItem: Item): void;

    function GetItemPlayer(whichItem: Item): Player;

    function GetItemTypeId(i: Item): number;

    function GetItemX(i: Item): number;

    function GetItemY(i: Item): number;

    function SetItemPosition(i: Item, x: number, y: number): void;

    function SetItemDropOnDeath(whichItem: Item, flag: boolean): void;

    function SetItemDroppable(i: Item, flag: boolean): void;

    function SetItemPawnable(i: Item, flag: boolean): void;

    function SetItemPlayer(whichItem: Item, whichPlayer: Player, changeColor: boolean): void;

    function SetItemInvulnerable(whichItem: Item, flag: boolean): void;

    function IsItemInvulnerable(whichItem: Item): boolean;

    /**
     *
     *
     * @note 
     * An item can be hidden locally, but it will desync if visibility causes a local side-effect.
     *
     *
     */
    function SetItemVisible(whichItem: Item, show: boolean): void;

    function IsItemVisible(whichItem: Item): boolean;

    function IsItemOwned(whichItem: Item): boolean;

    function IsItemPowerup(whichItem: Item): boolean;

    function IsItemSellable(whichItem: Item): boolean;

    function IsItemPawnable(whichItem: Item): boolean;

    function IsItemIdPowerup(itemId: number): boolean;

    function IsItemIdSellable(itemId: number): boolean;

    function IsItemIdPawnable(itemId: number): boolean;

    function EnumItemsInRect(r: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">, actionFunc: JassCodeCallback): void;

    function GetItemLevel(whichItem: Item): number;

    function GetItemType(whichItem: Item): HandleHolder<"itemtype">;

    function SetItemDropID(whichItem: Item, unitId: number): void;

    /**
     *
     *
     * @async 
     *
     *
     */
    function GetItemName(whichItem: Item): string;

    function GetItemCharges(whichItem: Item): number;

    function SetItemCharges(whichItem: Item, charges: number): void;

    function GetItemUserData(whichItem: Item): number;

    function SetItemUserData(whichItem: Item, data: number): void;

    /**
     * Creates a unit of type `unitid` for player `id`, facing a certain direction at the provided coordinates.
     * Returns handle to unit.
     *
     * **Example:** Create a human footman for first player (red) at map coordinates -30, 0, facing north:
     *
     * ```
     *     // Jass
     *     call CreateUnit(Player(0), 'hfoo', -30, 0, 90)
     * ```
     * ```lua
     *     -- Lua
     *     CreateUnit(Player(0), FourCC("hfoo"), -30, 0, 90)
     * ```
     * 	
     * @param id The owner of the unit.
     * @param unitid The rawcode of the unit.
     * @param x The x-coordinate of the unit.
     * @param y The y-coordinate of the unit.
     * @param face Unit facing in degrees.
     *
     * * 0   = East
     * * 90  = North
     * * 180 = West
     * * 270 = South
     * * -90 = South (wraps around)
     *
     *
     * @note See: `bj_UNIT_FACING` constant for default facing direction of units in BJ scripts and GUI.
     *
     *
     *
     */
    function CreateUnit(id: Player, unitid: number, x: number, y: number, face: number): Unit;

    /**
     * @param face Unit facing in degrees.
     *
     */
    function CreateUnitByName(whichPlayer: Player, unitname: string, x: number, y: number, face: number): Unit;

    /**
     * @param id The owner of the unit.
     * @param unitid The rawcode of the unit.
     * @param whichLocation The position of the unit.
     * @param face Unit facing in degrees.
     *
     */
    function CreateUnitAtLoc(id: Player, unitid: number, whichLocation: HLocation, face: number): Unit;

    /**
     * @param face Unit facing in degrees.
     *
     */
    function CreateUnitAtLocByName(id: Player, unitname: string, whichLocation: HLocation, face: number): Unit;

    /**
     * Creates the corpse of a specific unit for a player at the coordinates ( x , y ).
     * The unit will die upon spawning and play their decay animation, therefore they
     * will not necessarily be a corpse immediately after this function call. If the
     * unit corresponding to the rawcode cannot have a corpse, then the returned value is null.
     *
     * @param whichPlayer The owner of the corpse.
     * @param unitid The rawcode of the unit for the corpse.
     * @param x The x-coordinate of the corpse.
     * @param y The y-coordinate of the corpse.
     * @param face Unit facing in degrees.
     *
     *
     *
     */
    function CreateCorpse(whichPlayer: Player, unitid: number, x: number, y: number, face: number): Unit;

    function KillUnit(whichUnit: Unit): void;

    /**
     *
     * @note A comment in Blizzard.j, `ReplaceUnitBJ` states that it's "sometimes unsafe to remove hidden units",
     * as a workaround it calls `KillUnit` right before `RemoveUnit`.
     *
     * TODO: Propagate this note to other functions that use hidden units.
     *
     */
    function RemoveUnit(whichUnit: Unit): void;

    function ShowUnit(whichUnit: Unit, show: boolean): void;

    /**
     * Set unit's unit state to a new absolute value.
     *
     * **Example:** Set unit's max mana to 105 MP.
     *
     *     call SetUnitState(myUnit, UNIT_STATE_MAX_MANA, 105.0)
     * 	
     *
     * @note See: `GetUnitState`.
     *
     *
     */
    function SetUnitState(whichUnit: Unit, whichUnitState: HUnitState, newVal: number): void;

    /**
     *
     *
     * @note If the unit has movementspeed of zero the unit will be moved but the model
     * of the unit will not move.
     * @note This does not cancel orders of the unit. `SetUnitPosition` does cancel orders.
     *
     *
     */
    function SetUnitX(whichUnit: Unit, newX: number): void;

    /**
     *
     *
     * @note If the unit has movementspeed of zero the unit will be moved but the model
     * of the unit will not move.
     * @note This does not cancel orders of the unit. `SetUnitPosition` does cancel orders.
     *
     *
     */
    function SetUnitY(whichUnit: Unit, newY: number): void;

    /**
     *
     *
     * @note This cancels the orders of the unit. If you want to move a unit without
     * canceling its orders use `SetUnitX`/`SetUnitY`.
     *
     *
     */
    function SetUnitPosition(whichUnit: Unit, newX: number, newY: number): void;

    function SetUnitPositionLoc(whichUnit: Unit, whichLocation: HLocation): void;

    /**
     * Makes the unit slowly turn around on the spot to look at new direction.
     *
     * @param whichUnit Target unit.
     * @param facingAngle Unit facing in degrees.
     *
     * * 0   = East
     * * 90  = North
     * * 180 = West
     * * 270 = South
     * * -90 = South (wraps around)
     *
     * @note While the unit is moving, calling this function will have no effect.
     *
     *
     */
    function SetUnitFacing(whichUnit: Unit, facingAngle: number): void;

    /**
     * Makes the unit slowly turn around on the spot to look at new direction,
     * the turn speed can be modified with `duration`.
     *
     * @note Not affected by `GetUnitTurnSpeed`/`SetUnitTurnSpeed`.
     *
     * @note If `duration < 0.1`, while the unit is moving, calling this function will have no effect.
     *
     * @bug For `duration == 0.5` the footman plays the running animation while turning.
     *
     * ```lua
     * uf1 = CreateUnit(Player(0), FourCC("hfoo"), -128, 0, 90)
     * uf2 = CreateUnit(Player(0), FourCC("hfoo"), 128, 0, 90)
     *
     * SetUnitFacing(uf1, -90)
     * SetUnitFacingTimed(uf2, -90, 0.5)
     * ```
     *
     * @bug For `duration` values other than zero, the final angle is different
     * than the requested angle, even when called repeatedly.
     *
     * ```lua
     * SetUnitFacing(uf1, 90)
     * SetUnitFacingTimed(uf2, 90, 1) --> final angle = 96.91184 (expected 90)
     * ```
     *
     * @param whichUnit Target unit.
     *
     * @param facingAngle New angle in degrees (direction), see: `SetUnitFacing`.
     *
     * @param duration
     * Value >= 0 and < 1: same turn speed as `SetUnitFacing`.
     *
     * Values >= 1 seem to be applied like a multiplier, slowing down the turn speed.
     *
     */
    function SetUnitFacingTimed(whichUnit: Unit, facingAngle: number, duration: number): void;

    function SetUnitMoveSpeed(whichUnit: Unit, newSpeed: number): void;

    function SetUnitFlyHeight(whichUnit: Unit, newHeight: number, rate: number): void;

    function SetUnitTurnSpeed(whichUnit: Unit, newTurnSpeed: number): void;

    /**
     * Sets a unit's propulsion window to the specified angle (in radians).
     *
     * The propulsion window determines at which facing angle difference to the target
     * command's location (move, attack, patrol, smart) a unit will begin to move if
     * movement is required to fulfil the command, or if it will turn without movement.
     * A propulsion window of 0 makes the unit unable to move at all.
     * A propulsion window of 180 will force it to start moving as soon as the command
     * is given (if movement is required). In practice, this means that setting a
     * unit's prop window to 0 will prevent it from attacking.
     *
     * <http://www.hiveworkshop.com/forums/2391397-post20.html>
     *
     *
     * @param whichUnit The function will modify this unit's propulsion window.
     * @param newPropWindowAngle The propulsion window angle to assign. Should be in radians.
     *
     *
     *
     *
     */
    function SetUnitPropWindow(whichUnit: Unit, newPropWindowAngle: number): void;

    /**
     * Sets a unit's acquire range.  This is the value that a unit uses to choose targets to
     * engage with.  Note that this is not the attack range.  When acquisition range is
     * greater than attack range, the unit will attempt to move towards acquired targets, and
     * then attack.
     *
     * Setting acquisition range lower than attack range in the object editor limits the
     * unit's attack range to the acquisition range, but changing a unit's acquisition range
     * with this native does not change its attack range, nor the value displayed in the UI.
     *
     *
     * @note It is a myth that reducing acquire range with this native can limit a unit's
     * attack range.
     *
     *
     */
    function SetUnitAcquireRange(whichUnit: Unit, newAcquireRange: number): void;

    function SetUnitCreepGuard(whichUnit: Unit, creepGuard: boolean): void;

    function GetUnitAcquireRange(whichUnit: Unit): number;

    function GetUnitTurnSpeed(whichUnit: Unit): number;

    /**
     * Returns a unit's propulsion window angle in radians.
     *
     * @param whichUnit The function will return this unit's propulsion window angle.
     *
     *
     *
     */
    function GetUnitPropWindow(whichUnit: Unit): number;

    function GetUnitFlyHeight(whichUnit: Unit): number;

    function GetUnitDefaultAcquireRange(whichUnit: Unit): number;

    function GetUnitDefaultTurnSpeed(whichUnit: Unit): number;

    /**
     * Returns a unit's default propulsion window angle in degrees.
     *
     * @param whichUnit The unit of which to return the default prop window.
     *
     *
     * @note This native is the odd case in the asymmetric prop window API, since the
     * other prop window natives use radians. Therefore, to reset a unit's prop window
     * you need the explicit conversion, i.e.
     * `SetUnitPropWindow(u, GetUnitDefaultPropWindow(u) * bj_DEGTORAD)`.
     *
     *
     */
    function GetUnitDefaultPropWindow(whichUnit: Unit): number;

    function GetUnitDefaultFlyHeight(whichUnit: Unit): number;

    /**
     * Changes ownership of a unit.
     *
     * @param whichUnit Unit to modify.
     * @param whichPlayer The unit's new owner.
     * @param changeColor True to change unit's accent color to new owner's color, false to leave old color.
     *
     *
     * @note Reforged: The HP bar will always have the color of its owner player, regardless of `changeColor`.
     *
     * @note See: `GetOwningPlayer`, `Player`.
     *
     *
     */
    function SetUnitOwner(whichUnit: Unit, whichPlayer: Player, changeColor: boolean): void;

    /**
     * Sets a unit's player color accent.
     *
     * @param whichUnit Unit to modify.
     * @param whichColor Set to this player's color.
     *
     *
     * @bug Visual bug (tested v1.32.10): if you create two units of the same type (Normal and Colored)
     * and set Colored's color to a different color, then clicking between the two units
     * will not change the portrait color. The portrait will only update correctly if you
     * deselect the unit. 
     *
     *
     *
     */
    function SetUnitColor(whichUnit: Unit, whichColor: HandleHolder<"playercolor">): void;

    /**
     *
     * @param scaleX This is actually the scale for *all* dimensions.
     * @param scaleY This parameter is not taken into account.
     * @param scaleZ This parameter is not taken into account.
     *
     * @bug Only takes scaleX into account and uses scaleX for all three dimensions.
     *
     *
     */
    function SetUnitScale(whichUnit: Unit, scaleX: number, scaleY: number, scaleZ: number): void;

    function SetUnitTimeScale(whichUnit: Unit, timeScale: number): void;

    function SetUnitBlendTime(whichUnit: Unit, blendTime: number): void;

    /**
     * Sets the unit's entire model color to the color defined by (red, green, blue, alpha).
     *
     * The vertex color changes how the model is rendered. For example, setting all r,g,b=0 will make the model entirely black; no colors will be visible (like Illidan's demon form).
     *
     * To imagine the final result of changing vertex colors, it is helpful to think of individual RGB layers in a color image, if you disable the Red channel, only Green & Blue channels will be shown.
     *
     * @param whichUnit The unit to modify.
     * @param red visibility of red channel (clamped to 0-255).
     * @param green visibility of green channel (clamped to 0-255).
     * @param blue visibility of blue channel (clamped to 0-255).
     * @param alpha opacity (clamped to 0-255). A value of 255 is total opacity (fully visible). A value of 0 is total transparency; the model will be invisible, but you'll still see the shadow, HP bar etc.
     *
     *
     * @note Not to be confused with `SetUnitColor` which changes a unit's player accent color.
     *
     *
     */
    function SetUnitVertexColor(whichUnit: Unit, red: number, green: number, blue: number, alpha: number): void;

    function QueueUnitAnimation(whichUnit: Unit, whichAnimation: string): void;

    function SetUnitAnimation(whichUnit: Unit, whichAnimation: string): void;

    function SetUnitAnimationByIndex(whichUnit: Unit, whichAnimation: number): void;

    function SetUnitAnimationWithRarity(whichUnit: Unit, whichAnimation: string, rarity: HandleHolder<"raritycontrol">): void;

    function AddUnitAnimationProperties(whichUnit: Unit, animProperties: string, add: boolean): void;

    /**
     * Locks a unit's bone to face the target until ResetUnitLookAt is called.
     *
     * The offset coordinates ( X, Y, Z ) are taken from the target's origin.
     * The bones will lock to the lookAtTarget, offset by those coordinates. You can't
     * have both the head and the chest locked to the target at the same time.
     *
     *
     *
     * @param whichUnit The unit that will have its bone locked to face the target.
     *
     * @param whichBone The bone to lock onto the target. The engine only supports
     * locking the head and the chest. To lock the head, you can put in any input
     * except a null string. To lock the chest, the string must start with `"bone_chest"`.
     * All leading spaces are ignored, it is case insensitive, and anything after the
     * first non-leading space will be ignored.
     *
     * @param lookAtTarget The bone will be locked to face this unit.
     *
     * @param offsetX The x-offset from lookAtTarget's origin point.
     *
     * @param offsetY The y-offset from lookAtTarget's origin point.
     *
     * @param offsetZ The z-offset from lookAtTarget's origin point (this already factors in the terrain Z).
     *
     *
     * @note The parameter `whichBone` can only move the head bones and the chest bones.
     * All other input will default to the head bone. However, the function only looks
     * for the helper named `"Bone_Head"` (or `"Bone_Chest"`) in the MDL, so you can just
     * rename a helper so that it will move that set of bones instead.
     *
     * @note SetUnitLookAt is affected by animation speed and blend time.
     *
     * @note [How to instantly set a unit's facing](http://www.wc3c.net/showthread.php?t=105830).
     *
     *
     */
    function SetUnitLookAt(whichUnit: Unit, whichBone: string, lookAtTarget: Unit, offsetX: number, offsetY: number, offsetZ: number): void;

    /**
     * Unlocks the bone oriented by `SetUnitLookAt`, allowing it to move in accordance
     * to the unit's regular animations.
     *
     * @param whichUnit The unit that will have its bone unlocked.
     *
     *
     *
     */
    function ResetUnitLookAt(whichUnit: Unit): void;

    function SetUnitRescuable(whichUnit: Unit, byWhichPlayer: Player, flag: boolean): void;

    function SetUnitRescueRange(whichUnit: Unit, range: number): void;

    /**
     * Sets the hero's strength property. If the new strength property is less than current value, the hero will lose HP.
     *
     *
     * @note Hero cannot lose HP below 1.0, which means that removing X strength and then adding X strength back can result in healing.
     *
     *
     */
    function SetHeroStr(whichHero: Unit, newStr: number, permanent: boolean): void;

    function SetHeroAgi(whichHero: Unit, newAgi: number, permanent: boolean): void;

    function SetHeroInt(whichHero: Unit, newInt: number, permanent: boolean): void;

    function GetHeroStr(whichHero: Unit, includeBonuses: boolean): number;

    function GetHeroAgi(whichHero: Unit, includeBonuses: boolean): number;

    function GetHeroInt(whichHero: Unit, includeBonuses: boolean): number;

    function UnitStripHeroLevel(whichHero: Unit, howManyLevels: number): boolean;

    function GetHeroXP(whichHero: Unit): number;

    function SetHeroXP(whichHero: Unit, newXpVal: number, showEyeCandy: boolean): void;

    /**
     * Returns the units available skill points.
     *
     *
     *
     */
    function GetHeroSkillPoints(whichHero: Unit): number;

    /**
     * Adds the amount to the units available skill points. Calling with a negative
     * number reduces the skill points by that amount.
     * Returns false if the amount of available skill points is already zero and
     * if it's called with any non-positive number.
     * Returns true in any other case.
     *
     *
     * @note If `skillPointDelta` is greater than the amount of skillpoints the hero
     * actually can spend (like 9 for three 3-level abilities) only that amount will
     * be added. Negative `skillPointDelta` works as expected.
     *
     *
     */
    function UnitModifySkillPoints(whichHero: Unit, skillPointDelta: number): boolean;

    /**
     * Adds the input value of experience to the hero unit specified.
     *
     * If the experience added exceeds the amount required for the hero to gain a level,
     * then it will force the unit to gain a level and the remaining experience will
     * spill over for the next level.
     *
     * @param whichHero The hero unit to add experience to.
     *
     * @param xpToAdd The amount of experience to add to the hero unit.
     *
     * @param showEyeCandy If the boolean input is true, then the hero-level-gain
     * effect will be shown if the hero gains a level from the added experience.
     *
     * @bug Adding negative value to experience will decrease it
     * by the stated value, but won't lower the level even if the experience value
     * after deduction is lower than the lower bound of the experience required to get
     * the stated level.
     *
     * @bug If the value will become lower than zero, the experience won't
     * be negative, instead of it it'll be equal
     * to `4294967296+(supposed_negative_experience_value)` which actually proves
     * that WarCraft III uses unsigned int type for storing experience points.
     *
     *
     *
     */
    function AddHeroXP(whichHero: Unit, xpToAdd: number, showEyeCandy: boolean): void;

    /**
     * Sets the hero to chosen level.
     *
     * The level can only be increased; lowering the level does nothing.
     * Further, the level will not exceed the hero's maximum level set in WorldEditor.
     *
     * @param whichHero The target hero unit.
     * @param level New level of the hero.
     * @param showEyeCandy False to hide level-up effects, true to show.
     * The level-up effects include: floating experience gain text, sound and a visual effect.
     *
     *
     *
     */
    function SetHeroLevel(whichHero: Unit, level: number, showEyeCandy: boolean): void;

    function GetHeroLevel(whichHero: Unit): number;

    function GetUnitLevel(whichUnit: Unit): number;

    /**
     * Returns the hero's "Proper Name", which is the name displayed above the level bar.
     *
     *
     * @note Will return `null` on non-hero units or `null`.
     *
     *
     */
    function GetHeroProperName(whichHero: Unit): string;

    function SuspendHeroXP(whichHero: Unit, flag: boolean): void;

    function IsSuspendedXP(whichHero: Unit): boolean;

    /**
     * Spends a skill point of the hero to learn a skill.
     * If the requirements are not met, does nothing.
     * This is equivalent to clicking the red plus button in game and choosing a skill.
     *
     * Requirements:
     *
     * 1. The hero has an unspent skill point
     * 2. The skill is available for learning (not level-locked etc.)
     *
     * @param whichHero Target hero.
     * @param abilcode Abilities' raw code identifier.
     *
     *
     *
     */
    function SelectHeroSkill(whichHero: Unit, abilcode: number): void;

    /**
     * Returns the level of the ability for the unit.
     *
     * @param whichUnit Target unit.
     * @param abilcode Abilities' raw code identifier.
     *
     *
     *
     */
    function GetUnitAbilityLevel(whichUnit: Unit, abilcode: number): number;

    /**
     * Decreases the level of a unit's ability by 1. The level will not go below 1.
     * Returns the new ability level.
     *
     * @param whichUnit The unit with the ability.
     * @param abilcode The four digit rawcode representation of the ability.
     *
     *
     *
     */
    function DecUnitAbilityLevel(whichUnit: Unit, abilcode: number): number;

    /**
     * Increases the level of a unit's ability by 1.
     *
     * Returns the new ability level.
     *
     * @param whichUnit The unit with the ability.
     * @param abilcode The four digit rawcode representation of the ability.
     *
     *
     * @note `IncUnitAbilityLevel` can increase an abilities level to maxlevel+1.
     * On maxlevel+1 all ability fields are 0.
     * See <http://www.wc3c.net/showthread.php?p=1029039#post1029039>
     * and <http://www.hiveworkshop.com/forums/lab-715/silenceex-everything-you-dont-know-about-silence-274351/>.
     *
     *
     */
    function IncUnitAbilityLevel(whichUnit: Unit, abilcode: number): number;

    /**
     * Sets the new level of unit's ability.
     *
     * @param whichUnit Target unit.
     * @param abilcode Abilities' raw code identifier.
     * @param level New ability level.
     *
     *
     * @note You can only set levels which are defined for the current ability.
     * For example, most WC3 abilities have levels 1-3.
     * Setting level <=0 will instead set it to level 1.
     * Setting level >maximum will instead set it to abilities' highest level defined in WorldEditor.
     *
     * @note When a unit picks up an item with an ability, the ability will be added to the unit's list of abilities. Thus, this function can be used
     * to set the level of an ability for an item on the unit, too. Since it's an attribute of the unit, a level set this way will not be retained
     * when the item is dropped and picked up again. Via item abilities, a unit can have more than one instance of ability with the same ability id.
     * This function will only set the level of the most recently obtained ability instance, then, which corresponds to the first ability instance found
     * when using `BlzGetUnitAbilityByIndex` counting upwards.
     *
     */
    function SetUnitAbilityLevel(whichUnit: Unit, abilcode: number, level: number): number;

    /**
     * Revives a dead hero at target coordinates, with or without special effects.
     *
     * Returns true if hero was dead and revived.
     * Returns false otherwise (hero alive, unit isn't a hero/doesn't exist etc.).
     *
     * @param whichHero Target dead hero.
     * @param x X map coordinate.
     * @param y Y map coordinate.
     * @param doEyecandy True to revive with revival special effects, false without.
     * Special effects include: sound, visual effect. 
     *
     *
     * @note See: `ReviveHeroLoc`.
     *
     *
     */
    function ReviveHero(whichHero: Unit, x: number, y: number, doEyecandy: boolean): boolean;

    /**
     * Revives a dead hero at target location, with or without special effects.
     *
     * Returns true if hero was dead and revived.
     * Returns false otherwise (hero alive, unit isn't a hero/doesn't exist etc.)
     *
     * @param loc Location on map.
     * @param doEyecandy True to revive with revival special effects, false without.
     * Special effects include: sound, visual effect. 
     *
     *
     * @note See: `ReviveHero`.
     *
     *
     */
    function ReviveHeroLoc(whichHero: Unit, loc: HLocation, doEyecandy: boolean): boolean;

    function SetUnitExploded(whichUnit: Unit, exploded: boolean): void;

    /**
     * Renders a unit invulnerable/lifts that specific invulnerability.
     *
     *
     * @note The native seems to employ the `'Avul'` ability, which is defined in the
     * default AbilityData.slk.
     * If there is no `'Avul'` defined, this will crash the game.
     *
     *
     */
    function SetUnitInvulnerable(whichUnit: Unit, flag: boolean): void;

    /**
     * Pauses a unit. A paused unit has the following properties:
     *
     *   * Buffs/effects are suspended
     *   * Orders are stored when paused and fired on unpause
     *   * The paused unit does not accept powerups. `UnitAddItem` returns true but
     *     the item is not picked up
     *
     *
     *
     */
    function PauseUnit(whichUnit: Unit, flag: boolean): void;

    function IsUnitPaused(whichHero: Unit): boolean;

    function SetUnitPathing(whichUnit: Unit, flag: boolean): void;

    /**
     * Clears all widget selections for all players.
     *
     *
     * @note Use `ClearSelectionForPlayer` to clear selection for only one player.
     *
     *
     */
    function ClearSelection(): void;

    /**
     *
     *
     * @bug If you use this function to select a unit after calling `ClearSelection` (like `SelectUnitSingle`
     * does) and you have a unit sub-menu opened (like spellbook or build structure), the command buttons
     * of the selected unit won't show until you select another unit.
     *
     *
     */
    function SelectUnit(whichUnit: Unit, flag: boolean): void;

    function GetUnitPointValue(whichUnit: Unit): number;

    function GetUnitPointValueByType(unitType: number): number;

    function SetUnitPointValueByType(unitType: number, newPointValue: number): void;

    /**
     * Puts specific item in target unit's inventory.
     *
     * Returns:
     *
     * - true if this exact item is already in unit's inventory or if it was put there successfully
     * - false if unit has no inventory or space, or invalid item/unit
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     *
     *
     *
     */
    function UnitAddItem(whichUnit: Unit, whichItem: Item): boolean;

    /**
     * Creates a new item of type `itemId` and puts it in unit's inventory.
     * If the inventory is full, it is dropped on the ground at unit's position instead.
     *
     * This function works in two steps:
     *
     * 1. Spawn the item if both `whichUnit` and `itemId` are valid and exist
     * 2. Attempt to put the item in unit's inventory. If inventory is full or unit is
     * dead then the item is dropped on the ground at unit position.
     *
     * Returns:
     *
     * - item handle if the item was successfully placed in unit's inventory
     * - null if inventory is full, unit cannot carry items, itemId/unit invalid etc.
     *
     * @param whichUnit Target unit.
     * @param itemId Item's raw code identifier.
     *
     *
     * @note See: `UnitAddItemToSlotById`.
     *
     *
     */
    function UnitAddItemById(whichUnit: Unit, itemId: number): Item;

    /**
     * Creates a new item of type `itemId`
     * and puts it in unit's inventory in slot specified by `itemSlot`.
     * If the slot is occupied or invalid (<0 or >6, or higher than unit's max slots),
     * it is dropped on the ground at unit's position instead.
     *
     * This function works in two steps:
     *
     * 1. Spawn the item if both `whichUnit` and `itemId` are valid and exist
     * 2. Attempt to put the item in unit's inventory at specified slot.
     * If the slot is occupied or unit is dead then the item is dropped on the ground
     * at unit position.
     *
     * Returns:
     *
     * - true if the item was successfully placed in unit's inventory
     * - false otherwise: slot occupied, unit cannot carry items, itemId/unit/itemSlot invalid etc.
     *
     * @param whichUnit Target unit.
     * @param itemId Item's raw code identifier.
     * @param itemSlot Slot number (zero-based, i.e. 0 to 5).
     *
     *
     * @note See: `UnitAddItemById`.
     *
     *
     */
    function UnitAddItemToSlotById(whichUnit: Unit, itemId: number, itemSlot: number): boolean;

    /**
     * If the target unit carries the item, it is removed from the inventory and dropped at unit's position.
     *
     * Nothing happens if unit or item instance is invalid.
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     *
     *
     * @note See `UnitRemoveItemFromSlot` to drop an item from a specific slot.
     *
     *
     */
    function UnitRemoveItem(whichUnit: Unit, whichItem: Item): void;

    /**
     * If an item exists in the given slot, it is removed from the inventory and dropped at unit's position.
     *
     * Returns the handle of dropped item when successful.
     * Returns null on failure (no item, invalid slot/unit).
     *
     * @param whichUnit Target unit.
     * @param itemSlot Slot number (zero-based, i.e. 0 to 5).
     *
     *
     * @note See `UnitRemoveItem` to drop an item by handle.
     *
     *
     */
    function UnitRemoveItemFromSlot(whichUnit: Unit, itemSlot: number): Item;

    /**
     * Returns true if unit has this specific instance of item somewhere in inventory.
     * Returns false otherwise (null unit, item not found in inventory, null item etc).
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     *
     *
     *
     */
    function UnitHasItem(whichUnit: Unit, whichItem: Item): boolean;

    /**
     * Returns a handle to item in slot number `itemSlot` of the specified unit.
     *
     * Returns null otherwise:
     * when there's no item in slot, no slot (less than 6 slots), invalid slot number, invalid unit.
     *
     * @param whichUnit Target unit.
     * @param itemSlot Slot number (zero-based, i.e. 0 to 5).
     *
     *
     *
     */
    function UnitItemInSlot(whichUnit: Unit, itemSlot: number): Item;

    /**
     * Returns amount of inventory slots for unit (0 to `bj_MAX_INVENTORY` inclusive).
     * Returns zero if unit is invalid or has no inventory.
     *
     * @param whichUnit Target unit.
     *
     *
     *
     */
    function UnitInventorySize(whichUnit: Unit): number;

    /**
     * Issues an immediate order for the unit to go to point (x,y) and drop the item there.
     *
     * If the unit cannot reach the point, it will run up to closest location and stop there,
     * without dropping the item.
     *
     * Returns:
     *
     * - true if item was found in inventory of unit and an order was issued.
     * - false if unit/item invalid, unit is paused and cannot take orders etc.
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     * @param x X map coordinate.
     * @param y Y map coordinate.
     *
     *
     * @note See: `UnitDropItemSlot`, `UnitDropItemTarget`.
     *
     *
     */
    function UnitDropItemPoint(whichUnit: Unit, whichItem: Item, x: number, y: number): boolean;

    /**
     * Moves an item inside unit's inventory to specified slot.
     * If this slot contains an item, their positions are swapped.
     *
     * This is the same as if you'd right-click an item in game to move it to a different slot.
     *
     * Returns:
     *
     * - true if the move was successful, even if moving an item to its current slot (no change)
     * - false if unit/item invalid, item not in inventory, invalid item slot specified
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     * @param slot Move to this slot.
     *
     *
     *
     */
    function UnitDropItemSlot(whichUnit: Unit, whichItem: Item, slot: number): boolean;

    /**
     * Issues an immediate order for the `whichUnit` to go to `target` (usually another unit)
     * and give the item to target. If the target has no inventory slots/full inventory,
     * the item is dropped at target's feet.
     *
     * If the `whichUnit` cannot reach the target, it will run up to closest location and stop there,
     * without giving the item. If the target is a running unit, `whichUnit` will follow it
     * to give the item.
     *
     * Returns:
     *
     * - true if item was found in inventory of `whichUnit` and an order was issued.
     * - false if `whichUnit`/item/widget invalid, `whichUnit` is paused and cannot take orders etc.
     * Target widget can be a paused unit and will receive the item.
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     * @param target Target unit or widget.
     *
     *
     * @note See: `UnitDropItemSlot`, `UnitDropItemPoint`.
     *
     *
     *
     */
    function UnitDropItemTarget(whichUnit: Unit, whichItem: Item, target: Widget): boolean;

    /**
     * Issues an immediate order for the unit to use the specified item.
     *
     * This is the same as left-clicking and using an item in inventory.
     * Units that cannot use items will not do anything.
     *
     * Returns:
     *
     * - true if item was successfully used / an order was issued
     * - false otherwise, because an order was not issued:
     * unit doesn't have item, item on cooldown, invalid unit/item etc.
     *
     * Examples:
     *
     * - Potion of Healing `'phea'`:
     *     - Unit on patrol, but has full HP: does nothing, unit continues running
     *     - Unit on patrol, but has low HP: Uses potion to restore HP, stops patrolling
     *
     * - Dagger of Escape `'desc'`:
     * is not casted, because requires a position as a target.
     * However, an order is issued, hence returns true.
     *
     * - Inferno Stone `'infs'`: same as with dagger above.
     *
     *
     * @note See: `UnitUseItemPoint`, `UnitUseItemTarget`.
     *
     *
     *
     */
    function UnitUseItem(whichUnit: Unit, whichItem: Item): boolean;

    /**
     * Issues an immediate order for the unit to use item pointed at position (x,y).
     *
     * This is the same as left-clicking and using an item in inventory.
     * Units that cannot use items will not do anything.
     *
     * Examples:
     *
     * - Potion of Healing `'phea'`:
     * Restores HP 
     *
     * - Dagger of Escape `'desc'`:
     * Casts immediately towards (x,y), even if too far, item on cooldown.
     * Does not cast if position is already reached (no cooldown).
     *
     * - Inferno Stone `'infs'`:
     * runs towards (x,y) and once in range, casts to spawn an Infernal.
     * If already in range, casts immediately.
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     * @param x Point at X map coordinate to use the item.
     * @param y Point at Y map coordinate to use the item.
     *
     *
     * @bug Seems to always return false (tested v1.32.10).
     *
     * @note See: `UnitUseItem`, `UnitUseItemTarget`.
     *
     *
     *
     */
    function UnitUseItemPoint(whichUnit: Unit, whichItem: Item, x: number, y: number): boolean;

    /**
     * Issues an immediate order for the unit to use item pointed `target` (widget or unit).
     *
     * This is the similar to left-clicking and using an item in inventory.
     * Units that cannot use items will not do anything.
     *
     * Returns:
     *
     * - true if item was successfully used / an order was issued
     * - false otherwise, because an order was not issued:
     * unit doesn't have item, item on cooldown, invalid unit/item/target etc.
     *
     * Examples:
     *
     * - Dagger of Escape `'desc'`: does not cast.
     * Explanation: when you click a dagger on a building in game, the target is not
     * actually the building, but the map position you're pointing at, even though you
     * see the building being highlighted on cursor hover.
     *
     * - Inferno Stone `'infs'`: does not cast, same as above.
     *
     * @param whichUnit Target unit.
     * @param whichItem Handle to item instance.
     * @param target Target unit or widget.
     *
     *
     * @note See: `UnitUseItem`, `UnitUseItemPoint`.
     *
     *
     *
     */
    function UnitUseItemTarget(whichUnit: Unit, whichItem: Item, target: Widget): boolean;

    /**
     * Returns X map coordinate of whichUnit (alive or dead). Returns 0.0 if unit was removed or is null.
     *
     *
     * @bug If the unit is loaded into a zeppelin this will not return the position
     * of the zeppelin but the last position of the unit before it was loaded into
     * the zeppelin.
     *
     * @note Since unit extends from `widget`, you can use widget-related functions too.
     * See: `GetUnitY`, `BlzGetLocalUnitZ`, `BlzGetUnitZ`, `GetWidgetX`, `GetWidgetY`.
     *
     *
     */
    function GetUnitX(whichUnit: Unit): number;

    /**
     * Returns Y map coordinate of whichUnit (alive or dead). Returns 0.0 if unit was removed or is null.
     *
     *
     * @bug If the unit is loaded into a zeppelin this will not return the position
     * of the zeppelin but the last position of the unit before it was loaded into
     * the zeppelin.
     *
     * @note Since unit extends from `widget`, you can use widget-related functions too.
     * See: `GetUnitX`, `BlzGetLocalUnitZ`, `BlzGetUnitZ`, GetWidgetX`, `GetWidgetY`.
     *
     *
     */
    function GetUnitY(whichUnit: Unit): number;

    /**
     *
     *
     * @bug If the unit is loaded into a zeppelin this will not return the position
     * of the zeppelin but the last position of the unit before it was loaded into
     * the zeppelin.
     *
     *
     */
    function GetUnitLoc(whichUnit: Unit): HLocation;

    /**
     * Returns the units facing in degrees.
     *
     *
     *
     */
    function GetUnitFacing(whichUnit: Unit): number;

    function GetUnitMoveSpeed(whichUnit: Unit): number;

    function GetUnitDefaultMoveSpeed(whichUnit: Unit): number;

    /**
     * Returns unit's current unit state as an absolute value.
     *
     * **Example:** Retrieve a unit's current/max HP and mana:
     *
     *     call GetUnitState(myUnit, UNIT_STATE_MAX_MANA) // returns 285.0
     * 	
     *
     * @note See: `SetUnitState`.
     *
     *
     */
    function GetUnitState(whichUnit: Unit, whichUnitState: HUnitState): number;

    /**
     * Returns the owner player of the unit.
     *
     * @param whichUnit Target unit.
     *
     *
     * @note See: `SetUnitOwner`.
     *
     *
     */
    function GetOwningPlayer(whichUnit: Unit): Player;

    function GetUnitTypeId(whichUnit: Unit): number;

    function GetUnitRace(whichUnit: Unit): HandleHolder<"race">;

    /**
     * Returns localized name for unit.
     *
     * **Example (Lua)**:
     *
     * ```lua
     * u = CreateUnit(Player(0), FourCC("hfoo"), -30, 0, 90)
     * print(GetUnitName(u)) --> "Footman"
     * ```
     *
     * @param whichUnit Target unit.
     *
     * @async 
     *
     *
     */
    function GetUnitName(whichUnit: Unit): string;

    function GetUnitFoodUsed(whichUnit: Unit): number;

    function GetUnitFoodMade(whichUnit: Unit): number;

    function GetFoodMade(unitId: number): number;

    function GetFoodUsed(unitId: number): number;

    function SetUnitUseFood(whichUnit: Unit, useFood: boolean): void;

    function GetUnitRallyPoint(whichUnit: Unit): HLocation;

    function GetUnitRallyUnit(whichUnit: Unit): Unit;

    function GetUnitRallyDestructable(whichUnit: Unit): Destructable;

    function IsUnitInGroup(whichUnit: Unit, whichGroup: HandleHolder<"group">): boolean;

    function IsUnitInForce(whichUnit: Unit, whichForce: HandleHolder<"force">): boolean;

    function IsUnitOwnedByPlayer(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitAlly(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitEnemy(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitVisible(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitDetected(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitInvisible(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitFogged(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitMasked(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitSelected(whichUnit: Unit, whichPlayer: Player): boolean;

    function IsUnitRace(whichUnit: Unit, whichRace: HandleHolder<"race">): boolean;

    /**
     *
     *
     * @note This native returns a boolean, which when typecasted to integer might
     * be greater than 1. It's probably implemented via a bitset.
     *
     * @note In past patches this native bugged when used in `conditionfunc`s.
     * The fix back then was to compare with true (`==true`).
     * I cannot reproduce the faulty behaviour in patch 1.27 so this is only a note.
     *
     *
     */
    function IsUnitType(whichUnit: Unit, whichUnitType: HandleHolder<"unittype">): boolean;

    /**
     *
     *
     * @note Useless. Use operator== instead.
     * @pure 
     *
     *
     */
    function IsUnit(whichUnit: Unit, whichSpecifiedUnit: Unit): boolean;

    function IsUnitInRange(whichUnit: Unit, otherUnit: Unit, distance: number): boolean;

    function IsUnitInRangeXY(whichUnit: Unit, x: number, y: number, distance: number): boolean;

    function IsUnitInRangeLoc(whichUnit: Unit, whichLocation: HLocation, distance: number): boolean;

    /**
     * Returns `true` if `whichUnit` is hidden, for example by means of `ShowUnit`.
     *
     * @note A comment in Blizzard.j, `ReplaceUnitBJ` states that it's "sometimes unsafe to remove hidden units",
     * as a workaround it calls `KillUnit` right before `RemoveUnit`.
     *
     */
    function IsUnitHidden(whichUnit: Unit): boolean;

    function IsUnitIllusion(whichUnit: Unit): boolean;

    function IsUnitInTransport(whichUnit: Unit, whichTransport: Unit): boolean;

    function IsUnitLoaded(whichUnit: Unit): boolean;

    function IsHeroUnitId(unitId: number): boolean;

    function IsUnitIdType(unitId: number, whichUnitType: HandleHolder<"unittype">): boolean;

    function UnitShareVision(whichUnit: Unit, whichPlayer: Player, share: boolean): void;

    function UnitSuspendDecay(whichUnit: Unit, suspend: boolean): void;

    function UnitAddType(whichUnit: Unit, whichUnitType: HandleHolder<"unittype">): boolean;

    function UnitRemoveType(whichUnit: Unit, whichUnitType: HandleHolder<"unittype">): boolean;

    /**
     * Adds the ability to target unit. Can be used to add an ability to any hero.
     * The added ability is level 1 and without a cooldown.
     *
     * Returns:
     *
     * - true if the addition was successful (hero did not have this ability before)
     * - false otherwise (hero already has this ability)
     *
     * @param whichUnit Target unit.
     * @param abilityId Abilities' raw code identifier.
     *
     *
     *
     */
    function UnitAddAbility(whichUnit: Unit, abilityId: number): boolean;

    /**
     * Removes the ability from target unit.
     *
     * Returns:
     *
     * - true if the removal was successful (hero did have this ability before)
     * - false otherwise (hero does not have this ability)
     *
     * @param whichUnit Target unit.
     * @param abilityId Abilities' raw code identifier.
     *
     *
     * @bug Removing non-interrupt abilities like divine shile while they're being
     * cast (at the EVENT_PLAYER_UNIT_SPELL_EFFECT point), and while the caster is
     * moving, will cause the caster to become unresponsive to new commands until
     * they reach their ordered move point. 
     *
     *
     */
    function UnitRemoveAbility(whichUnit: Unit, abilityId: number): boolean;

    /**
     * This native is used to keep abilities when morphing units.
     *
     *
     *
     */
    function UnitMakeAbilityPermanent(whichUnit: Unit, permanent: boolean, abilityId: number): boolean;

    function UnitRemoveBuffs(whichUnit: Unit, removePositive: boolean, removeNegative: boolean): void;

    function UnitRemoveBuffsEx(whichUnit: Unit, removePositive: boolean, removeNegative: boolean, magic: boolean, physical: boolean, timedLife: boolean, aura: boolean, autoDispel: boolean): void;

    function UnitHasBuffsEx(whichUnit: Unit, removePositive: boolean, removeNegative: boolean, magic: boolean, physical: boolean, timedLife: boolean, aura: boolean, autoDispel: boolean): boolean;

    function UnitCountBuffsEx(whichUnit: Unit, removePositive: boolean, removeNegative: boolean, magic: boolean, physical: boolean, timedLife: boolean, aura: boolean, autoDispel: boolean): number;

    function UnitAddSleep(whichUnit: Unit, add: boolean): void;

    function UnitCanSleep(whichUnit: Unit): boolean;

    function UnitAddSleepPerm(whichUnit: Unit, add: boolean): void;

    function UnitCanSleepPerm(whichUnit: Unit): boolean;

    function UnitIsSleeping(whichUnit: Unit): boolean;

    function UnitWakeUp(whichUnit: Unit): void;

    function UnitApplyTimedLife(whichUnit: Unit, buffId: number, duration: number): void;

    function UnitIgnoreAlarm(whichUnit: Unit, flag: boolean): boolean;

    function UnitIgnoreAlarmToggled(whichUnit: Unit): boolean;

    function UnitResetCooldown(whichUnit: Unit): void;

    function UnitSetConstructionProgress(whichUnit: Unit, constructionPercentage: number): void;

    function UnitSetUpgradeProgress(whichUnit: Unit, upgradePercentage: number): void;

    function UnitPauseTimedLife(whichUnit: Unit, flag: boolean): void;

    function UnitSetUsesAltIcon(whichUnit: Unit, flag: boolean): void;

    /**
     *
     *
     * @bug Has been known to cause crashes in battle.net.
     *
     *
     */
    function UnitDamagePoint(whichUnit: Unit, delay: number, radius: number, x: number, y: number, amount: number, attack: boolean, ranged: boolean, attackType: HandleHolder<"attacktype">, damageType: HandleHolder<"damagetype">, weaponType: HandleHolder<"weapontype">): boolean;

    /**
     * Deals damage to target widget from a source unit.
     *
     * @param whichUnit The source of the damage. To actual deal damage it should be
     * not `null`.
     *
     * @param target The target being damaged.
     *
     * @param amount How much damage is being dealt.
     *
     * @param attack Consider the damage dealt as being an attack.
     *
     * @param ranged Consider the damage dealt as being from a ranged source.
     *
     *
     * @note For some insight about the different configurations of the different
     * types see [this post](http://www.wc3c.net/showpost.php?p=1030046&postcount=19).
     *
     *
     *
     */
    function UnitDamageTarget(whichUnit: Unit, target: Widget, amount: number, attack: boolean, ranged: boolean, attackType: HandleHolder<"attacktype">, damageType: HandleHolder<"damagetype">, weaponType: HandleHolder<"weapontype">): boolean;

    function IssueImmediateOrder(whichUnit: Unit, order: string): boolean;

    function IssueImmediateOrderById(whichUnit: Unit, order: number): boolean;

    /**
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure, this function will return `false` even if the unit accepts the order.
     *
     */
    function IssuePointOrder(whichUnit: Unit, order: string, x: number, y: number): boolean;

    /**
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure, this function will return `false` even if the unit accepts the order.
     *
     */
    function IssuePointOrderLoc(whichUnit: Unit, order: string, whichLocation: HLocation): boolean;

    /**
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure, this function will return `false` even if the unit accepts the order.
     *
     */
    function IssuePointOrderById(whichUnit: Unit, order: number, x: number, y: number): boolean;

    /**
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure, this function will return `false` even if the unit accepts the order.
     *
     */
    function IssuePointOrderByIdLoc(whichUnit: Unit, order: number, whichLocation: HLocation): boolean;

    function IssueTargetOrder(whichUnit: Unit, order: string, targetWidget: Widget): boolean;

    function IssueTargetOrderById(whichUnit: Unit, order: number, targetWidget: Widget): boolean;

    function IssueInstantPointOrder(whichUnit: Unit, order: string, x: number, y: number, instantTargetWidget: Widget): boolean;

    function IssueInstantPointOrderById(whichUnit: Unit, order: number, x: number, y: number, instantTargetWidget: Widget): boolean;

    function IssueInstantTargetOrder(whichUnit: Unit, order: string, targetWidget: Widget, instantTargetWidget: Widget): boolean;

    function IssueInstantTargetOrderById(whichUnit: Unit, order: number, targetWidget: Widget, instantTargetWidget: Widget): boolean;

    /**
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure and the unit can build that structure in principle (and the spot is not blocked, either),
     * this function will still return `true` even if the player lacks the resources for it.
     *
     */
    function IssueBuildOrder(whichPeon: Unit, unitToBuild: string, x: number, y: number): boolean;

    /**
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure and the unit can build that structure in principle (and the spot is not blocked, either),
     * this function will still return `true` even if the player lacks the resources for it.
     *
     */
    function IssueBuildOrderById(whichPeon: Unit, unitId: number, x: number, y: number): boolean;

    function IssueNeutralImmediateOrder(forWhichPlayer: Player, neutralStructure: Unit, unitToBuild: string): boolean;

    /**
     * Can be used to buy items and units at a shop.
     *
     *
     *
     */
    function IssueNeutralImmediateOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number): boolean;

    function IssueNeutralPointOrder(forWhichPlayer: Player, neutralStructure: Unit, unitToBuild: string, x: number, y: number): boolean;

    function IssueNeutralPointOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number, x: number, y: number): boolean;

    function IssueNeutralTargetOrder(forWhichPlayer: Player, neutralStructure: Unit, unitToBuild: string, target: Widget): boolean;

    function IssueNeutralTargetOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number, target: Widget): boolean;

    function GetUnitCurrentOrder(whichUnit: Unit): number;

    /**
     * Sets the amount of available gold of a gold mine. The amount can be negative, which is practically the same as 0.
     *
     * @param whichUnit Change amount of this gold mine unit.
     *
     * @param amount The new gold amount.
     *
     *
     * @bug If the final value, after adding a negative amount, will be less than zero, then it
     * will display the correct negative amount, but mining won't yield any gold.
     * If peasant enters a mine with 0 gold, it's destroyed and he stops next to mine.
     * If peasant enters a mine with <0 gold, it's destroyed and he runs back to the castle.
     *
     * @note See: `AddResourceAmount`, `GetResourceAmount`.
     *
     *
     */
    function SetResourceAmount(whichUnit: Unit, amount: number): void;

    /**
     * Adds the amount of available gold to a gold mine. The amount can be negative, which is practically the same as 0.
     *
     * @param whichUnit Add gold to this gold mine unit.
     *
     * @param amount The amount of gold to add to the unit.
     *
     *
     * @note See `SetResourceAmount` for edge-case descriptions. Also: `SetResourceAmount`, `GetResourceAmount`.
     *
     *
     */
    function AddResourceAmount(whichUnit: Unit, amount: number): void;

    /**
     * Returns the amount of available gold in a gold mine. The amount can be negative, which is practically the same as 0.
     *
     * @param whichUnit Add gold to this gold mine unit.
     *
     *
     * @note See `SetResourceAmount` for edge-case descriptions. Also: `SetResourceAmount`, `AddResourceAmount`.
     *
     *
     */
    function GetResourceAmount(whichUnit: Unit): number;

    function WaygateGetDestinationX(waygate: Unit): number;

    function WaygateGetDestinationY(waygate: Unit): number;

    function WaygateSetDestination(waygate: Unit, x: number, y: number): void;

    function WaygateActivate(waygate: Unit, activate: boolean): void;

    function WaygateIsActive(waygate: Unit): boolean;

    /**
     * Adds an item of the type itemId with current stock of currentStock and max stock
     * of stockMax to all shops in game.
     *
     * @param itemId The item to add to the stock.
     *
     * @param currentStock Determines the amount of that item in stock upon being added
     * to the buildings.
     *
     * @param stockMax The item will grow in stock count up to the value of stockMax.
     * The rate at which the item grows in stock is determined by its stock replenish
     * interval, which can be modified in the object editor.
     *
     * @note Some issues with default Blizzard initialization and that function were met.
     * See <http://www.hiveworkshop.com/forums/l-715/a-251815/> for details.
     *
     * @note Adding an item which already is in stock for a building will replace it
     * and refresh the interval and stock count.
     *
     *
     *
     *
     *
     */
    function AddItemToAllStock(itemId: number, currentStock: number, stockMax: number): void;

    /**
     * Adds an item of the type itemId with current stock of currentStock and max stock
     * of stockMax to the specific shop whichUnit.
     *
     *
     * @note Some issues with default Blizzard initialization and that function were met.
     * See <http://www.hiveworkshop.com/forums/l-715/a-251815/> for details.
     *
     *
     */
    function AddItemToStock(whichUnit: Unit, itemId: number, currentStock: number, stockMax: number): void;

    function AddUnitToAllStock(unitId: number, currentStock: number, stockMax: number): void;

    function AddUnitToStock(whichUnit: Unit, unitId: number, currentStock: number, stockMax: number): void;

    function RemoveItemFromAllStock(itemId: number): void;

    function RemoveItemFromStock(whichUnit: Unit, itemId: number): void;

    function RemoveUnitFromAllStock(unitId: number): void;

    function RemoveUnitFromStock(whichUnit: Unit, unitId: number): void;

    function SetAllItemTypeSlots(slots: number): void;

    function SetAllUnitTypeSlots(slots: number): void;

    function SetItemTypeSlots(whichUnit: Unit, slots: number): void;

    function SetUnitTypeSlots(whichUnit: Unit, slots: number): void;

    function GetUnitUserData(whichUnit: Unit): number;

    /**
     * Sets a single custom integer for a unit.
     *
     *
     * @note This value is not used by any standard mechanisms in Warcraft III nor
     * in the blizzard.j, so it is free to be harnessed.
     * Besides `GetHandleId`, this is an excellent possibility to assign a unique
     * integer id to a unit, which can serve as an index in other data structures.
     *
     *
     */
    function SetUnitUserData(whichUnit: Unit, data: number): void;

    /**
     * Returns the instance of player based on ID number.
     *
     * This function always returns the same instance, does not create new objects.
     * If used with invalid values (below 0 or above `GetBJMaxPlayerSlots`), returns null in Reforged, crashed on Classic.
     *
     *
     * @note 
     * Common.j: IDs start from 0, e.g. Player(0) is red, 1 is blue etc. -> `GetPlayerId`
     * Blizzard.j (WorldEdit): IDs start with 1 -> `GetConvertedPlayerId`.
     *
     * @note See: `GetPlayerId`, `GetBJMaxPlayers`, `GetBJMaxPlayerSlots`, `GetPlayerNeutralPassive`, `GetPlayerNeutralAggressive`.
     *
     * @bug In old versions (which?) crashes the game if used with wrong values, that is values greather than 15
     * or values lower than 0.
     *
     * @pure 
     *
     *
     */
    function Player(number: number): Player;

    /**
     * Returns reference to local player, as such it always points to yourself.
     * Every other player in the game gets their player respectively.
     *
     * Do not use this function until you understand it fully and know how to avoid desyncs!
     * Always test your map in LAN multiplayer after changing code around it.
     *
     * Warcraft 3 has the lock-step network/execution model.
     * This means the game simulation and code run on all players' computers with the exact same data at any point in time.
     * Look at this example (Lua):
     *     
     * ```lua
     * function whoami_command()
     *     -- all players know who entered this command, equal value on every computer
     *     local player_who_entered_command = GetTriggerPlayer()
     *     -- this always points to you!
     *     local myself = GetLocalPlayer() 
     *     
     *     local command_player_name = GetPlayerName(player_who_entered_command)
     *     local my_player_name = GetPlayerName(myself)
     *     -- everybody will see this player's name
     *     DisplayTextToForce(GetPlayersAll(), "Player ".. command_player_name .." entered the whoami command!")
     *     -- everybody will see their own name!
     *     DisplayTextToForce(GetPlayersAll(), "But my name is: ".. my_player_name)
     * end
     * ```
     *
     * This function is always used when you want something only to happen to a certain player.
     * **However if you aren't careful, you will cause a desync:** where one player's game state is different from everybody else!
     * For example, you can apply camera position locally, this is how `SetCameraPositionForPlayer` works (Jass):
     *
     *     if (GetLocalPlayer() == whichPlayer) then
     *        // Use only local code (no net traffic) within this block to avoid desyncs.
     *        call SetCameraPosition(x, y)
     *     endif
     *
     * Basic rule: anything that's only visual (like unit color) will not desync... unless your code relies on the exact value later in the game:
     * *if cameraX is 123 then ...* different players will have different camera positions here.
     *
     * On the other hand, manipulating handles or creating units locally,
     * changing their health, attack, invisibility etc. - anything that changes the game will desync:
     *
     *     if (GetLocalPlayer() == whichPlayer) then
     *        // INSTANTLY DESYNCS! The unit was only killed on one player's screen! Others think it's alive
     *        call KillUnit(someUnit)
     *     endif
     *
     *
     * @async 
     *
     *
     */
    function GetLocalPlayer(): Player;

    function IsPlayerAlly(whichPlayer: Player, otherPlayer: Player): boolean;

    function IsPlayerEnemy(whichPlayer: Player, otherPlayer: Player): boolean;

    function IsPlayerInForce(whichPlayer: Player, whichForce: HandleHolder<"force">): boolean;

    function IsPlayerObserver(whichPlayer: Player): boolean;

    function IsVisibleToPlayer(x: number, y: number, whichPlayer: Player): boolean;

    function IsLocationVisibleToPlayer(whichLocation: HLocation, whichPlayer: Player): boolean;

    function IsFoggedToPlayer(x: number, y: number, whichPlayer: Player): boolean;

    function IsLocationFoggedToPlayer(whichLocation: HLocation, whichPlayer: Player): boolean;

    function IsMaskedToPlayer(x: number, y: number, whichPlayer: Player): boolean;

    function IsLocationMaskedToPlayer(whichLocation: HLocation, whichPlayer: Player): boolean;

    /**
     * Returns race of the player.
     *
     * The handle is constant and does not change between invocations. (Lua, v1.32.10)
     *
     */
    function GetPlayerRace(whichPlayer: Player): HandleHolder<"race">;

    /**
     * Returns player ID of player (which starts with zero; e.g. player red is 0).
     *
     * @param whichPlayer Target player.
     *
     *
     * @note For one-based WorldEdit-type IDs see: `GetConvertedPlayerId`. Also: `Player`.
     *
     *
     */
    function GetPlayerId(whichPlayer: Player): number;

    function GetPlayerUnitCount(whichPlayer: Player, includeIncomplete: boolean): number;

    function GetPlayerTypedUnitCount(whichPlayer: Player, unitName: string, includeIncomplete: boolean, includeUpgrades: boolean): number;

    function GetPlayerStructureCount(whichPlayer: Player, includeIncomplete: boolean): number;

    function GetPlayerState(whichPlayer: Player, whichPlayerState: HandleHolder<"playerstate">): number;

    function GetPlayerScore(whichPlayer: Player, whichPlayerScore: HandleHolder<"playerscore">): number;

    function GetPlayerAlliance(sourcePlayer: Player, otherPlayer: Player, whichAllianceSetting: HandleHolder<"alliancetype">): boolean;

    function GetPlayerHandicap(whichPlayer: Player): number;

    function GetPlayerHandicapXP(whichPlayer: Player): number;

    function SetPlayerHandicap(whichPlayer: Player, handicap: number): void;

    function SetPlayerHandicapXP(whichPlayer: Player, handicap: number): void;

    function SetPlayerTechMaxAllowed(whichPlayer: Player, techid: number, maximum: number): void;

    function GetPlayerTechMaxAllowed(whichPlayer: Player, techid: number): number;

    /**
     * In upgrades that have multiple levels, it will research the upgrade by the
     * number of levels specified. (it adds the number of levels to the current
     * research level, see `SetPlayerTechResearched` to set the research level).
     *
     * @param whichPlayer The player who the upgrade will be researched for.
     *
     * @param techid The four digit rawcode ID of the upgrade.
     *
     * @param levels The number of levels to add to the current research level of the upgrade.
     *
     *
     *
     */
    function AddPlayerTechResearched(whichPlayer: Player, techid: number, levels: number): void;

    function SetPlayerTechResearched(whichPlayer: Player, techid: number, setToLevel: number): void;

    function GetPlayerTechResearched(whichPlayer: Player, techid: number, specificonly: boolean): boolean;

    /**
     * Gets the level of a tech of a player. This could be an upgrade, a unit type or an equivalent as selected in tech requirement fields.
     * In case of an upgrade, this would be the level of the upgrade the given player has and 0 if the player has not researched the upgrade at all.
     * In case of a unit type or an equivalent, it would be the amount of units of that type or which fulfill the equivalent condition for the given player.
     *
     * @param whichPlayer The player whose tech level to query.
     *
     * @param techid The id of the tech item. Either an upgrade like Iron Plating `'Rhar'`, a unit type like Footman `'hfoo'` or one of the following special equivalent ids:
     *
     * - `'HERO'` - any hero
     * - `'TALT'` - any altar
     * - `'TWN1'` - town hall tier 1
     * - `'TWN2'` - town hall tier 2
     * - `'TWN3'` - town hall tier 3
     * - `'TWN4'` - town hall tier 4
     * - `'TWN5'` - town hall tier 5
     * - `'TWN6'` - town hall tier 6
     * - `'TWN7'` - town hall tier 7
     * - `'TWN8'` - town hall tier 8
     * - `'TWN9'` - town hall tier 9
     *
     * @param specificonly When this is false, it will consider some additional dependencies between the techs:
     * When specificonly is false, the Human Guard Tower 'hgtw' will also be considered when querying for the Scout Tower `'hwtw'` (even if the Guard Tower is preplaced, i.e. not doing the upgrade on runtime, so this checks the Teechtree - Upgrades To `'uupt'` field?).
     * Higher tier townhalls will be considered when querying for lower tier hownhalls, i.e. querying for Great Hall `'ogre'` will also consider Stronghold `'ostr'` and Fortress `'ofrt'` when specificonly is false.
     * Ability morph does not seem to be considered when specificonly is false, tested with Berserker Upgrade of Headhunter.
     * Techtree - Dependency Equivalents `'udep'` seems to be considered even if specificonly is true, i.e. when you set Scout Tower as an equivalent for Farm `'hhou'`, querying for `'hhou'` will also consider Scout Towers.
     *
     *
     *
     */
    function GetPlayerTechCount(whichPlayer: Player, techid: number, specificonly: boolean): number;

    function SetPlayerUnitsOwner(whichPlayer: Player, newOwner: number): void;

    /**
     * Reveals a player's remaining buildings to a force. The black mask over the
     * buildings will be removed as if the territory had been discovered.
     *
     * @param whichPlayer The player to reveal.
     *
     * @param toWhichPlayers The players who will see whichPlayer's buildings.
     *
     * @param flag If true, the buildings will be revealed. If false, the buildings
     * will not be revealed. Note that if you set it to false, it will not hide the buildings with a black mask.
     *
     * @note his function will not check whether the player has a town hall before revealing.
     *
     *
     *
     */
    function CripplePlayer(whichPlayer: Player, toWhichPlayers: HandleHolder<"force">, flag: boolean): void;

    function SetPlayerAbilityAvailable(whichPlayer: Player, abilid: number, avail: boolean): void;

    function SetPlayerState(whichPlayer: Player, whichPlayerState: HandleHolder<"playerstate">, value: number): void;

    function RemovePlayer(whichPlayer: Player, gameResult: HandleHolder<"playergameresult">): void;

    /**
     * Used to store hero level data for the scorescreen, before units are moved
     * to neutral passive in melee games.
     *
     * @param whichPlayer The player to store hero data for.
     *
     *
     *
     */
    function CachePlayerHeroData(whichPlayer: Player): void;

    /**
     * Sets target player's fog of war data in the specified rectangle.
     *
     * Individual player's fog state is a reflection of player's map exploration progress:
     * which areas were explored or still hidden; which are fogged (not visible); which are
     * visible. What is visible in game is a combination of personal fog state & fog modifiers.
     *
     * @param forWhichPlayer Target player.
     * @param whichState Change fog to this type. See `fogstate` for type explanation.
     * @param where Target rectangle area.
     * @param useSharedVision If true, apply new state to player and whoever player shares their vision.
     * If false, apply only to player themself.
     *
     *
     *
     */
    function SetFogStateRect(forWhichPlayer: Player, whichState: HandleHolder<"fogstate">, where: HandleHolder<"rect">, useSharedVision: boolean): void;

    /**
     * Sets target player's fog of war data in the specified circle area.
     *
     * Individual player's fog state is a reflection of player's map exploration progress:
     * which areas were explored or still hidden; which are fogged (not visible); which are
     * visible. What is visible in game is a combination of personal fog state & fog modifiers.
     *
     * @param forWhichPlayer Target player.
     * @param whichState Change fog to this type. See `fogstate` for type explanation.
     * @param centerx X-coordinate of the circle center.
     * @param centerY Y-coordinate of the circle center.
     * @param radius Circle's radius (from center to its edge).
     * @param useSharedVision If true, apply new state to player and whoever player shares their vision.
     * If false, apply only to player themself.
     *
     *
     *
     */
    function SetFogStateRadius(forWhichPlayer: Player, whichState: HandleHolder<"fogstate">, centerx: number, centerY: number, radius: number, useSharedVision: boolean): void;

    /**
     * Sets target player's fog of war data in the specified circle area.
     *
     * Individual player's fog state is a reflection of player's map exploration progress:
     * which areas were explored or still hidden; which are fogged (not visible); which are
     * visible. What is visible in game is a combination of personal fog state & fog modifiers.
     *
     * @param forWhichPlayer Target player.
     * @param whichState Change fog to this type. See `fogstate` for type explanation.
     * @param center Location describing the center of the circle.
     * @param radius Circle's radius (from center to its edge).
     * @param useSharedVision If true, apply new state to player and whoever player shares their vision.
     * If false, apply only to player themself.
     *
     *
     *
     */
    function SetFogStateRadiusLoc(forWhichPlayer: Player, whichState: HandleHolder<"fogstate">, center: HLocation, radius: number, useSharedVision: boolean): void;

    /**
     * Toggles global FOW masking of unexplored areas.
     *
     * An individual player's fog state is not modified, that means this toggle is fully
     * reversible.
     *
     * @param enable True: unexplored areas are masked.
     *
     * False: unexplored areas are not masked (whether visible depends on `IsFogEnabled`).
     *
     *
     * @note See: `IsFogMaskEnabled`, `IsFogEnabled`. "Fog mask" is explained in `fogstate`.
     *
     *
     */
    function FogMaskEnable(enable: boolean): void;

    /**
     * Returns whether global FOW masking is in effect.
     *
     * True: unexplored areas are globally masked.
     *
     * False: unexplored areas are not globally masked (whether visible depends on `IsFogEnabled`).
     *
     *
     * @note See: `FogMaskEnable`, `FogEnable`. "Fog mask" is explained in `fogstate`.
     *
     *
     */
    function IsFogMaskEnabled(): boolean;

    /**
     * Toggles global FOW fogging of explored yet not visible areas.
     *
     * An individual player's fog state is not modified, that means this toggle is fully
     * reversible.
     *
     * True: explored areas are fogged if not in sight.
     *
     * False: explored areas remain permanently visible.
     *
     *
     * @note See: `IsFogEnabled`, `IsFogMaskEnabled`. "Fog" is explained in `fogstate`.
     *
     *
     */
    function FogEnable(enable: boolean): void;

    /**
     * Toggles global FOW fogging of explored yet not visible areas.
     *
     * True: explored areas are fogged if not in sight.
     *
     * False: explored areas remain permanently visible.
     *
     *
     * @note See: `FogEnable`, `FogMaskEnable`. "Fog" is explained in `fogstate`.
     *
     *
     */
    function IsFogEnabled(): boolean;

    /**
     * Creates an object that overrides the fog in a rect for a specific player.
     *
     * A fog modifier is disabled by default, use `FogModifierStart` to enable.
     *
     * This creates a new object with a handle and must be removed to avoid leaks: `DestroyFogModifier`.
     *
     * @param whichState Determines what type of fog the area is being modified to. See `fogstate` for type explanation.
     *
     * @param where The rect where the fog is.
     *
     * @param useSharedVision Apply modifier to target's allied players with shared vision?
     *
     * @param afterUnits Will determine whether or not units in that area will be masked by the fog. If it is set to true and the fogstate is masked, it will hide all the units in the fog modifier's radius and mask the area. If set to false, it will only mask the areas that are not visible to the units.
     *
     *
     * @bug (v1.32.10) Just by creating a modifier of type `FOG_OF_WAR_FOGGED` or
     * `FOG_OF_WAR_VISIBLE`, this will modify the player's global fog state before it is
     * enabled. "VISIBLE" will instantly become "FOGGED" and "FOGGED" will cause unexplored
     * areas to become explored. You can workaround this by using e.g. `SetFogStateRect`
     * after fog modifier creation.
     *
     *
     */
    function CreateFogModifierRect(forWhichPlayer: Player, whichState: HandleHolder<"fogstate">, where: HandleHolder<"rect">, useSharedVision: boolean, afterUnits: boolean): HandleHolder<"fogmodifier">;

    /**
     * Creates an object that overrides the fog in a circular radius for a specific player.
     *
     * A fog modifier is disabled by default, use `FogModifierStart` to enable.
     *
     * This creates a new object with a handle and must be removed to avoid leaks: `DestroyFogModifier`.
     *
     * @param whichState Determines what type of fog the area is being modified to. See `fogstate` for type explanation.
     *
     * @param centerx The x-coordinate where the fog modifier begins.
     *
     * @param centerY The y-coordinate where the fog modifier begins.
     *
     * @param radius Determines the extent that the fog travels (expanding from the coordinates ( centerx , centery )).
     *
     * @param useSharedVision Apply modifier to target's allied players with shared vision?
     *
     * @param afterUnits Will determine whether or not units in that area will be masked by the fog. If it is set to true and the `fogstate` is masked, it will hide all the units in the fog modifier's radius and mask the area. If set to false, it will only mask the areas that are not visible to the units.
     *
     *
     * @bug (v1.32.10) Just by creating a modifier of type `FOG_OF_WAR_FOGGED` or
     * `FOG_OF_WAR_VISIBLE`, this will modify the player's global fog state before it is
     * enabled. "VISIBLE" will instantly become "FOGGED" and "FOGGED" will cause unexplored
     * areas to become explored. You can workaround this by using e.g. `SetFogStateRect`
     * after fog modifier creation.
     *
     *
     */
    function CreateFogModifierRadius(forWhichPlayer: Player, whichState: HandleHolder<"fogstate">, centerx: number, centerY: number, radius: number, useSharedVision: boolean, afterUnits: boolean): HandleHolder<"fogmodifier">;

    /**
     * Creates an object that overrides the fog in a circular radius for a specific player.
     *
     * A fog modifier is disabled by default, use `FogModifierStart` to enable.
     *
     * This creates a new object with a handle and must be removed to avoid leaks: `DestroyFogModifier`.
     *
     * @param whichState Determines what type of fog the area is being modified to. See `fogstate` for type explanation.
     *
     * @param center The location where the fog modifier begins.
     *
     * @param radius Determines the extent that the fog travels (expanding from the location `center`).
     *
     * @param useSharedVision Apply modifier to target's allied players with shared vision?
     *
     * @param afterUnits Will determine whether or not units in that area will be masked by the fog. If it is set to true and the `fogstate` is masked, it will hide all the units in the fog modifier's radius and mask the area. If set to false, it will only mask the areas that are not visible to the units.
     *
     *
     * @bug (v1.32.10) Just by creating a modifier of type `FOG_OF_WAR_FOGGED` or
     * `FOG_OF_WAR_VISIBLE`, this will modify the player's global fog state before it is
     * enabled. "VISIBLE" will instantly become "FOGGED" and "FOGGED" will cause unexplored
     * areas to become explored. You can workaround this by using e.g. `SetFogStateRect`
     * after fog modifier creation.
     *
     *
     */
    function CreateFogModifierRadiusLoc(forWhichPlayer: Player, whichState: HandleHolder<"fogstate">, center: HLocation, radius: number, useSharedVision: boolean, afterUnits: boolean): HandleHolder<"fogmodifier">;

    /**
     * Destroys the fog modifier object and removes its effect.
     *
     *
     *
     */
    function DestroyFogModifier(whichFogModifier: HandleHolder<"fogmodifier">): void;

    /**
     * Enable the effect of the modifier. While enabled, it will override the player's
     * regular fog state.
     *
     *
     *
     */
    function FogModifierStart(whichFogModifier: HandleHolder<"fogmodifier">): void;

    /**
     * Disable the effect of the modifier. Once disabled the player's visibility
     * will return to player's regular fog state.
     *
     *
     *
     */
    function FogModifierStop(whichFogModifier: HandleHolder<"fogmodifier">): void;

    function VersionGet(): HandleHolder<"version">;

    function VersionCompatible(whichVersion: HandleHolder<"version">): boolean;

    function VersionSupported(whichVersion: HandleHolder<"version">): boolean;

    function EndGame(doScoreScreen: boolean): void;

    /**
     * Loads the next level for all players. Note that this function is asynchronous,
     * so each player will be sent to their own map. If the boolean is set to true,
     * the score screen will appear before the user progresses to the next level.
     *
     * @param newLevel The path of the next level. The path is relative to the Warcraft III folder.
     *
     * @param doScoreScreen If set to true, the score screen will appear before the user progresses to the next level.
     *
     *
     *
     */
    function ChangeLevel(newLevel: string, doScoreScreen: boolean): void;

    function RestartGame(doScoreScreen: boolean): void;

    function ReloadGame(): void;

    /**
     *
     *
     * @note Deprecated. Use SetCampaignMenuRaceEx instead.
     *
     *
     */
    function SetCampaignMenuRace(r: HandleHolder<"race">): void;

    function SetCampaignMenuRaceEx(campaignIndex: number): void;

    function ForceCampaignSelectScreen(): void;

    /**
     *
     *
     * @bug The filename seems to have some limitations:
     *
     * - No underscores in campaign names.
     * - Shorter file names for savegames.
     * - Probably no dots in savegames or campaign names.
     *
     * For more info see <http://www.hiveworkshop.com/threads/map-transition-does-not-work-when-loading-a-custom-savegame.286927/>.
     *
     *
     */
    function LoadGame(saveFileName: string, doScoreScreen: boolean): void;

    function SaveGame(saveFileName: string): void;

    function RenameSaveDirectory(sourceDirName: string, destDirName: string): boolean;

    function RemoveSaveDirectory(sourceDirName: string): boolean;

    function CopySaveGame(sourceSaveName: string, destSaveName: string): boolean;

    function SaveGameExists(saveName: string): boolean;

    function SyncSelections(): void;

    function SetFloatGameState(whichFloatGameState: HandleHolder<"fgamestate">, value: number): void;

    function GetFloatGameState(whichFloatGameState: HandleHolder<"fgamestate">): number;

    function SetIntegerGameState(whichIntegerGameState: HandleHolder<"igamestate">, value: number): void;

    function GetIntegerGameState(whichIntegerGameState: HandleHolder<"igamestate">): number;

    function SetTutorialCleared(cleared: boolean): void;

    function SetMissionAvailable(campaignNumber: number, missionNumber: number, available: boolean): void;

    function SetCampaignAvailable(campaignNumber: number, available: boolean): void;

    function SetOpCinematicAvailable(campaignNumber: number, available: boolean): void;

    function SetEdCinematicAvailable(campaignNumber: number, available: boolean): void;

    function GetDefaultDifficulty(): HandleHolder<"gamedifficulty">;

    function SetDefaultDifficulty(g: HandleHolder<"gamedifficulty">): void;

    function SetCustomCampaignButtonVisible(whichButton: number, visible: boolean): void;

    function GetCustomCampaignButtonVisible(whichButton: number): boolean;

    function DoNotSaveReplay(): void;

    /**
     * Creates a new dialog. It is empty and hidden by default.
     *
     * Since this creates an object and returns a handle, it must be freed when no longer needed
     * with `DialogDestroy`.
     *
     * An empty dialog must be populated with buttons
     * (`DialogSetMessage`, `DialogAddButton`, `DialogAddQuitButton`)
     * and finally displayed with `DialogDisplay`.
     *
     *
     * @note While a dialog is open, the player can only interact with the dialog.
     * Everything else is disabled.
     *
     * An empty dialog completely blocks all player input (except multiboard interaction and
     * probably other scripted custom elements). A player can only exit the game with Alt+F4.
     *
     * @bug The top-bar menu buttons are greyed out when a dialog is shown. If the player presses
     * Alt+F4 and then clicks "Cancel", the menu buttons become visible and clickable but do nothing.
     *
     *
     */
    function DialogCreate(): HandleHolder<"dialog">;

    /**
     * Destroys the dialog and frees the handle.
     *
     * Due to a bug, you must first hide the dialog for all players (who have it open).
     *
     *
     * @bug If you destroy a dialog that is still shown, it will no longer show **but**
     * the player who had it open will be unable to interact with the game. Everything will be still
     * disabled, all menus and units unclickable.
     *
     *
     */
    function DialogDestroy(whichDialog: HandleHolder<"dialog">): void;

    /**
     * Completely clears the dialog, its title and buttons, even if it is already open.
     *
     * You must hide the dialog first, else the player will need to quit the game,
     * because they will be unable to click anything or send a chat message.
     *
     * @param whichDialog Target dialog to clear.
     *
     *
     *
     */
    function DialogClear(whichDialog: HandleHolder<"dialog">): void;

    /**
     * Sets the menu title.
     *
     * @param whichDialog Target dialog.
     * @param messageText New title.
     *
     * @note If the dialog is not set (empty string), then no vertical space is reserved for it.
     * The buttons start at the very top.
     *
     * @note The new message shows up instantly, even when the menu is already open.
     * @note Unlike with buttons, if the message is too long it overflows to the left and right beyond the
     * screen edges (it is centered).
     *
     *
     *
     */
    function DialogSetMessage(whichDialog: HandleHolder<"dialog">, messageText: string): void;

    /**
     * Creates a menu button and returns a handle to it.
     *
     * You must save the button handle to later compare it to the selected button in
     * a `EVENT_DIALOG_BUTTON_CLICK` using `GetClickedButton` and `GetClickedDialog`.
     *
     * New buttons are added to the bottom of the menu.
     *
     * @param whichDialog Target dialog to add the button to.
     * @param buttonText Custom text.
     * @param hotkey Integer value of the ASCII upper-case character for the hotkey.
     * Example: "F" = 70.
     *
     * @note If the menu is already open, you must refresh the menu with `DialogDisplay`
     * to show new buttons.
     *
     * @note **Line-width:** With the default font (v1.32.10) there's just enough space to display
     * `Yo dawg I put this text in here.` or 19 full-width characters like "@" (at character).
     * If longer, the text becomes multi-line, up to 3 lines max.
     * If longer than 3 full lines, the rest of string is not shown.
     *
     * @note **Hotkey (uppercase):**
     * When adding a hotkey use the uppercase, e.g. `'F'` instead of `'f'` as it
     * does not work with lowercased keys. The button still gets triggered when the player
     * presses a lowercased letter.
     *
     * @note **Duplicated hotkeys**: When multiple buttons have the same hotkey, the last button has priority.
     *
     * @note **Hotkeys are layout-dependent.**
     *
     * In other words, the English QWERTY, the German QWERTZ and the French AZERTY layouts etc. will have some
     * keyboard keys on different physical buttons, based on user's currently enabled layout.
     *
     * The Russian keyboard layout adheres to QWERTY (as an example of a non-latin layout).
     *
     * @note Hotkeys like "@" (ASCII 64) don't work (or maybe they have a different integer value).
     * On a QWERTY layout you need to press SHIFT+2 to enter "@".
     *
     * @note You can add up to 12 working buttons.
     *
     * @bug 
     * The 13th button will still render correctly, but not work when clicked/hotkey is used.
     * The 14th button will render outside the dialog border background.
     * The 15th button will render outside the visible area (you'll see a few pixels of it at the bottom).
     *
     *
     *
     */
    function DialogAddButton(whichDialog: HandleHolder<"dialog">, buttonText: string, hotkey: number): HandleHolder<"button">;

    /**
     * Creates a menu button that will exit the game for the player who clicks it.
     * Returns a handle of button.
     *
     * See the detailed description in `DialogAddButton`.
     *
     * @param whichDialog Target dialog to add the button to.
     * @param doScoreScreen When a button with `true` is pressed, you quit the map and see the end game leaderboards.
     *
     * When a button with `false` is pressed, you quit the map to game's main menu.
     *
     * @param buttonText Custom text.
     * @param hotkey Integer value of the ASCII upper-case character for the hotkey.
     * Example: "F" = 70.
     *
     *
     *
     */
    function DialogAddQuitButton(whichDialog: HandleHolder<"dialog">, doScoreScreen: boolean, buttonText: string, hotkey: number): HandleHolder<"button">;

    /**
     * Open/close the dialog for the target player.
     *
     * Since the dialogs are created for all players, they are hidden by default. Then you display the
     * dialog to players who should see and interact with it.
     *
     * @param whichPlayer Target player to whom to show the dialog.
     * @param whichDialog Target dialog.
     * @param flag `true` to show (or refresh), `false` to hide.
     *
     * @note Technically, because every player knows about each dialog,
     * cheaters could interact with dialogs that are invisible to them.
     *
     * @note Dialogs can not be shown at map-init. Use a wait or a zero-timer to
     * display it as soon as possible.
     *
     *
     *
     */
    function DialogDisplay(whichPlayer: Player, whichDialog: HandleHolder<"dialog">, flag: boolean): void;

    function ReloadGameCachesFromDisk(): boolean;

    /**
     *
     *
     * @note You cannot create more than 255 gamecaches.
     * In multiplayer the existing game caches are not considered, so you can get a
     * full 255 new game caches.
     *
     * In singleplayer, when you call `InitGameCache`, it looks in the Campaigns.w3v
     * file if a `gamecache` with that name already exists, if yes, it will create a
     * `gamecache` handle (you can get multiple handles for the same game cache, and
     * that will only count once to the 255 limit in the current game), if no and it
     * does not exist yet in the current game either, it will take a new slot among
     * the 255.
     *
     *
     */
    function InitGameCache(campaignFile: string): HandleHolder<"gamecache">;

    function SaveGameCache(whichCache: HandleHolder<"gamecache">): boolean;

    function StoreInteger(cache: HandleHolder<"gamecache">, missionKey: string, key: string, value: number): void;

    function StoreReal(cache: HandleHolder<"gamecache">, missionKey: string, key: string, value: number): void;

    function StoreBoolean(cache: HandleHolder<"gamecache">, missionKey: string, key: string, value: boolean): void;

    /**
     * Stores a description of a unit in a game cache that can be retrieved with `RestoreUnit`.
     *
     * The saved attributes of the unit are (non-exhaustive): unit id, experience, hero level, unused skill points, hero proper name (index),
     * strength/agility/intelligence, attack speed/move speed increments from agility, life, mana and attack damage increments
     * (can be adjusted individually using tome abilities), sight range (day) (can be adjusted with `UNIT_RF_SIGHT_RADIUS`), armor increment
     *
     * Descriptions of the items in the unit's inventory will also be saved (non-exhaustive): item id, charges, flags: drop upon death, perishable,
     * invulnerable, pawnable, used on acquire (powerup), droppable, actively used
     *
     * Descriptions of the unit's hero abilities will also be saved: ability id, current level
     *
     * See also the unit entry in the following Kaitai Struct file describing the w3v format (gamecaches file): https://github.com/WaterKnight/Warcraft3-Formats-KaitaiStruct/blob/main/w3-w3v.ksy
     *
     *
     * @bug When a unit obtains armor from a research and is then stored in a game cache, restoring it will retain the armor increment without the research, so if
     * the research is done again, the unit will benefit doubly.
     *
     * @bug If a hero unit was stored under some key pair and later the key pair is overwritten with a non-hero unit, the previous hero attributes will not
     * be overwritten, i.e., they will remain and be merged with the non-hero attributes. This can be observed in the persisted .w3v file. Ingame, it
     * would not make a difference because the restored non-hero unit normally would not use the hero attributes.
     *
     *
     */
    function StoreUnit(cache: HandleHolder<"gamecache">, missionKey: string, key: string, whichUnit: Unit): boolean;

    function StoreString(cache: HandleHolder<"gamecache">, missionKey: string, key: string, value: string): boolean;

    /**
     * Synchronizes the value stored in the `gamecache` under the mission key and key.
     * Calling this function sends a sync packet from each player in the calling
     * context (citation needed), that is everybody sends a packet to everybody.
     * The game then picks the first packet arrived (at the host). Often (but not
     * always) that is the packet coming from the game host.
     *
     * More interesting perhaps is the use to synchronize local data (like a player's
     * camera position) to all other players. To do this only store and sync the value
     * in a local context:
     *
     * ```
     * if GetLocalPlayer() == p then
     *     call StoreInteger(my_cache, "missionkey", "key", my_value)
     *     call SyncStoredInteger(my_cache, "missionkey", "key")
     * endif
     * ```
     *
     * Now this will synchronize the local value `my_value` to each player but we don't
     * know when each player has actually received it. You can use `TriggerSyncReady`
     * to wait for each sync action, but it's not recommended as it is very slow and
     * can hang for minutes (cf. [sync doc](https://www.hiveworkshop.com/pastebin/1ce4fe042832e6bd7d06697a43055373.5801))
     * Instead it is recommended to use a rapid timer to check if the key is present
     * in the gamecache. Note that this is still a local operation as different players
     * can receive the sync at different times. If a player has received all the data
     * you synchronize the fact that that player has got all the data. This is
     * reasonably done via `SelectUnit` and
     * `TriggerRegisterPlayerUnitEvent(trig, p, EVENT_PLAYER_UNIT_SELECTED, null)`.
     * Now once the last player has sent their selection event you have synchronized
     * your data.
     *
     * This is a very high-level overview and the process has many edges to look out
     * for, so it's probably a good idea to use an already made system like
     * [this one](https://www.hiveworkshop.com/threads/sync-game-cache.279148/).
     *
     *
     * @note You might rather use `BlzSendSyncData` if possible.
     *
     * @note Calling multiple `SyncStoredX` in a row will keep their order in the
     * syncing process, i.e. first sync will be received first (FIFO).
     *
     *
     */
    function SyncStoredInteger(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    /**
     * Synchronizes the value stored in the `gamecache` under the mission key and key.
     * See `SyncStoredInteger` for a more in-depth explanation.
     *
     *
     *
     */
    function SyncStoredReal(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    /**
     * Synchronizes the value stored in the `gamecache` under the mission key and key.
     * See `SyncStoredInteger` for a more in-depth explanation.
     *
     *
     *
     */
    function SyncStoredBoolean(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    function SyncStoredUnit(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    /**
     *
     *
     * @bug Does not seem to work.
     *
     *
     */
    function SyncStoredString(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    function HaveStoredInteger(cache: HandleHolder<"gamecache">, missionKey: string, key: string): boolean;

    function HaveStoredReal(cache: HandleHolder<"gamecache">, missionKey: string, key: string): boolean;

    function HaveStoredBoolean(cache: HandleHolder<"gamecache">, missionKey: string, key: string): boolean;

    function HaveStoredUnit(cache: HandleHolder<"gamecache">, missionKey: string, key: string): boolean;

    function HaveStoredString(cache: HandleHolder<"gamecache">, missionKey: string, key: string): boolean;

    function FlushGameCache(cache: HandleHolder<"gamecache">): void;

    function FlushStoredMission(cache: HandleHolder<"gamecache">, missionKey: string): void;

    function FlushStoredInteger(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    function FlushStoredReal(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    function FlushStoredBoolean(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    function FlushStoredUnit(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    function FlushStoredString(cache: HandleHolder<"gamecache">, missionKey: string, key: string): void;

    /**
     * Returns `0` if the specified value's data is not found in the cache.
     *
     *
     *
     */
    function GetStoredInteger(cache: HandleHolder<"gamecache">, missionKey: string, key: string): number;

    /**
     * Returns `0.0` if the specified value's data is not found in the cache.
     *
     *
     *
     */
    function GetStoredReal(cache: HandleHolder<"gamecache">, missionKey: string, key: string): number;

    /**
     * Returns `false` if the specified value's data is not found in the cache.
     *
     *
     *
     */
    function GetStoredBoolean(cache: HandleHolder<"gamecache">, missionKey: string, key: string): boolean;

    /**
     * Returns `""` if the specified value's data is not found in the cache.
     *
     *
     *
     */
    function GetStoredString(cache: HandleHolder<"gamecache">, missionKey: string, key: string): string;

    /**
     * Returns `null` if the specified value's data is not found in the cache.
     *
     *
     *
     */
    function RestoreUnit(cache: HandleHolder<"gamecache">, missionKey: string, key: string, forWhichPlayer: Player, x: number, y: number, facing: number): Unit;

    /**
     *
     *
     * @note You cannot create more than 255 hashtables.
     * @patch 1.24
     *
     *
     */
    function InitHashtable(): HandleHolder<"hashtable">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveInteger(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, value: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveReal(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, value: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveBoolean(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, value: boolean): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveStr(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, value: string): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SavePlayerHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichPlayer: Player): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveWidgetHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichWidget: Widget): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveDestructableHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichDestructable: Destructable): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveItemHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichItem: Item): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveUnitHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichUnit: Unit): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveAbilityHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichAbility: HandleHolder<"ability">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTimerHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTimer: HandleHolder<"timer">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTriggerHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTrigger: HTrigger): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTriggerConditionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTriggercondition: HandleHolder<"triggercondition">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTriggerActionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTriggeraction: HTriggerAction): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTriggerEventHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichEvent: HEvent): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveForceHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichForce: HandleHolder<"force">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveGroupHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichGroup: HandleHolder<"group">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveLocationHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichLocation: HLocation): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveRectHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichRect: HandleHolder<"rect">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveBooleanExprHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichBoolexpr: HandleHolder<"boolexpr">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveSoundHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichSound: HandleHolder<"sound">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveEffectHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichEffect: HandleHolder<"effect">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveUnitPoolHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichUnitpool: HandleHolder<"unitpool">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveItemPoolHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichItempool: HandleHolder<"itempool">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveQuestHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichQuest: HandleHolder<"quest">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveQuestItemHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichQuestitem: HandleHolder<"questitem">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveDefeatConditionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichDefeatcondition: HandleHolder<"defeatcondition">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTimerDialogHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTimerdialog: HandleHolder<"timerdialog">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveLeaderboardHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichLeaderboard: HandleHolder<"leaderboard">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveMultiboardHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichMultiboard: HandleHolder<"multiboard">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveMultiboardItemHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichMultiboarditem: HandleHolder<"multiboarditem">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTrackableHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTrackable: HandleHolder<"trackable">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveDialogHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichDialog: HandleHolder<"dialog">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveButtonHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichButton: HandleHolder<"button">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveTextTagHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichTexttag: HandleHolder<"texttag">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveLightningHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichLightning: HandleHolder<"lightning">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveImageHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichImage: HandleHolder<"image">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveUbersplatHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichUbersplat: HandleHolder<"ubersplat">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveRegionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichRegion: HandleHolder<"region">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveFogStateHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichFogState: HandleHolder<"fogstate">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function SaveFogModifierHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichFogModifier: HandleHolder<"fogmodifier">): boolean;

    /**
     *
     *
     * @patch 1.24b
     *
     *
     */
    function SaveAgentHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichAgent: HandleHolder<"agent">): boolean;

    /**
     *
     *
     * @patch 1.24b
     *
     *
     */
    function SaveHashtableHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichHashtable: HandleHolder<"hashtable">): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadInteger(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): number;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadReal(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): number;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadBoolean(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadStr(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): string;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadPlayerHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): Player;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadWidgetHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): Widget;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadDestructableHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): Destructable;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadItemHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): Item;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadUnitHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): Unit;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadAbilityHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"ability">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTimerHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"timer">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTriggerHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HTrigger;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTriggerConditionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"triggercondition">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTriggerActionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HTriggerAction;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTriggerEventHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HEvent;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadForceHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"force">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadGroupHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"group">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadLocationHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HLocation;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadRectHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"rect">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadBooleanExprHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"boolexpr">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadSoundHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"sound">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadEffectHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"effect">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadUnitPoolHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"unitpool">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadItemPoolHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"itempool">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadQuestHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"quest">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadQuestItemHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"questitem">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadDefeatConditionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"defeatcondition">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTimerDialogHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"timerdialog">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadLeaderboardHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"leaderboard">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadMultiboardHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"multiboard">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadMultiboardItemHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"multiboarditem">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTrackableHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"trackable">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadDialogHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"dialog">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadButtonHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"button">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadTextTagHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"texttag">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadLightningHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"lightning">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadImageHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"image">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadUbersplatHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"ubersplat">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadRegionHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"region">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadFogStateHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"fogstate">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadFogModifierHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"fogmodifier">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function LoadHashtableHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"hashtable">;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function HaveSavedInteger(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function HaveSavedReal(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function HaveSavedBoolean(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function HaveSavedString(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function HaveSavedHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): boolean;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function RemoveSavedInteger(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function RemoveSavedReal(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function RemoveSavedBoolean(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function RemoveSavedString(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function RemoveSavedHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function FlushParentHashtable(table: HandleHolder<"hashtable">): void;

    /**
     *
     *
     * @patch 1.24
     *
     *
     */
    function FlushChildHashtable(table: HandleHolder<"hashtable">, parentKey: number): void;

    /**
     * Returns a random integer in the range [lowBound, highBound] (inclusive).
     * Bounds may be negative, but should be lowBound <= highBound.
     * When lowBound==highBound, always returns that number.
     *
     * @param lowBound The inclusive lower bound of the random number returned.
     *
     * @param highBound The inclusive higher bound of the random number returned.
     *
     *
     * @note If lowBound > highBound then it just swaps the values.
     *
     * @bug If you call `GetRandomInt(INT_MIN, INT_MAX)` or `GetRandomInt(INT_MAX, INT_MIN)`
     * it will always return the same value, namely `INT_MIN` or `INT_MAX`.
     *
     * @note See <http://hiveworkshop.com/threads/random.286109#post-3073222> for an overview of the algorithm used.
     *
     * @note **Desyncs!** The random number generator is a global, shared resource.
     * Do not change its state in local blocks asynchronously.
     *
     * @note See: `GetRandomReal`, `SetRandomSeed`.
     *
     *
     */
    function GetRandomInt(lowBound: number, highBound: number): number;

    /**
     * Returns a real in range [lowBound, highBound) that is: inclusive, exclusive.
     * Bounds may be negative, but must be lowBound <= highBound. When lowBound==highBound, always returns that number.
     *
     * **Example (Lua):**
     *
     * 	SetRandomSeed(1229611)
     * 	string.format("%.16f", GetRandomReal(0, 0.002)) == "0.00"
     * 	SetRandomSeed(1229611)
     * 	string.format("%.16f", GetRandomReal(-0.002, 0)) == "-0.002"
     * 	
     *
     * @note **Desyncs!** The random number generator is a global, shared resource. Do not change its state in local blocks asynchronously.
     *
     * @note Undefined behavior when lowBound > highBound. Test code:
     *
     * 	-- Set seed to zero and then generate and print a random real
     * 	function testRReal(low, high) SetRandomSeed(0); return string.format("%.16f", GetRandomReal(low,high)) end
     * 	testRReal(-42, 42) == "-4.0800933837890625"
     * 	testRReal(42, -42) == "79.9199066162109375"
     *
     * @note See: `GetRandomInt`, `SetRandomSeed`.
     *
     *
     */
    function GetRandomReal(lowBound: number, highBound: number): number;

    function CreateUnitPool(): HandleHolder<"unitpool">;

    function DestroyUnitPool(whichPool: HandleHolder<"unitpool">): void;

    function UnitPoolAddUnitType(whichPool: HandleHolder<"unitpool">, unitId: number, weight: number): void;

    function UnitPoolRemoveUnitType(whichPool: HandleHolder<"unitpool">, unitId: number): void;

    function PlaceRandomUnit(whichPool: HandleHolder<"unitpool">, forWhichPlayer: Player, x: number, y: number, facing: number): Unit;

    /**
     * Creates an empty itempool handle.
     *
     * Item pools are initially empty, but can have item-types added
     * to them via `ItemPoolAddItemType`. Item pools only serve for random item
     * placing, via `PlaceRandomItem`.
     *
     *
     *
     */
    function CreateItemPool(): HandleHolder<"itempool">;

    function DestroyItemPool(whichItemPool: HandleHolder<"itempool">): void;

    /**
     * Adds an item-id to the itempool.
     *
     * @param whichItemPool The itempool to add the item to.
     *
     * @param itemId The rawcode of the item.
     * An invalid itemId (like 0) can be added & rolled.
     *
     * @param weight The weight of the item.
     * The weight determines how likely it is for the item to be chose by `PlaceRandomItem`.
     *
     *
     *
     */
    function ItemPoolAddItemType(whichItemPool: HandleHolder<"itempool">, itemId: number, weight: number): void;

    function ItemPoolRemoveItemType(whichItemPool: HandleHolder<"itempool">, itemId: number): void;

    /**
     * Draws a random itemid from the itempool and creates the item.
     *
     * @param whichItemPool The itempool to draw from.
     *
     * @param x The x-coordinate of the item.
     *
     * @param y The y-coordinate of the item.
     *
     *
     *
     */
    function PlaceRandomItem(whichItemPool: HandleHolder<"itempool">, x: number, y: number): Item;

    /**
     * Returns the rawcode ID of a random unit of the specified level. The unit chosen
     * will come from the set of units that include or are assigned to the base tileset
     * of the map. Passing a level of -1 is equivalent to picking a creep of any level.
     * If there are no units of the specified level, the returned value is 0.
     *
     * @param level The level of the units to choose from.
     *
     *
     *
     */
    function ChooseRandomCreep(level: number): number;

    /**
     * Returns the rawcode ID of a random neutral passive building,
     * such as the buildings "Goblin Merchant" or "Tavern".
     *
     *
     * @note The building returned is not necessarily on the map already.
     *
     *
     */
    function ChooseRandomNPBuilding(): number;

    /**
     * Returns the rawcode ID of a random item of the specified level. Passing a level
     * of -1 will return an item of any level. If there are no items of the specified
     * level, the id returned will be 0.
     *
     * @param level The level of the items to choose from. Passing a level of -1 is equivalent to any level.
     *
     *
     * @note The item returned is not chosen from preplaced items on the map, but rather any item of that level.
     *
     *
     */
    function ChooseRandomItem(level: number): number;

    /**
     * Returns the rawcode ID of a random item of the specified level and item type.
     * Passing a level of -1 will return an item of any level. If there are no items
     * of the specified level, the id returned will be 0.
     *
     * @param whichType The classification of items to choose from.
     *
     * @param level The level of the items to choose from. Passing a level of -1 is equivalent to any level.
     *
     *
     * @note The item returned is not chosen from preplaced items on the map, but rather any item of that level.
     *
     *
     */
    function ChooseRandomItemEx(whichType: HandleHolder<"itemtype">, level: number): number;

    /**
     * Sets the internal [PRNG's](https://en.wikipedia.org/wiki/Pseudorandom_number_generator) seed.
     *
     * Useful for testing or when you want a repeatable outcome. WorldEdit has an option to run test maps with a fixed seed, you can achieve the same result with this.
     *
     * **Example:**
     *
     * 	SetRandomSeed(42)
     * 	GetRandomInt(0, 18) == 12
     * 	GetRandomInt(0, 18) == 2
     * 	SetRandomSeed(42)
     * 	GetRandomInt(0, 18) == 12
     * 	
     * @param seed New seed for the PRNG.
     *
     * @note **Desyncs!** The random number generator is a global, shared resource. Do not change its state in local blocks asynchronously.
     *
     * @note See: `GetRandomInt`, `GetRandomReal`.
     *
     *
     *
     */
    function SetRandomSeed(seed: number): void;

    /**
     *
     *
     * @bug Does nothing (unknown, unused).
     *
     *
     */
    function SetTerrainFog(a: number, b: number, c: number, d: number, e: number): void;

    function ResetTerrainFog(): void;

    /**
     * Unknown, unused.
     *
     *
     *
     */
    function SetUnitFog(a: number, b: number, c: number, d: number, e: number): void;

    function SetTerrainFogEx(style: number, zstart: number, zend: number, density: number, red: number, green: number, blue: number): void;

    /**
     * Displays a trigger message to player.
     *
     * The text line fades out in the end.
     *
     * @param toPlayer target player
     * @param x new text box position (default is 0, clamped to: 0.0-1.0)
     * @param y new text box position (default is 0, clamped to: 0.0-1.0)
     * @param message text (supports color codes)
     *
     * @bug Changing x or y moves the entire text box, including previously displayed lines.
     * An example is shown at 
     * [Luashine/DisplayTextToPlayer-position](https://github.com/Luashine/wc3-test-maps/blob/master/DisplayTextToPlayer-position/DisplayTextToPlayer-position.md)
     *
     * @note The text lines are bottom-left aligned: text continues to the right and new lines
     * continue upwards.
     *
     * @note This is equivalent to `DisplayTimedTextToPlayer` with `duration` set to 4.
     *
     * @note See: `DisplayTimedTextToPlayer`, `DisplayTimedTextFromPlayer`, `BlzDisplayChatMessage`.
     *
     *
     *
     */
    function DisplayTextToPlayer(toPlayer: Player, x: number, y: number, message: string): void;

    /**
     * Displays a trigger message to player with a custom display duration.
     *
     * The text line fades out in the end.
     *
     * @param toPlayer target player
     * @param x new text box position (default is 0, clamped to: 0.0-1.0)
     * @param y new text box position (default is 0, clamped to: 0.0-1.0)
     * @param duration text lifetime in seconds
     * @param message text (supports color codes)
     *
     * @note See: `DisplayTextToPlayer` for the full description.
     * Also: `DisplayTimedTextFromPlayer`, `BlzDisplayChatMessage`.
     *
     *
     *
     */
    function DisplayTimedTextToPlayer(toPlayer: Player, x: number, y: number, duration: number, message: string): void;

    /**
     * Displays a trigger message to *all* players but the first "%s" in the message will
     * be replaced by `GetPlayerName(toPlayer)`.
     *
     * @param toPlayer this player's name will be used to replace the `%s` placeholder
     * @param x new text box position (default is 0, clamped to: 0.0-1.0)
     * @param y new text box position (default is 0, clamped to: 0.0-1.0)
     * @param duration text lifetime in seconds
     * @param message text (supports color codes), may contain only one `%s` placeholder
     *
     * @bug Only the first "%s" will be replaced correctly. Following "%s" will be
     * printed as garbage or (v1.32.10, Lua) crash the game.
     *
     * Using formatters like "%i" will also print garbage and following "%s" wont
     * work either.
     *
     * See: [C stdlib printf documentation](https://cplusplus.com/reference/cstdio/printf/).
     *
     * @note A better name for the parameter `toPlayer` would be `fromPlayer`.
     *
     * @note See: `DisplayTextToPlayer` for the full description.
     * Also: `DisplayTimedTextToPlayer`, `BlzDisplayChatMessage`.
     *
     *
     *
     */
    function DisplayTimedTextFromPlayer(toPlayer: Player, x: number, y: number, duration: number, message: string): void;

    /**
     * Clears all messages displayed via triggers. All messages will still show up in the message log, however.
     *
     *
     * @note This does not remove player chat messages.
     *
     *
     */
    function ClearTextMessages(): void;

    function SetDayNightModels(terrainDNCFile: string, unitDNCFile: string): void;

    function SetSkyModel(skyModelFile: string): void;

    /**
     * Toggles user's input controls.
     *
     * When disabled this includes:
     *
     * - hide the cursor (you can still see UI on-hover effects with menu buttons and
     * even mouse-down animation on ability buttons)
     * - on-hover unit selection circles no longer show (cannot be overriden with
     * `EnableDragSelect`, `EnablePreSelect`, `EnableSelect`)
     * - disable all hotkeys (binds, abilities, minimap, menus like F10), only Alt+F4 continues to work
     *
     * @param b `true` to enable control, `false` to disable
     *
     *
     *
     */
    function EnableUserControl(b: boolean): void;

    /**
     * Toggles the display of tooltips, other features unknown (v1.32.10).
     * Group hotkeys, selection etc. continue to work.
     *
     * @param b `true` to enable tooltips, `false` to disable the display of tooltips.
     *
     *
     *
     */
    function EnableUserUI(b: boolean): void;

    /**
     * Controls the ticking of the in-game day/night time.
     *
     * @param b `true` to stop time ticking, `false` to enable time progression (default).
     *
     *
     *
     */
    function SuspendTimeOfDay(b: boolean): void;

    /**
     * Sets the speed of the in-game day/night time.
     *
     * By default: `1.0` or 100%. `2.0` would make it twice as fast.
     *
     * @param r new scaling factor
     *
     *
     * @bug A negative scaling factor is applied and the time ticks backwards until
     * 00:00 is reached. Then the time freezes at 00:00, the day does not progress backwards.
     *
     *
     */
    function SetTimeOfDayScale(r: number): void;

    /**
     * Returns the speed of the in-game day/night time (a scaling factor).
     * By default: `1.0` or 100%.
     *
     *
     *
     */
    function GetTimeOfDayScale(): number;

    /**
     *
     *
     * @bug If fadeDuration equals 0 the unit portrait always appears invisible.
     *
     *
     */
    function ShowInterface(flag: boolean, fadeDuration: number): void;

    function PauseGame(flag: boolean): void;

    /**
     *
     *
     * @note See: `AddIndicator` (it is a more generic version as it takes a `widget`).
     *
     *
     */
    function UnitAddIndicator(whichUnit: Unit, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Adds a blinking circle around widget with the color (red,green,blue,alpha).
     * The circle blinks twice. This function is commonly used for cinematic modes
     * and is seen in `TransmissionFromUnitWithNameBJ`.
     *
     * @param whichWidget The widget the indicator will be applied to.
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha 0-255 opacity (value mod 256). Determining the transparency
     * of the indicator. `0` is total transparency, `255` is total opacity.
     *
     * @note The size of the indicator depends on a widget's selection size. To modify
     * this, you must edit the object editor field of the widget listed as "Art - Selection Size".
     *
     * The indicator is shown below the unit selection.
     * If the unit is currently selected, the blinking indicator will be practically
     * hidden by the selection circle. For more see `SetImageType` description.
     *
     * @note See: `UnitAddIndicator` (functionally equivalent to this widget version).
     *
     *
     *
     */
    function AddIndicator(whichWidget: Widget, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Pings a spot on the minimap.
     *
     * @param x horizontal world coordinate of the ping.
     * @param y vertical world coordinate of the ping.
     * @param duration duration of the ping in seconds.
     *
     *
     * @note This ping has the semantics of a "simple" ping (GUI/blizzard.j terminology).
     *
     * @note As a "simple" ping, pings created with this function have a default shape of a rotating circle with 4 arrows
     * pointing inwards and periodically emitting a growing circle that fades out like a pulse. There is also a dot in the center.
     *
     * @note This ping is neon green on default.
     *
     * @note There can only be 16 pings at a time. When a new one is created but there are already 16,
     * the oldest will be deleted in favor of the new one. This includes user pings: user pings can be deleted by this function
     * and user pings can overwrite scripted pings.
     *
     *
     */
    function PingMinimap(x: number, y: number, duration: number): void;

    /**
     * Pings a spot on the minimap.
     *
     * @param x horizontal world coordinate of the ping.
     * @param y vertical world coordinate of the ping.
     * @param duration duration of the ping in seconds.
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param extraEffects When true, the ping will have the appearance of a "flashy" ping. Otherwise it will be a "simple" ping (see notes).
     *
     *
     * @note "Simple" pings (GUI/blizzard.j terminology) have a default shape of a rotating circle with 4 arrows
     * pointing inwards and periodically emitting a growing circle that fades out like a pulse. There is also a dot in the center.
     *
     * @note "Flashy" pings (GUI/blizzard.j terminology) have the same shape as user-generated pings. On default, they first feature an exclamation mark
     * and a large circle growing and fading out before going into a stable state where smaller circles are periodically emitted growing and fading out
     * like a pulse and there is a static exclamation mark in the center.
     *
     * @note Pings with red == 255 && green == 0 && blue == 0 (mod 256) have a special shape, appearing as "attack" or "warning" pings (GUI/blizzard.j terminology).
     * On default, if extraEffects is false, it is similar to "simple" pings but the rotating arrows are flying in from outside before getting attached to the circle.
     * On default, if extraEffects is true, it additionally briefly shows an exclamation mark when the ping vanishes (bug?).
     *
     * @note There can only be 16 pings at a time. When a new one is created but there are already 16,
     * the oldest will be deleted in favor of the new one. This includes user pings: user pings can be deleted by this function
     * and user pings can overwrite scripted pings.
     *
     *
     */
    function PingMinimapEx(x: number, y: number, duration: number, red: number, green: number, blue: number, extraEffects: boolean): void;

    function EnableOcclusion(flag: boolean): void;

    function SetIntroShotText(introText: string): void;

    function SetIntroShotModel(introModelPath: string): void;

    function EnableWorldFogBoundary(b: boolean): void;

    function PlayModelCinematic(modelName: string): void;

    function PlayCinematic(movieName: string): void;

    /**
     * Emulates a key press within the game. Seems to only work with latin alphabet, only for printable ASCII characters.
     *
     *
     * @note See `ForceUICancel` for limitations and bugs. Most importantly, the outcome is affected by local player's hotkey layout.
     *
     *
     */
    function ForceUIKey(key: string): void;

    /**
     * Emulates an ESCAPE key press internally, used to interact with UI, e.g. close F10 menu.
     *
     *
     * @bug Does not always work as expected if you use it to "Cancel" something on behalf of a player, like cancel research in the current building. Since it always sends the Escape key, it will break if hotkey layout was changed from classic to grid/custom in game settings. Explanation:
     *
     * 1. OldPlayer plays with classic hotkey layout, the Cancelling abilities are bound to Escape.
     * 2. ModernPlayer plays with grid layout, the Cancelling abilities' hotkey depends on their position but it's usually V.
     * 3. ForceUICancel() is executed for both players
     * 4. OldPlayer executes a Cancel ability, nothing happens to ModernPlayer
     * 5. The game doesn't desync because it thinks OldPlayer really pressed that key, and even though ModernPlayer did "press" it too, he didn't trigger Cancel for his unit.
     *
     * @note Does not trigger (physical) player key events like `BlzTriggerRegisterPlayerKeyEvent`.
     *
     *
     */
    function ForceUICancel(): void;

    /**
     * Opens the "Load game" menu where you can load a previous save.
     *
     *
     * @note Singleplayer only! This menu is disabled in multiplayer and nothing will happen.
     *
     *
     */
    function DisplayLoadDialog(): void;

    /**
     * Sets the "alternative icon". You can display this icon for any unit via
     * `UnitSetUsesAltIcon`.
     *
     *
     * @note Only one icon can be the "alternative icon" but you can give each
     * player a different icon via `GetLocalPlayer`.
     *
     *
     */
    function SetAltMinimapIcon(iconPath: string): void;

    /**
     * Toggles the "Restart Mission" button (found in: Menu (F10) -> End Game).
     *
     * @param flag `true` to disable the button, `false` to allow game restarts by the player.
     *
     * @note This button is only enabled in singleplayer (default),
     * you cannot enable it in multiplayer.
     *
     *
     *
     */
    function DisableRestartMission(flag: boolean): void;

    function CreateTextTag(): HandleHolder<"texttag">;

    function DestroyTextTag(t: HandleHolder<"texttag">): void;

    function SetTextTagText(t: HandleHolder<"texttag">, s: string, height: number): void;

    function SetTextTagPos(t: HandleHolder<"texttag">, x: number, y: number, heightOffset: number): void;

    function SetTextTagPosUnit(t: HandleHolder<"texttag">, whichUnit: Unit, heightOffset: number): void;

    function SetTextTagColor(t: HandleHolder<"texttag">, red: number, green: number, blue: number, alpha: number): void;

    function SetTextTagVelocity(t: HandleHolder<"texttag">, xvel: number, yvel: number): void;

    function SetTextTagVisibility(t: HandleHolder<"texttag">, flag: boolean): void;

    function SetTextTagSuspended(t: HandleHolder<"texttag">, flag: boolean): void;

    function SetTextTagPermanent(t: HandleHolder<"texttag">, flag: boolean): void;

    function SetTextTagAge(t: HandleHolder<"texttag">, age: number): void;

    function SetTextTagLifespan(t: HandleHolder<"texttag">, lifespan: number): void;

    function SetTextTagFadepoint(t: HandleHolder<"texttag">, fadepoint: number): void;

    function SetReservedLocalHeroButtons(reserved: number): void;

    /**
     * Returns the currently chosen player color display mode.
     *
     * This is called "ally color mode" by the game (hotkey: Alt+A).
     *
     * - `0` aka "Mode 1" (default):
     *     - Minimap: Player colors, youself are white
     * 	- World: Unit colors same as player color
     * - `1` aka "Mode 2":
     *     - Minimap: Allies are teal, enemies are red, yourself are white
     * 	- World: Unit colors same as player color
     * - `2` aka "Mode 3":
     *     - Minimap: Allies are teal, enemies are red, yourself are white
     * 	- World: Allies are teal, enemies are red, own units are blue
     *
     *
     * @note See: `SetAllyColorFilterState`
     *
     * @note This setting affects how a unit's "Art - Team Color" (WE name) is displayed.
     * If the models you use rely on this color to match player color,
     * you can choose to force state=0 with `SetAllyColorFilterState`.
     *
     * @async 
     *
     *
     */
    function GetAllyColorFilterState(): number;

    /**
     * Sets the player color display mode.
     *
     * @param state new state (only 0, 1, 2 are valid).
     * See `GetAllyColorFilterState` for a description.
     *
     * @note This is a player setting. Do not change it without a reason.
     * Moreover this is an accessibility setting that may be used by visually impaired
     * players.
     *
     * @bug You can set other states than 0-2, but they'll still display like state 0.
     *
     * @bug (v1.32.10) You can permanently break this feature for a player
     * if you set a large negative value.
     *
     * Any negative value will display like `state=0` and clicking the button
     * will increase the state by 1. However if you set a very large negative value,
     * the player will use the button to no avail. The issue here is that the value
     * will be saved in player's game settings and persist forever, thus breaking this
     * feature until a reinstall or until you set this to a sane value (0-2).
     *
     * Using large positive values instantly reverts to `state=0` after the first button
     * click.
     *
     * @note See: `GetAllyColorFilterState` for full description; `EnableMinimapFilterButtons`.
     *
     *
     *
     */
    function SetAllyColorFilterState(state: number): void;

    /**
     * Returns `true` if the local player has enabled the display of creep camps on the minimap.
     *
     * The creep camps are shown as green/orange/red circles by default and there's a button
     * next to the minimap to toggle it while playing (hotkey: Alt+R).
     *
     *
     * @note See: `SetCreepCampFilterState`, `GetAllyColorFilterState`
     *
     * @async 
     *
     *
     */
    function GetCreepCampFilterState(): boolean;

    /**
     * Toggles minimap creep display.
     *
     * @param state `true` to highlight camps, `false` to hide
     *
     * @note See: `GetCreepCampFilterState` for full description; `SetAllyColorFilterState`, `EnableMinimapFilterButtons`.
     *
     *
     *
     */
    function SetCreepCampFilterState(state: boolean): void;

    /**
     * Toggles the "player color display mode" and "minimap creep display" buttons.
     *
     * When the buttons are disabled, the player cannot control the minimap appearance
     * or player colors (ally/enemy).
     *
     * @param enableAlly `true` to enable the button (default), `false` to disable.
     * See: `GetAllyColorFilterState` for an explanation.
     *
     * @param enableCreep `true` to enable the button (default), `false` to disable.
     * See: `GetCreepCampFilterState` for an explanation.
     *
     * @note This controls a player setting. Do not change it without a reason.
     * Moreover this is an accessibility setting that may be used by visually impaired
     * players.
     *
     * @note The buttons turn gray and their hotkeys stop working too.
     *
     *
     *
     */
    function EnableMinimapFilterButtons(enableAlly: boolean, enableCreep: boolean): void;

    /**
     * Sets the functionality of the rectangular unit multi-select.
     *
     * "Drag Select" allows you to hold left-click to select multiple units by
     * expanding the green selection rectangle over the units.
     *
     * @param state If `true`, default game behavior (drag select is enabled).
     *
     * If `false`, drag select is disabled. Only the first unit in the rectangle will
     * be selected (closest to the point where you first clicked the mouse).
     *
     * Note that you can still select multiple units with Shift+Click even if drag
     * select is disabled.
     *
     * @param ui If `true`, render the visual indicator that shows the green rectangular selection area (default).
     * Units, that are not yet selected but are inside the rectangle,
     * have a semi-transparent green circle around them.
     *
     * If `false`, the green rectangle is not rendered.
     * This has no effect on `state`, Drag Select can still work without the visual indicator.
     *
     *
     *
     */
    function EnableDragSelect(state: boolean, ui: boolean): void;

    /**
     * Sets the functionality when you hover over a unit with your cursor.
     *
     * @param state unknown
     * @param ui If `true`, show semi-transparent green circle around the unit and the health bar etc.
     *
     * If `false`, the green circle and the health bar is not shown.
     * The cursor still blinks green/yellow/red like when you hover over a unit.
     * The color depends on whether the unit is your own/ally/enemy.
     *
     *
     *
     */
    function EnablePreSelect(state: boolean, ui: boolean): void;

    /**
     * Controls whether you can de/select any units and the green visual indicator.
     *
     * @param state If `true`, you can de/select units (default).
     *
     * If `false`, deselects any currently selected units and disables your ability
     * to select any unit. Mouse clicks and group binds ("CTRL+1" then press "1")
     * don't work any more.
     * Drag select will not allow you to select too.
     *
     * @param ui If `true`, show the green selection indicator around selected units (default).
     *
     * If `false`, no visual indicator is shown.
     *
     * @note 
     * You can use `SelectUnit` and other functions to select the units for a player,
     * even when `state` is set to `false`.
     *
     * The player cannot manually deselect any units they have control over (after `SelectUnit`).
     *
     *
     *
     */
    function EnableSelect(state: boolean, ui: boolean): void;

    /**
     * Creates a trackable at the given coordinates but with zero z-coordinate.
     * Trackables are used to register mouse clicks or hovers at the trackables
     * position. But their functionality is very limited, as you can't, for example
     * distinguish the triggering player out of the box. To get a general overview
     * to the common workarounds see the `trackable` documentation.
     *
     * @param trackableModelPath The path to the model the trackable should use. Models
     * with team colours will use the neutral-hostile team colour. To create an
     * invisible trackable provide the empty string `""`.
     *
     * @param x The x-coordinate where the trackable should be created.
     *
     * @param y The x-coordinate where the trackable should be created.
     *
     * @param facing The facing of the trackable.
     *
     *
     * @note To create a trackable with a non-zero z-coordinate you can use the same
     * technique as with `AddSpecialEffect`, that is create an invisible platform
     * before creating the trackable.
     *
     * ```
     * function CreateTrackableZ takes string trackableModelPath, real x, real y, real z, real facing returns trackable
     *     local destructable d = CreateDestructableZ('OTip', x, y, z, 0, 1, 0)
     *     local trackable t = CreateTrackable(trackableModelPath, x, y, facing)
     *     call RemoveDestructable(d)
     *     set d = null
     *     return t
     * endfunction
     * ```
     *
     *
     *
     */
    function CreateTrackable(trackableModelPath: string, x: number, y: number, facing: number): HandleHolder<"trackable">;

    /**
     *
     *
     * @bug Do not use this in a global initialisation as it crashes the game there.
     *
     *
     */
    function CreateQuest(): HandleHolder<"quest">;

    function DestroyQuest(whichQuest: HandleHolder<"quest">): void;

    function QuestSetTitle(whichQuest: HandleHolder<"quest">, title: string): void;

    function QuestSetDescription(whichQuest: HandleHolder<"quest">, description: string): void;

    function QuestSetIconPath(whichQuest: HandleHolder<"quest">, iconPath: string): void;

    function QuestSetRequired(whichQuest: HandleHolder<"quest">, required: boolean): void;

    function QuestSetCompleted(whichQuest: HandleHolder<"quest">, completed: boolean): void;

    function QuestSetDiscovered(whichQuest: HandleHolder<"quest">, discovered: boolean): void;

    function QuestSetFailed(whichQuest: HandleHolder<"quest">, failed: boolean): void;

    function QuestSetEnabled(whichQuest: HandleHolder<"quest">, enabled: boolean): void;

    function IsQuestRequired(whichQuest: HandleHolder<"quest">): boolean;

    function IsQuestCompleted(whichQuest: HandleHolder<"quest">): boolean;

    function IsQuestDiscovered(whichQuest: HandleHolder<"quest">): boolean;

    function IsQuestFailed(whichQuest: HandleHolder<"quest">): boolean;

    function IsQuestEnabled(whichQuest: HandleHolder<"quest">): boolean;

    function QuestCreateItem(whichQuest: HandleHolder<"quest">): HandleHolder<"questitem">;

    function QuestItemSetDescription(whichQuestItem: HandleHolder<"questitem">, description: string): void;

    function QuestItemSetCompleted(whichQuestItem: HandleHolder<"questitem">, completed: boolean): void;

    function IsQuestItemCompleted(whichQuestItem: HandleHolder<"questitem">): boolean;

    /**
     * Defeat conditions tell players what conditions would warrant a defeat.
     * They are shown above all quest descriptions. Note that this function will only
     * display text. To put the condition in effect, you would need additional
     * triggering (i.e. registering when a unit dies to end the game). This updates
     * all quests with the list of defeat condition descriptions.
     * To actually set the text use `DefeatConditionSetDescription`.
     *
     *
     * @note Each defeat condition has a hyphen "-" symbol appended to the front.
     *
     *
     */
    function CreateDefeatCondition(): HandleHolder<"defeatcondition">;

    function DestroyDefeatCondition(whichCondition: HandleHolder<"defeatcondition">): void;

    function DefeatConditionSetDescription(whichCondition: HandleHolder<"defeatcondition">, description: string): void;

    function FlashQuestDialogButton(): void;

    function ForceQuestDialogUpdate(): void;

    /**
     * Creates a new timer dialog based on the underlying timer.
     * It is hidden by default and has "Remaining" as title (localized).
     *
     * Timer dialog works as a visible countdown timer in the format: "Title hh:mm:ss".
     *
     * Since this creates an object and returns a handle, it must be freed when no longer needed
     * with `DestroyTimerDialog`.
     *
     * @param t connect the timer dialog to this timer, it'll always follow its
     * "time remaining".
     *
     * @note (v1.32.10, Lua) If `t` is nil then the dialog is still created,
     * but will never show any time.
     *
     * Alternatively, you can set the visible time with `TimerDialogSetRealTimeRemaining`.
     *
     *
     *
     */
    function CreateTimerDialog(t: HandleHolder<"timer">): HandleHolder<"timerdialog">;

    /**
     * Destroys the timer dialog and frees the handle.
     *
     * This does not affect the timer you might have provided in `CreateTimerDialog`.
     *
     * @param whichDialog target dialog.
     *
     *
     *
     */
    function DestroyTimerDialog(whichDialog: HandleHolder<"timerdialog">): void;

    /**
     * Sets the shown dialog title. Replaces the default "Remaining" text.
     *
     * @param whichDialog target dialog.
     * @param title new title.
     *
     * @note Depending on font and version, there's enough space to display
     * 14 full-width characters like "@" (at character). If the text is wider,
     * it is shortened and an ellipsis "..." is shown at the end.
     *
     * @note See: `TimerDialogSetTitle`, `TimerDialogSetTitleColor`, `TimerDialogSetTimeColor`.
     *
     *
     *
     */
    function TimerDialogSetTitle(whichDialog: HandleHolder<"timerdialog">, title: string): void;

    /**
     * Sets the timer-dialogs color.
     *
     * See: `TimerDialogSetTitle`, `TimerDialogSetTimeColor`.
     *
     * @param whichDialog The timerdialog.
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha (unused) 0-255 transparency, please set to 255.
     * A value of 0 is complete transparency, while a value of 255 is complete opacity.
     *
     *
     *
     */
    function TimerDialogSetTitleColor(whichDialog: HandleHolder<"timerdialog">, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Sets the timer-dialogs time color.
     *
     * @param whichDialog The timerdialog.
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha (unused) 0-255 transparency, please set to 255.
     * A value of 0 is complete transparency, while a value of 255 is complete opacity.
     *
     * @note See: `TimerDialogSetTitleColor`.
     *
     *
     *
     */
    function TimerDialogSetTimeColor(whichDialog: HandleHolder<"timerdialog">, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Set a new multiplier for the shown time remaining. Default is `1.0`.
     *
     * The multiplier factor is applied literally to the displayed time:
     * `timerTimeRemainingSec * speedMultFactor`.
     *
     * @param whichDialog target dialog to modify the speed of.
     * @param speedMultFactor new multiplicator factor.
     *
     * For factor `2.0` the displayed time will appear twice as fast (200% speed).
     *
     * For factor `0.5` the displayed time will appear half as fast (50% speed).
     *
     * Factor `0.0` will always display `00:00:00`.
     *
     * @note It does not affect the underlying timer `t` from `CreateTimerDialog`.
     * If you set the speed too high, the display will not become smoother as
     * it updates roughly 2-3 times per second.
     *
     *
     *
     */
    function TimerDialogSetSpeed(whichDialog: HandleHolder<"timerdialog">, speedMultFactor: number): void;

    /**
     * Show/hide the dialog for all players.
     *
     * A timer dialog is displayed above a multiboard in the top-right corner.
     *
     * @param whichDialog target dialog.
     * @param display `true` to show, `false` to hide.
     *
     * @note Multiple timer dialogues stack from right to left, for example:
     * "Timer dialog 2  12:34:56" "Timer dialog 1  02:10:42".
     *
     * @note If the timer has not been started yet, it will not show any time:
     * "Remaining ".
     *
     * @note A dialog display can be toggled per-player by using it inside a
     * `GetLocalPlayer` condition.
     *
     * @bug (v1.32.10) The second timerdialog's width and position is calculated and
     * displayed incorrectly in ultra-wide mode (beyond 1800x920, 1.95 ratio).
     *
     * @bug (v1.32.10) If you toggle visibility of one dialog but not the other
     * in a single frame, the first dialog will appear below the second one.
     *
     * ```lua
     * 	tdialog = CreateTimerDialog(CreateTimer())
     * 	TimerDialogSetTitle(tdialog, "Timer1 Dialog __ 1")
     * 	TimerDialogDisplay(tdialog, true)
     * 	tdialog2 = CreateTimerDialog(CreateTimer())
     * 	TimerDialogSetTitle(tdialog2, "Timer2 Dialog")
     * 	TimerDialogDisplay(tdialog2, true)
     * 	-- Correct up to this point.
     * 	-- This is buggy:
     * 	TimerDialogDisplay(tdialog, false)
     * 	TimerDialogDisplay(tdialog2, true)
     * 	TimerDialogDisplay(tdialog, true)
     * 	-- Now tdialog will appear beneath tdialog2.
     * ```
     *
     * **Workarounds:**
     *
     * 1. Hide *every* dialog, then show those that you need.
     * 2. Introduce a sleep-wait before turning dialog display on.
     *
     * @note See: `IsTimerDialogDisplayed`.
     *
     *
     *
     */
    function TimerDialogDisplay(whichDialog: HandleHolder<"timerdialog">, display: boolean): void;

    /**
     * Returns `true` if the dialog is shown, `false` if it is hidden.
     *
     * @param whichDialog check visibility of this timer dialog.
     *
     * @note See: `TimerDialogDisplay`.
     *
     *
     *
     */
    function IsTimerDialogDisplayed(whichDialog: HandleHolder<"timerdialog">): boolean;

    /**
     * Sets the timer dialog countdown to specified time and decouples it from the
     * provided timer in `CreateTimerDialog`.
     *
     * @param whichDialog target dialog.
     * @param timeRemaining new time in seconds.
     *
     * @note For example if the dialog was created with a periodic timer, it would
     * reset the countdown like the timer when it reaches zero.
     *
     * Once you set a custom time with this function, it will no longer follow the
     * timer. Once it reaches zero, it'll stay at zero.
     *
     * @note There's no way to retrieve the internal timer value or to have an event
     * trigger.
     *
     *
     *
     */
    function TimerDialogSetRealTimeRemaining(whichDialog: HandleHolder<"timerdialog">, timeRemaining: number): void;

    /**
     * Creates a leaderboard handle.
     * Leaderboards initially have 0 rows, 0 columns, and no label.
     *
     *
     * @bug Do not use this in a global initialisation as it crashes the game there.
     *
     *
     */
    function CreateLeaderboard(): HandleHolder<"leaderboard">;

    function DestroyLeaderboard(lb: HandleHolder<"leaderboard">): void;

    function LeaderboardDisplay(lb: HandleHolder<"leaderboard">, show: boolean): void;

    function IsLeaderboardDisplayed(lb: HandleHolder<"leaderboard">): boolean;

    function LeaderboardGetItemCount(lb: HandleHolder<"leaderboard">): number;

    function LeaderboardSetSizeByItemCount(lb: HandleHolder<"leaderboard">, count: number): void;

    function LeaderboardAddItem(lb: HandleHolder<"leaderboard">, label: string, value: number, p: Player): void;

    function LeaderboardRemoveItem(lb: HandleHolder<"leaderboard">, index: number): void;

    function LeaderboardRemovePlayerItem(lb: HandleHolder<"leaderboard">, p: Player): void;

    function LeaderboardClear(lb: HandleHolder<"leaderboard">): void;

    function LeaderboardSortItemsByValue(lb: HandleHolder<"leaderboard">, ascending: boolean): void;

    function LeaderboardSortItemsByPlayer(lb: HandleHolder<"leaderboard">, ascending: boolean): void;

    function LeaderboardSortItemsByLabel(lb: HandleHolder<"leaderboard">, ascending: boolean): void;

    function LeaderboardHasPlayerItem(lb: HandleHolder<"leaderboard">, p: Player): boolean;

    function LeaderboardGetPlayerIndex(lb: HandleHolder<"leaderboard">, p: Player): number;

    function LeaderboardSetLabel(lb: HandleHolder<"leaderboard">, label: string): void;

    function LeaderboardGetLabelText(lb: HandleHolder<"leaderboard">): string;

    function PlayerSetLeaderboard(toPlayer: Player, lb: HandleHolder<"leaderboard">): void;

    function PlayerGetLeaderboard(toPlayer: Player): HandleHolder<"leaderboard">;

    function LeaderboardSetLabelColor(lb: HandleHolder<"leaderboard">, red: number, green: number, blue: number, alpha: number): void;

    function LeaderboardSetValueColor(lb: HandleHolder<"leaderboard">, red: number, green: number, blue: number, alpha: number): void;

    function LeaderboardSetStyle(lb: HandleHolder<"leaderboard">, showLabel: boolean, showNames: boolean, showValues: boolean, showIcons: boolean): void;

    function LeaderboardSetItemValue(lb: HandleHolder<"leaderboard">, whichItem: number, val: number): void;

    function LeaderboardSetItemLabel(lb: HandleHolder<"leaderboard">, whichItem: number, val: string): void;

    function LeaderboardSetItemStyle(lb: HandleHolder<"leaderboard">, whichItem: number, showLabel: boolean, showValue: boolean, showIcon: boolean): void;

    function LeaderboardSetItemLabelColor(lb: HandleHolder<"leaderboard">, whichItem: number, red: number, green: number, blue: number, alpha: number): void;

    function LeaderboardSetItemValueColor(lb: HandleHolder<"leaderboard">, whichItem: number, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Creates a new multiboard and returns its handle.
     *
     * The new multiboard by default:
     *
     * - does not have a title
     * - row and column count are 0
     * - is not displayed
     * - is not minimized
     *
     * To display a multiboard after creation, you must use `MultiboardDisplay`.
     *
     *
     * @note Multiboards must be destroyed to prevent leaks: `DestroyMultiboard`.
     *
     * @note Only one multiboard can be visible at a time.
     * However there's a workaround using [Frame API](https://www.hiveworkshop.com/threads/ui-showing-3-multiboards.316610/).
     *
     * @note There's a bug that causes big multiboards to
     * [freeze/crash the game on 1.33](https://www.hiveworkshop.com/threads/maximizing-the-multiboard-leads-to-freezing-game-with-the-latest-reforged-patch.341873/#post-3550996).
     *
     * @bug Do not use this in a global initialisation as it crashes the game there.
     *
     *
     */
    function CreateMultiboard(): HandleHolder<"multiboard">;

    /**
     * Destroys the multiboard and frees the handle.
     *
     *
     * @bug **Fixed in 1.33:** Crash on 1.30-1.32.10 (earlier?) when a multiboard is destroyed
     * while `ShowInterface` is false for a player and the game crashes later, once turned on.
     *
     * `ShowInterface` is used by the cinematic mode, also known as "letterbox mode" as GUI trigger.
     *
     * **Workaround:** hide the multiboard before destroying it, see: `MultiboardMinimize`.
     *
     * **Bug reports:**
     * [Cinematic mode, multiboard](https://www.hiveworkshop.com/threads/fatal-error-after-cinematics.316707/post-3358087),
     * [toggling letterbox mode](https://www.hiveworkshop.com/threads/1-31-1-bug-destroymultiboard-causes-crash-after-disabling-letterbox.315554/),
     * [multiboard](https://www.hiveworkshop.com/threads/destroying-or-hiding-timer-window-causes-game-to-crash.310883/post-3312587).
     *
     *
     */
    function DestroyMultiboard(lb: HandleHolder<"multiboard">): void;

    /**
     * Shows or hides the multiboard.
     *
     * Can be used to force a multiboard update.
     *
     * @param lb Target multiboard
     * @param show `true` to show, `false` to hide.
     *
     *
     * @note Multiboards can not be shown at map-init. Use a wait or a zero-timer to
     * display as soon as possible.
     *
     * @note See: `IsMultiboardDisplayed`.
     *
     * @bug `MultiboardDisplay(mb,false)`, where mb is an arbitrary non-null multiboard
     * will close any open multiboard, regardless of whether it's `mb` or not.
     * <http://www.wc3c.net/showthread.php?p=971681#post971681>
     *
     *
     */
    function MultiboardDisplay(lb: HandleHolder<"multiboard">, show: boolean): void;

    /**
     * Returns true if multiboard is visible, false if not shown.
     *
     * @param lb Target multiboard.
     *
     *
     * @note See: `MultiboardDisplay`.
     *
     *
     */
    function IsMultiboardDisplayed(lb: HandleHolder<"multiboard">): boolean;

    /**
     * Minimizes/maximizes the multiboard. This is equivalent to clicking the small ↑ ↓ buttons in-game.
     *
     * Can be used to force a multiboard update.
     *
     * A maximized multiboard shows its contents and draws the content borders, even
     * if it has 0 rows and columns. When minimized only the title is shown.
     *
     *
     * @note See: `IsMultiboardMinimized`.
     *
     *
     */
    function MultiboardMinimize(lb: HandleHolder<"multiboard">, minimize: boolean): void;

    /**
     * Returns true if minimized, false if maximized.
     *
     * @param lb Target multiboard.
     *
     *
     * @async 
     *
     * @note See: `MultiboardMinimize`.
     *
     *
     */
    function IsMultiboardMinimized(lb: HandleHolder<"multiboard">): boolean;

    /**
     * Erases all items in a multiboard and sets row count to 0, column count to 0.
     * The multiboard's name is preserved.
     *
     * @param lb Target multiboard.
     *
     *
     * @note *Implementation-specific:* Clearing a multiboard does not automatically invalidate
     * previous `multiboarditem` handles. If you expand the multiboard again, you'll be able to reuse
     * old handles. BUT you really shouldn't be doing this, it seems to be a buggy/undefined behavior.
     * When you clear or shrink a table, it's best to release old cell (item) handles with `MultiboardReleaseItem`.
     *
     * @note See: `DestroyMultiboard` to remove, `MultiboardDisplay` to hide a multiboard.
     *
     *
     */
    function MultiboardClear(lb: HandleHolder<"multiboard">): void;

    /**
     * Sets a multiboard's name.
     *
     * The new text appears instantly.
     * The multiboard will expand as wide as necessary to display the title.
     *
     * @param lb Target multiboard.
     * @param label New name.
     *
     * @note See: `MultiboardGetTitleText`
     *
     *
     *
     */
    function MultiboardSetTitleText(lb: HandleHolder<"multiboard">, label: string): void;

    /**
     * Returns multiboard's name.
     *
     *
     * @note See: `MultiboardSetTitleText`.
     *
     *
     */
    function MultiboardGetTitleText(lb: HandleHolder<"multiboard">): string;

    /**
     * Sets the default color for multiboard name.
     *
     * This is different than using color codes. If you use a color code in text,
     * it will override this color.
     *
     * @param lb Target multiboard.
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha (unused) 0-255 transparency, please set to 255.
     * A value of 0 is complete transparency, while a value of 255 is complete opacity.
     *
     *
     * @note You can use this to avoid using color tags and text manipulation in code.
     *
     * @note See: `MultiboardSetItemValueColor`.
     *
     *
     */
    function MultiboardSetTitleTextColor(lb: HandleHolder<"multiboard">, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Returns the number of content rows (lines, horizontal) for the multiboard.
     *
     * @param lb Target multiboard.
     *
     * @note See: `MultiboardSetRowCount`, `MultiboardGetColumnCount`.
     *
     *
     *
     */
    function MultiboardGetRowCount(lb: HandleHolder<"multiboard">): number;

    /**
     * Returns the number of content columns (vertical) for the multiboard.
     *
     * @param lb Target multiboard.
     *
     * @note See: `MultiboardSetColumnCount`.
     *
     *
     *
     */
    function MultiboardGetColumnCount(lb: HandleHolder<"multiboard">): number;

    /**
     * Sets the number of content columns (vertical) for the multiboard.
     *
     * @param lb Target multiboard.
     *
     * @note See: `MultiboardGetColumnCount`.
     *
     *
     *
     */
    function MultiboardSetColumnCount(lb: HandleHolder<"multiboard">, count: number): void;

    /**
     * Sets the number of content rows (lines, horizontal) for the multiboard.
     *
     * @param lb Target multiboard.
     *
     * @bug It is only safe to change the row count by one. Use multiple calls for bigger values.
     * <http://www.hiveworkshop.com/forums/l-715/m-250775/> (has test map)
     * <http://www.hiveworkshop.com/forums/t-269/w-234897/> (has only code)
     *
     * @note See: `MultiboardGetRowCount`.
     *
     *
     *
     */
    function MultiboardSetRowCount(lb: HandleHolder<"multiboard">, count: number): void;

    /**
     * Sets rendering properties for all cells.
     *
     * @param lb Target multiboard.
     *
     * @note See: `MultiboardSetItemStyle` for a detailed description.
     *
     *
     *
     */
    function MultiboardSetItemsStyle(lb: HandleHolder<"multiboard">, showValues: boolean, showIcons: boolean): void;

    /**
     * Sets new text for all cells.
     *
     * @param lb Target multiboard.
     *
     * @note See: `MultiboardSetItemValue` for a detailed description.
     *
     *
     *
     */
    function MultiboardSetItemsValue(lb: HandleHolder<"multiboard">, value: string): void;

    /**
     * Sets the default color for text in all cell.
     *
     * This is different than using color codes. If you use a color code in text,
     * it will override this color.
     *
     * @param lb Target multiboard.
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha (unused) 0-255 alpha color, please set to 255.
     *
     *
     * @note You can use this to avoid using color tags and text manipulation in code.
     *
     * @note See: `MultiboardSetItemValueColor`.
     *
     *
     */
    function MultiboardSetItemsValueColor(lb: HandleHolder<"multiboard">, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Sets the new width for all cells.
     *
     * @param lb Target multiboard.
     * @param width New cell width expressed as screen width. `1.0` = 100% of screen width,
     * `0.05` = 5% of screen width.
     *
     *
     * @note See: `MultiboardSetItemWidth` for a detailed description.
     *
     *
     */
    function MultiboardSetItemsWidth(lb: HandleHolder<"multiboard">, width: number): void;

    /**
     * Sets a new icon for all cells.
     *
     * @param lb Target multiboard.
     * @param iconPath Path to new icon texture.
     *
     * @note See: `MultiboardSetItemIcon` for a detailed description.
     *
     *
     *
     */
    function MultiboardSetItemsIcon(lb: HandleHolder<"multiboard">, iconPath: string): void;

    /**
     * Acquires and returns a new handle for the multiboard cell.
     *
     * @param lb Target multiboard.
     * @param row In which row is the target cell (Y-coord, up-down). Starts from 0.
     * @param column in which column is the target cell (X-coord, left-right). Starts from 0.
     *
     * @note Because a new handle is created each time, the handle must be
     * freed with `MultiboardReleaseItem`. The handle is different even if you
     * retrieve the same cell of the multiboard (v1.32.10, Lua).
     *
     * @note The parameter order of `row` and `column` is (y,x) if you think of coordinates.
     *
     *
     *
     */
    function MultiboardGetItem(lb: HandleHolder<"multiboard">, row: number, column: number): HandleHolder<"multiboarditem">;

    /**
     * Destroys the handle previously created with `MultiboardGetItem`.
     *
     * It must be used to prevent leaks. Releasing the handle does not destroy or modify the
     * item.
     *
     *
     *
     */
    function MultiboardReleaseItem(mbi: HandleHolder<"multiboarditem">): void;

    /**
     * Sets rendering properties of the multiboard cell.
     * Hiding the icon or text does not erase it.
     *
     * There is no way to get a cell's style.
     *
     * @param mbi Target cell handle.
     * @param showValue `true` to render text, `false` to hide text.
     * @param showIcon `true` to render icon, `false` to hide icon.
     *
     *
     * @note See: `MultiboardSetItemsStyle`.
     *
     *
     */
    function MultiboardSetItemStyle(mbi: HandleHolder<"multiboarditem">, showValue: boolean, showIcon: boolean): void;

    /**
     * Sets the cell's text. It is empty by default.
     *
     * @param mbi Target cell handle.
     * @param val New text.
     *
     *
     * @note You must make sure the new text will fit in current width by setting
     * `MultiboardSetItemWidth` appropriately. If the width is too small, the text will be
     * cut off.
     *
     * @note See: `MultiboardSetItemsValue`.
     *
     *
     */
    function MultiboardSetItemValue(mbi: HandleHolder<"multiboarditem">, val: string): void;

    /**
     * Sets the default color for the cell text.
     *
     * This is different than using color codes. If you use a color code in text,
     * it will override this color.
     *
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha (unused) 0-255 alpha color, please set to 255.
     *
     *
     * @note You can use this to avoid using color tags and text manipulation in code.
     *
     * @note See: `MultiboardSetItemsValueColor`.
     *
     *
     */
    function MultiboardSetItemValueColor(mbi: HandleHolder<"multiboarditem">, red: number, green: number, blue: number, alpha: number): void;

    /**
     * Sets the new text width for the cell.
     *
     * Default width is `0.03` (3%), this is enough to fit 1-3 characters
     * (depending on font and character).
     *
     * @param mbi Target cell handle.
     * @param width New cell width expressed as screen width. `1.0` = 100% of screen width,
     * `0.05` = 5% of screen width.
     *
     * The multiboard is right-aligned (begins at the right) at the window border.
     * See Tasyen's
     * [The Big UI-Frame Tutorial](https://www.hiveworkshop.com/pastebin/e23909d8468ff4942ccea268fbbcafd1.20598#PosFrames)
     * for the explanation of screen width.
     *
     *
     * @bug **NOTE!** Multiboard's total width is calculated based on ONLY the first row's
     * widths.
     *
     * *Example:* Your first row is very short, but second row is twice is long.
     *
     * *Result:* The second row will not fit inside the table and overflow to the right,
     * beyond the visible area.
     *
     * **Summary:** To set the multiboard width, set the width of columns in the first row.
     *
     * @bug Although the column width is set immediately and items in the same row are
     * moved left/right, the multiboard is not redrawn to accomodate the new width.
     *
     * To update the entire multiboard's width, you must manually minimize/maximize
     * the multiboard or call `MultiboardDisplay(udg_myMultiboard, true)`
     * or `MultiboardMinimize(udg_myMultiboard, false)`.
     *
     * For example, if you only change the width of cell at (x=0, y=0) to
     * be 0.2x of screen width, then the cell (x=1, y=0) will be moved right beyond the
     * visible screen.
     *
     * @note See: `MultiboardSetItemsWidth`.
     *
     *
     */
    function MultiboardSetItemWidth(mbi: HandleHolder<"multiboarditem">, width: number): void;

    /**
     * Sets the cell's icon. It is a grey eye icon by default.
     *
     * @param mbi Target cell handle.
     * @param iconFileName Path to new icon texture.
     *
     *
     * @note Setting an invalid texture path will result in an undefined texture (100% green).
     *
     * @note See: `MultiboardSetItemsIcon`.
     *
     *
     */
    function MultiboardSetItemIcon(mbi: HandleHolder<"multiboarditem">, iconFileName: string): void;

    /**
     * While enabled, completely stops displaying any multiboards. It does not modify
     * any multiboards' display state. Useful for cinematics.
     *
     * Once disabled, shows the last displayed (enabled) multiboard.
     *
     * @param flag `true` to not render any multiboards, `false` to render multiboards.
     *
     *
     * @note See: `MultiboardDisplay` to modify an individual multiboard.
     *
     *
     */
    function MultiboardSuppressDisplay(flag: boolean): void;

    function SetCameraPosition(x: number, y: number): void;

    function SetCameraQuickPosition(x: number, y: number): void;

    function SetCameraBounds(x1: number, y1: number, x2: number, y2: number, x3: number, y3: number, x4: number, y4: number): void;

    function StopCamera(): void;

    function ResetToGameCamera(duration: number): void;

    function PanCameraTo(x: number, y: number): void;

    function PanCameraToTimed(x: number, y: number, duration: number): void;

    function PanCameraToWithZ(x: number, y: number, zOffsetDest: number): void;

    function PanCameraToTimedWithZ(x: number, y: number, zOffsetDest: number, duration: number): void;

    function SetCinematicCamera(cameraModelFile: string): void;

    function SetCameraRotateMode(x: number, y: number, radiansToSweep: number, duration: number): void;

    function SetCameraField(whichField: HandleHolder<"camerafield">, value: number, duration: number): void;

    /**
     * Changes one of the game camera's options whichField by offset over duration seconds.
     *
     *
     *
     */
    function AdjustCameraField(whichField: HandleHolder<"camerafield">, offset: number, duration: number): void;

    function SetCameraTargetController(whichUnit: Unit, xoffset: number, yoffset: number, inheritOrientation: boolean): void;

    function SetCameraOrientController(whichUnit: Unit, xoffset: number, yoffset: number): void;

    /**
     * Creates a new camerasetup object with the following default values.
     *
     * |                   |               |
     * |-------------------|---------------|
     * |Target Coordinates |( 0.00 , 0.00 )|
     * |Z-Offset           | 0.00          |
     * |Rotation           | 90.00         |
     * |Angle of Attack    | 304.00        |
     * |Distance           | 1650.00       |
     * |Roll               | 0.00          |
     * |Field of View      | 70.00         |
     * |Far Clipping       | 5000.00       |
     *
     *
     *
     *
     */
    function CreateCameraSetup(): HandleHolder<"camerasetup">;

    /**
     * Assigns a value to the specified field for a camerasetup. The input angles should be in degrees.
     *
     * @param whichSetup The camera setup.
     *
     * @param whichField The field of the camerasetup. 
     *
     * @param value The value to assign to the field.
     *
     * @param duration The duration over which the field will be set. If the duration is greater
     * than 0, the changes will be made gradually once the camera setup is applied.
     *
     *
     *
     */
    function CameraSetupSetField(whichSetup: HandleHolder<"camerasetup">, whichField: HandleHolder<"camerafield">, value: number, duration: number): void;

    /**
     * Returns the value of the specified field for a camerasetup. The angle of attack,
     * field of view, roll, and rotation are all returned in degrees, unlike `GetCameraField`.
     *
     * @param whichSetup The camera setup.
     *
     * @param whichField The field of the camerasetup.
     *
     *
     * @note The angle of attack, field of view, roll, and rotation are all returned in degrees.
     *
     *
     */
    function CameraSetupGetField(whichSetup: HandleHolder<"camerasetup">, whichField: HandleHolder<"camerafield">): number;

    /**
     * Sets the target coordinates for a camerasetup over a duration. The coordinate
     * change will only be applied when `CameraSetupApply` (or some other variant) is ran.
     *
     * @param whichSetup The camera setup.
     *
     * @param x The target x-coordinate.
     *
     * @param y The target y-coordinate.
     *
     * @param duration The coordinates will be applied over this duration once the camera setup is applied.
     *
     *
     *
     */
    function CameraSetupSetDestPosition(whichSetup: HandleHolder<"camerasetup">, x: number, y: number, duration: number): void;

    /**
     * Returns the target location of a camerasetup.
     *
     * @param whichSetup The camera setup.
     *
     *
     *
     */
    function CameraSetupGetDestPositionLoc(whichSetup: HandleHolder<"camerasetup">): HLocation;

    /**
     * Returns the target x-coordinate of a camerasetup.
     *
     * @param whichSetup The camera setup.
     *
     *
     *
     */
    function CameraSetupGetDestPositionX(whichSetup: HandleHolder<"camerasetup">): number;

    /**
     * Returns the target y-coordinate of a camerasetup.
     *
     * @param whichSetup The camera setup.
     *
     *
     *
     */
    function CameraSetupGetDestPositionY(whichSetup: HandleHolder<"camerasetup">): number;

    /**
     * Applies the camerasetup, altering the current camera's fields to match those of the camera setup.
     *
     * @param whichSetup The camerasetup to apply.
     *
     * @param doPan If set to true, it will move the current camera's target coordinates to the
     * camera setup's target coordinates. If false, the camera will not move
     * coordinates, but will still apply the other fields.
     *
     * @param panTimed If set to true, then it will change the camera's properties over the times specified in CameraSetupSetField.
     *
     *
     *
     *
     */
    function CameraSetupApply(whichSetup: HandleHolder<"camerasetup">, doPan: boolean, panTimed: boolean): void;

    /**
     * Applies the camerasetup with a custom z-offset, altering the current camera's
     * fields to match those of the camera setup. The z-offset input will override
     * the z-offset specified by the camerasetup through `CameraSetupSetField`.
     *
     * @param whichSetup The camerasetup to apply.
     *
     * @param zDestOffset The camera's z-offset will gradually change to this value over the specified duration.
     *
     *
     * @bug If a player pauses the game after the camerasetup has been applied, the
     * z-offset of the game camera will change to the z-offset of the camerasetup for that player. 
     *
     *
     */
    function CameraSetupApplyWithZ(whichSetup: HandleHolder<"camerasetup">, zDestOffset: number): void;

    /**
     * Applies the camerasetup over a certain duration, altering the current
     * camera's fields to match those of the camera setup.
     *
     * @param whichSetup The camerasetup to apply.
     *
     * @param doPan If set to true, it will move the current camera's target coordinates to the
     * camera setup's target coordinates. If false, the camera will not move
     * coordinates, but will still apply the other fields.
     *
     * @param forceDuration The duration it will take to apply all the camera fields.
     * It will ignore the times set by CameraSetupSetField.
     *
     *
     *
     */
    function CameraSetupApplyForceDuration(whichSetup: HandleHolder<"camerasetup">, doPan: boolean, forceDuration: number): void;

    /**
     * Applies the camerasetup over a certain duration with a custom z-offset value,
     * altering the current camera's fields to match those of the camera setup.
     * The z-offset input will override the z-offset specified by `CameraSetupSetField`.
     *
     * @param whichSetup The camerasetup to apply.
     *
     * @param zDestOffset The camera's z-offset will gradually change to this value over the specified duration.
     *
     * @param forceDuration The duration it will take to apply all the camera fields.
     * It will ignore the times set by CameraSetupSetField.
     *
     *
     *
     */
    function CameraSetupApplyForceDurationWithZ(whichSetup: HandleHolder<"camerasetup">, zDestOffset: number, forceDuration: number): void;

    /**
     * Causes the camera's target to sway(the camera's target, not the camera's perspective).
     * The higher the magnitude, the higher the range of swaying.
     * The higher the velocity, the more rapidly the swaying occurs.
     *
     * @param mag The magnitude of the swaying.
     *
     * @param velocity The speed of the swaying.
     *
     *
     *
     *
     */
    function CameraSetTargetNoise(mag: number, velocity: number): void;

    /**
     * Causes the camera's source to sway (the camera's perspective, not the camera's target).
     * The higher the magnitude, the higher the range of swaying.
     * The higher the velocity, the more rapidly the swaying occurs.
     * This will not affect the camera's target coordinates.
     *
     * @param mag The magnitude of the swaying.
     *
     * @param velocity The speed of the swaying.
     *
     *
     *
     */
    function CameraSetSourceNoise(mag: number, velocity: number): void;

    /**
     * Causes the camera's target to sway, just like CameraSetTargetNoise. (the camera's target, not the camera's perspective) The higher the magnitude, the higher the range of swaying. The higher the velocity, the more rapidly the swaying occurs.
     *
     * Causes the camera's source to sway (the camera's perspective, not the camera's target).
     * The higher the magnitude, the higher the range of swaying.
     * The higher the velocity, the more rapidly the swaying occurs.
     * This will not affect the camera's target coordinates.
     *
     *
     * @param mag The magnitude of the swaying.
     *
     * @param velocity The speed of the swaying.
     *
     * @param vertOnly Stands for "vertical only". If set to true, then the swaying will only modify target distance and z-offset.
     *
     *
     *
     *
     */
    function CameraSetTargetNoiseEx(mag: number, velocity: number, vertOnly: boolean): void;

    /**
     * Causes the camera to sway in the same fashion as `CameraSetSourceNoise`.
     *
     * @param mag The magnitude of the swaying.
     *
     * @param velocity The speed of the swaying.
     *
     * @param vertOnly Stands for "vertical only". If true, then only the angle of attack, target distance, and z-offset of the camera will be modified. (the rotation will not be modified)
     *
     *
     *
     */
    function CameraSetSourceNoiseEx(mag: number, velocity: number, vertOnly: boolean): void;

    /**
     * Sets the game camera's smoothing factor for scrolling with the mouse/keyboard. The default smoothing factor for the standard game camera is 0, where upon scrolling, the camera will immediately come to a stop. As the factor increases, the camera eases into a stop more and more gradually.
     *
     * @param factor The smoothing factor. It is 0 by default.
     *
     *
     *
     */
    function CameraSetSmoothingFactor(factor: number): void;

    function SetCineFilterTexture(filename: string): void;

    function SetCineFilterBlendMode(whichMode: HandleHolder<"blendmode">): void;

    function SetCineFilterTexMapFlags(whichFlags: HandleHolder<"texmapflags">): void;

    function SetCineFilterStartUV(minu: number, minv: number, maxu: number, maxv: number): void;

    function SetCineFilterEndUV(minu: number, minv: number, maxu: number, maxv: number): void;

    function SetCineFilterStartColor(red: number, green: number, blue: number, alpha: number): void;

    function SetCineFilterEndColor(red: number, green: number, blue: number, alpha: number): void;

    function SetCineFilterDuration(duration: number): void;

    function DisplayCineFilter(flag: boolean): void;

    function IsCineFilterDisplayed(): boolean;

    function SetCinematicScene(portraitUnitId: number, color: HandleHolder<"playercolor">, speakerTitle: string, text: string, sceneDuration: number, voiceoverDuration: number): void;

    function EndCinematicScene(): void;

    function ForceCinematicSubtitles(flag: boolean): void;

    function GetCameraMargin(whichMargin: number): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraBoundMinX(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraBoundMinY(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraBoundMaxX(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraBoundMaxY(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraField(whichField: HandleHolder<"camerafield">): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraTargetPositionX(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraTargetPositionY(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraTargetPositionZ(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraTargetPositionLoc(): HLocation;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraEyePositionX(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraEyePositionY(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraEyePositionZ(): number;

    /**
     * Return-value for the local players camera only.
     *
     *
     * @async 
     *
     *
     */
    function GetCameraEyePositionLoc(): HLocation;

    function NewSoundEnvironment(environmentName: string): void;

    /**
     * Creates a sound handle.
     *
     * @param fileName The path to the file.
     *
     * @param looping Looping sounds will restart once the sound duration has finished.
     *
     * @param is3D 3D Sounds can be played on particular areas of the map. They are at
     * their loudest when the camera is close to the sound's coordinates.
     *
     * @param fadeInRate How quickly the sound fades in. The higher the number, the
     * faster the sound fades in. Maximum number is 127.
     *
     * @param fadeOutRate How quickly the sound fades out. The higher the number, the
     * faster the sound fades out. Maximum number is 127.
     *
     * @param eaxSetting EAX is an acronym for environmental audio extensions. In the
     * sound editor, this corresponds to the "Effect" setting.
     * The known settings available in Warcraft III are:
     *
     * | Value              |  Setting               |
     * |--------------------| ---------------------- |
     * |`"CombatSoundsEAX"` | combat                 |
     * |`"KotoDrumsEAX"`    | drums                  | 
     * |`"SpellsEAX"`       | spells                 |
     * |`"MissilesEAX"`     | missiles               |
     * |`"HeroAcksEAX"`     | hero acknowledgements  |
     * |`"DoodadsEAX"`      | doodads                |
     * |`"DefaultEAXON"`    | default                |
     *
     *
     * @note You can only play the same sound handle once.
     *
     * @note You can only play the same sound filepath four times.
     *
     * @note Sounds of the same filepath (on different sound handles) must have a delay
     * of at least 0.1 seconds inbetween them to be played.
     * You can overcome this by starting one earlier and then using `SetSoundPosition`.
     *
     * @note You can only play 16 sounds in general.
     *
     *
     *
     */
    function CreateSound(fileName: string, looping: boolean, is3D: boolean, stopwhenoutofrange: boolean, fadeInRate: number, fadeOutRate: number, eaxSetting: string): HandleHolder<"sound">;

    /**
     * Creates a sound but applies default settings to the sound, which are found
     * under the label from the following SLK-files:
     *
     * * UI\SoundInfo\AbilitySounds.slk
     * * UI\SoundInfo\AmbienceSounds.slk
     * * UI\SoundInfo\AnimSounds.slk
     * * UI\SoundInfo\DialogSounds.slk
     * * UI\SoundInfo\UISounds.slk
     * * UI\SoundInfo\UnitAckSounds.slk
     * * UI\SoundInfo\UnitCombatSounds.slk
     *
     * @param fileName The path to the file.
     *
     * @param looping Looping sounds will restart once the sound duration has finished.
     *
     * @param is3D 3D Sounds can be played on particular areas of the map. They are at
     * their loudest when the camera is close to the sound's coordinates.
     *
     * @param fadeInRate How quickly the sound fades in. The higher the number,
     * the faster the sound fades in. Maximum number is 127.
     *
     * @param fadeOutRate How quickly the sound fades out. The higher the number,
     * the faster the sound fades out. Maximum number is 127.
     *
     * @param SLKEntryName the label out of one of the SLK-files, whose settings should be
     * used, e.g. values like volume, pitch, pitch variance, priority, channel, min distance, max distance, distance cutoff or eax.
     *
     *
     * @note You can only play the same sound handle once.
     *
     * @note You can only play the same sound filepath four times.
     *
     * @note Sounds of the same filepath (on different sound handles) must have a delay
     * of at least 0.1 seconds inbetween them to be played.
     * You can overcome this by starting one earlier and then using `SetSoundPosition`.
     *
     * @note You can only play 16 sounds in general.
     *
     *
     *
     */
    function CreateSoundFilenameWithLabel(fileName: string, looping: boolean, is3D: boolean, stopwhenoutofrange: boolean, fadeInRate: number, fadeOutRate: number, SLKEntryName: string): HandleHolder<"sound">;

    function CreateSoundFromLabel(soundLabel: string, looping: boolean, is3D: boolean, stopwhenoutofrange: boolean, fadeInRate: number, fadeOutRate: number): HandleHolder<"sound">;

    function CreateMIDISound(soundLabel: string, fadeInRate: number, fadeOutRate: number): HandleHolder<"sound">;

    /**
     * Applies default settings to the sound, which are found under the label from the following SLK-files:
     *
     * * UI\SoundInfo\AbilitySounds.slk
     * * UI\SoundInfo\AmbienceSounds.slk
     * * UI\SoundInfo\AnimSounds.slk
     * * UI\SoundInfo\DialogSounds.slk
     * * UI\SoundInfo\UISounds.slk
     * * UI\SoundInfo\UnitAckSounds.slk
     * * UI\SoundInfo\UnitCombatSounds.slk
     *
     * @param soundHandle The sound to configure.
     * @param soundLabel the label out of one of the SLK-files, whose settings should be
     * used, e.g. values like volume, pitch, pitch variance, priority, channel, min distance, max distance, distance cutoff or eax.
     *
     *
     *
     */
    function SetSoundParamsFromLabel(soundHandle: HandleHolder<"sound">, soundLabel: string): void;

    function SetSoundDistanceCutoff(soundHandle: HandleHolder<"sound">, cutoff: number): void;

    function SetSoundChannel(soundHandle: HandleHolder<"sound">, channel: number): void;

    /**
     * Sets the sounds volume.
     *
     * @param soundHandle which sound.
     *
     * @param volume Volume, between 0 and 127.
     *
     *
     *
     */
    function SetSoundVolume(soundHandle: HandleHolder<"sound">, volume: number): void;

    /**
     * Tones the pitch of the sound, default value is 1. Increasing it you get the chipmunk
     * version and the sound becomes shorter, when decremented the sound becomes low-pitched and longer.
     *
     *
     * @bug This native has very weird behaviour.
     * See [this](http://www.hiveworkshop.com/threads/setsoundpitch-weirdness.215743/#post-2145419) for an explanation
     * and [this](http://www.hiveworkshop.com/threads/snippet-rapidsound.258991/#post-2611724) for a non-bugged implementation.
     *
     *
     */
    function SetSoundPitch(soundHandle: HandleHolder<"sound">, pitch: number): void;

    /**
     *
     *
     * @note Must be called immediately after calling `StartSound`.
     *
     *
     */
    function SetSoundPlayPosition(soundHandle: HandleHolder<"sound">, millisecs: number): void;

    /**
     *
     *
     * @note This call is only valid if the sound was created with 3d enabled.
     *
     *
     */
    function SetSoundDistances(soundHandle: HandleHolder<"sound">, minDist: number, maxDist: number): void;

    /**
     *
     *
     * @note This call is only valid if the sound was created with 3d enabled.
     *
     *
     */
    function SetSoundConeAngles(soundHandle: HandleHolder<"sound">, inside: number, outside: number, outsideVolume: number): void;

    /**
     *
     *
     * @note This call is only valid if the sound was created with 3d enabled.
     *
     *
     */
    function SetSoundConeOrientation(soundHandle: HandleHolder<"sound">, x: number, y: number, z: number): void;

    /**
     *
     *
     * @note This call is only valid if the sound was created with 3d enabled.
     *
     *
     */
    function SetSoundPosition(soundHandle: HandleHolder<"sound">, x: number, y: number, z: number): void;

    /**
     *
     *
     * @note This call is only valid if the sound was created with 3d enabled.
     *
     *
     */
    function SetSoundVelocity(soundHandle: HandleHolder<"sound">, x: number, y: number, z: number): void;

    /**
     * Attaches the sound soundHandle to unit whichUnit. Attaching sound to unit means
     * that the more far away the player stays from the unit to which the sound is attached, the less
     * loud the sound plays (the volume of the attached sound decreases with increasing distance).
     *
     * @param soundHandle The 3D sound to play.
     * @param whichUnit The unit to attach the sound to.
     *
     * @note This call is only valid if the sound was created with 3d enabled.
     *
     *
     *
     */
    function AttachSoundToUnit(soundHandle: HandleHolder<"sound">, whichUnit: Unit): void;

    /**
     * Starts the sound.
     *
     *
     * @note You can only play the same sound handle once.
     *
     * @note You can only play 16 sounds in general.
     *
     * @note Sounds of the same filepath (on different sound handles) must have a delay
     * of at least 0.1 seconds inbetween them to be played.
     * You can overcome this by starting one earlier and then using `SetSoundPosition`.
     *
     *
     */
    function StartSound(soundHandle: HandleHolder<"sound">): void;

    /**
     * Stops the sound.
     *
     * @param soundHandle The sound to stop.
     * @param killWhenDone The sound gets destroyed if true.
     * @param fadeOut turns down the volume with `fadeOutRate` as stated in constructor.
     *
     *
     *
     */
    function StopSound(soundHandle: HandleHolder<"sound">, killWhenDone: boolean, fadeOut: boolean): void;

    /**
     * Destroys the handle when the sound has finished playing.
     *
     *
     *
     */
    function KillSoundWhenDone(soundHandle: HandleHolder<"sound">): void;

    /**
     *
     *
     * @note If music is disabled, these calls do nothing.
     * @note If musicName is a semicolon-delimited list, the whole list of music is played. The index and random parameters seem to be with respect to the list.
     *
     *
     */
    function SetMapMusic(musicName: string, random: boolean, index: number): void;

    /**
     * Clears the map music applied via `SetMapMusic`.
     *
     *
     *
     */
    function ClearMapMusic(): void;

    /**
     * Sets the file as the current music for the map, and plays it.
     *
     * @param musicName The path to the music file.
     *
     * @note Music is on its own channel and can be toggled on and off within the Warcraft III game menu.
     * @bug This native may cause a short lag spike as soon as the music starts. To circumvent this lag, stop the current music without fadeout before calling this function (`call StopMusic(false)`).
     * @note Should work with mp3s, midis and wavs.
     * @note If musicName is a semicolon-delimited list, the whole list of music is played.
     *
     *
     */
    function PlayMusic(musicName: string): void;

    /**
     * Sets the file as the current music for the map, and plays it.
     *
     * @param musicName The path to the music file.
     * @param frommsecs At what offset the music starts. In milliseconds.
     * @param fadeinmsecs How long the music is faded in. In milliseconds.
     *
     * @note Music is on its own channel and can be toggled on and off within the Warcraft III game menu.
     * @bug This native may cause a short lag spike as soon as the music starts. To circumvent this lag, stop the current music without fadeout before calling this function (`call StopMusic(false)`).
     * @note Should work with mp3s, midis and wavs.
     *
     *
     */
    function PlayMusicEx(musicName: string, frommsecs: number, fadeinmsecs: number): void;

    /**
     * Stops the current music.
     *
     *
     *
     */
    function StopMusic(fadeOut: boolean): void;

    /**
     * Resumes music.
     *
     *
     *
     */
    function ResumeMusic(): void;

    /**
     * The thematic music does not play repeatedly, but interrupts the PlayMusic-music.
     *
     * @param musicFileName The path to the music file.
     *
     * @note Only one thematic music at a time, cancels the previous one.
     * @note Probably meant for boss fights and similar where the sound should go in foreground.
     *
     *
     *
     */
    function PlayThematicMusic(musicFileName: string): void;

    /**
     * The thematic music does not play repeatedly, but interrupts the PlayMusic-music.
     *
     * @param musicFileName The path to the music file.
     * @param frommsecs At what offset the music starts. In milliseconds.
     *
     * @note Only one thematic music at a time, cancels the previous one.
     * @note Probably meant for boss fights and similar where the sound should go in foreground.
     *
     *
     *
     */
    function PlayThematicMusicEx(musicFileName: string, frommsecs: number): void;

    /**
     * Stops thematic music.
     *
     *
     *
     */
    function EndThematicMusic(): void;

    /**
     * Sets the music volume.
     *
     * @param volume Volume between 0 and 127.
     *
     *
     *
     */
    function SetMusicVolume(volume: number): void;

    function SetMusicPlayPosition(millisecs: number): void;

    function SetThematicMusicPlayPosition(millisecs: number): void;

    function SetSoundDuration(soundHandle: HandleHolder<"sound">, duration: number): void;

    /**
     * Returns sound length in milliseconds.
     *
     *
     * @note Beweare that this might return different values for different players
     * if you use native wc3-sounds as these can have different length in different languages.
     * This can cause desyncs if you use the duration for non-local stuff.
     *
     * @async 
     *
     *
     */
    function GetSoundDuration(soundHandle: HandleHolder<"sound">): number;

    /**
     * Returns length of the sound file under the path in milliseconds.
     *
     *
     * @note Beweare that this might return different values for different players
     * if you use native wc3-sounds as these can have different length in different languages.
     * This can cause desyncs if you use the duration for non-local stuff.
     *
     * @async 
     *
     *
     */
    function GetSoundFileDuration(musicFileName: string): number;

    function VolumeGroupSetVolume(vgroup: HandleHolder<"volumegroup">, scale: number): void;

    function VolumeGroupReset(): void;

    /**
     *
     *
     * @note If you just started the sound this still returns false.
     *
     * @async 
     *
     *
     */
    function GetSoundIsPlaying(soundHandle: HandleHolder<"sound">): boolean;

    function GetSoundIsLoading(soundHandle: HandleHolder<"sound">): boolean;

    function RegisterStackedSound(soundHandle: HandleHolder<"sound">, byPosition: boolean, rectwidth: number, rectheight: number): void;

    function UnregisterStackedSound(soundHandle: HandleHolder<"sound">, byPosition: boolean, rectwidth: number, rectheight: number): void;

    /**
     * Creates a weather effect that is spatially limited to the specified area.
     *
     * This creates a new object and returns its handle, to prevent leaks it must be destroyed
     * with `RemoveWeatherEffect` when no longer needed.
     *
     * The weather effect is created initially disabled and must be turned on with `EnableWeatherEffect`.
     *
     * **Example (Lua):** to create an "Ashenvale Heavy Rain" at map center:
     *
     * ```lua
     * center = Rect(-1024, -1024, 1024, 1024)
     * weather = AddWeatherEffect(center, FourCC("RAhr"))
     * EnableWeatherEffect(weather, true)
     * ```
     *
     * @param where The rect where the weather will be visible.
     *
     * @param effectID (Rawcode) Which weather preset to apply.
     *
     *
     * @note To understand more about weather effects nature, I advise to read
     * Ammorth's article about weather effects: <http://www.wc3c.net/showthread.php?t=91176>.
     *
     * @note To get an idea on how to add your own weather effects, you may read
     * CryoniC's article about custom weather effects: <http://www.wc3c.net/showthread.php?t=67949>.
     *
     * @note The weather effects are defined in `terrainart/weather.slk` in game files.
     * The [current default list is here](https://www.hiveworkshop.com/threads/how-to-create-random-weather.198658/post-1953519) (v1.32.10).
     *
     *
     */
    function AddWeatherEffect(where: HandleHolder<"rect">, effectID: number): HandleHolder<"weathereffect">;

    /**
     * Removes the weather effect (visually instant) and frees the handle.
     *
     *
     * @note See: `AddWeatherEffect`, `EnableWeatherEffect`.
     *
     *
     */
    function RemoveWeatherEffect(whichEffect: HandleHolder<"weathereffect">): void;

    /**
     * Smoothly enables/disables the given weather effect.
     *
     * @param whichEffect A handle of target weather effect.
     * @param enable `true` to enable, `false` to disable the effect.
     *
     *
     * @note See: `AddWeatherEffect`, `RemoveWeatherEffect`.
     *
     *
     */
    function EnableWeatherEffect(whichEffect: HandleHolder<"weathereffect">, enable: boolean): void;

    /**
     * Create a crater at the given coordinates.
     *
     * @param x The x coordinate of the craters center.
     * @param y The y coordinate of the craters center.
     * @param radius The radius of the crater.
     * @param depth The depth of the crater.
     * @param duration The duration in milliseconds.
     * @param permanent Make the deformation permanent.
     *
     * @note To approximate the resulting height of a point `distance` units away from the
     * center point `(x, y)` you can use the following formula: `Cos(bj_PI/2 * distance / radius) * -depth`. See this [issue](https://github.com/lep/jassdoc/issues/31) for some more information.
     *
     * @note Not every player might display those transformations due to graphics
     * settings. Thus reading data like terrain height might lead to async values.
     * See the other note on a way to compute an appropiate height to use instead.
     *
     * @note Permanent terrain deformations are not present in saved game files.
     *
     *
     *
     */
    function TerrainDeformCrater(x: number, y: number, radius: number, depth: number, duration: number, permanent: boolean): HandleHolder<"terraindeformation">;

    /**
     *
     * @param duration The duration in milliseconds.
     *
     *
     * @note Permanent terrain deformations are not present in saved game files.
     *
     *
     */
    function TerrainDeformRipple(x: number, y: number, radius: number, depth: number, duration: number, count: number, spaceWaves: number, timeWaves: number, radiusStartPct: number, limitNeg: boolean): HandleHolder<"terraindeformation">;

    /**
     *
     *
     * @note Permanent terrain deformations are not present in saved game files.
     *
     *
     */
    function TerrainDeformWave(x: number, y: number, dirX: number, dirY: number, distance: number, speed: number, radius: number, depth: number, trailTime: number, count: number): HandleHolder<"terraindeformation">;

    /**
     *
     * @param duration The duration in milliseconds.
     *
     *
     * @note Permanent terrain deformations are not present in saved game files.
     *
     *
     */
    function TerrainDeformRandom(x: number, y: number, radius: number, minDelta: number, maxDelta: number, duration: number, updateInterval: number): HandleHolder<"terraindeformation">;

    function TerrainDeformStop(deformation: HandleHolder<"terraindeformation">, duration: number): void;

    function TerrainDeformStopAll(): void;

    /**
     * Creates the special effect in point with coordinates (x;y) using the model file with a path modelName.
     * The altitude (Z) of the newly spawned effect is at the ground level, be it terrain, some pathable destructable or on top of water.
     * In other words, the effect's Z coordinate does not have to be 0.
     *
     *
     * @note To create an effect with an offset in relation to the ground before 1.30 patch, see <http://www.hiveworkshop.com/forums/1561722-post10.html>
     * @note In case of 1.30 patch or higher, use `BlzSetSpecialEffectZ` native.
     *
     * @note To create an effect only visible to one player see <https://www.hiveworkshop.com/threads/gs.300430/#post-3209073>
     *
     *
     */
    function AddSpecialEffect(modelName: string, x: number, y: number): HandleHolder<"effect">;

    /**
     * Creates the special effect in the stated location using the model file with a path modelName.
     * The altitude (Z) of the newly spawned effect is at the ground level, be it terrain, some pathable destructable or on top of water.
     * In other words, the effect's Z coordinate does not have to be 0.
     *
     *
     * @note To create an effect with a z-position not zero see <http://www.hiveworkshop.com/forums/1561722-post10.html>.
     *
     * @note To create an effect only visible to one player see <https://www.hiveworkshop.com/threads/gs.300430/#post-3209073>.
     *
     *
     */
    function AddSpecialEffectLoc(modelName: string, where: HLocation): HandleHolder<"effect">;

    /**
     * Attaches the special effect to the attachment point attachPointName of the
     * target widget, using the model file with a path modelName.
     *
     * Upon creation, the effect will play its "birth" animation followed by its "stand" animation (once the birth animation has finished). If the model does not have animations, it will show up the way it appears by default. The effect will last indefinitely unless it is destroyed, even if the model seems to disappear. To destroy an effect, see DestroyEffect.
     *
     *
     * @param modelName The path of the model. Use double backslashes when specifying
     * a directory, rather than single backslashes. See AddSpecialEffect for an example.
     *
     * @param targetWidget The widget to attach the effect to.
     *
     * @param attachPointName The attachment point of the widget where the effect will
     * be placed. Attachment points are points in a model that can be referenced to as
     * areas for effects to be attached, whether it be from a spell or this function.
     * A list of common attachment points in in-game Warcraft 3 models can be seen below.
     * If the attachment point does not exist, it will attach the effect to the model's origin.
     *
     *
     * @note Strings such as "Large" and "Medium" affect effects' sizes on the widget
     * it is attached to. You can add or remove these by going to the object editor and
     * modifying "Art - Required Animation Names - Attachments" for a particular unit
     * you are attaching effects to. 
     *
     * @note To create an effect only visible to one player see <https://www.hiveworkshop.com/threads/gs.300430/#post-3209073>.
     *
     *
     *
     */
    function AddSpecialEffectTarget(modelName: string, targetWidget: Widget, attachPointName: string): HandleHolder<"effect">;

    function DestroyEffect(whichEffect: HandleHolder<"effect">): void;

    /**
     *
     *
     * @note No one knows what abilityString is supposed to be.
     * @bug Does nothing.
     *
     *
     */
    function AddSpellEffect(abilityString: string, t: HandleHolder<"effecttype">, x: number, y: number): HandleHolder<"effect">;

    /**
     *
     *
     * @note No one knows what abilityString is supposed to be.
     * @bug Does nothing.
     *
     *
     */
    function AddSpellEffectLoc(abilityString: string, t: HandleHolder<"effecttype">, where: HLocation): HandleHolder<"effect">;

    /**
     * Creates the special effect in point with coordinates (x;y) with Z = 0 using the
     * model file from the Object Editor field of type t from the ability, unit or
     * buff (works with all these types, though the name states it's ability-only
     * function) with raw code abilityId. If this field has more than one effect
     * inside, it will only create the first effect stated in the field, ignoring
     * all others.
     *
     *
     * @note To create an effect with a z-position not zero see <http://www.hiveworkshop.com/forums/1561722-post10.html>.
     *
     *
     */
    function AddSpellEffectById(abilityId: number, t: HandleHolder<"effecttype">, x: number, y: number): HandleHolder<"effect">;

    /**
     * Creates the special effect in location where with Z = 0 using the model file
     * from the Object Editor field of type t from the ability, unit or buff (works
     * with all these types, though the name states it's ability-only function) with
     * raw code abilityId. If this field has more than one effect inside, it will only
     * create the first effect stated in the field, ignoring all others.
     *
     *
     * @note To create an effect with a z-position not zero see <http://www.hiveworkshop.com/forums/1561722-post10.html>.
     *
     *
     */
    function AddSpellEffectByIdLoc(abilityId: number, t: HandleHolder<"effecttype">, where: HLocation): HandleHolder<"effect">;

    function AddSpellEffectTarget(modelName: string, t: HandleHolder<"effecttype">, targetWidget: Widget, attachPoint: string): HandleHolder<"effect">;

    /**
     * Attaches the special effect to the attachment point attachPointName of the
     * target widget, using the model file from the Object Editor field of type t from
     * the ability, unit or buff (works with all these types, though the name states
     * it's ability-only function) with raw code abilityId. If this field has more than
     * one effect inside, it will only create the first effect stated in the field,
     * ignoring all others.
     *
     *
     *
     */
    function AddSpellEffectTargetById(abilityId: number, t: HandleHolder<"effecttype">, targetWidget: Widget, attachPoint: string): HandleHolder<"effect">;

    /**
     * Creates a lightning between two points.
     *
     * @param codeName 4 letter id from the LightningData.slk.
     * @param checkVisibility If this is true, the lightning won't be created and the function will return null unless the local player
     * currently has as visibility of at least one of the endpoints of the to be created lightning.
     * @param x1 x-coordinate (World) of source point.
     * @param y1 y-coordinate (World) of source point.
     * @param x2 x-coordinate (World) of target point.
     * @param y2 y-coordinate (World) of target point.
     *
     *
     * @note The source z value of the new lightning is set to match the current terrain height of the source point, analogously, the target z value
     * matches the current terrain height of the target point. Later changes to the terrain height do not affect herewith created existing lightnings anymore.
     *
     *
     */
    function AddLightning(codeName: string, checkVisibility: boolean, x1: number, y1: number, x2: number, y2: number): HandleHolder<"lightning">;

    /**
     * Creates a lightning between two points.
     *
     * @param codeName 4 letter id from the LightningData.slk.
     * @param checkVisibility If this is true, the lightning won't be created and the function will return null unless the local player
     * currently has visibility of at least one of the endpoints of the to be created lightning.
     * @param x1 x-coordinate (World) of source point.
     * @param y1 y-coordinate (World) of source point.
     * @param z1 z-coordinate (World) of source point.
     * @param x2 x-coordinate (World) of target point.
     * @param y2 y-coordinate (World) of target point.
     * @param z2 z-coordinate (World) of target point.
     *
     *
     *
     */
    function AddLightningEx(codeName: string, checkVisibility: boolean, x1: number, y1: number, z1: number, x2: number, y2: number, z2: number): HandleHolder<"lightning">;

    /**
     * Destroys a lightning.
     *
     * @param whichBolt The lightning to be destroyed.
     *
     *
     *
     */
    function DestroyLightning(whichBolt: HandleHolder<"lightning">): boolean;

    /**
     * Moves a lightning.
     *
     * @param whichBolt The lightning to be moved.
     * @param checkVisibility If this is true, the lightning won't be moved (at all) unless the local player
     * currently has visibility of at least one of the new endpoints.
     * @param x1 x-coordinate (World) of the new source point.
     * @param y1 y-coordinate (World) of the new source point.
     * @param x2 x-coordinate (World) of the new target point.
     * @param y2 y-coordinate (World) of the new target point.
     *
     *
     *
     */
    function MoveLightning(whichBolt: HandleHolder<"lightning">, checkVisibility: boolean, x1: number, y1: number, x2: number, y2: number): boolean;

    /**
     * Moves a lightning.
     *
     * @param whichBolt The lightning to be moved.
     * @param checkVisibility If this is true, the lightning won't be moved (at all) unless the local player
     * currently has visibility of at least one of the new endpoints.
     * @param x1 x-coordinate (World) of the new source point.
     * @param y1 y-coordinate (World) of the new source point.
     * @param z1 z-coordinate (World) of the new source point.
     * @param x2 x-coordinate (World) of the new target point.
     * @param y2 y-coordinate (World) of the new target point.
     * @param z2 z-coordinate (World) of the new target point.
     *
     *
     *
     */
    function MoveLightningEx(whichBolt: HandleHolder<"lightning">, checkVisibility: boolean, x1: number, y1: number, z1: number, x2: number, y2: number, z2: number): boolean;

    /**
     * Gets the alpha value of a lightning.
     *
     *
     *
     */
    function GetLightningColorA(whichBolt: HandleHolder<"lightning">): number;

    /**
     * Gets the red color value of a lightning.
     *
     *
     *
     */
    function GetLightningColorR(whichBolt: HandleHolder<"lightning">): number;

    /**
     * Gets the green color value of a lightning.
     *
     *
     *
     */
    function GetLightningColorG(whichBolt: HandleHolder<"lightning">): number;

    /**
     * Gets the blue color value of a lightning.
     *
     *
     *
     */
    function GetLightningColorB(whichBolt: HandleHolder<"lightning">): number;

    /**
     * Sets the coloring of a lightning.
     *
     * @param whichBolt The lightning to be colored.
     * @param r 0-1 visibility of red channel (value mod 1)
     * @param g 0-1 visibility of green channel (value mod 1)
     * @param b 0-1 visibility of blue channel (value mod 1)
     * @param a 0-1 alpha value/overall visibility multiplier (value mod 1)
     *
     *
     * @note The default is 1, 1, 1, 1.
     *
     * @bug This native is inaccurate. The modulo is not exactly 1 and even setting a color value to e.g. 0.1 yields 0.098.
     *
     *
     */
    function SetLightningColor(whichBolt: HandleHolder<"lightning">, r: number, g: number, b: number, a: number): boolean;

    /**
     *
     *
     * @note No one knows what abilityString is supposed to be.
     * @bug Does nothing.
     * @pure 
     *
     *
     */
    function GetAbilityEffect(abilityString: string, t: HandleHolder<"effecttype">, index: number): string;

    /**
     *
     *
     * @pure 
     *
     *
     */
    function GetAbilityEffectById(abilityId: number, t: HandleHolder<"effecttype">, index: number): string;

    /**
     *
     *
     * @note No one knows what abilityString is supposed to be.
     * @bug Does nothing.
     * @pure 
     *
     *
     */
    function GetAbilitySound(abilityString: string, t: HandleHolder<"soundtype">): string;

    /**
     *
     *
     * @pure 
     *
     *
     */
    function GetAbilitySoundById(abilityId: number, t: HandleHolder<"soundtype">): string;

    /**
     * Gets the cliff level at a point.
     *
     * @param x x-coordinate (World) of the point.
     * @param y y-coordinate (World) of the point.
     *
     *
     * @note Walkable destructables add their effective cliff level to the terrain across their pathing maps, i.e., if the terrain at some point
     * without destructables has a cliff height of a and the destructable covering that point has an effective cliff height of b, this function returns a + b. If there
     * are multiple walkable destructables intersecting at the requested point, the function returns a + max(b1, b2, ...). If the declared cliff height of a destructable
     * is negative, it will have an effective cliff height of 0.
     *
     *
     */
    function GetTerrainCliffLevel(x: number, y: number): number;

    /**
     * Sets the tint of the water.
     *
     * @param red 0-255 red color (value mod 256).
     * @param green 0-255 green color (value mod 256).
     * @param blue 0-255 blue color (value mod 256).
     * @param alpha 0-255 opaqueness (value mod 256).
     *
     *
     * @note The default is 255 for all parameters.
     *
     * @bug In HD, the alpha setting seems to only affect the water surface.
     *
     *
     */
    function SetWaterBaseColor(red: number, green: number, blue: number, alpha: number): void;

    /**
     * Sets whether terrain deformations also affect the water mesh on top of it.
     *
     * @param val If this is true, terrain deformations will affect the water mesh.
     *
     *
     * @note This is only during transitions of terrain deformations, i.e., for temporary terrain deformations and during the transition
     * of permanent terrain deformations. After a permanent terrain deformation has completed, the water deformation will revert instantly.
     *
     * @note The default is false.
     *
     *
     */
    function SetWaterDeforms(val: boolean): void;

    function GetTerrainType(x: number, y: number): number;

    function GetTerrainVariance(x: number, y: number): number;

    function SetTerrainType(x: number, y: number, terrainType: number, variation: number, area: number, shape: number): void;

    /**
     * Returns if a specific pathingtype is set at the location.
     *
     * @note Returns true if the pathingtype is *not* set, false if it *is* set.
     *
     *
     */
    function IsTerrainPathable(x: number, y: number, t: HandleHolder<"pathingtype">): boolean;

    function SetTerrainPathable(x: number, y: number, t: HandleHolder<"pathingtype">, flag: boolean): void;

    /**
     * This returns a new image, the first ID given being 0 and then counting upwards (0, 1, 2, 3, ...).
     *
     * @param file The path to the image. The image itself should have its border alpha-ed out
     * completely. If an invalid path is specified CreateImage returns image(-1).
     *
     * @param sizeX The x-dimensions of the image.
     *
     * @param sizeY The y-dimensions of the image.
     *
     * @param sizeZ The z-dimensions of the image.
     *
     * @param posX The x-cooridnate of where to create the image. This is the bottom left corner of the image.
     *
     * @param posY The y-cooridnate of where to create the image. This is the bottom left corner of the image.
     *
     * @param posZ The z-cooridnate of where to create the image.
     *
     * @param originX Moves the origin (bottom left corner) of the image from posX in negative X-direction.
     *
     * @param originY Moves the origin (bottom left corner) of the image from posY in negative Y-direction.
     *
     * @param originZ Moves the origin (bottom left corner) of the image from posZ in negative Z-direction.
     *
     * @param imageType Working values range from 1 to 4 (4 and 1 included).
     * Using 0 causes CreateImage to return image(-1). Every other value will simply
     * cause WC3 to not display the image.
     * imageTypes also influence the order in which images are drawn above one another:
     *
     * | Value | Name           | Description |
     * |-------|----------------|-------------|
     * | 1     | Selection      | Drawn above all other imageTypes. |
     * | 2     | Indicator      | Drawn above imageType 4, but below 1 and 3. |
     * | 3     | Occlusion Mask | Drawn above imageType 4 and 2 and below imageType 1. |
     * | 4     | Ubersplat      | Drawn below every other type. Images of this type are additionally affected by time of day and the fog of war (only for tinting). |
     *
     *
     *
     * Multiple images with the same type are drawn in their order of creation,
     * meaning that the image created first is drawn below the image created after.
     *
     *
     *
     */
    function CreateImage(file: string, sizeX: number, sizeY: number, sizeZ: number, posX: number, posY: number, posZ: number, originX: number, originY: number, originZ: number, imageType: number): HandleHolder<"image">;

    /**
     * This function destroys the image specified and recycles the handle ID of that
     * image instantly (no ref counting for images).
     *
     * @param whichImage Which image to destroy.
     *
     *
     * @bug May crash the game if an invalid image is used (null, before the first image is created).
     *
     *
     */
    function DestroyImage(whichImage: HandleHolder<"image">): void;

    /**
     * It shows/hides image whichImage, depending on boolean flag (true shows, false hides).
     * Seems like a redundant function in the light of SetImageRender(Always).
     *
     *
     *
     */
    function ShowImage(whichImage: HandleHolder<"image">, flag: boolean): void;

    /**
     * Untested, but if its decription can account for anthing, it locks the Z position
     * to the given height, if the flag is true. After a bit of testing i concluded
     * that this is the only function thats able to modify an images Z offset.
     *
     *
     *
     */
    function SetImageConstantHeight(whichImage: HandleHolder<"image">, flag: boolean, height: number): void;

    /**
     * Sets the X/Y position of the provided image.
     * This is the bottom left corner of the image, unless you used values
     * form originX/Y/Z in the constructor other than 0, in which case the bottom
     * left corner is moved further into negative X/Y/Z direction.
     *
     *
     *
     */
    function SetImagePosition(whichImage: HandleHolder<"image">, x: number, y: number, z: number): void;

    /**
     * Valid values for all channels range from 0 to 255.
     *
     *
     *
     */
    function SetImageColor(whichImage: HandleHolder<"image">, red: number, green: number, blue: number, alpha: number): void;

    /**
     *
     *
     * @bug Does not work. Use `SetImageRenderAlways` instead.
     *
     *
     */
    function SetImageRender(whichImage: HandleHolder<"image">, flag: boolean): void;

    /**
     * Since `SetImageRender` is non-functional, this should be used to
     * enable/disable rendering of the image.
     *
     *
     *
     */
    function SetImageRenderAlways(whichImage: HandleHolder<"image">, flag: boolean): void;

    /**
     * Draws the specified image above the water if the flag is true. The second
     * boolean (useWaterAlpha) doesnt seem to do much. Every imagetype other than 1
     * doesnt seem to appear above water.
     *
     *
     *
     */
    function SetImageAboveWater(whichImage: HandleHolder<"image">, flag: boolean, useWaterAlpha: boolean): void;

    /**
     * Changes the specified images type.
     *
     * @param imageType Influence the order in which images are drawn above one another:
     *
     * | Value | Name           | Description |
     * |-------|----------------|-------------|
     * | 1     | Selection      | Drawn above all other imageTypes. |
     * | 2     | Indicator      | Drawn above imageType 4, but below 1 and 3. |
     * | 3     | Occlusion Mask | Drawn above imageType 4 and 2 and below imageType 1. |
     * | 4     | Ubersplat      | Drawn below every other type. Images of this type are additionally affected by time of day and the fog of war (only for tinting). |
     *
     * Multiple images with the same type are drawn in their order of creation,
     * meaning that the image created first is drawn below the image created after.
     *
     *
     *
     */
    function SetImageType(whichImage: HandleHolder<"image">, imageType: number): void;

    function CreateUbersplat(x: number, y: number, name: string, red: number, green: number, blue: number, alpha: number, forcePaused: boolean, noBirthTime: boolean): HandleHolder<"ubersplat">;

    function DestroyUbersplat(whichSplat: HandleHolder<"ubersplat">): void;

    /**
     *
     *
     * @bug Does nothing.
     *
     *
     */
    function ResetUbersplat(whichSplat: HandleHolder<"ubersplat">): void;

    /**
     *
     *
     * @bug Does nothing.
     *
     *
     */
    function FinishUbersplat(whichSplat: HandleHolder<"ubersplat">): void;

    function ShowUbersplat(whichSplat: HandleHolder<"ubersplat">, flag: boolean): void;

    function SetUbersplatRender(whichSplat: HandleHolder<"ubersplat">, flag: boolean): void;

    function SetUbersplatRenderAlways(whichSplat: HandleHolder<"ubersplat">, flag: boolean): void;

    function SetBlight(whichPlayer: Player, x: number, y: number, radius: number, addBlight: boolean): void;

    function SetBlightRect(whichPlayer: Player, r: HandleHolder<"rect">, addBlight: boolean): void;

    function SetBlightPoint(whichPlayer: Player, x: number, y: number, addBlight: boolean): void;

    function SetBlightLoc(whichPlayer: Player, whichLocation: HLocation, radius: number, addBlight: boolean): void;

    /**
     * Creates a new, undead blighted gold mine unit at the specified coordinates for the player. The haunted gold mine will create blight around the area, and will become a normal gold mine when destroyed. The amount of gold in the mine is determined by the Data - Max Gold field for the ability Gold Mine ability ('Agld').
     *
     * @param id The player to create the goldmine for.
     *
     * @param x The x-coordinate of the goldmine.
     *
     * @param y The y-coordinate of the goldmine.
     *
     * @param face The facing of the goldmine in degrees.
     *
     *
     *
     */
    function CreateBlightedGoldmine(id: Player, x: number, y: number, face: number): Unit;

    function IsPointBlighted(x: number, y: number): boolean;

    /**
     * Makes doodads in the vicinity of a point play an animation.
     *
     * @param x x-coordinate (world units) of the point.
     * @param y y-coordinate (world units) of the point.
     * @param radius Maximum pick distance from the point.
     * @param doodadID The type of the doodad that should be affected.
     * @param nearestOnly If true, only the single doodad (of the given type) closest to the point will be affected, otherwise all in the vicinity (of the given type).
     * @param animName String identifier of the animation that should be played.
     * @param animRandom If true, the animation to be played will be picked from an extended set including different variations of the animName, e.g., if animName is "walk", it can also be "walk defend".
     *
     *
     * @note Only doodads whose origin is within the radius distance of the point are considered.
     *
     * @note There are the special values "hide" and "show" for animName, which will hide respectively show the doodad. When a doodad is hidden this way, its animation will pause at the current time frame. Re-showing the doodad resumes the animation.
     *
     * @note If a target does not have an animation identified by animName (and it's not one of the special animation names either), it will play its first declared animation instead.
     *
     * @bug If animName is null and there is at least one target, the game will crash.
     *
     * @note If animRandom is true and the picked animation is looped, it will freshly re-pick from the set when an animation ends.
     *
     *
     */
    function SetDoodadAnimation(x: number, y: number, radius: number, doodadID: number, nearestOnly: boolean, animName: string, animRandom: boolean): void;

    /**
     * Makes doodads within a rect play an animation.
     *
     * @param r The rect wherein doodads should play an animation.
     *
     *
     * @note Only doodads whose origin is in the rect are considered targets.
     *
     * @note The animation won't play for an observer until they have sight visibility of the doodad, at which point it will play.
     *
     * See `SetDoodadAnimation` for other parameters and notes.
     *
     *
     */
    function SetDoodadAnimationRect(r: HandleHolder<"rect">, doodadID: number, animName: string, animRandom: boolean): void;

    function StartMeleeAI(num: Player, script: string): void;

    function StartCampaignAI(num: Player, script: string): void;

    function CommandAI(num: Player, command: number, data: number): void;

    function PauseCompAI(p: Player, pause: boolean): void;

    function GetAIDifficulty(num: Player): HandleHolder<"aidifficulty">;

    function RemoveGuardPosition(hUnit: Unit): void;

    function RecycleGuardPosition(hUnit: Unit): void;

    function RemoveAllGuardPositions(num: Player): void;

    /**
     * Applies the specified cheat, but only if the game is single player. There are a
     * few cheats that can be toggled on or off. If the cheat is enabled, entering the
     * cheat again will disable it. If the cheat is disabled, entering the cheat will
     * enable it again. Upon entering, the text "Cheat Enabled!" will be displayed.
     *
     * @param cheatStr The cheat to enter. 
     *
     *
     * @note For a list of all cheats see <http://classic.battle.net/war3/cheatcodes.shtml>.
     *
     *
     */
    function Cheat(cheatStr: string): void;

    /**
     * Returns true if "ItVexesMe" aka "no victory" cheat is enabled.
     *
     *
     *
     */
    function IsNoVictoryCheat(): boolean;

    /**
     * Returns true if "StrengthAndHonor" aka "no defeat" cheat is enabled.
     *
     *
     *
     */
    function IsNoDefeatCheat(): boolean;

    /**
     * It does two things:
     *
     * 1. Try to read the file, if "Allow Local Files" is enabled then also searches in the game folder
     * 2. Append filename to preload buffer
     *
     * @param filename Text string, supposed to be a file path to be preloaded. Max length: 259 characters (see Windows MAX_PATH).
     *
     *
     * @note The game only reads these files, does not load them. The reading is done in a separate thread and does not freeze the game. One file is not read twice, no matter how often you call Preload().
     *
     * @note Trick: It does not escape double-quotes " on purpose (approved not a bug, it's a feature).
     * It is possible to inject custom code in Preload files this way (Lua):
     *
     * ```lua
     * PreloadGenClear()
     * PreloadGenStart()
     * Preload(' ")\ncall otherFunction("123")\n//')
     * PreloadGenEnd("its-a-feature.txt")
     * ```
     * 	
     * Results in the following preload file code (Jass):
     *
     *     function PreloadFiles takes nothing returns nothing
     *      
     *             call PreloadStart()
     *             call Preload( " ")
     *     call otherFunction("123")
     *     //" )
     *             call PreloadEnd( 754.6 )
     *      
     *     endfunction
     *
     *
     * @note **Game folder:**
     * Reforged: `Warcraft III\_retail_\somefile.txt`, instead of `_retail_` there's also a `_ptr_` game version currently.
     * Classic: ?
     *
     * @note **Mini tutorial:**
     *
     * **What are Preload files?**
     *
     * Preload files instruct the game to pre-read a file/resources to avoid freezes/stutter during gameplay. It's done to move the file into OS cache. Blizzard used preload files to load all required files at map init. See blizzard.j or campaign maps.
     *
     * Create a preload file (Lua)
     *
     * ```lua
     * PreloadGenClear()
     * PreloadGenStart()
     * -- call Preload("filename.ext") as often as you need, one call per file you add
     * Preload("Textures\\Knight.blp")
     * PreloadGenEnd("MyPreloadFile.txt")
     * ```
     *
     * **How to run a preload file**
     *
     * This must be done manually:
     *
     * ```lua
     * Preloader("MyPreloadFile.txt")
     * ```
     * 	
     * **Lua code in preload files?**
     *
     * It is possible although in a very hacky way, [described here](https://www.hiveworkshop.com/threads/blizzards-hidden-jass2lua-transpiler.337281/).
     * You need to use "//! beginusercode" to start a section containing Lua code and end it using "//! endusercode".
     * It works because the code is compiled on the fly with Jass2Lua.
     *
     *
     * @note See: `PreloadEnd`, `PreloadStart`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     * @note Also see the documentation for `Preloader` for more info on the generated files.
     *
     *
     */
    function Preload(filename: string): void;

    /**
     * Unknown. It's always generated at the end of a preload file, timeout represents the time between calls to `PreloadStart` and `PreloadGenEnd`.
     *
     *
     * @note See: `Preload`, `PreloadStart`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     *
     *
     */
    function PreloadEnd(timeout: number): void;

    /**
     * Clears the preload buffer and starts the timer. (Anything else?)
     *
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     *
     *
     */
    function PreloadStart(): void;

    /**
     * Unknown. It does not reset the timer or clear the buffer.
     *
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadStart`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     *
     *
     */
    function PreloadRefresh(): void;

    /**
     * Unknown
     *
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadStart`, `PreloadRefresh`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     *
     *
     */
    function PreloadEndEx(): void;

    /**
     * Clears all added file paths from the current preload buffer. Does not reset the timer.
     *
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadStart`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     *
     *
     */
    function PreloadGenClear(): void;

    /**
     * Starts an internal timer for preloads. The timer will be used and recorded by `PreloadGenEnd`. The timer represents the wall clock time (in seconds) spent between the calls `PreloadStart()` and `PreloadGenEnd()`.
     *
     * This function does not clear the previous buffer.
     *
     * The recorded time will be output as `call PreloadEnd( 0.123 )` in the saved preload file.
     *
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadStart`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`, `Preloader`.
     *
     *
     */
    function PreloadGenStart(): void;

    /**
     * Writes the current Preload buffer to specified file.
     * The first and final preload directives are `call PreloadStart()` and `call PreloadEnd( realTime )`. The value represents the time in seconds between the calls `PreloadStart` and `PreloadGenEnd`. There's no way to get this value with the API.
     *
     * Does not clear the buffer or timer after flushing. The file is overwritten. It's possible to specify subfolders: "myMapFolder/file.txt". Reforged: Any other tricks such as relative paths, UNC or drive letters will not write any files. Classic: possible to write to any path (verify?)
     *
     * **Example preload file:*
     *
     * 	function PreloadFiles takes nothing returns nothing
     *
     * 		call PreloadStart()
     * 		call Preload( "units\\human\\Knight\\Knight.mdx" )
     * 		call PreloadEnd( 2.5 )
     *
     * 	endfunction
     *
     * @param filename The filepath to be written to. Max length for filename is 259 characters (see: Windows MAX_PATH).
     *
     *
     * @note Before Reforged (which version?) you needed to enable "Allow Local Files" in registry.
     *
     * @note **Save Path:**
     *
     * Reforged: `%USERPROFILE%\Documents\Warcraft III\CustomMapData\`
     *
     * Classic: ?
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadStart`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `Preloader`.
     *
     *
     */
    function PreloadGenEnd(filename: string): void;

    /**
     * Runs the filename as a preload script, only if the filename has an extension. For Jass, the capabilities are very restricted.
     *
     * **Example (from blizzard.j)**:
     *
     *     if (doPreload) then
     *             call Preloader( "scripts\\HumanMelee.pld" )
     *     endif
     *
     * @param filename The file to execute.
     *
     *
     * @note There're no restrictions for Lua code if you add it to Preload files (which are supposed to be in Jass), that's only possible with [dirty hacks or manual editing](https://www.hiveworkshop.com/threads/blizzards-hidden-jass2lua-transpiler.337281/). If the map runs in Lua mode, the Jass code is compiled using Jass2Lua before execution.
     *
     * @note On pre-Reforged (version?) this only works if you have enabled the usage of local files in your registry.
     * The registry key is `HKEY_CURRENT_USER\Software\Blizzard Entertainment\Warcraft III\Allow Local Files\`
     *
     * @note Here are some ways to get the data out of the preload file into your map:
     * To store multiple integers you can use `SetPlayerTechMaxAllowed` to have a good
     * 2d-array. Read via `GetPlayerTechMaxAllowed`.
     *
     * For strings `SetPlayerName` is suited. To read use `GetPlayerName`.
     *
     * Inside the preload script you can also use `ExecuteFunc` to call your map-defined
     * functions and interleave the preload script with your functions.
     *
     * @note If you use `Preloader` to load some values into your map, these values
     * are very likely to be different for each player (since the player might not 
     * even have local files enabled), so treat them as async values.
     *
     * @note Also see the documentation of `Preload` to see how to properly get the data
     * into the preload script.
     *
     * @bug 1.33.0 and above: Due to aggressive file caching by the game, the preload file is only loaded and read once.
     * This means, updates to the saved preload file cannot be reloaded and old contents will be executed.
     *
     * @note See: `Preload`, `PreloadEnd`, `PreloadStart`, `PreloadRefresh`, `PreloadEndEx`, `PreloadGenClear`, `PreloadGenStart`, `PreloadGenEnd`.
     *
     *
     */
    function Preloader(filename: string): void;

    function BitwiseGetBit(i: number, bitIndex: number): number;

    function BitwiseSetBit(i: number, bitIndex: number, bitValue: number): number;

    function BitwiseGetByte(i: number, byteIndex: number): number;

    function BitwiseSetByte(i: number, byteIndex: number, byteValue: number): number;

    function BitwiseNOT(i: number): number;

    function BitwiseAND(bit1: number, bit2: number): number;

    function BitwiseOR(bit1: number, bit2: number): number;

    function BitwiseXOR(bit1: number, bit2: number): number;

    function BitwiseShiftLeft(i: number, bitsToShift: number): number;

    function BitwiseShiftRight(i: number, bitsToShift: number): number;

    function BitwiseToInteger(byte1: number, byte2: number, byte3: number, byte4: number): number;

    function Id2String(i: number): string;

    function String2Id(idString: string): number;

    function IntToHex(i: number): string;

    function IntToChar(i: number): string;

    function ConvertColour(alpha: number, red: number, green: number, blue: number): number;

    function IntegerToHandle(i: number): Handle;

    function AddressToHandle(i: number): Handle;

    function HandleToAddress(h: Handle): number;

    function I2C(i: number): JassCodeCallback;

    function C2I(c: JassCodeCallback): number;

    function HandleToHandle(h: Handle): Handle;

    function HandleToAgent(h: Handle): HandleHolder<"agent">;

    function HandleToEvent(h: Handle): HEvent;

    function HandleToWidget(h: Handle): Widget;

    function HandleToUnit(h: Handle): Unit;

    function HandleToDestructable(h: Handle): Destructable;

    function HandleToItem(h: Handle): Item;

    function HandleToAbility(h: Handle): HandleHolder<"ability">;

    function HandleToBuff(h: Handle): HandleHolder<"buff">;

    function HandleToForce(h: Handle): HandleHolder<"force">;

    function HandleToGroup(h: Handle): HandleHolder<"group">;

    function HandleToTrigger(h: Handle): HTrigger;

    function HandleToTriggercondition(h: Handle): HandleHolder<"triggercondition">;

    function HandleToTriggeraction(h: Handle): HTriggerAction;

    function HandleToTimer(h: Handle): HandleHolder<"timer">;

    function HandleToLocation(h: Handle): HLocation;

    function HandleToRegion(h: Handle): HandleHolder<"region">;

    function HandleToRect(h: Handle): HandleHolder<"rect">;

    function HandleToBoolexpr(h: Handle): HandleHolder<"boolexpr">;

    function HandleToSound(h: Handle): HandleHolder<"sound">;

    function HandleToConditionfunc(h: Handle): HandleHolder<"conditionfunc">;

    function HandleToFilterfunc(h: Handle): HandleHolder<"filterfunc">;

    function HandleToUnitpool(h: Handle): HandleHolder<"unitpool">;

    function HandleToItempool(h: Handle): HandleHolder<"itempool">;

    function HandleToRace(h: Handle): HandleHolder<"race">;

    function HandleToAlliancetype(h: Handle): HandleHolder<"alliancetype">;

    function HandleToRacepreference(h: Handle): HandleHolder<"racepreference">;

    function HandleToGamestate(h: Handle): HandleHolder<"gamestate">;

    function HandleToIGamestate(h: Handle): HandleHolder<"igamestate">;

    function HandleToFGamestate(h: Handle): HandleHolder<"fgamestate">;

    function HandleToPlayerstate(h: Handle): HandleHolder<"playerstate">;

    function HandleToPlayerscore(h: Handle): HandleHolder<"playerscore">;

    function HandleToPlayergameresult(h: Handle): HandleHolder<"playergameresult">;

    function HandleToUnitstate(h: Handle): HUnitState;

    function HandleToAIDifficulty(h: Handle): HandleHolder<"aidifficulty">;

    function HandleToEventid(h: Handle): HandleHolder<"eventid">;

    function HandleToGameevent(h: Handle): HandleHolder<"gameevent">;

    function HandleToPlayerevent(h: Handle): HandleHolder<"playerevent">;

    function HandleToPlayerunitevent(h: Handle): HandleHolder<"playerunitevent">;

    function HandleToUnitevent(h: Handle): HUnitEvent;

    function HandleToLimitop(h: Handle): HandleHolder<"limitop">;

    function HandleToWidgetevent(h: Handle): HandleHolder<"widgetevent">;

    function HandleToDialogevent(h: Handle): HandleHolder<"dialogevent">;

    function HandleToUnittype(h: Handle): HandleHolder<"unittype">;

    function HandleToGamespeed(h: Handle): HandleHolder<"gamespeed">;

    function HandleToGamedifficulty(h: Handle): HandleHolder<"gamedifficulty">;

    function HandleToGametype(h: Handle): HandleHolder<"gametype">;

    function HandleToMapflag(h: Handle): HandleHolder<"mapflag">;

    function HandleToMapvisibility(h: Handle): HandleHolder<"mapvisibility">;

    function HandleToMapsetting(h: Handle): HandleHolder<"mapsetting">;

    function HandleToMapdensity(h: Handle): HandleHolder<"mapdensity">;

    function HandleToMapcontrol(h: Handle): HandleHolder<"mapcontrol">;

    function HandleToPlayerslotstate(h: Handle): HandleHolder<"playerslotstate">;

    function HandleToVolumegroup(h: Handle): HandleHolder<"volumegroup">;

    function HandleToCamerafield(h: Handle): HandleHolder<"camerafield">;

    function HandleToCamerasetup(h: Handle): HandleHolder<"camerasetup">;

    function HandleToPlayercolor(h: Handle): HandleHolder<"playercolor">;

    function HandleToPlacement(h: Handle): HandleHolder<"placement">;

    function HandleToStartlocprio(h: Handle): HandleHolder<"startlocprio">;

    function HandleToRaritycontrol(h: Handle): HandleHolder<"raritycontrol">;

    function HandleToBlendmode(h: Handle): HandleHolder<"blendmode">;

    function HandleToTexmapflags(h: Handle): HandleHolder<"texmapflags">;

    function HandleToEffect(h: Handle): HandleHolder<"effect">;

    function HandleToEffecttype(h: Handle): HandleHolder<"effecttype">;

    function HandleToWeathereffect(h: Handle): HandleHolder<"weathereffect">;

    function HandleToTerraindeformation(h: Handle): HandleHolder<"terraindeformation">;

    function HandleToFogstate(h: Handle): HandleHolder<"fogstate">;

    function HandleToFogmodifier(h: Handle): HandleHolder<"fogmodifier">;

    function HandleToDialog(h: Handle): HandleHolder<"dialog">;

    function HandleToButton(h: Handle): HandleHolder<"button">;

    function HandleToQuest(h: Handle): HandleHolder<"quest">;

    function HandleToQuestitem(h: Handle): HandleHolder<"questitem">;

    function HandleToDefeatcondition(h: Handle): HandleHolder<"defeatcondition">;

    function HandleToTimerdialog(h: Handle): HandleHolder<"timerdialog">;

    function HandleToLeaderboard(h: Handle): HandleHolder<"leaderboard">;

    function HandleToMultiboard(h: Handle): HandleHolder<"multiboard">;

    function HandleToMultiboarditem(h: Handle): HandleHolder<"multiboarditem">;

    function HandleToTrackable(h: Handle): HandleHolder<"trackable">;

    function HandleToGamecache(h: Handle): HandleHolder<"gamecache">;

    function HandleToVersion(h: Handle): HandleHolder<"version">;

    function HandleToItemtype(h: Handle): HandleHolder<"itemtype">;

    function HandleToTexttag(h: Handle): HandleHolder<"texttag">;

    function HandleToAttacktype(h: Handle): HandleHolder<"attacktype">;

    function HandleToDamagetype(h: Handle): HandleHolder<"damagetype">;

    function HandleToWeapontype(h: Handle): HandleHolder<"weapontype">;

    function HandleToSoundtype(h: Handle): HandleHolder<"soundtype">;

    function HandleToLightning(h: Handle): HandleHolder<"lightning">;

    function HandleToPathingtype(h: Handle): HandleHolder<"pathingtype">;

    function HandleToImage(h: Handle): HandleHolder<"image">;

    function HandleToUbersplat(h: Handle): HandleHolder<"ubersplat">;

    function HandleToHashtable(h: Handle): HandleHolder<"hashtable">;

    function HandleToAnimType(h: Handle): HandleHolder<"animtype">;

    function HandleToSubAnimType(h: Handle): HandleHolder<"subanimtype">;

    function GetHandleCount(): number;

    function GetNextHandleIndex(): number;

    function GetStringCount(): number;

    function GetJassMainThread(): HandleHolder<"jassthread">;

    function GetJassCurrentThread(): HandleHolder<"jassthread">;

    function RunJassScriptEx(parentScriptFile: string, helperScriptFile: string, jassScriptFile: string): HandleHolder<"jassthread">;

    function RunJassScript(helperScriptFile: string, jassScriptFile: string): HandleHolder<"jassthread">;

    function RunJassScriptSimple(jassScriptFile: string): HandleHolder<"jassthread">;

    function StopJassThread(thread: HandleHolder<"jassthread">): boolean;

    function GetJassGlobalInteger(thread: HandleHolder<"jassthread">, variableName: string): number;

    function GetJassGlobalReal(thread: HandleHolder<"jassthread">, variableName: string): number;

    function GetJassGlobalString(thread: HandleHolder<"jassthread">, variableName: string): string;

    function GetJassGlobalHandle(thread: HandleHolder<"jassthread">, variableName: string): Handle;

    function GetJassGlobalBoolean(thread: HandleHolder<"jassthread">, variableName: string): boolean;

    function SetJassGlobalInteger(thread: HandleHolder<"jassthread">, variableName: string, value: number): boolean;

    function SetJassGlobalReal(thread: HandleHolder<"jassthread">, variableName: string, value: number): boolean;

    function SetJassGlobalString(thread: HandleHolder<"jassthread">, variableName: string, value: string): boolean;

    function SetJassGlobalHandle(thread: HandleHolder<"jassthread">, variableName: string, value: Handle): boolean;

    function SetJassGlobalBoolean(thread: HandleHolder<"jassthread">, variableName: string, value: boolean): boolean;

    function IsOperationLimitEnabled(): boolean;

    function EnableOperationLimit(enable: boolean): void;

    function GetCodeByName(funcName: string): JassCodeCallback;

    function ExecuteCode(c: JassCodeCallback): void;

    function ExecuteFuncEx(funcName: string): void;

    /**
     *
     *
     * @patch 1.32
     * @pure 
     *
     *
     */
    function MathRound(r: number): number;

    function MathRealRound(r: number): number;

    function MathRealFloor(r: number): number;

    function MathRealCeil(r: number): number;

    function MathRealAbs(r: number): number;

    function MathRealLog(r: number): number;

    function MathRealLn(r: number): number;

    function MathRealModulo(dividend: number, divisor: number): number;

    function MathRealMin(a: number, b: number): number;

    function MathRealMax(a: number, b: number): number;

    function MathRealSign(r: number): number;

    function MathRealClamp(value: number, min: number, max: number): number;

    function MathRealLerp(a: number, b: number, t: number): number;

    function MathIntegerAbs(i: number): number;

    function MathIntegerLog(i: number): number;

    function MathIntegerLn(i: number): number;

    function MathIntegerModulo(dividend: number, divisor: number): number;

    function MathIntegerMin(a: number, b: number): number;

    function MathIntegerMax(a: number, b: number): number;

    function MathIntegerSign(i: number): number;

    function MathIntegerClamp(value: number, min: number, max: number): number;

    function MathSinDeg(r: number): number;

    function MathCosDeg(r: number): number;

    function MathTanDeg(r: number): number;

    function MathPointProjectionX(x: number, angle: number, distance: number): number;

    function MathPointProjectionY(y: number, angle: number, distance: number): number;

    function MathAngleBetweenPoints(fromX: number, fromY: number, toX: number, toY: number): number;

    function MathDistanceBetweenPoints(fromX: number, fromY: number, toX: number, toY: number): number;

    function MathAngleBetweenLocations(fromLoc: HLocation, toLoc: HLocation): number;

    function MathDistanceBetweenLocations(fromLoc: HLocation, toLoc: HLocation): number;

    function GetAxisZ(x: number, y: number): number;

    function StringContains(s: string, whichString: string, caseSensitive: boolean): boolean;

    function StringFind(s: string, whichString: string, caseSensitive: boolean): number;

    function StringFindFirstOf(s: string, whichString: string, caseSensitive: boolean): number;

    function StringFindFirstNotOf(s: string, whichString: string, caseSensitive: boolean): number;

    function StringFindLastOf(s: string, whichString: string, caseSensitive: boolean): number;

    function StringFindLastNotOf(s: string, whichString: string, caseSensitive: boolean): number;

    function StringCount(s: string, whichString: string, caseSensitive: boolean): number;

    function StringTrimLeft(s: string, caseSensitive: boolean): string;

    function StringTrimRight(s: string, caseSensitive: boolean): string;

    function StringTrim(s: string, caseSensitive: boolean): string;

    function StringReverse(s: string, caseSensitive: boolean): string;

    function StringReplace(s: string, whichString: string, replaceWith: string, caseSensitive: boolean): string;

    function StringInsert(s: string, whichString: string, whichPosition: number, caseSensitive: boolean): string;

    function ConsoleEnable(enable: boolean): void;

    function ConsolePrint(s: string): void;

    function ConsolePause(s: string): void;

    function TextFileOpen(filePath: string): HandleHolder<"textfilehandle">;

    function TextFileExists(filePath: string): boolean;

    function TextFileGetSizeByPath(filePath: string): number;

    function TextFileGetSize(whichTextFile: HandleHolder<"textfilehandle">): number;

    function TextFileGetPath(whichTextFile: HandleHolder<"textfilehandle">): string;

    function TextFileClose(whichTextFile: HandleHolder<"textfilehandle">): void;

    function TextFileClear(whichTextFile: HandleHolder<"textfilehandle">): void;

    function TextFileDelete(whichTextFile: HandleHolder<"textfilehandle">): void;

    function TextFileCountLines(whichTextFile: HandleHolder<"textfilehandle">): number;

    function TextFileReadLine(whichTextFile: HandleHolder<"textfilehandle">, lineNumber: number): string;

    function TextFileReadAll(whichTextFile: HandleHolder<"textfilehandle">): string;

    function TextFileWriteLine(whichTextFile: HandleHolder<"textfilehandle">, text: string): void;

    function GetUjAPIVersion(): string;

    function GetLocale(): string;

    function GetMiscDataString(sectionName: string, optionName: string, index: number): string;

    function SetMiscDataString(sectionName: string, optionName: string, index: number, value: string): void;

    function GetSkinDataString(raceName: string, sectionName: string, optionName: string, index: number): string;

    function SetSkinDataString(raceName: string, sectionName: string, optionName: string, index: number, value: string): void;

    function GetFDFDataString(sectionName: string): string;

    function SetFDFDataString(sectionName: string, value: string): void;

    function GetFPS(): number;

    function GetAttackSpeedMinBonus(): number;

    function SetAttackSpeedMinBonus(value: number): void;

    function GetAttackSpeedMaxBonus(): number;

    function SetAttackSpeedMaxBonus(value: number): void;

    function GetMoveSpeedMinAllowed(): number;

    function SetMoveSpeedMinAllowed(value: number): void;

    function GetMoveSpeedMaxAllowed(): number;

    function SetMoveSpeedMaxAllowed(value: number): void;

    function GetMappedTypeName(whichField: HandleHolder<"mappedfield">, whichMapType: HandleHolder<"mappedtype">): string;

    function IsSelectionEnabled(): boolean;

    function EnableSelection(enable: boolean): void;

    function IsSelectionCircleEnabled(): boolean;

    function EnableSelectionCircle(enable: boolean): void;

    function IsTargetIndicatorEnabled(): boolean;

    function EnableTargetIndicator(enable: boolean): void;

    function IsRenderStage(renderStage: HandleHolder<"renderstage">): boolean;

    function EnableRenderStage(renderStage: HandleHolder<"renderstage">, enable: boolean): void;

    function IsStatbarEnabled(): boolean;

    function EnableStatbar(enable: boolean): void;

    function TriggerCountEvents(whichTrigger: HTrigger): number;

    function TriggerCountConditions(whichTrigger: HTrigger): number;

    function TriggerCountActions(whichTrigger: HTrigger): number;

    function TriggerRemoveEvent(whichTrigger: HTrigger, whichEvent: HEvent): void;

    function TriggerRemoveEventId(whichTrigger: HTrigger, whichEventId: HandleHolder<"eventid">, removeAllOccurences: boolean): void;

    function TriggerClearEvents(whichTrigger: HTrigger): void;

    function TriggerClear(whichTrigger: HTrigger): void;

    function RemoveSound(whichSound: HandleHolder<"sound">): void;

    function ReplaceSound(whichSound: HandleHolder<"sound">, fileName: string, looping: boolean, is3D: boolean, stopwhenoutofrange: boolean, fadeInRate: number, fadeOutRate: number, eaxSetting: string): HandleHolder<"sound">;

    function ReplaceSoundWithLabel(whichSound: HandleHolder<"sound">, fileName: string, looping: boolean, is3D: boolean, stopwhenoutofrange: boolean, fadeInRate: number, fadeOutRate: number, SLKEntryName: string): HandleHolder<"sound">;

    function ReplaceSoundFromLabel(whichSound: HandleHolder<"sound">, soundLabel: string, looping: boolean, is3D: boolean, stopwhenoutofrange: boolean, fadeInRate: number, fadeOutRate: number): HandleHolder<"sound">;

    function ReplaceMIDISound(whichSound: HandleHolder<"sound">, soundLabel: string, fadeInRate: number, fadeOutRate: number): HandleHolder<"sound">;

    function GetSystemTime(whichTimeType: HandleHolder<"timetype">): number;

    function GetLocalTime(whichTimeType: HandleHolder<"timetype">): number;

    function GetTimeStamp(isLocalTime: boolean, isMiliseconds: number): string;

    function GetTickCount(): number;

    function SetScreenFieldOfView(fov: number): void;

    function SetWidescreenState(flag: boolean): void;

    function IsWindowActive(): boolean;

    function GetWindowWidth(): number;

    function GetWindowHeight(): number;

    function GetClientWidth(): number;

    function GetClientHeight(): number;

    function GetWindowX(): number;

    function GetWindowY(): number;

    function GetWindowCenterX(): number;

    function GetWindowCenterY(): number;

    function IsCursorEnabled(): boolean;

    function SetCursorEnabled(enable: boolean): void;

    function IsCursorAnimationLocked(): boolean;

    function SetCursorAnimationLocked(isLock: boolean): void;

    function GetMouseScreenX(): number;

    function GetMouseScreenY(): number;

    function SetMouseScreenX(x: number): void;

    function SetMouseScreenY(y: number): void;

    function SetMouseScreenPosition(x: number, y: number): void;

    function GetMouseScreenPixelX(): number;

    function GetMouseScreenPixelY(): number;

    function SetMouseScreenPixelX(x: number): void;

    function SetMouseScreenPixelY(y: number): void;

    function SetMouseScreenPixelPosition(x: number, y: number): void;

    function GetMouseWorldX(): number;

    function GetMouseWorldY(): number;

    function GetMouseWorldZ(): number;

    function DisplayWarningMessage(toPlayer: Player, message: string): void;

    function DisplayTimedWarningMessage(toPlayer: Player, duration: number, message: string): void;

    function DisplayChatMessage(whichPlayer: Player, recipient: number, message: string): void;

    function DisplayTimedChatMessage(whichPlayer: Player, recipient: number, duration: number, message: string): void;

    function DisplayTopMessage(toPlayer: Player, message: string): void;

    function DisplayTimedTopMessage(toPlayer: Player, duration: number, message: string): void;

    function GetHandleReferenceCount(whichHandle: Handle): number;

    function GetHandleBaseTypeId(whichHandle: Handle): number;

    function GetHandleBaseTypeName(whichHandle: Handle): string;

    function GetFilterHandle(): Handle;

    function GetEnumHandle(): Handle;

    function EnumHandlesOfType(handleBaseTypeId: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function AntiHackEnable(enable: boolean): void;

    function AntiHackEnableEx(enable: boolean, isModuleCheck: boolean, isProcessCheck: boolean): void;

    function AntiHackEnableModuleCheck(enable: boolean): void;

    function AntiHackEnableProcessCheck(enable: boolean): void;

    function SaveHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichHandle: Handle): boolean;

    function SaveCode(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichCode: JassCodeCallback): boolean;

    function SaveAttackTypeHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichAttackType: HandleHolder<"attacktype">): boolean;

    function SaveDamageTypeHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichDamageType: HandleHolder<"damagetype">): boolean;

    function SaveWeaponTypeHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichWeaponType: HandleHolder<"weapontype">): boolean;

    function SaveSpriteHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichsprite: HandleHolder<"sprite">): boolean;

    function SaveDoodadHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichDoodad: HandleHolder<"doodad">): boolean;

    function SaveTextFileHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichFile: HandleHolder<"textfilehandle">): boolean;

    function SaveProjectileHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichProjectile: HandleHolder<"projectile">): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function SaveFrameHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichFrame: HandleHolder<"framehandle">): boolean;

    function SaveHandleList(table: HandleHolder<"hashtable">, parentKey: number, childKey: number, whichHandleList: HandleHolder<"handlelist">): boolean;

    function LoadHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): Handle;

    function LoadCode(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): JassCodeCallback;

    function LoadAttackTypeHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"attacktype">;

    function LoadDamageTypeHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"damagetype">;

    function LoadWeaponTypeHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"weapontype">;

    function LoadSpriteHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"sprite">;

    function LoadDoodadHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"doodad">;

    function LoadTextFileHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"textfilehandle">;

    function LoadProjectileHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"projectile">;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function LoadFrameHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"framehandle">;

    function LoadHandleList(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): HandleHolder<"handlelist">;

    function ForceHasPlayer(whichForce: HandleHolder<"force">, whichPlayer: Player): boolean;

    function ForceCountPlayers(whichForce: HandleHolder<"force">): number;

    function GetHostPlayer(): Player;

    function IsReplay(): boolean;

    function GroupGetCount(whichGroup: HandleHolder<"group">): number;

    function GroupContainsUnit(whichGroup: HandleHolder<"group">, whichUnit: Unit): boolean;

    function GroupGetUnitByIndex(whichGroup: HandleHolder<"group">, index: number): Unit;

    function GroupForEachUnit(whichGroup: HandleHolder<"group">): Unit;

    function GroupAddGroupEx(destGroup: HandleHolder<"group">, sourceGroup: HandleHolder<"group">): number;

    function GroupRemoveGroupEx(destGroup: HandleHolder<"group">, sourceGroup: HandleHolder<"group">): number;

    function HandleListCreate(): HandleHolder<"handlelist">;

    function HandleListDestroy(whichHandleList: HandleHolder<"handlelist">): void;

    function HandleListAddHandle(whichHandleList: HandleHolder<"handlelist">, whichHandle: Handle): void;

    function HandleListRemoveHandle(whichHandleList: HandleHolder<"handlelist">, whichHandle: Handle): void;

    function HandleListAddList(destHandleList: HandleHolder<"handlelist">, sourceHandleList: HandleHolder<"handlelist">): number;

    function HandleListRemoveList(destHandleList: HandleHolder<"handlelist">, sourceHandleList: HandleHolder<"handlelist">): number;

    function HandleListRemoveEmpty(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListClear(whichHandleList: HandleHolder<"handlelist">): void;

    function HandleListContainsHandle(whichHandleList: HandleHolder<"handlelist">, whichHandle: Handle): boolean;

    function HandleListContainsTypeId(whichHandleList: HandleHolder<"handlelist">, typeId: number): boolean;

    function HandleListGetCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetCountEx(whichHandleList: HandleHolder<"handlelist">, handleTypeId: number): number;

    function HandleListGetAgentCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetWidgetCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetUnitCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetItemCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetDestructableCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetDoodadCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetAbilityCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetBuffCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetSpriteCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetEffectCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetProjectileCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetFrameCount(whichHandleList: HandleHolder<"handlelist">): number;

    function HandleListGetHandleByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): Handle;

    function HandleListGetHandleByIndexEx(whichHandleList: HandleHolder<"handlelist">, handleTypeId: number, index: number): Handle;

    function HandleListGetHandleByTypeId(whichHandleList: HandleHolder<"handlelist">, typeId: number, index: number): Handle;

    function HandleListGetAgentByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"agent">;

    function HandleListGetWidgetByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): Widget;

    function HandleListGetUnitByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): Unit;

    function HandleListGetItemByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): Item;

    function HandleListGetDestructableByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): Destructable;

    function HandleListGetDoodadByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"doodad">;

    function HandleListGetAbilityByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"ability">;

    function HandleListGetBuffByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"buff">;

    function HandleListGetSpriteByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"sprite">;

    function HandleListGetEffectByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"effect">;

    function HandleListGetProjectileByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"projectile">;

    function HandleListGetFrameByIndex(whichHandleList: HandleHolder<"handlelist">, index: number): HandleHolder<"framehandle">;

    function HandleListGetFilterHandle(): Handle;

    function HandleListGetFilterAgent(): HandleHolder<"agent">;

    function HandleListGetFilterWidget(): Widget;

    function HandleListGetFilterUnit(): Unit;

    function HandleListGetFilterItem(): Item;

    function HandleListGetFilterDestructable(): Destructable;

    function HandleListGetFilterDoodad(): HandleHolder<"doodad">;

    function HandleListGetFilterAbility(): HandleHolder<"ability">;

    function HandleListGetFilterBuff(): HandleHolder<"buff">;

    function HandleListGetFilterSprite(): HandleHolder<"sprite">;

    function HandleListGetFilterEffect(): HandleHolder<"effect">;

    function HandleListGetFilterProjectile(): HandleHolder<"projectile">;

    function HandleListGetFilterFrame(): HandleHolder<"framehandle">;

    function HandleListGetEnumHandle(): Handle;

    function HandleListGetEnumAgent(): HandleHolder<"agent">;

    function HandleListGetEnumWidget(): Widget;

    function HandleListGetEnumUnit(): Unit;

    function HandleListGetEnumItem(): Item;

    function HandleListGetEnumDestructable(): Destructable;

    function HandleListGetEnumDoodad(): HandleHolder<"doodad">;

    function HandleListGetEnumAbility(): HandleHolder<"ability">;

    function HandleListGetEnumBuff(): HandleHolder<"buff">;

    function HandleListGetEnumSprite(): HandleHolder<"sprite">;

    function HandleListGetEnumEffect(): HandleHolder<"effect">;

    function HandleListGetEnumProjectile(): HandleHolder<"projectile">;

    function HandleListGetEnumFrame(): HandleHolder<"framehandle">;

    function HandleListEnumInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumInRangeEx(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, handleTypeId: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumAgentsInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumWidgetsInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumUnitsInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumItemsInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumDestructablesInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumDoodadsInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumEffectsInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumProjectilesInRange(whichHandleList: HandleHolder<"handlelist">, x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumInRangeOfLocEx(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, handleTypeId: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumAgentsInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumWidgetsInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumUnitsInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumItemsInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumDestructablesInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumDoodadsInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumEffectsInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumProjectilesInRangeOfLoc(whichHandleList: HandleHolder<"handlelist">, whichLocation: HLocation, radius: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumInRectEx(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, handleTypeId: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumAgentsInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumWidgetsInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumUnitsInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumItemsInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumDestructablesInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumDoodadsInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumEffectsInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumProjectilesInRect(whichHandleList: HandleHolder<"handlelist">, whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumByTypeId(whichHandleList: HandleHolder<"handlelist">, handleTypeId: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumByTypeIdEx(whichHandleList: HandleHolder<"handlelist">, handleTypeId: number, typeId: number, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumUnitAbilities(whichHandleList: HandleHolder<"handlelist">, whichUnit: Unit, filter: HandleHolder<"boolexpr">): void;

    function HandleListEnumUnitBuffs(whichHandleList: HandleHolder<"handlelist">, whichUnit: Unit, filter: HandleHolder<"boolexpr">): void;

    function HandleListForEach(whichHandleList: HandleHolder<"handlelist">, c: JassCodeCallback): void;

    function HandleListForEachByTypeId(whichHandleList: HandleHolder<"handlelist">, handleTypeId: number, c: JassCodeCallback): void;

    function HandleListForEachByTypeIdEx(whichHandleList: HandleHolder<"handlelist">, handleTypeId: number, typeId: number, c: JassCodeCallback): void;

    function IsTextTagVisible(whichTextTag: HandleHolder<"texttag">): boolean;

    function IsTextTagSuspended(whichTextTag: HandleHolder<"texttag">): boolean;

    function IsTextTagPermanent(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagX(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagX(whichTextTag: HandleHolder<"texttag">, x: number): void;

    function GetTextTagY(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagY(whichTextTag: HandleHolder<"texttag">, y: number): void;

    function GetTextTagZ(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagZ(whichTextTag: HandleHolder<"texttag">, z: number): void;

    function GetTextTagScreenX(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagScreenY(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagHeight(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagHeight(whichTextTag: HandleHolder<"texttag">, height: number): void;

    function GetTextTagPositionLoc(whichTextTag: HandleHolder<"texttag">): HLocation;

    function SetTextTagPositionLoc(whichTextTag: HandleHolder<"texttag">, whichLocation: HLocation): void;

    function GetTextTagColour(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagAlpha(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagAlpha(whichTextTag: HandleHolder<"texttag">, alpha: number): void;

    function GetTextTagVelocityX(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagVelocityX(whichTextTag: HandleHolder<"texttag">, velX: number): void;

    function GetTextTagVelocityY(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagVelocityY(whichTextTag: HandleHolder<"texttag">, velY: number): void;

    function GetTextTagVelocityZ(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagVelocityZ(whichTextTag: HandleHolder<"texttag">, velZ: number): void;

    function GetTextTagAge(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagLifespan(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagFadepoint(whichTextTag: HandleHolder<"texttag">): number;

    function GetTextTagShadowColour(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagShadowColour(whichTextTag: HandleHolder<"texttag">, colour: number): void;

    function GetTextTagShadowAlpha(whichTextTag: HandleHolder<"texttag">): number;

    function SetTextTagShadowAlpha(whichTextTag: HandleHolder<"texttag">, alpha: number): void;

    function GetTextTagText(whichTextTag: HandleHolder<"texttag">): string;

    function GetLightningSourceX(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningSourceX(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningSourceY(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningSourceY(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningSourceZ(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningSourceZ(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningSourcePositionLoc(whichBolt: HandleHolder<"lightning">): HLocation;

    function SetLightningSourcePositionLoc(whichBolt: HandleHolder<"lightning">, whichLocation: HLocation): void;

    function GetLightningTargetX(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningTargetX(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningTargetY(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningTargetY(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningTargetZ(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningTargetZ(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningTargetPositionLoc(whichBolt: HandleHolder<"lightning">): HLocation;

    function SetLightningTargetPositionLoc(whichBolt: HandleHolder<"lightning">, whichLocation: HLocation): void;

    function GetLightningScreenX(whichBolt: HandleHolder<"lightning">): number;

    function GetLightningScreenY(whichBolt: HandleHolder<"lightning">): number;

    function GetLightningColour(whichBolt: HandleHolder<"lightning">): number;

    function GetLightningColourA(whichBolt: HandleHolder<"lightning">): number;

    function GetLightningColourR(whichBolt: HandleHolder<"lightning">): number;

    function GetLightningColourG(whichBolt: HandleHolder<"lightning">): number;

    function GetLightningColourB(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningColour(whichBolt: HandleHolder<"lightning">, red: number, green: number, blue: number, alpha: number): boolean;

    function GetLightningLength(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningLength(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningNoiseScaling(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningNoiseScaling(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningTextureCoordinates(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningTextureCoordinates(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningDuration(whichBolt: HandleHolder<"lightning">): number;

    function SetLightningDuration(whichBolt: HandleHolder<"lightning">, value: number): void;

    function GetLightningTexture(whichBolt: HandleHolder<"lightning">): string;

    function SetLightningTexture(whichBolt: HandleHolder<"lightning">, textureName: string): void;

    function CreateImageSimple(file: string, sizeX: number, sizeY: number, posX: number, posY: number, posZ: number, imageType: number): HandleHolder<"image">;

    function GetImageType(whichImage: HandleHolder<"image">): number;

    function GetImageX(whichImage: HandleHolder<"image">): number;

    function SetImageX(whichImage: HandleHolder<"image">, sizeX: number): void;

    function GetImageY(whichImage: HandleHolder<"image">): number;

    function SetImageY(whichImage: HandleHolder<"image">, sizeY: number): void;

    function GetImageZ(whichImage: HandleHolder<"image">): number;

    function SetImageZ(whichImage: HandleHolder<"image">, sizeZ: number): void;

    function GetImagePositionLoc(whichImage: HandleHolder<"image">): HLocation;

    function SetImagePositionLoc(whichImage: HandleHolder<"image">, whichLocation: HLocation): void;

    function GetImageScreenX(whichImage: HandleHolder<"image">): number;

    function GetImageScreenY(whichImage: HandleHolder<"image">): number;

    function GetImageOriginX(whichImage: HandleHolder<"image">): number;

    function SetImageOriginX(whichImage: HandleHolder<"image">, originX: number): void;

    function GetImageOriginY(whichImage: HandleHolder<"image">): number;

    function SetImageOriginY(whichImage: HandleHolder<"image">, originY: number): void;

    function SetImageOrigin(whichImage: HandleHolder<"image">, origin: number): void;

    function SetImageOriginEx(whichImage: HandleHolder<"image">, originX: number, originY: number): void;

    function GetImageSizeX(whichImage: HandleHolder<"image">): number;

    function SetImageSizeX(whichImage: HandleHolder<"image">, sizeX: number): void;

    function GetImageSizeY(whichImage: HandleHolder<"image">): number;

    function SetImageSizeY(whichImage: HandleHolder<"image">, sizeY: number): void;

    function SetImageSize(whichImage: HandleHolder<"image">, size: number): void;

    function SetImageSizeEx(whichImage: HandleHolder<"image">, sizeX: number, sizeY: number): void;

    function GetImageColour(whichImage: HandleHolder<"image">): number;

    function IsImageRendered(whichImage: HandleHolder<"image">): boolean;

    function IsImageRenderAlways(whichImage: HandleHolder<"image">): boolean;

    function IsImageRenderAboveWater(whichImage: HandleHolder<"image">): boolean;

    function IsImageVisible(whichImage: HandleHolder<"image">): boolean;

    function GetImageConstantHeight(whichImage: HandleHolder<"image">): number;

    function GetImageTexture(whichImage: HandleHolder<"image">): string;

    function SetImageTexture(whichImage: HandleHolder<"image">, imagePath: string): void;

    function TimerIsPaused(whichTimer: HandleHolder<"timer">): boolean;

    function TimerRestart(whichTimer: HandleHolder<"timer">): void;

    function TimerIsPeriodic(whichTimer: HandleHolder<"timer">): boolean;

    function TimerSetPeriodic(whichTimer: HandleHolder<"timer">, isPeriodic: boolean): void;

    function TimerSetRemaining(whichTimer: HandleHolder<"timer">, remaining: number): void;

    function TimerSetTimeout(whichTimer: HandleHolder<"timer">, timeout: number): void;

    function TimerGetCallback(whichTimer: HandleHolder<"timer">): JassCodeCallback;

    function TimerSetCallback(whichTimer: HandleHolder<"timer">, whichFunction: JassCodeCallback): void;

    function CreateDoodad(objectid: number, x: number, y: number, face: number, scale: number, variation: number): HandleHolder<"doodad">;

    function CreateDoodadZ(objectid: number, x: number, y: number, z: number, face: number, scale: number, variation: number): HandleHolder<"doodad">;

    function RemoveDoodad(whichDoodad: HandleHolder<"doodad">): void;

    function GetDoodadCount(): number;

    function GetDoodadByIndex(index: number): HandleHolder<"doodad">;

    function GetDoodadIndex(whichDoodad: HandleHolder<"doodad">): number;

    function GetDoodadColour(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadColour(whichDoodad: HandleHolder<"doodad">, colour: number): void;

    function SetDoodadVertexColour(whichDoodad: HandleHolder<"doodad">, red: number, green: number, blue: number, alpha: number): void;

    function GetDoodadScale(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadScale(whichDoodad: HandleHolder<"doodad">, facing: number): void;

    function GetDoodadX(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadX(whichDoodad: HandleHolder<"doodad">, x: number): void;

    function GetDoodadY(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadY(whichDoodad: HandleHolder<"doodad">, y: number): void;

    function GetDoodadZ(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadZ(whichDoodad: HandleHolder<"doodad">, z: number): void;

    function SetDoodadPosition(whichDoodad: HandleHolder<"doodad">, x: number, y: number): void;

    function SetDoodadPositionWithZ(whichDoodad: HandleHolder<"doodad">, x: number, y: number, z: number): void;

    function GetDoodadPositionLoc(whichDoodad: HandleHolder<"doodad">): HLocation;

    function SetDoodadPositionLoc(whichDoodad: HandleHolder<"doodad">, whichLocation: HLocation): void;

    function GetDoodadScreenX(whichDoodad: HandleHolder<"doodad">): number;

    function GetDoodadScreenY(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadMatrixScale(whichDoodad: HandleHolder<"doodad">, x: number, y: number, z: number): void;

    function ResetDoodadMatrix(whichDoodad: HandleHolder<"doodad">): void;

    function SetDoodadOrientationEx(whichDoodad: HandleHolder<"doodad">, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function GetDoodadYaw(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadYaw(whichDoodad: HandleHolder<"doodad">, yaw: number): void;

    function GetDoodadFacing(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadFacing(whichDoodad: HandleHolder<"doodad">, facing: number): void;

    function GetDoodadPitch(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadPitch(whichDoodad: HandleHolder<"doodad">, pitch: number): void;

    function GetDoodadRoll(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadRoll(whichDoodad: HandleHolder<"doodad">, roll: number): void;

    function SetDoodadOrientation(whichDoodad: HandleHolder<"doodad">, yaw: number, pitch: number, roll: number): void;

    function GetDoodadModel(whichDoodad: HandleHolder<"doodad">): string;

    function SetDoodadModel(whichDoodad: HandleHolder<"doodad">, whichModel: string): void;

    function IsDoodadVisible(whichDoodad: HandleHolder<"doodad">): boolean;

    function ShowDoodad(whichDoodad: HandleHolder<"doodad">, isShow: boolean): void;

    function SetDoodadAnimationWithRarityByIndex(whichDoodad: HandleHolder<"doodad">, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetDoodadAnimationWithRarity(whichDoodad: HandleHolder<"doodad">, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetDoodadAnimationByIndex(whichDoodad: HandleHolder<"doodad">, animIndex: number): void;

    function SetDoodadAnimationEx(whichDoodad: HandleHolder<"doodad">, animationName: string): void;

    function QueueDoodadAnimationByIndex(whichDoodad: HandleHolder<"doodad">, animIndex: number): void;

    function QueueDoodadAnimation(whichDoodad: HandleHolder<"doodad">, animationName: string): void;

    function GetDoodadAnimationOffsetPercent(whichDoodad: HandleHolder<"doodad">): number;

    function SetDoodadAnimationOffsetPercent(whichDoodad: HandleHolder<"doodad">, percent: number): void;

    function GetFilterDoodad(): HandleHolder<"doodad">;

    function GetEnumDoodad(): HandleHolder<"doodad">;

    function EnumDoodadsInRange(x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function EnumDoodadsInRangeEx(x: number, y: number, radius: number, typeId: number, nearestOnly: boolean, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function EnumDoodadsInRect(whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function EnumDoodadsInRectEx(whichRect: HandleHolder<"rect">, typeId: number, nearestOnly: boolean, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function GetAbilityBaseIntegerFieldById(aid: number, whichField: HandleHolder<"abilityintegerfield">): number;

    function SetAbilityBaseIntegerFieldById(aid: number, whichField: HandleHolder<"abilityintegerfield">, value: number): boolean;

    function GetAbilityBaseBooleanFieldById(aid: number, whichField: HandleHolder<"abilitybooleanfield">): boolean;

    function SetAbilityBaseBooleanFieldById(aid: number, whichField: HandleHolder<"abilitybooleanfield">, value: boolean): boolean;

    function GetAbilityBaseRealFieldById(aid: number, whichField: HandleHolder<"abilityrealfield">): number;

    function SetAbilityBaseRealFieldById(aid: number, whichField: HandleHolder<"abilityrealfield">, value: number): boolean;

    function GetAbilityBaseStringFieldById(aid: number, whichField: HandleHolder<"abilitystringfield">): string;

    function SetAbilityBaseStringFieldById(aid: number, whichField: HandleHolder<"abilitystringfield">, value: string): boolean;

    function GetAbilityBaseIntegerLevelFieldById(aid: number, whichField: HandleHolder<"abilityintegerlevelfield">, level: number): number;

    function SetAbilityBaseIntegerLevelFieldById(aid: number, whichField: HandleHolder<"abilityintegerlevelfield">, level: number, value: number): boolean;

    function GetAbilityBaseBooleanLevelFieldById(aid: number, whichField: HandleHolder<"abilitybooleanlevelfield">, level: number): boolean;

    function SetAbilityBaseBooleanLevelFieldById(aid: number, whichField: HandleHolder<"abilitybooleanlevelfield">, level: number, value: boolean): boolean;

    function GetAbilityBaseRealLevelFieldById(aid: number, whichField: HandleHolder<"abilityreallevelfield">, level: number): number;

    function SetAbilityBaseRealLevelFieldById(aid: number, whichField: HandleHolder<"abilityreallevelfield">, level: number, value: number): boolean;

    function GetAbilityBaseStringLevelFieldById(aid: number, whichField: HandleHolder<"abilitystringlevelfield">, level: number): string;

    function SetAbilityBaseStringLevelFieldById(aid: number, whichField: HandleHolder<"abilitystringlevelfield">, level: number, value: string): boolean;

    function GetAbilityBaseIntegerLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, index: number): number;

    function SetAbilityBaseIntegerLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, index: number, value: number): boolean;

    function AddAbilityBaseIntegerLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, value: number): boolean;

    function RemoveAbilityBaseIntegerLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, value: number): boolean;

    function GetAbilityBaseBooleanLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, index: number): boolean;

    function SetAbilityBaseBooleanLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, index: number, value: boolean): boolean;

    function AddAbilityBaseBooleanLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, value: boolean): boolean;

    function RemoveAbilityBaseBooleanLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, value: boolean): boolean;

    function GetAbilityBaseRealLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, index: number): number;

    function SetAbilityBaseRealLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, index: number, value: number): boolean;

    function AddAbilityBaseRealLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, value: number): boolean;

    function RemoveAbilityBaseRealLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, value: number): boolean;

    function GetAbilityBaseStringLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, index: number): string;

    function SetAbilityBaseStringLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, index: number, value: string): boolean;

    function AddAbilityBaseStringLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, value: string): boolean;

    function RemoveAbilityBaseStringLevelArrayFieldById(aid: number, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, value: string): boolean;

    function GetAbilityIntegerField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerfield">): number;

    function SetAbilityIntegerField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerfield">, value: number): boolean;

    function GetAbilityBooleanField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanfield">): boolean;

    function SetAbilityBooleanField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanfield">, value: boolean): boolean;

    function GetAbilityRealField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityrealfield">): number;

    function SetAbilityRealField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityrealfield">, value: number): boolean;

    function GetAbilityStringField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringfield">): string;

    function SetAbilityStringField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringfield">, value: string): boolean;

    function GetAbilityIntegerLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelfield">, level: number): number;

    function SetAbilityIntegerLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelfield">, level: number, value: number): boolean;

    function GetAbilityBooleanLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelfield">, level: number): boolean;

    function SetAbilityBooleanLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelfield">, level: number, value: boolean): boolean;

    function GetAbilityRealLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelfield">, level: number): number;

    function SetAbilityRealLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelfield">, level: number, value: number): boolean;

    function GetAbilityStringLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelfield">, level: number): string;

    function SetAbilityStringLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelfield">, level: number, value: string): boolean;

    function GetAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, index: number): number;

    function SetAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, index: number, value: number): boolean;

    function AddAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, value: number): boolean;

    function RemoveAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, value: number): boolean;

    function GetAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, index: number): boolean;

    function SetAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, index: number, value: boolean): boolean;

    function AddAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, value: boolean): boolean;

    function RemoveAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, value: boolean): boolean;

    function GetAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, index: number): number;

    function SetAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, index: number, value: number): boolean;

    function AddAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, value: number): boolean;

    function RemoveAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, value: number): boolean;

    function GetAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, index: number): string;

    function SetAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, index: number, value: string): boolean;

    function AddAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, value: string): boolean;

    function RemoveAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, value: string): boolean;

    function ResetAbilityFieldData(whichAbility: HandleHolder<"ability">): boolean;

    function IsAbilityBaseTargetAllowed(abilityId: number, source: Widget, target: Widget): boolean;

    function CreateAbility(abilityId: number): HandleHolder<"ability">;

    function GetAbilityOwner(whichAbility: HandleHolder<"ability">): Unit;

    function SetAbilityOwner(whichAbility: HandleHolder<"ability">, whichUnit: Unit): void;

    function GetAbilityOwningItem(whichAbility: HandleHolder<"ability">): Item;

    function GetAbilityOrderId(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityOrderId(whichAbility: HandleHolder<"ability">, orderId: number): boolean;

    function GetAbilityLevel(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityLevel(whichAbility: HandleHolder<"ability">, level: number): number;

    function GetAbilityBaseTypeId(whichAbility: HandleHolder<"ability">): number;

    function GetAbilityTypeId(whichAbility: HandleHolder<"ability">): number;

    function IsAbilityTargetAllowed(whichAbility: HandleHolder<"ability">, whichWidget: Widget): boolean;

    function IsAbilityOnCooldown(whichAbility: HandleHolder<"ability">): boolean;

    function IsAbilityEnabled(whichAbility: HandleHolder<"ability">): boolean;

    function SetAbilityEnabled(whichAbility: HandleHolder<"ability">, enable: boolean): void;

    function IsAbilityVisible(whichAbility: HandleHolder<"ability">): boolean;

    function ShowAbility(whichAbility: HandleHolder<"ability">, show: boolean): void;

    function IsAbilityEnabledEx(whichAbility: HandleHolder<"ability">): boolean;

    function SetAbilityEnabledEx(whichAbility: HandleHolder<"ability">, enable: boolean): void;

    function IsAbilityUsable(whichAbility: HandleHolder<"ability">): boolean;

    function GetAbilityCastTime(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityCastTime(whichAbility: HandleHolder<"ability">, castTime: number): void;

    function GetAbilityCastPoint(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityCastPoint(whichAbility: HandleHolder<"ability">, castPoint: number): void;

    function GetAbilityBackswing(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityBackswing(whichAbility: HandleHolder<"ability">, backswing: number): void;

    function GetAbilityCooldown(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityCooldown(whichAbility: HandleHolder<"ability">, cooldown: number): void;

    function GetAbilityRemainingCooldown(whichAbility: HandleHolder<"ability">): number;

    function SetAbilityRemainingCooldown(whichAbility: HandleHolder<"ability">, cooldown: number): boolean;

    function StartAbilityCooldown(whichAbility: HandleHolder<"ability">, cooldown: number): boolean;

    function DisableAbility(whichAbility: HandleHolder<"ability">, hide: boolean, disable: boolean): void;

    function EnableAbility(whichAbility: HandleHolder<"ability">, show: boolean, enable: boolean): void;

    function CastAbility(whichAbility: HandleHolder<"ability">): boolean;

    function CastAbilityGround(whichAbility: HandleHolder<"ability">, targX: number, targY: number): boolean;

    function CastAbilityTarget(whichAbility: HandleHolder<"ability">, target: Widget): boolean;

    function GetFilterAbility(): HandleHolder<"ability">;

    function GetEnumAbility(): HandleHolder<"ability">;

    function EnumUnitAbilities(whichUnit: Unit, whichBoolexpr: HandleHolder<"boolexpr">, whichCode: JassCodeCallback): boolean;

    function GetBuffBaseStringFieldById(buffId: number, whichField: HandleHolder<"abilitystringfield">): string;

    function SetBuffBaseStringFieldById(buffId: number, whichField: HandleHolder<"abilitystringfield">, value: string): boolean;

    function GetBuffIntegerField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilityintegerfield">): number;

    function SetBuffIntegerField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilityintegerfield">, value: number): boolean;

    function GetBuffBooleanField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilitybooleanfield">): boolean;

    function SetBuffBooleanField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilitybooleanfield">, value: boolean): boolean;

    function GetBuffRealField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilityrealfield">): number;

    function SetBuffRealField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilityrealfield">, value: number): boolean;

    function GetBuffStringField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilitystringfield">): string;

    function SetBuffStringField(whichBuff: HandleHolder<"buff">, whichField: HandleHolder<"abilitystringfield">, value: string): boolean;

    function ResetBuffFieldData(whichBuff: HandleHolder<"buff">): boolean;

    function CreateBuff(buffId: number): HandleHolder<"buff">;

    function GetBuffTypeId(whichBuff: HandleHolder<"buff">): number;

    function GetBuffBaseTypeId(whichBuff: HandleHolder<"buff">): number;

    function GetBuffOwner(whichbuff: HandleHolder<"buff">): Unit;

    function SetBuffOwner(whichBuff: HandleHolder<"buff">, whichUnit: Unit): void;

    function GetBuffLevel(whichBuff: HandleHolder<"buff">): number;

    function SetBuffLevel(whichBuff: HandleHolder<"buff">, level: number): void;

    function GetBuffRemainingDuration(whichBuff: HandleHolder<"buff">): number;

    function SetBuffRemainingDuration(whichBuff: HandleHolder<"buff">, duration: number): boolean;

    function RefreshBuff(whichBuff: HandleHolder<"buff">): boolean;

    function GetFilterBuff(): HandleHolder<"buff">;

    function GetEnumBuff(): HandleHolder<"buff">;

    function EnumUnitBuffs(whichUnit: Unit, whichBoolexpr: HandleHolder<"boolexpr">, whichCode: JassCodeCallback): boolean;

    function GetTriggerBuff(): HandleHolder<"buff">;

    function GetTriggerBuffSourceAbility(): HandleHolder<"ability">;

    function GetTriggerBuffSourceUnit(): Unit;

    function GetTriggerBuffTarget(): Unit;

    function CreateSprite(isUber: boolean): HandleHolder<"sprite">;

    function AttachSpriteToTarget(whichSprite: HandleHolder<"sprite">, targetSprite: HandleHolder<"sprite">, attachPointName: string): HandleHolder<"sprite">;

    function AddSpriteToTarget(modelName: string, targetSprite: HandleHolder<"sprite">, attachPointName: string): HandleHolder<"sprite">;

    function GetSpriteChildrenCount(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteChildById(whichSprite: HandleHolder<"sprite">, index: number): HandleHolder<"sprite">;

    function DetachSprite(whichSprite: HandleHolder<"sprite">): void;

    function RemoveSprite(whichSprite: HandleHolder<"sprite">): void;

    function IsSpriteUber(whichSprite: HandleHolder<"sprite">): boolean;

    function GetSpriteX(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteY(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteZ(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteHeight(whichSprite: HandleHolder<"sprite">): number;

    function GetSpritePositionLoc(whichSprite: HandleHolder<"sprite">): HLocation;

    function SetSpritePositionWithZ(whichSprite: HandleHolder<"sprite">, x: number, y: number, z: number): void;

    function SetSpritePosition(whichSprite: HandleHolder<"sprite">, x: number, y: number): void;

    function SetSpritePositionLoc(whichSprite: HandleHolder<"sprite">, loc: HLocation): void;

    function SetSpriteX(whichSprite: HandleHolder<"sprite">, x: number): void;

    function SetSpriteY(whichSprite: HandleHolder<"sprite">, y: number): void;

    function SetSpriteZ(whichSprite: HandleHolder<"sprite">, z: number): void;

    function SetSpriteHeight(whichSprite: HandleHolder<"sprite">, height: number): void;

    function GetSpriteScreenX(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteScreenY(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteScale(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteScale(whichSprite: HandleHolder<"sprite">, scale: number): void;

    function GetSpriteTimeScale(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteTimeScale(whichSprite: HandleHolder<"sprite">, timescale: number): void;

    function SetSpritePlayerColour(whichSprite: HandleHolder<"sprite">, color: HandleHolder<"playercolor">): void;

    function GetSpriteColour(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteColour(whichSprite: HandleHolder<"sprite">, colour: number): void;

    function SetSpriteAlpha(whichSprite: HandleHolder<"sprite">, alpha: number): void;

    function SetSpriteVertexColour(whichSprite: HandleHolder<"sprite">, red: number, green: number, blue: number, alpha: number): void;

    function SetSpriteMatrixScale(whichSprite: HandleHolder<"sprite">, x: number, y: number, z: number): void;

    function ResetSpriteMatrix(whichSprite: HandleHolder<"sprite">): void;

    function SetSpriteOrientationEx(whichSprite: HandleHolder<"sprite">, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function GetSpriteYaw(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteYaw(whichSprite: HandleHolder<"sprite">, yaw: number): void;

    function GetSpriteFacing(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteFacing(whichSprite: HandleHolder<"sprite">, facing: number): void;

    function GetSpritePitch(whichSprite: HandleHolder<"sprite">): number;

    function SetSpritePitch(whichSprite: HandleHolder<"sprite">, pitch: number): void;

    function GetSpriteRoll(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteRoll(whichSprite: HandleHolder<"sprite">, roll: number): void;

    function SetSpriteOrientation(whichSprite: HandleHolder<"sprite">, yaw: number, pitch: number, roll: number): void;

    function SetSpriteMaterialTexture(whichSprite: HandleHolder<"sprite">, textureName: string, materialId: number, textureIndex: number): void;

    function SetSpriteTexture(whichSprite: HandleHolder<"sprite">, textureName: string, textureIndex: number): void;

    function SetSpriteReplaceableTexture(whichSprite: HandleHolder<"sprite">, textureName: string, textureIndex: number): void;

    function GetSpriteModel(whichSprite: HandleHolder<"sprite">): string;

    function SetSpriteModel(whichSprite: HandleHolder<"sprite">, modelName: string): void;

    function SetSpriteModelEx(whichSprite: HandleHolder<"sprite">, modelName: string, playerColour: number): void;

    function GetSpriteModelObjectX(whichSprite: HandleHolder<"sprite">, whichObject: string): number;

    function GetSpriteModelObjectY(whichSprite: HandleHolder<"sprite">, whichObject: string): number;

    function GetSpriteModelObjectZ(whichSprite: HandleHolder<"sprite">, whichObject: string): number;

    function GetSpriteModelObjectPositionLoc(whichSprite: HandleHolder<"sprite">, whichObject: string): HLocation;

    function GetSpriteCurrentAnimationId(whichSprite: HandleHolder<"sprite">): number;

    function GetSpriteCurrentAnimationName(whichSprite: HandleHolder<"sprite">): string;

    function SetSpriteAnimationWithRarityByIndex(whichSprite: HandleHolder<"sprite">, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetSpriteAnimationWithRarity(whichSprite: HandleHolder<"sprite">, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetSpriteAnimationByIndex(whichSprite: HandleHolder<"sprite">, animIndex: number): void;

    function SetSpriteAnimation(whichSprite: HandleHolder<"sprite">, animationName: string): void;

    function QueueSpriteAnimationByIndex(whichSprite: HandleHolder<"sprite">, animIndex: number): void;

    function QueueSpriteAnimation(whichSprite: HandleHolder<"sprite">, animationName: string): void;

    function GetSpriteAnimationOffsetPercent(whichSprite: HandleHolder<"sprite">): number;

    function SetSpriteAnimationOffsetPercent(whichSprite: HandleHolder<"sprite">, percent: number): void;

    function GetSpecialEffectSprite(whichEffect: HandleHolder<"effect">): HandleHolder<"sprite">;

    function IsSpecialEffectVisible(whichEffect: HandleHolder<"effect">): boolean;

    function SetSpecialEffectVisibility(whichEffect: HandleHolder<"effect">, visibility: boolean): void;

    function GetSpecialEffectX(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectY(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectZ(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectHeight(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectPositionLoc(whichEffect: HandleHolder<"effect">): HLocation;

    function SetSpecialEffectPositionWithZ(whichEffect: HandleHolder<"effect">, x: number, y: number, z: number): void;

    function SetSpecialEffectPosition(whichEffect: HandleHolder<"effect">, x: number, y: number): void;

    function SetSpecialEffectPositionLoc(whichEffect: HandleHolder<"effect">, loc: HLocation): void;

    function SetSpecialEffectX(whichEffect: HandleHolder<"effect">, x: number): void;

    function SetSpecialEffectY(whichEffect: HandleHolder<"effect">, y: number): void;

    function SetSpecialEffectZ(whichEffect: HandleHolder<"effect">, z: number): void;

    function SetSpecialEffectHeight(whichEffect: HandleHolder<"effect">, height: number): void;

    function GetSpecialEffectScreenX(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectScreenY(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectScale(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectScale(whichEffect: HandleHolder<"effect">, scale: number): void;

    function GetSpecialEffectTimeScale(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectTimeScale(whichEffect: HandleHolder<"effect">, timescale: number): void;

    function SetSpecialEffectPlayerColour(whichEffect: HandleHolder<"effect">, color: HandleHolder<"playercolor">): void;

    function GetSpecialEffectColour(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectColour(whichEffect: HandleHolder<"effect">, colour: number): void;

    function SetSpecialEffectAlpha(whichEffect: HandleHolder<"effect">, alpha: number): void;

    function SetSpecialEffectVertexColour(whichEffect: HandleHolder<"effect">, red: number, green: number, blue: number, alpha: number): void;

    function SetSpecialEffectMatrixScale(whichEffect: HandleHolder<"effect">, x: number, y: number, z: number): void;

    function ResetSpecialEffectMatrix(whichEffect: HandleHolder<"effect">): void;

    function SetSpecialEffectOrientationEx(whichEffect: HandleHolder<"effect">, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function GetSpecialEffectYaw(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectYaw(whichEffect: HandleHolder<"effect">, yaw: number): void;

    function GetSpecialEffectFacing(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectFacing(whichEffect: HandleHolder<"effect">, facing: number): void;

    function GetSpecialEffectPitch(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectPitch(whichEffect: HandleHolder<"effect">, pitch: number): void;

    function GetSpecialEffectRoll(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectRoll(whichEffect: HandleHolder<"effect">, roll: number): void;

    function SetSpecialEffectOrientation(whichEffect: HandleHolder<"effect">, yaw: number, pitch: number, roll: number): void;

    function SetSpecialEffectMaterialTexture(whichEffect: HandleHolder<"effect">, textureName: string, materialId: number, textureIndex: number): void;

    function SetSpecialEffectTexture(whichEffect: HandleHolder<"effect">, textureName: string, textureIndex: number): void;

    function SetSpecialEffectReplaceableTexture(whichEffect: HandleHolder<"effect">, textureName: string, textureIndex: number): void;

    function GetSpecialEffectModel(whichEffect: HandleHolder<"effect">): string;

    function SetSpecialEffectModel(whichEffect: HandleHolder<"effect">, modelName: string): void;

    function SetSpecialEffectModelEx(whichEffect: HandleHolder<"effect">, modelName: string, playerColour: number): void;

    function GetSpecialEffectModelObjectX(whichEffect: HandleHolder<"effect">, whichObject: string): number;

    function GetSpecialEffectModelObjectY(whichEffect: HandleHolder<"effect">, whichObject: string): number;

    function GetSpecialEffectModelObjectZ(whichEffect: HandleHolder<"effect">, whichObject: string): number;

    function GetSpecialEffectModelObjectPositionLoc(whichEffect: HandleHolder<"effect">, whichObject: string): HLocation;

    function GetSpecialEffectCurrentAnimationId(whichEffect: HandleHolder<"effect">): number;

    function GetSpecialEffectCurrentAnimationName(whichEffect: HandleHolder<"effect">): string;

    function SetSpecialEffectAnimationWithRarityByIndex(whichEffect: HandleHolder<"effect">, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetSpecialEffectAnimationWithRarity(whichEffect: HandleHolder<"effect">, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetSpecialEffectAnimationByIndex(whichEffect: HandleHolder<"effect">, animIndex: number): void;

    function SetSpecialEffectAnimation(whichEffect: HandleHolder<"effect">, animationName: string): void;

    function QueueSpecialEffectAnimationByIndex(whichEffect: HandleHolder<"effect">, animIndex: number): void;

    function QueueSpecialEffectAnimation(whichEffect: HandleHolder<"effect">, animationName: string): void;

    function GetSpecialEffectAnimationOffsetPercent(whichEffect: HandleHolder<"effect">): number;

    function SetSpecialEffectAnimationOffsetPercent(whichEffect: HandleHolder<"effect">, percent: number): void;

    function GetTriggerSpecialEffect(): HandleHolder<"effect">;

    function GetFilterSpecialEffect(): HandleHolder<"effect">;

    function GetEnumSpecialEffect(): HandleHolder<"effect">;

    function EnumSpecialEffectsInRange(x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function GetTrackableSprite(whichTrackable: HandleHolder<"trackable">): HandleHolder<"sprite">;

    function IsTrackableVisible(whichTrackable: HandleHolder<"trackable">): boolean;

    function SetTrackableVisibility(whichTrackable: HandleHolder<"trackable">, visibility: boolean): void;

    function GetTrackableX(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackableY(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackableZ(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackableHeight(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackablePositionLoc(whichTrackable: HandleHolder<"trackable">): HLocation;

    function SetTrackablePositionWithZ(whichTrackable: HandleHolder<"trackable">, x: number, y: number, z: number): void;

    function SetTrackablePosition(whichTrackable: HandleHolder<"trackable">, x: number, y: number): void;

    function SetTrackablePositionLoc(whichTrackable: HandleHolder<"trackable">, loc: HLocation): void;

    function SetTrackableX(whichTrackable: HandleHolder<"trackable">, x: number): void;

    function SetTrackableY(whichTrackable: HandleHolder<"trackable">, y: number): void;

    function SetTrackableZ(whichTrackable: HandleHolder<"trackable">, z: number): void;

    function SetTrackableHeight(whichTrackable: HandleHolder<"trackable">, height: number): void;

    function GetTrackableScreenX(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackableScreenY(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackableScale(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableScale(whichTrackable: HandleHolder<"trackable">, scale: number): void;

    function GetTrackableTimeScale(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableTimeScale(whichTrackable: HandleHolder<"trackable">, timescale: number): void;

    function SetTrackablePlayerColour(whichTrackable: HandleHolder<"trackable">, color: HandleHolder<"playercolor">): void;

    function GetTrackableColour(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableColour(whichTrackable: HandleHolder<"trackable">, colour: number): void;

    function SetTrackableAlpha(whichTrackable: HandleHolder<"trackable">, alpha: number): void;

    function SetTrackableVertexColour(whichTrackable: HandleHolder<"trackable">, red: number, green: number, blue: number, alpha: number): void;

    function SetTrackableEffectMatrixScale(whichTrackable: HandleHolder<"trackable">, x: number, y: number, z: number): void;

    function ResetTrackableMatrix(whichTrackable: HandleHolder<"trackable">): void;

    function SetTrackableOrientationEx(whichTrackable: HandleHolder<"trackable">, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function GetTrackableYaw(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableYaw(whichTrackable: HandleHolder<"trackable">, yaw: number): void;

    function GetTrackableFacing(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableFacing(whichTrackable: HandleHolder<"trackable">, facing: number): void;

    function GetTrackablePitch(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackablePitch(whichTrackable: HandleHolder<"trackable">, pitch: number): void;

    function GetTrackableRoll(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableRoll(whichTrackable: HandleHolder<"trackable">, roll: number): void;

    function SetTrackableOrientation(whichTrackable: HandleHolder<"trackable">, yaw: number, pitch: number, roll: number): void;

    function SetTrackableMaterialTexture(whichTrackable: HandleHolder<"trackable">, textureName: string, materialId: number, textureIndex: number): void;

    function SetTrackableTexture(whichTrackable: HandleHolder<"trackable">, textureName: string, textureIndex: number): void;

    function SetTrackableReplaceableTexture(whichTrackable: HandleHolder<"trackable">, textureName: string, textureIndex: number): void;

    function GetTrackableModel(whichTrackable: HandleHolder<"trackable">): string;

    function SetTrackableModel(whichTrackable: HandleHolder<"trackable">, modelName: string): void;

    function SetTrackableModelEx(whichTrackable: HandleHolder<"trackable">, modelName: string, playerColour: number): void;

    function GetTrackableModelObjectX(whichTrackable: HandleHolder<"trackable">, whichObject: string): number;

    function GetTrackableModelObjectY(whichTrackable: HandleHolder<"trackable">, whichObject: string): number;

    function GetTrackableModelObjectZ(whichTrackable: HandleHolder<"trackable">, whichObject: string): number;

    function GetTrackableModelObjectPositionLoc(whichTrackable: HandleHolder<"trackable">, whichObject: string): HLocation;

    function GetTrackableCurrentAnimationId(whichTrackable: HandleHolder<"trackable">): number;

    function GetTrackableCurrentAnimationName(whichTrackable: HandleHolder<"trackable">): string;

    function SetTrackableAnimationWithRarityByIndex(whichTrackable: HandleHolder<"trackable">, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetTrackableAnimationWithRarity(whichTrackable: HandleHolder<"trackable">, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetTrackableAnimationByIndex(whichTrackable: HandleHolder<"trackable">, animIndex: number): void;

    function SetTrackableAnimation(whichTrackable: HandleHolder<"trackable">, animationName: string): void;

    function QueueTrackableAnimationByIndex(whichTrackable: HandleHolder<"trackable">, animIndex: number): void;

    function QueueTrackableAnimation(whichTrackable: HandleHolder<"trackable">, animationName: string): void;

    function GetTrackableAnimationOffsetPercent(whichTrackable: HandleHolder<"trackable">): number;

    function SetTrackableAnimationOffsetPercent(whichTrackable: HandleHolder<"trackable">, percent: number): void;

    function GetTriggerTrackable(): HandleHolder<"trackable">;

    function GetFilterTrackable(): HandleHolder<"trackable">;

    function GetEnumTrackable(): HandleHolder<"trackable">;

    function EnumTrackablesInRange(x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function GetWidgetSprite(whichWidget: Widget): HandleHolder<"sprite">;

    function GetWidgetTypeId(whichWidget: Widget): number;

    function IsWidgetTipEnabled(): boolean;

    function SetWidgetTipEnabled(enable: boolean): void;

    function IsWidgetVisible(whichWidget: Widget): boolean;

    function SetWidgetVisible(whichWidget: Widget, visible: boolean): void;

    function IsWidgetInvulnerable(whichWidget: Widget): boolean;

    function SetWidgetInvulnerable(whichWidget: Widget, invulnerable: boolean): void;

    function IsWidgetTargetAllowed(whichWidget: Widget, target: Widget, whichFlags: HandleHolder<"targetflag">): boolean;

    function GetWidgetPositionLoc(whichWidget: Widget): HLocation;

    function SetWidgetPositionLoc(whichWidget: Widget, whichLocation: HLocation): void;

    function SetWidgetPosition(whichWidget: Widget, x: number, y: number): void;

    function SetWidgetX(whichWidget: Widget, x: number): void;

    function SetWidgetY(whichWidget: Widget, y: number): void;

    function GetWidgetScreenX(whichWidget: Widget): number;

    function GetWidgetScreenY(whichWidget: Widget): number;

    function GetWidgetVertexColour(whichWidget: Widget): number;

    function SetWidgetVertexColour(whichWidget: Widget, red: number, green: number, blue: number, alpha: number): void;

    function GetWidgetTimeScale(whichWidget: Widget): number;

    function SetWidgetTimeScale(whichWidget: Widget, timeScale: number): void;

    function GetWidgetScale(whichWidget: Widget): number;

    function SetWidgetScale(whichWidget: Widget, scale: number): void;

    function GetWidgetFacing(whichWidget: Widget): number;

    function SetWidgetFacing(whichWidget: Widget, facing: number, isInstant: boolean): void;

    function SetWidgetMatrixScale(whichWidget: Widget, x: number, y: number, z: number): void;

    function ResetWidgetMatrix(whichWidget: Widget): void;

    function SetWidgetOrientationEx(whichWidget: Widget, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function SetWidgetOrientation(whichWidget: Widget, yaw: number, pitch: number, roll: number): void;

    function GetWidgetYaw(whichWidget: Widget): number;

    function SetWidgetYaw(whichWidget: Widget, yaw: number): void;

    function GetWidgetPitch(whichWidget: Widget): number;

    function SetWidgetPitch(whichWidget: Widget, pitch: number): void;

    function GetWidgetRoll(whichWidget: Widget): number;

    function SetWidgetRoll(whichWidget: Widget, roll: number): void;

    function GetWidgetModel(whichWidget: Widget): string;

    function SetWidgetModel(whichWidget: Widget, modelFile: string): void;

    function SetWidgetModelEx(whichWidget: Widget, modelFile: string, playerId: number): void;

    function SetWidgetMaterialTexture(whichWidget: Widget, textureName: string, materialId: number, textureIndex: number): void;

    function SetWidgetTexture(whichWidget: Widget, textureName: string, textureIndex: number): void;

    function SetWidgetReplaceableTexture(whichWidget: Widget, textureName: string, textureIndex: number): void;

    function GetWidgetModelObjectX(whichWidget: Widget, whichObject: string): number;

    function GetWidgetModelObjectY(whichWidget: Widget, whichObject: string): number;

    function GetWidgetModelObjectZ(whichWidget: Widget, whichObject: string): number;

    function GetWidgetModelObjectPositionLoc(whichWidget: Widget, whichObject: string): HLocation;

    function GetWidgetCurrentAnimationId(whichWidget: Widget): number;

    function GetWidgetCurrentAnimationName(whichWidget: Widget): string;

    function SetWidgetAnimationWithRarityByIndex(whichWidget: Widget, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetWidgetAnimationWithRarity(whichWidget: Widget, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetWidgetAnimationByIndex(whichWidget: Widget, animIndex: number): void;

    function SetWidgetAnimation(whichWidget: Widget, animationName: string): void;

    function QueueWidgetAnimationByIndex(whichWidget: Widget, animIndex: number): void;

    function QueueWidgetAnimation(whichWidget: Widget, animationName: string): void;

    function GetWidgetAnimationOffsetPercent(whichWidget: Widget): number;

    function SetWidgetAnimationOffsetPercent(whichWidget: Widget, percent: number): void;

    function TriggerRegisterWidgetEvent(whichTrigger: HTrigger, whichWidget: Widget, whichWidgetEvent: HandleHolder<"widgetevent">): HEvent;

    function GetDestructableVariation(whichDestructable: Destructable): number;

    function SetDestructableVariation(whichDestructable: Destructable, variation: number): void;

    function SetDestructableVariationEx(whichDestructable: Destructable, variation: number, ignoreStateCheck: boolean): void;

    function IsDestructableBlighted(whichDestructable: Destructable): boolean;

    function SetDestructableBlighted(whichDestructable: Destructable, flag: boolean): void;

    function GetDestructableSprite(whichDestructable: Destructable): HandleHolder<"sprite">;

    function SetDestructablePositionWithZ(whichDestructable: Destructable, x: number, y: number, z: number): void;

    function SetDestructablePosition(whichDestructable: Destructable, x: number, y: number): void;

    function GetDestructablePositionLoc(whichDestructable: Destructable): HLocation;

    function SetDestructablePositionLoc(whichDestructable: Destructable, whichLocation: HLocation): void;

    function SetDestructableX(whichDestructable: Destructable, x: number): void;

    function SetDestructableY(whichDestructable: Destructable, y: number): void;

    function SetDestructableZ(whichDestructable: Destructable, z: number): void;

    function GetDestructableScreenX(whichDestructable: Destructable): number;

    function GetDestructableScreenY(whichDestructable: Destructable): number;

    function GetDestructableVertexColour(whichDestructable: Destructable): number;

    function SetDestructableVertexColour(whichDestructable: Destructable, red: number, green: number, blue: number, alpha: number): void;

    function GetDestructableTimeScale(whichDestructable: Destructable): number;

    function SetDestructableTimeScale(whichDestructable: Destructable, timeScale: number): void;

    function GetDestructableScale(whichDestructable: Destructable): number;

    function SetDestructableScale(whichDestructable: Destructable, scale: number): void;

    function GetDestructableFacing(whichDestructable: Destructable): number;

    function SetDestructableFacing(whichDestructable: Destructable, facing: number, isInstant: boolean): void;

    function SetDestructableMatrixScale(whichDestructable: Destructable, x: number, y: number, z: number): void;

    function ResetDestructableMatrix(whichDestructable: Destructable): void;

    function SetDestructableOrientationEx(whichDestructable: Destructable, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function SetDestructableOrientation(whichDestructable: Destructable, yaw: number, pitch: number, roll: number): void;

    function GetDestructableYaw(whichDestructable: Destructable): number;

    function SetDestructableYaw(whichDestructable: Destructable, yaw: number): void;

    function GetDestructablePitch(whichDestructable: Destructable): number;

    function SetDestructablePitch(whichDestructable: Destructable, pitch: number): void;

    function GetDestructableRoll(whichDestructable: Destructable): number;

    function SetDestructableRoll(whichDestructable: Destructable, roll: number): void;

    function GetDestructableModel(whichDestructable: Destructable): string;

    function SetDestructableModel(whichDestructable: Destructable, modelFile: string): void;

    function SetDestructableModelEx(whichDestructable: Destructable, modelFile: string, playerId: number): void;

    function SetDestructableMaterialTexture(whichDestructable: Destructable, textureName: string, materialId: number, textureIndex: number): void;

    function SetDestructableTexture(whichDestructable: Destructable, textureName: string, textureIndex: number): void;

    function SetDestructableReplaceableTexture(whichDestructable: Destructable, textureName: string, textureIndex: number): void;

    function GetDestructableModelObjectX(whichDestructable: Destructable, whichObject: string): number;

    function GetDestructableModelObjectY(whichDestructable: Destructable, whichObject: string): number;

    function GetDestructableModelObjectZ(whichDestructable: Destructable, whichObject: string): number;

    function GetDestructableModelObjectPositionLoc(whichDestructable: Destructable, whichObject: string): HLocation;

    function GetDestructableCurrentAnimationId(whichDestructable: Destructable): number;

    function GetDestructableCurrentAnimationName(whichDestructable: Destructable): string;

    function SetDestructableAnimationWithRarityByIndex(whichDestructable: Destructable, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetDestructableAnimationWithRarity(whichDestructable: Destructable, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetDestructableAnimationByIndex(whichDestructable: Destructable, animIndex: number): void;

    function QueueDestructableAnimationByIndex(whichDestructable: Destructable, animIndex: number): void;

    function GetDestructableAnimationOffsetPercent(whichDestructable: Destructable): number;

    function SetDestructableAnimationOffsetPercent(whichDestructable: Destructable, percent: number): void;

    function EnumDestructablesInRange(x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function GetBaseItemIntegerFieldById(itemId: number, whichField: HandleHolder<"itemintegerfield">): number;

    function SetBaseItemIntegerFieldById(itemId: number, whichField: HandleHolder<"itemintegerfield">, value: number): boolean;

    function GetBaseItemBooleanFieldById(itemId: number, whichField: HandleHolder<"itembooleanfield">): boolean;

    function SetBaseItemBooleanFieldById(itemId: number, whichField: HandleHolder<"itembooleanfield">, value: boolean): boolean;

    function GetBaseItemRealFieldById(itemId: number, whichField: HandleHolder<"itemrealfield">): number;

    function SetBaseItemRealFieldById(itemId: number, whichField: HandleHolder<"itemrealfield">, value: number): boolean;

    function GetBaseItemStringFieldById(itemId: number, whichField: HandleHolder<"itemstringfield">): string;

    function SetBaseItemStringFieldById(itemId: number, whichField: HandleHolder<"itemstringfield">, value: string): boolean;

    function GetItemIntegerField(whichItem: Item, whichField: HandleHolder<"itemintegerfield">): number;

    function SetItemIntegerField(whichItem: Item, whichField: HandleHolder<"itemintegerfield">, value: number): boolean;

    function GetItemBooleanField(whichItem: Item, whichField: HandleHolder<"itembooleanfield">): boolean;

    function SetItemBooleanField(whichItem: Item, whichField: HandleHolder<"itembooleanfield">, value: boolean): boolean;

    function GetItemRealField(whichItem: Item, whichField: HandleHolder<"itemrealfield">): number;

    function SetItemRealField(whichItem: Item, whichField: HandleHolder<"itemrealfield">, value: number): boolean;

    function GetItemStringField(whichItem: Item, whichField: HandleHolder<"itemstringfield">): string;

    function SetItemStringField(whichItem: Item, whichField: HandleHolder<"itemstringfield">, value: string): boolean;

    function GetItemSprite(whichItem: Item): HandleHolder<"sprite">;

    function GetItemScreenX(whichItem: Item): number;

    function GetItemScreenY(whichItem: Item): number;

    function GetItemLife(whichItem: Item): number;

    function SetItemLife(whichItem: Item, life: number): void;

    function GetItemMaxLife(whichItem: Item): number;

    function SetItemMaxLife(whichItem: Item, maxLife: number): void;

    function GetItemAbility(whichItem: Item, abilityId: number): HandleHolder<"ability">;

    function GetItemAbilityByIndex(whichItem: Item, abilityIndex: number): HandleHolder<"ability">;

    function GetItemCooldown(whichItem: Item): number;

    function SetItemCooldown(whichItem: Item, cooldown: number): void;

    function StartItemCooldown(whichUnit: Unit, whichItem: Item, cooldown: number): void;

    function GetItemRemainingCooldown(whichItem: Item): number;

    function SetItemRemainingCooldown(whichItem: Item, cooldown: number): void;

    function GetItemVertexColour(whichItem: Item): number;

    function SetItemVertexColour(whichItem: Item, red: number, green: number, blue: number, alpha: number): void;

    function GetItemTimeScale(whichItem: Item): number;

    function SetItemTimeScale(whichItem: Item, timeScale: number): void;

    function GetItemScale(whichItem: Item): number;

    function SetItemScale(whichItem: Item, scale: number): void;

    function GetItemFacing(whichItem: Item): number;

    function SetItemFacing(whichItem: Item, facing: number, isInstant: boolean): void;

    function SetItemMatrixScale(whichItem: Item, x: number, y: number, z: number): void;

    function ResetItemMatrix(whichItem: Item): void;

    function SetItemOrientationEx(whichItem: Item, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function SetItemOrientation(whichItem: Item, yaw: number, pitch: number, roll: number): void;

    function GetItemYaw(whichItem: Item): number;

    function SetItemYaw(whichItem: Item, yaw: number): void;

    function GetItemPitch(whichItem: Item): number;

    function SetItemPitch(whichItem: Item, pitch: number): void;

    function GetItemRoll(whichItem: Item): number;

    function SetItemRoll(whichItem: Item, roll: number): void;

    function GetItemModel(whichItem: Item): string;

    function SetItemModel(whichItem: Item, modelFile: string): void;

    function SetItemModelEx(whichItem: Item, modelFile: string, playerColourId: number): void;

    function SetItemMaterialTexture(whichItem: Item, textureName: string, materialId: number, textureIndex: number): void;

    function SetItemTexture(whichItem: Item, textureName: string, textureIndex: number): void;

    function SetItemReplaceableTexture(whichItem: Item, textureName: string, textureIndex: number): void;

    function GetItemModelObjectX(whichItem: Item, whichObject: string): number;

    function GetItemModelObjectY(whichItem: Item, whichObject: string): number;

    function GetItemModelObjectZ(whichItem: Item, whichObject: string): number;

    function GetItemModelObjectPositionLoc(whichItem: Item, whichObject: string): HLocation;

    function GetItemCurrentAnimationId(whichItem: Item): number;

    function GetItemCurrentAnimationName(whichItem: Item): string;

    function SetItemAnimationWithRarityByIndex(whichItem: Item, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetItemAnimationWithRarity(whichItem: Item, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetItemAnimationByIndex(whichItem: Item, animIndex: number): void;

    function SetItemAnimation(whichItem: Item, animationName: string): void;

    function QueueItemAnimationByIndex(whichItem: Item, animIndex: number): void;

    function QueueItemAnimation(whichItem: Item, animationName: string): void;

    function GetItemAnimationOffsetPercent(whichItem: Item): number;

    function SetItemAnimationOffsetPercent(whichItem: Item, percent: number): void;

    function EnumItemsInRange(x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function GetUnitBaseIntegerFieldById(unitTypeId: number, whichField: HandleHolder<"unitintegerfield">): number;

    function SetUnitBaseIntegerFieldById(unitTypeId: number, whichField: HandleHolder<"unitintegerfield">, value: number): boolean;

    function GetUnitBaseBooleanFieldById(unitTypeId: number, whichField: HandleHolder<"unitbooleanfield">): boolean;

    function SetUnitBaseBooleanFieldById(unitTypeId: number, whichField: HandleHolder<"unitbooleanfield">, value: boolean): boolean;

    function GetUnitBaseRealFieldById(unitTypeId: number, whichField: HandleHolder<"unitrealfield">): number;

    function SetUnitBaseRealFieldById(unitTypeId: number, whichField: HandleHolder<"unitrealfield">, value: number): boolean;

    function GetUnitBaseStringFieldById(unitTypeId: number, whichField: HandleHolder<"unitstringfield">): string;

    function SetUnitBaseStringFieldById(unitTypeId: number, whichField: HandleHolder<"unitstringfield">, value: string): boolean;

    function GetUnitBaseWeaponIntegerFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponintegerfield">, index: number): number;

    function SetUnitBaseWeaponIntegerFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponintegerfield">, index: number, value: number): boolean;

    function GetUnitBaseWeaponBooleanFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponbooleanfield">, index: number): boolean;

    function SetUnitBaseWeaponBooleanFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponbooleanfield">, index: number, value: boolean): boolean;

    function GetUnitBaseWeaponRealFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponrealfield">, index: number): number;

    function SetUnitBaseWeaponRealFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponrealfield">, index: number, value: number): boolean;

    function GetUnitBaseWeaponStringFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponstringfield">, index: number): string;

    function SetUnitBaseWeaponStringFieldById(unitTypeId: number, whichField: HandleHolder<"unitweaponstringfield">, index: number, value: string): boolean;

    function GetUnitIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitintegerfield">): number;

    function SetUnitIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitintegerfield">, value: number): boolean;

    function GetUnitBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitbooleanfield">): boolean;

    function SetUnitBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitbooleanfield">, value: boolean): boolean;

    function GetUnitRealField(whichUnit: Unit, whichField: HandleHolder<"unitrealfield">): number;

    function SetUnitRealField(whichUnit: Unit, whichField: HandleHolder<"unitrealfield">, value: number): boolean;

    function GetUnitStringField(whichUnit: Unit, whichField: HandleHolder<"unitstringfield">): string;

    function SetUnitStringField(whichUnit: Unit, whichField: HandleHolder<"unitstringfield">, value: string): boolean;

    function GetUnitWeaponIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitweaponintegerfield">, index: number): number;

    function SetUnitWeaponIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitweaponintegerfield">, index: number, value: number): boolean;

    function GetUnitWeaponBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitweaponbooleanfield">, index: number): boolean;

    function SetUnitWeaponBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitweaponbooleanfield">, index: number, value: boolean): boolean;

    function GetUnitWeaponRealField(whichUnit: Unit, whichField: HandleHolder<"unitweaponrealfield">, index: number): number;

    function SetUnitWeaponRealField(whichUnit: Unit, whichField: HandleHolder<"unitweaponrealfield">, index: number, value: number): boolean;

    function GetUnitWeaponStringField(whichUnit: Unit, whichField: HandleHolder<"unitweaponstringfield">, index: number): string;

    function SetUnitWeaponStringField(whichUnit: Unit, whichField: HandleHolder<"unitweaponstringfield">, index: number, value: string): boolean;

    function GetUnitSprite(whichUnit: Unit): HandleHolder<"sprite">;

    function GetUnitScreenX(whichUnit: Unit): number;

    function GetUnitScreenY(whichUnit: Unit): number;

    function SetUnitTypeId(whichUnit: Unit, newId: number): void;

    function GetUnitUnderCursor(): Unit;

    function GetUnitSelectedCountByPlayer(whichPlayer: Player): number;

    function GetUnitSelected(whichPlayer: Player): Unit;

    function GetUnitInSelectionByIndex(whichPlayer: Player, index: number): Unit;

    function GetFirstUnitInSelection(whichPlayer: Player): Unit;

    function GetLastUnitInSelection(whichPlayer: Player): Unit;

    function IsUnitAlive(whichUnit: Unit): boolean;

    function IsUnitDead(whichUnit: Unit): boolean;

    function IsUnitMoving(whichUnit: Unit): boolean;

    function IsUnitStunned(whichUnit: Unit): boolean;

    function IsUnitInvulnerable(whichUnit: Unit): boolean;

    function IsUnitHero(whichUnit: Unit): boolean;

    function IsUnitTower(whichUnit: Unit): boolean;

    function IsUnitShop(whichUnit: Unit): boolean;

    function IsUnitInventoryEnabled(whichUnit: Unit): boolean;

    function UnitEnableInventory(whichUnit: Unit, enable: boolean, ignoreErrorMessages: boolean): void;

    function IsUnitMovementEnabled(whichUnit: Unit): boolean;

    function UnitEnableMovement(whichUnit: Unit, enable: boolean, fullDisable: boolean): void;

    function IsUnitAttackEnabled(whichUnit: Unit): boolean;

    function UnitEnableAttack(whichUnit: Unit, enable: boolean, extraFlag: boolean): void;

    function IsUnitStateNormal(whichUnit: Unit, additionalCheck: boolean): boolean;

    function RedrawUnit(whichUnit: Unit): void;

    function UpdateUnitInfoBar(whichUnit: Unit): void;

    function UnitUnapplyUpgrades(whichUnit: Unit): void;

    function UnitApplyUpgrades(whichUnit: Unit): void;

    function GetUnitAbility(whichUnit: Unit, aid: number): HandleHolder<"ability">;

    function GetUnitAbilityByIndex(whichUnit: Unit, index: number): HandleHolder<"ability">;

    function UnitAddAbilityEx(whichUnit: Unit, abilityId: number, checkForDuplicates: boolean): boolean;

    function UnitRemoveAbilityEx(whichUnit: Unit, abilityId: number, removeDuplicates: boolean): boolean;

    function IsUnitAbilityVisible(whichUnit: Unit, abilityId: number): boolean;

    function ShowUnitAbility(whichUnit: Unit, abilityId: number, show: boolean): void;

    function ShowUnitAbilityEx(whichUnit: Unit, abilityId: number, show: boolean, checkDuplicates: boolean): void;

    function DisableUnitAbility(whichUnit: Unit, abilityId: number, hide: boolean, disable: boolean): void;

    function DisableUnitAbilityEx(whichUnit: Unit, abilityId: number, hide: boolean, disable: boolean, checkDuplicates: boolean): void;

    function EnableUnitAbility(whichUnit: Unit, abilityId: number, show: boolean, enable: boolean): void;

    function EnableUnitAbilityEx(whichUnit: Unit, abilityId: number, show: boolean, enable: boolean, checkDuplicates: boolean): void;

    function UnitAddBuff(whichUnit: Unit, whichBuff: HandleHolder<"buff">): boolean;

    function UnitAddBuffEx(whichUnit: Unit, whichBuff: HandleHolder<"buff">, checkForDuplicates: boolean): boolean;

    function UnitAddBuffById(whichUnit: Unit, buffId: number): boolean;

    function UnitAddBuffByIdEx(whichUnit: Unit, buffId: number, checkForDuplicates: boolean): boolean;

    function GetUnitBuff(whichUnit: Unit, buffId: number): HandleHolder<"buff">;

    function GetUnitBuffByIndex(whichUnit: Unit, index: number): HandleHolder<"buff">;

    function GetUnitBuffLevel(whichUnit: Unit, buffId: number): number;

    function UnitCancelTimedLife(whichUnit: Unit): void;

    function GetUnitRemainingTimedLife(whichUnit: Unit): number;

    function SetUnitRemainingTimedLife(whichUnit: Unit, duration: number): void;

    function IsUnitSelectable(whichUnit: Unit): boolean;

    function SetUnitSelectable(whichUnit: Unit, selectable: boolean): void;

    function IsUnitTargetable(whichUnit: Unit): boolean;

    function SetUnitTargetable(whichUnit: Unit, targetable: boolean): void;

    function IsUnitTruesightImmune(whichUnit: Unit): boolean;

    function SetUnitTruesightImmuneState(whichUnit: Unit, state: boolean): void;

    function SetUnitVisibleByPlayer(whichUnit: Unit, whichPlayer: Player, flag: boolean): void;

    function SetUnitDetectableByPlayer(whichUnit: Unit, whichPlayer: Player, flag: boolean): void;

    function GetUnitZ(whichUnit: Unit): number;

    function GetUnitDamageReduction(whichUnit: Unit): number;

    function GetUnitMagicResistByType(whichUnit: Unit, resistType: number): number;

    function GetUnitEluneMagicResist(whichUnit: Unit): number;

    function GetUnitRunicMagicResist(whichUnit: Unit): number;

    function GetUnitTotalMagicResist(whichUnit: Unit): number;

    function IsUnitGatherer(whichUnit: Unit): boolean;

    function GetUnitCurrentResources(whichUnit: Unit): number;

    function GetUnitCurrentSight(whichUnit: Unit): number;

    function SetUnitCurrentSight(whichUnit: Unit, realValue: number): void;

    function GetUnitAttackRemainingCooldown(whichUnit: Unit): number;

    function SetUnitAttackRemainingCooldown(whichUnit: Unit, time: number): void;

    function GetUnitAttackRemainingDamagePoint(whichUnit: Unit): number;

    function SetUnitAttackRemainingDamagePoint(whichUnit: Unit, time: number): void;

    function GetUnitAttackRemainingBackswing(whichUnit: Unit): number;

    function SetUnitAttackRemainingBackswing(whichUnit: Unit, time: number): void;

    function UnitAttackTarget(whichUnit: Unit, whichTarget: Widget, ignoreDistance: boolean, isInstant: boolean): void;

    function UnitAttackTargetPointZ(whichUnit: Unit, x: number, y: number, z: number, ignoreDistance: boolean, isInstant: boolean): void;

    function UnitAttackTargetPoint(whichUnit: Unit, x: number, y: number, ignoreDistance: boolean, isInstant: boolean): void;

    function UnitAttackTargetPointLoc(whichUnit: Unit, whichLocation: HLocation, ignoreDistance: boolean, isInstant: boolean): void;

    function UnitAttackCancel(whichUnit: Unit): boolean;

    function UnitAttackRestart(whichUnit: Unit): boolean;

    function UnitAttackFinish(whichUnit: Unit): boolean;

    function GetUnitAttackTypeByIndex(whichUnit: Unit, attackIndex: number): HandleHolder<"attacktype">;

    function SetUnitAttackTypeByIndex(whichUnit: Unit, attackIndex: number, whichAttackType: HandleHolder<"attacktype">): void;

    function GetUnitWeaponTypeByIndex(whichUnit: Unit, attackIndex: number): HandleHolder<"weapontype">;

    function SetUnitWeaponTypeByIndex(whichUnit: Unit, attackIndex: number, whichWeaponType: HandleHolder<"weapontype">): void;

    function GetUnitWeaponSoundByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitWeaponSoundByIndex(whichUnit: Unit, attackIndex: number, weaponSound: number): void;

    function GetUnitBaseDamageByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitBaseDamageByIndex(whichUnit: Unit, attackIndex: number, damage: number): void;

    function GetUnitBonusDamageByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitBonusDamageByIndex(whichUnit: Unit, attackIndex: number, bonusDamage: number): void;

    function GetUnitDamageDicesSideByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitDamageDicesSideByIndex(whichUnit: Unit, attackIndex: number, dicesSides: number): void;

    function GetUnitDamageDicesByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitDamageDicesByIndex(whichUnit: Unit, attackIndex: number, dices: number): void;

    function GetUnitMinimumDamageByIndex(whichUnit: Unit, attackIndex: number): number;

    function GetUnitMaximumDamageByIndex(whichUnit: Unit, attackIndex: number): number;

    function GetUnitAttackRangeByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitAttackRangeByIndex(whichUnit: Unit, attackIndex: number, range: number): void;

    function GetUnitAttackSpeed(whichUnit: Unit): number;

    function SetUnitAttackSpeed(whichUnit: Unit, attackSpeed: number): void;

    function GetUnitAttackCooldownByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitAttackCooldownByIndex(whichUnit: Unit, attackIndex: number, attackCooldown: number): void;

    function GetUnitBackswingPointByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitBackswingPointByIndex(whichUnit: Unit, attackIndex: number, backswing: number): void;

    function GetUnitDamagePointByIndex(whichUnit: Unit, attackIndex: number): number;

    function SetUnitDamagePointByIndex(whichUnit: Unit, attackIndex: number, damagePoint: number): void;

    function GetUnitAttacksEnabledIndex(whichUnit: Unit): number;

    function GetUnitArmourType(whichUnit: Unit): HandleHolder<"defensetype">;

    function SetUnitArmourType(whichUnit: Unit, whichArmour: HandleHolder<"defensetype">): void;

    function GetUnitArmour(whichUnit: Unit): number;

    function SetUnitArmour(whichUnit: Unit, armour: number): void;

    function GetUnitTimeScale(whichUnit: Unit): number;

    function GetUnitBaseMoveSpeed(whichUnit: Unit): number;

    function SetUnitBaseMoveSpeed(whichUnit: Unit, baseMoveSpeed: number): void;

    function GetUnitTotalMoveSpeed(whichUnit: Unit): number;

    function GetUnitBonusMoveSpeedPercent(whichUnit: Unit): number;

    function SetUnitBonusMoveSpeedPercent(whichUnit: Unit, bonusMoveSpeedPercent: number): void;

    function GetUnitVertexColour(whichUnit: Unit): number;

    function GetUnitCurrentLife(whichUnit: Unit): number;

    function SetUnitCurrentLife(whichUnit: Unit, life: number): void;

    function GetUnitMaxLife(whichUnit: Unit): number;

    function SetUnitMaxLife(whichUnit: Unit, maxLife: number): void;

    function GetUnitLifeRegen(whichUnit: Unit): number;

    function SetUnitLifeRegen(whichUnit: Unit, lifeRegen: number): void;

    function GetUnitCurrentMana(whichUnit: Unit): number;

    function SetUnitCurrentMana(whichUnit: Unit, mana: number): void;

    function GetUnitMaxMana(whichUnit: Unit): number;

    function SetUnitMaxMana(whichUnit: Unit, maxMana: number): void;

    function GetUnitManaRegen(whichUnit: Unit): number;

    function SetUnitManaRegen(whichUnit: Unit, manaRegen: number): void;

    function GetUnitPrimaryStat(whichUnit: Unit): HandleHolder<"heroattribute">;

    function SetUnitPrimaryStat(whichUnit: Unit, whichHeroAttribute: HandleHolder<"heroattribute">): void;

    function GetUnitModel(whichUnit: Unit): string;

    function SetUnitModel(whichUnit: Unit, modelName: string): void;

    function SetUnitModelEx(whichUnit: Unit, modelName: string, playercolourId: number): void;

    function SetUnitMaterialTexture(whichUnit: Unit, textureName: string, materialId: number, textureIndex: number): void;

    function SetUnitTexture(whichUnit: Unit, textureName: string, textureIndex: number): void;

    function SetUnitReplaceableTexture(whichUnit: Unit, textureName: string, textureIndex: number): void;

    function GetUnitCollisionType(whichUnit: Unit): HandleHolder<"collisiontype">;

    function SetUnitCollisionType(whichUnit: Unit, collisionType: HandleHolder<"collisiontype">): void;

    function GetUnitPathingAIType(whichUnit: Unit): HandleHolder<"pathingaitype">;

    function SetUnitPathingAIType(whichUnit: Unit, pathingAIType: HandleHolder<"pathingaitype">): void;

    function GetUnitPathingType(whichUnit: Unit): HandleHolder<"pathingtype">;

    function SetUnitPathingType(whichUnit: Unit, pathingType: HandleHolder<"pathingtype">): void;

    function GetUnitItemSlots(whichUnit: Unit): number;

    function SetUnitItemSlots(whichUnit: Unit, itemSlots: number): void;

    function SetUnitFacingEx(whichUnit: Unit, facing: number, isInstant: boolean): void;

    function SetUnitFacingInstant(whichUnit: Unit, facing: number): void;

    function GetUnitMinimapX(whichUnit: Unit): number;

    function GetUnitMinimapY(whichUnit: Unit): number;

    function GetUnitRallyPointX(whichUnit: Unit): number;

    function GetUnitRallyPointY(whichUnit: Unit): number;

    function GetHeroMaxLevelExperienceNeeded(whichUnit: Unit): number;

    function GetHeroExperienceNeeded(whichUnit: Unit, forLevel: number): number;

    function UnitApplySilence(whichUnit: Unit, state: boolean): void;

    function UnitDisableAbilities(whichUnit: Unit, state: boolean): void;

    function PauseUnitEx(whichUnit: Unit, pause: boolean): void;

    function SetUnitStunned(whichUnit: Unit, state: boolean): void;

    function GetUnitStunCounter(whichUnit: Unit): number;

    function SetUnitStunCounter(whichUnit: Unit, stunCounter: number): void;

    function SetUnitKiller(whichUnit: Unit, killer: Unit): void;

    function KillUnitEx(whichUnit: Unit, killer: Unit): void;

    function GetUnitTarget(whichUnit: Unit): Widget;

    function GetUnitTargetUnit(whichUnit: Unit): Unit;

    function GetUnitTargetItem(whichUnit: Unit): Item;

    function GetUnitTargetDestructable(whichUnit: Unit): Destructable;

    function MorphUnitToTypeIdEx(whichUnit: Unit, uid: number, unitFlags: number, updateHealthState: boolean, updateManaState: boolean, healthStateId: number, manaStateId: number, updateScale: boolean, replaceAbilities: boolean, whichAbility: HandleHolder<"ability">, resetBuildingAnimation: boolean): void;

    function MorphUnitToTypeId(whichUnit: Unit, uid: number): void;

    function GetUnitModelObjectX(whichUnit: Unit, whichObject: string): number;

    function GetUnitModelObjectY(whichUnit: Unit, whichObject: string): number;

    function GetUnitModelObjectZ(whichUnit: Unit, whichObject: string): number;

    function GetUnitModelObjectPositionLoc(whichUnit: Unit, whichObject: string): HLocation;

    function GetUnitCurrentAnimationId(whichUnit: Unit): number;

    function GetUnitCurrentAnimationName(whichUnit: Unit): string;

    function GetUnitAnimationOffsetPercent(whichUnit: Unit): number;

    function SetUnitAnimationOffsetPercent(whichUnit: Unit, percent: number): void;

    function IsUnitAutoOrientationEnabled(whichUnit: Unit): boolean;

    function UnitEnableAutoOrientation(whichUnit: Unit, enable: boolean): void;

    function GetUnitYaw(whichUnit: Unit): number;

    function SetUnitYaw(whichUnit: Unit, yaw: number): void;

    function GetUnitPitch(whichUnit: Unit): number;

    function SetUnitPitch(whichUnit: Unit, pitch: number): void;

    function GetUnitRoll(whichUnit: Unit): number;

    function SetUnitRoll(whichUnit: Unit, roll: number): void;

    function SetUnitMatrixScale(whichUnit: Unit, x: number, y: number, z: number): void;

    function ResetUnitMatrix(whichUnit: Unit): void;

    function SetUnitOrientationEx(whichUnit: Unit, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function SetUnitOrientation(whichUnit: Unit, yaw: number, pitch: number, roll: number): void;

    function CreateBuilding(whichPlayer: Player, unitTypeId: number, x: number, y: number, facing: number): Unit;

    function CreateBuildingEx(whichPlayer: Player, unitTypeId: number, x: number, y: number, facing: number, isAutoBuild: boolean, workersCanAssist: boolean): Unit;

    function UnitGetConstructionProgress(whichUnit: Unit): number;

    function UnitGetConstructionRemainingTime(whichUnit: Unit): number;

    function UnitSetConstructionRemainingTime(whichUnit: Unit, time: number): void;

    function UnitGetUpgradeProgress(whichUnit: Unit): number;

    function UnitGetUpgradeRemainingTime(whichUnit: Unit): number;

    function UnitSetUpgradeRemainingTime(whichUnit: Unit, time: number): void;

    function CreateIllusion(whichPlayer: Player, unitTypeId: number, x: number, y: number, facing: number): Unit;

    function CreateIllusionAtLoc(whichPlayer: Player, unitTypeId: number, whichLocation: HLocation, facing: number): Unit;

    function CreateIllusionFromUnit(whichUnit: Unit): Unit;

    function CreateIllusionFromUnitEx(whichUnit: Unit, copyPassives: boolean): Unit;

    function GetIllusionDamageDealt(whichUnit: Unit): number;

    function SetIllusionDamageDealt(whichUnit: Unit, multiplier: number): void;

    function GetIllusionDamageReceived(whichUnit: Unit): number;

    function SetIllusionDamageReceived(whichUnit: Unit, multiplier: number): void;

    function QueueImmediateOrderById(whichUnit: Unit, order: number): boolean;

    function QueuePointOrderById(whichUnit: Unit, order: number, x: number, y: number): boolean;

    function QueueTargetOrderById(whichUnit: Unit, order: number, targetWidget: Widget): boolean;

    function QueueInstantPointOrderById(whichUnit: Unit, order: number, x: number, y: number, instantTargetWidget: Widget): boolean;

    function QueueInstantTargetOrderById(whichUnit: Unit, order: number, targetWidget: Widget, instantTargetWidget: Widget): boolean;

    function QueueBuildOrderById(whichPeon: Unit, unitId: number, x: number, y: number): boolean;

    function QueueNeutralImmediateOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number): boolean;

    function QueueNeutralPointOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number, x: number, y: number): boolean;

    function QueueNeutralTargetOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number, target: Widget): boolean;

    function GetUnitOrderCount(whichUnit: Unit): number;

    function GetUnitOrderIdByIndex(whichUnit: Unit, index: number): number;

    function UnitClearOrders(whichUnit: Unit, onlyQueued: boolean): void;

    function UnitForceStopOrder(whichUnit: Unit, clearQueue: boolean): void;

    function CreateProjectile(projectileTypeId: number): HandleHolder<"projectile">;

    function CreateProjectileEx(owner: Unit, projectileTypeId: number, attackIndex: number): HandleHolder<"projectile">;

    function SetProjectileUnitData(whichProjectile: HandleHolder<"projectile">, owner: Unit, attackIndex: number): void;

    function KillProjectile(whichProjectile: HandleHolder<"projectile">): void;

    function RemoveProjectile(whichProjectile: HandleHolder<"projectile">): void;

    function LaunchProjectile(whichProjectile: HandleHolder<"projectile">): void;

    function LaunchProjectileTarget(whichProjectile: HandleHolder<"projectile">, whichWidget: Widget): void;

    function LaunchProjectileAt(whichProjectile: HandleHolder<"projectile">, x: number, y: number, z: number): void;

    function GetProjectileSprite(whichProjectile: HandleHolder<"projectile">): HandleHolder<"sprite">;

    function IsProjectileType(whichProjectile: HandleHolder<"projectile">, whichType: HandleHolder<"projectiletype">): boolean;

    function IsProjectileAlive(whichProjectile: HandleHolder<"projectile">): boolean;

    function IsProjectileVisible(whichProjectile: HandleHolder<"projectile">): boolean;

    function SetProjectileVisible(whichProjectile: HandleHolder<"projectile">, visibility: boolean): void;

    function GetProjectileX(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileX(whichProjectile: HandleHolder<"projectile">, x: number): void;

    function GetProjectileY(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileY(whichProjectile: HandleHolder<"projectile">, y: number): void;

    function GetProjectileZ(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileZ(whichProjectile: HandleHolder<"projectile">, z: number): void;

    function GetProjectileScreenX(whichProjectile: HandleHolder<"projectile">): number;

    function GetProjectileScreenY(whichProjectile: HandleHolder<"projectile">): number;

    function GetProjectileHeight(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileHeight(whichProjectile: HandleHolder<"projectile">, height: number): void;

    function GetProjectilePositionLoc(whichProjectile: HandleHolder<"projectile">): HLocation;

    function SetProjectilePositionWithZ(whichProjectile: HandleHolder<"projectile">, x: number, y: number, z: number): void;

    function SetProjectilePosition(whichProjectile: HandleHolder<"projectile">, x: number, y: number): void;

    function SetProjectilePositionLoc(whichProjectile: HandleHolder<"projectile">, loc: HLocation): void;

    function GetProjectileScale(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileScale(whichProjectile: HandleHolder<"projectile">, scale: number): void;

    function GetProjectileTimeScale(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileTimeScale(whichProjectile: HandleHolder<"projectile">, timescale: number): void;

    function SetProjectilePlayerColour(whichProjectile: HandleHolder<"projectile">, color: HandleHolder<"playercolor">): void;

    function GetProjectileColour(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileColour(whichProjectile: HandleHolder<"projectile">, colour: number): void;

    function SetProjectileAlpha(whichProjectile: HandleHolder<"projectile">, alpha: number): void;

    function SetProjectileVertexColour(whichProjectile: HandleHolder<"projectile">, red: number, green: number, blue: number, alpha: number): void;

    function SetProjectileMatrixScale(whichProjectile: HandleHolder<"projectile">, x: number, y: number, z: number): void;

    function ResetProjectileMatrix(whichProjectile: HandleHolder<"projectile">): void;

    function SetProjectileOrientationEx(whichProjectile: HandleHolder<"projectile">, yaw: number, pitch: number, roll: number, eulerOrder: number): void;

    function GetProjectileYaw(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileYaw(whichProjectile: HandleHolder<"projectile">, yaw: number): void;

    function GetProjectileFacing(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileFacing(whichProjectile: HandleHolder<"projectile">, facing: number): void;

    function GetProjectilePitch(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectilePitch(whichProjectile: HandleHolder<"projectile">, pitch: number): void;

    function GetProjectileRoll(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileRoll(whichProjectile: HandleHolder<"projectile">, roll: number): void;

    function SetProjectileOrientation(whichProjectile: HandleHolder<"projectile">, yaw: number, pitch: number, roll: number): void;

    function SetProjectileMaterialTexture(whichProjectile: HandleHolder<"projectile">, textureName: string, materialId: number, textureIndex: number): void;

    function SetProjectileTexture(whichProjectile: HandleHolder<"projectile">, textureName: string, textureIndex: number): void;

    function SetProjectileReplaceableTexture(whichProjectile: HandleHolder<"projectile">, textureName: string, textureIndex: number): void;

    function GetProjectileModel(whichProjectile: HandleHolder<"projectile">): string;

    function SetProjectileModel(whichProjectile: HandleHolder<"projectile">, modelName: string): void;

    function SetProjectileModelEx(whichProjectile: HandleHolder<"projectile">, modelName: string, playerColour: number): void;

    function GetProjectileModelObjectX(whichProjectile: HandleHolder<"projectile">, whichObject: string): number;

    function GetProjectileModelObjectY(whichProjectile: HandleHolder<"projectile">, whichObject: string): number;

    function GetProjectileModelObjectZ(whichProjectile: HandleHolder<"projectile">, whichObject: string): number;

    function GetProjectileModelObjectPositionLoc(whichProjectile: HandleHolder<"projectile">, whichObject: string): HLocation;

    function GetProjectileCurrentAnimationId(whichProjectile: HandleHolder<"projectile">): number;

    function GetProjectileCurrentAnimationName(whichProjectile: HandleHolder<"projectile">): string;

    function SetProjectileAnimationWithRarityByIndex(whichProjectile: HandleHolder<"projectile">, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetProjectileAnimationWithRarity(whichProjectile: HandleHolder<"projectile">, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetProjectileAnimationByIndex(whichProjectile: HandleHolder<"projectile">, animIndex: number): void;

    function SetProjectileAnimation(whichProjectile: HandleHolder<"projectile">, animationName: string): void;

    function QueueProjectileAnimationByIndex(whichProjectile: HandleHolder<"projectile">, animIndex: number): void;

    function QueueProjectileAnimation(whichProjectile: HandleHolder<"projectile">, animationName: string): void;

    function GetProjectileAnimationOffsetPercent(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileAnimationOffsetPercent(whichProjectile: HandleHolder<"projectile">, percent: number): void;

    function GetProjectileSource(whichProjectile: HandleHolder<"projectile">): Unit;

    function SetProjectileSource(whichProjectile: HandleHolder<"projectile">, whichUnit: Unit): void;

    function GetProjectileTargetX(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileTargetX(whichProjectile: HandleHolder<"projectile">, x: number): void;

    function GetProjectileTargetY(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileTargetY(whichProjectile: HandleHolder<"projectile">, y: number): void;

    function GetProjectileTargetZ(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileTargetZ(whichProjectile: HandleHolder<"projectile">, z: number): void;

    function GetProjectileTargetPositionLoc(whichProjectile: HandleHolder<"projectile">): HLocation;

    function SetProjectileTargetPositionLoc(whichProjectile: HandleHolder<"projectile">, loc: HLocation): void;

    function SetProjectileTargetPosition(whichProjectile: HandleHolder<"projectile">, x: number, y: number): void;

    function SetProjectileTargetPositionWithZ(whichProjectile: HandleHolder<"projectile">, x: number, y: number, z: number): void;

    function GetProjectileTarget(whichProjectile: HandleHolder<"projectile">): Widget;

    function GetProjectileTargetUnit(whichProjectile: HandleHolder<"projectile">): Unit;

    function GetProjectileTargetItem(whichProjectile: HandleHolder<"projectile">): Item;

    function GetProjectileTargetDestructable(whichProjectile: HandleHolder<"projectile">): Destructable;

    function SetProjectileTarget(whichProjectile: HandleHolder<"projectile">, whichWidget: Widget): void;

    function GetProjectileAttackType(whichProjectile: HandleHolder<"projectile">): HandleHolder<"attacktype">;

    function SetProjectileAttackType(whichProjectile: HandleHolder<"projectile">, whichAttackType: HandleHolder<"attacktype">): void;

    function GetProjectileDamage(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileDamage(whichProjectile: HandleHolder<"projectile">, damage: number): void;

    function GetProjectileAreaOfEffectFullDamage(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileAreaOfEffectFullDamage(whichProjectile: HandleHolder<"projectile">, area: number): void;

    function GetProjectileAreaOfEffectMediumDamage(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileAreaOfEffectMediumDamage(whichProjectile: HandleHolder<"projectile">, area: number): void;

    function GetProjectileAreaOfEffectSmallDamage(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileAreaOfEffectSmallDamage(whichProjectile: HandleHolder<"projectile">, area: number): void;

    function GetProjectileAreaOfEffectMediumDamageFactor(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileAreaOfEffectMediumDamageFactor(whichProjectile: HandleHolder<"projectile">, factor: number): void;

    function GetProjectileAreaOfEffectSmallDamageFactor(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileAreaOfEffectSmallDamageFactor(whichProjectile: HandleHolder<"projectile">, factor: number): void;

    function GetProjectileSpeed(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileSpeed(whichProjectile: HandleHolder<"projectile">, speed: number): void;

    function GetProjectileArc(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileArc(whichProjectile: HandleHolder<"projectile">, arc: number): void;

    function GetProjectileWeaponType(whichProjectile: HandleHolder<"projectile">): HandleHolder<"weapontype">;

    function SetProjectileWeaponType(whichProjectile: HandleHolder<"projectile">, whichWeaponType: HandleHolder<"weapontype">): void;

    function GetProjectileDamageType(whichProjectile: HandleHolder<"projectile">): HandleHolder<"damagetype">;

    function SetProjectileDamageType(whichProjectile: HandleHolder<"projectile">, whichDamageType: HandleHolder<"damagetype">): void;

    function GetProjectileDamageFlags(whichProjectile: HandleHolder<"projectile">): number;

    function SetProjectileDamageFlags(whichProjectile: HandleHolder<"projectile">, flags: number): void;

    function GetTriggerProjectile(): HandleHolder<"projectile">;

    function GetFilterProjectile(): HandleHolder<"projectile">;

    function GetEnumProjectile(): HandleHolder<"projectile">;

    function GetTriggerProjectileSource(): Unit;

    function GetTriggerProjectileTarget(): Widget;

    function GetTriggerProjectileTargetUnit(): Unit;

    function GetTriggerProjectileTargetItem(): Item;

    function GetTriggerProjectileTargetDestructable(): Destructable;

    function EnumProjectilesInRange(x: number, y: number, radius: number, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function EnumProjectilesInRect(whichRect: HandleHolder<"rect">, filter: HandleHolder<"boolexpr">, handlerFunc: JassCodeCallback): void;

    function GetOriginFrame(whichType: HandleHolder<"originframetype">, index: number): HandleHolder<"framehandle">;

    function HideOriginFrames(flag: boolean): void;

    function EditBlackBorders(upperHeight: number, bottomHeight: number): void;

    function LoadTOCFile(TOCFile: string): boolean;

    function CreateFrame(templateName: string, whichParent: HandleHolder<"framehandle">, priority: number, createContext: number): HandleHolder<"framehandle">;

    function CreateSimpleFrame(templateName: string, whichParent: HandleHolder<"framehandle">, createContext: number): HandleHolder<"framehandle">;

    function CreateSimpleGlueFrame(whichSimpleParent: HandleHolder<"framehandle">, whichSpriteFrame: HandleHolder<"framehandle">): HandleHolder<"framehandle">;

    function CreateFrameByType(frameType: string, contextName: string, whichParent: HandleHolder<"framehandle">, templateName: string, createContext: number): HandleHolder<"framehandle">;

    function IsFrameRegion(whichFrame: HandleHolder<"framehandle">): boolean;

    function IsFrameSimple(whichFrame: HandleHolder<"framehandle">): boolean;

    function IsFrameComplex(whichFrame: HandleHolder<"framehandle">): boolean;

    function DestroyFrame(whichFrame: HandleHolder<"framehandle">): void;

    function SetFrameRelativePoint(whichFrame: HandleHolder<"framehandle">, point: HandleHolder<"framepointtype">, relativeFrame: HandleHolder<"framehandle">, relativePoint: HandleHolder<"framepointtype">, x: number, y: number): void;

    function SetFrameAbsolutePoint(whichFrame: HandleHolder<"framehandle">, point: HandleHolder<"framepointtype">, x: number, y: number): void;

    function ClearFrameAllPoints(whichFrame: HandleHolder<"framehandle">): void;

    function SetFrameAllPoints(whichFrame: HandleHolder<"framehandle">, relativeFrame: HandleHolder<"framehandle">): boolean;

    function ShowFrame(whichFrame: HandleHolder<"framehandle">, isShow: boolean): void;

    function IsFrameVisible(whichFrame: HandleHolder<"framehandle">): boolean;

    function GetFrameByName(frameName: string, createContext: number): HandleHolder<"framehandle">;

    function GetCFrameByName(frameName: string, createContext: number): HandleHolder<"framehandle">;

    function GetCSimpleFontStringByName(frameName: string, createContext: number): HandleHolder<"framehandle">;

    function GetCSimpleTextureByName(frameName: string, createContext: number): HandleHolder<"framehandle">;

    function GetCSimpleFrameByName(frameName: string, createContext: number): HandleHolder<"framehandle">;

    function GetFrameUnderCursor(): HandleHolder<"framehandle">;

    function GetFrameTypeName(whichFrame: HandleHolder<"framehandle">): string;

    function GetFrameName(whichFrame: HandleHolder<"framehandle">): string;

    function SetFrameName(whichFrame: HandleHolder<"framehandle">, contextName: string): void;

    function GetFrameContext(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameContext(whichFrame: HandleHolder<"framehandle">, createContext: number): void;

    function SetFrameContextName(whichFrame: HandleHolder<"framehandle">, contextName: string, createContext: number): void;

    function ClickFrameEx(whichFrame: HandleHolder<"framehandle">, whichMouseButton: HandleHolder<"mousebuttontype">): void;

    function ClickFrame(whichFrame: HandleHolder<"framehandle">): void;

    function SetFrameText(whichFrame: HandleHolder<"framehandle">, text: string): void;

    function GetFrameText(whichFrame: HandleHolder<"framehandle">): string;

    function AddFrameText(whichFrame: HandleHolder<"framehandle">, text: string): void;

    function SetFrameTextSizeLimit(whichFrame: HandleHolder<"framehandle">, textSize: number): void;

    function GetFrameTextSizeLimit(whichFrame: HandleHolder<"framehandle">): number;

    function GetFrameTextColourEx(whichFrame: HandleHolder<"framehandle">, stateId: number): number;

    function SetFrameTextColourEx(whichFrame: HandleHolder<"framehandle">, stateId: number, colour: number): void;

    function GetFrameTextColour(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameTextColour(whichFrame: HandleHolder<"framehandle">, colour: number): void;

    function SetFrameFocus(whichFrame: HandleHolder<"framehandle">, isFocus: boolean): boolean;

    function GetFrameModel(whichFrame: HandleHolder<"framehandle">): string;

    function SetFrameModel(whichFrame: HandleHolder<"framehandle">, model: string, cameraIndex: number): void;

    function IsFrameEnabled(whichFrame: HandleHolder<"framehandle">): boolean;

    function SetFrameEnabled(whichFrame: HandleHolder<"framehandle">, enabled: boolean): void;

    function IsFrameDraggable(whichFrame: HandleHolder<"framehandle">): boolean;

    function SetFrameDraggable(whichFrame: HandleHolder<"framehandle">, enabled: boolean): void;

    function GetFrameTrackState(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameTrackState(whichFrame: HandleHolder<"framehandle">, trackState: number): void;

    function GetFrameColourEx(whichFrame: HandleHolder<"framehandle">, textureId: number): number;

    function SetFrameColourEx(whichFrame: HandleHolder<"framehandle">, textureId: number, colour: number): void;

    function GetFrameColour(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameColour(whichFrame: HandleHolder<"framehandle">, colour: number): void;

    function GetFrameAlphaEx(whichFrame: HandleHolder<"framehandle">, textureId: number): number;

    function SetFrameAlphaEx(whichFrame: HandleHolder<"framehandle">, textureId: number, alpha: number): void;

    function GetFrameAlpha(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameAlpha(whichFrame: HandleHolder<"framehandle">, alpha: number): void;

    function GetFrameTexture(whichFrame: HandleHolder<"framehandle">, textureId: number): string;

    function SetFrameBackdropTexture(whichFrame: HandleHolder<"framehandle">, textureId: number, backgroundTextureFile: string, allowTransparency: boolean, blend: boolean, borderTextureFile: string, borderFlags: number, isControlBackdrop: boolean): void;

    function SetFrameTextureEx(whichFrame: HandleHolder<"framehandle">, textureId: number, backgroundTextureFile: string, blend: boolean, borderTextureFile: string, borderFlags: number): void;

    function SetFrameTexture(whichFrame: HandleHolder<"framehandle">, textureFile: string, textureId: number, blend: boolean): void;

    function SetFrameTooltip(whichFrame: HandleHolder<"framehandle">, tooltipFrame: HandleHolder<"framehandle">): void;

    function SetFrameMouseCaged(whichFrame: HandleHolder<"framehandle">, enable: boolean): void;

    function GetFrameValue(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameValue(whichFrame: HandleHolder<"framehandle">, value: number): void;

    function SetFrameValueEx(whichFrame: HandleHolder<"framehandle">, value: number, isFireEvent: boolean): void;

    function SetFrameMinMaxValues(whichFrame: HandleHolder<"framehandle">, minVal: number, maxVal: number): void;

    function GetFrameStepSize(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameStepSize(whichFrame: HandleHolder<"framehandle">, stepSize: number): void;

    function GetFrameWidth(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameWidth(whichFrame: HandleHolder<"framehandle">, width: number): void;

    function GetFrameHeight(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameHeight(whichFrame: HandleHolder<"framehandle">, height: number): void;

    function SetFrameSize(whichFrame: HandleHolder<"framehandle">, width: number, height: number): void;

    function SetFrameScale(whichFrame: HandleHolder<"framehandle">, scale: number): void;

    function SetFrameVertexColourEx(whichFrame: HandleHolder<"framehandle">, alpha: number, red: number, blue: number, green: number): void;

    function SetFrameVertexColour(whichFrame: HandleHolder<"framehandle">, colour: number): void;

    function GetFramePriority(whichFrame: HandleHolder<"framehandle">): number;

    function SetFramePriority(whichFrame: HandleHolder<"framehandle">, priority: number): void;

    function SetFrameParent(whichFrame: HandleHolder<"framehandle">, whichParent: HandleHolder<"framehandle">): void;

    function GetFrameParent(whichFrame: HandleHolder<"framehandle">): HandleHolder<"framehandle">;

    function SetFrameFont(whichFrame: HandleHolder<"framehandle">, fontName: string, size: number, flags: number): void;

    function SetFrameTextAlignment(whichFrame: HandleHolder<"framehandle">, verticalAlign: HandleHolder<"textaligntype">, horizontalAlign: HandleHolder<"textaligntype">): void;

    function SetFrameTextVerticalAlignment(whichFrame: HandleHolder<"framehandle">, verticalAlign: HandleHolder<"textaligntype">): void;

    function SetFrameTextHorizontalAlignment(whichFrame: HandleHolder<"framehandle">, horizontalAlign: HandleHolder<"textaligntype">): void;

    function GetFrameChildrenCount(whichFrame: HandleHolder<"framehandle">): number;

    function GetFrameChild(whichFrame: HandleHolder<"framehandle">, index: number): HandleHolder<"framehandle">;

    function GetFrameCheckState(whichFrame: HandleHolder<"framehandle">): boolean;

    function SetFrameCheckState(whichFrame: HandleHolder<"framehandle">, isCheck: boolean): void;

    function SetMiniMapTexture(texturePath: string): boolean;

    function GetFrameItemsBorder(listBox: HandleHolder<"framehandle">): number;

    function SetFrameItemsBorder(listBox: HandleHolder<"framehandle">, value: number): void;

    function GetFrameItemsHeight(listBox: HandleHolder<"framehandle">): number;

    function SetFrameItemsHeight(listBox: HandleHolder<"framehandle">, value: number): void;

    function AddFrameListItem(listBox: HandleHolder<"framehandle">, text: string, whichFrame: HandleHolder<"framehandle">): HandleHolder<"framehandle">;

    function GetFrameListItemCount(listBox: HandleHolder<"framehandle">): number;

    function GetFrameListItemById(listBox: HandleHolder<"framehandle">, id: number): HandleHolder<"framehandle">;

    function SetFrameListItemById(listBox: HandleHolder<"framehandle">, id: number, whichFrame: HandleHolder<"framehandle">): void;

    function GetFrameListItemByFrame(listBox: HandleHolder<"framehandle">, frameToFind: HandleHolder<"framehandle">): HandleHolder<"framehandle">;

    function SetFrameListItemByFrame(listBox: HandleHolder<"framehandle">, frameToFind: HandleHolder<"framehandle">, whichFrame: HandleHolder<"framehandle">): void;

    function RemoveFrameListItem(listBox: HandleHolder<"framehandle">, whichFrame: HandleHolder<"framehandle">): void;

    function RemoveFrameListItemById(listBox: HandleHolder<"framehandle">, id: number): void;

    function RemoveFrameListItemByFrame(listBox: HandleHolder<"framehandle">, whichFrame: HandleHolder<"framehandle">): void;

    function GetFrameItemOwner(listBoxItem: HandleHolder<"framehandle">): HandleHolder<"framehandle">;

    function SetFrameItemOwner(listBoxItem: HandleHolder<"framehandle">, whichFrame: HandleHolder<"framehandle">): void;

    function GetFrameBorderFlags(whichFrame: HandleHolder<"framehandle">, backdropId: number): number;

    function SetFrameBorderFlags(whichFrame: HandleHolder<"framehandle">, backdropId: number, cornerFlag: number): void;

    function GetFrameBorderSize(whichFrame: HandleHolder<"framehandle">, backdropId: number): number;

    function SetFrameBorderSize(whichFrame: HandleHolder<"framehandle">, backdropId: number, value: number): void;

    function GetFrameBackgroundSize(whichFrame: HandleHolder<"framehandle">, backdropId: number): number;

    function SetFrameBackgroundSize(whichFrame: HandleHolder<"framehandle">, backdropId: number, value: number): void;

    function GetFrameBackgroundInsetById(whichFrame: HandleHolder<"framehandle">, backdropId: number, insetId: number): number;

    function SetFrameBackgroundInsetById(whichFrame: HandleHolder<"framehandle">, backdropId: number, insetId: number, value: number): void;

    function SetFrameBackgroundInsets(whichFrame: HandleHolder<"framehandle">, backdropId: number, minX: number, minY: number, maxX: number, maxY: number): void;

    function GetTriggerFrame(): HandleHolder<"framehandle">;

    function GetTriggerFrameEvent(): HandleHolder<"frameeventtype">;

    function GetTriggerFrameVariableType(): HandleHolder<"variabletype">;

    function GetTriggerFrameInteger(): number;

    function GetTriggerFrameReal(): number;

    function GetTriggerFrameBoolean(): boolean;

    function GetTriggerFrameString(): string;

    function GetTriggerFrameMouseButton(): HandleHolder<"mousebuttontype">;

    function TriggerRegisterFrameEvent(whichTrigger: HTrigger, whichFrame: HandleHolder<"framehandle">, frameEvent: HandleHolder<"frameeventtype">): HEvent;

    function RegisterFrameMouseButton(whichFrame: HandleHolder<"framehandle">, whichButton: HandleHolder<"mousebuttontype">, isAdd: boolean): void;

    function GetFrameSprite(whichFrame: HandleHolder<"framehandle">): HandleHolder<"sprite">;

    function GetFrameSpriteScale(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteScale(whichFrame: HandleHolder<"framehandle">, scale: number): void;

    function GetFrameSpriteTimeScale(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteTimeScale(whichFrame: HandleHolder<"framehandle">, timescale: number): void;

    function SetFrameSpritePlayerColour(whichFrame: HandleHolder<"framehandle">, color: HandleHolder<"playercolor">): void;

    function GetFrameSpriteAlpha(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteAlpha(whichFrame: HandleHolder<"framehandle">, alpha: number): boolean;

    function GetFrameSpriteColour(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteColour(whichFrame: HandleHolder<"framehandle">, colour: number): boolean;

    function SetFrameSpriteVertexColour(whichFrame: HandleHolder<"framehandle">, red: number, green: number, blue: number, alpha: number): boolean;

    function SetFrameSpriteOrientationEx(whichFrame: HandleHolder<"framehandle">, yaw: number, pitch: number, roll: number, eulerOrder: number): boolean;

    function GetFrameSpriteYaw(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteYaw(whichFrame: HandleHolder<"framehandle">, yaw: number): boolean;

    function GetFrameSpriteFacing(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteFacing(whichFrame: HandleHolder<"framehandle">, facing: number): boolean;

    function GetFrameSpritePitch(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpritePitch(whichFrame: HandleHolder<"framehandle">, pitch: number): boolean;

    function GetFrameSpriteRoll(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteRoll(whichFrame: HandleHolder<"framehandle">, roll: number): boolean;

    function SetFrameSpriteOrientation(whichFrame: HandleHolder<"framehandle">, yaw: number, pitch: number, roll: number): void;

    function SetFrameSpriteMaterialTexture(whichFrame: HandleHolder<"framehandle">, textureName: string, materialId: number, textureIndex: number): void;

    function SetFrameSpriteMatrixScale(whichFrame: HandleHolder<"framehandle">, sizeX: number, sizeY: number, sizeZ: number): void;

    function ResetFrameSpriteMatrix(whichFrame: HandleHolder<"framehandle">): void;

    function SetFrameSpriteTexture(whichFrame: HandleHolder<"framehandle">, textureName: string, textureIndex: number): void;

    function SetFrameSpriteReplaceableTexture(whichFrame: HandleHolder<"framehandle">, textureName: string, textureIndex: number): void;

    function GetFrameSpriteModel(whichFrame: HandleHolder<"framehandle">): string;

    function SetFrameSpriteModel(whichFrame: HandleHolder<"framehandle">, modelName: string): void;

    function SetFrameSpriteModelEx(whichFrame: HandleHolder<"framehandle">, modelName: string, playerColour: number): void;

    function GetFrameSpriteCurrentAnimationId(whichFrame: HandleHolder<"framehandle">): number;

    function GetFrameSpriteCurrentAnimationName(whichFrame: HandleHolder<"framehandle">): string;

    function SetFrameSpriteAnimationWithRarityByIndex(whichFrame: HandleHolder<"framehandle">, animIndex: number, rarity: HandleHolder<"raritycontrol">): void;

    function SetFrameSpriteAnimationByIndex(whichFrame: HandleHolder<"framehandle">, animIndex: number): void;

    function QueueFrameSpriteAnimationByIndex(whichFrame: HandleHolder<"framehandle">, animIndex: number): void;

    function SetFrameSpriteAnimationWithRarity(whichFrame: HandleHolder<"framehandle">, animationName: string, rarity: HandleHolder<"raritycontrol">): void;

    function SetFrameSpriteAnimation(whichFrame: HandleHolder<"framehandle">, animationName: string): void;

    function QueueFrameSpriteAnimation(whichFrame: HandleHolder<"framehandle">, animationName: string): void;

    function GetFrameSpriteAnimationOffsetPercent(whichFrame: HandleHolder<"framehandle">): number;

    function SetFrameSpriteAnimationOffsetPercent(whichFrame: HandleHolder<"framehandle">, percent: number): void;

    function GetTriggerSyncPlayer(): Player;

    function GetSyncedVariableType(): HandleHolder<"variabletype">;

    function GetSyncedVariableName(): string;

    function GetSyncedInteger(): number;

    function GetSyncedReal(): number;

    function GetSyncedString(): string;

    function GetSyncedHandle(): Handle;

    function GetSyncedBoolean(): boolean;

    function SyncInteger(variableName: string): void;

    function SyncReal(variableName: string): void;

    function SyncString(variableName: string): void;

    function SyncHandle(variableName: string): void;

    function SyncBoolean(variableName: string): void;

    function TriggerRegisterPlayerVariableSyncEvent(whichTrigger: HTrigger, whichPlayer: Player, variableName: string): HEvent;

    function GetSyncSavedVariableType(): HandleHolder<"variabletype">;

    function GetSyncSavedHashtable(): HandleHolder<"hashtable">;

    function GetSyncSavedParentKey(): number;

    function GetSyncSavedChildKey(): number;

    function SyncSavedInteger(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    function SyncSavedReal(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    function SyncSavedString(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    function SyncSavedHandle(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    function SyncSavedBoolean(table: HandleHolder<"hashtable">, parentKey: number, childKey: number): void;

    function TriggerRegisterPlayerHashtableDataSyncEvent(whichTrigger: HTrigger, whichPlayer: Player, whichHashtable: HandleHolder<"hashtable">): HEvent;

    function GetTriggerSyncPrefix(): string;

    function GetTriggerSyncData(): string;

    function SendSyncData(prefix: string, data: string): boolean;

    function TriggerRegisterPlayerSyncEvent(whichTrigger: HTrigger, whichPlayer: Player, prefix: string, fromServer: boolean): HEvent;

    function IsKeyPressed(key: HandleHolder<"oskeytype">): boolean;

    function IsMouseKeyPressed(mouseKey: HandleHolder<"mousebuttontype">): boolean;

    function GetTriggerPlayerKey(): HandleHolder<"oskeytype">;

    function GetTriggerPlayerMouseButton(): HandleHolder<"mousebuttontype">;

    function GetTriggerPlayerMetaKey(): number;

    function GetTriggerPlayerIsKeyDown(): boolean;

    function TriggerRegisterPlayerKeyEvent(whichTrigger: HTrigger, whichPlayer: Player, whichKey: HandleHolder<"oskeytype">, whichMetaKey: number, isKeyDown: boolean): HEvent;

    function GetTriggerPlayerMouseWorldX(): number;

    function GetTriggerPlayerMouseWorldY(): number;

    function GetTriggerPlayerMouseWorldZ(): number;

    function GetTriggerPlayerMouseScreenX(): number;

    function GetTriggerPlayerMouseScreenY(): number;

    function GetEventDamageFlags(): number;

    function SetEventDamageFlags(flags: number): boolean;

    function GetEventDamageAbilityId(): number;

    function GetEventDamageTarget(): Unit;

    function GetEventAttackType(): HandleHolder<"attacktype">;

    function SetEventAttackType(attackType: HandleHolder<"attacktype">): boolean;

    function GetEventDamageType(): HandleHolder<"damagetype">;

    function SetEventDamageType(damageType: HandleHolder<"damagetype">): boolean;

    function GetEventDamageTypeFlags(): number;

    function SetEventDamageTypeFlags(damageFlags: number): boolean;

    function GetEventWeaponType(): HandleHolder<"weapontype">;

    function SetEventWeaponType(weaponType: HandleHolder<"weapontype">): boolean;

    function GetEventIsAttack(): boolean;

    function GetEventIsRanged(): boolean;

    function GetEventPreDamage(): number;

    function SetEventDamage(damage: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetEnemyStartLocPrioCount(whichStartLoc: number, prioSlotCount: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetEnemyStartLocPrio(whichStartLoc: number, prioSlotIndex: number, otherStartLocIndex: number, priority: HandleHolder<"startlocprio">): void;

    /**
     * Adds a target addGroup to the desired whichGroup immediately.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGroupAddGroupFast(whichGroup: HandleHolder<"group">, addGroup: HandleHolder<"group">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGroupRemoveGroupFast(whichGroup: HandleHolder<"group">, removeGroup: HandleHolder<"group">): number;

    /**
     * Returns the size (length) of group.
     * The size refers to game's internal representation of group data (array), group's last index is `size - 1`.
     *
     *
     * @note See: `BlzGroupUnitAt`.
     * @patch 1.31
     *
     *
     */
    function BlzGroupGetSize(whichGroup: HandleHolder<"group">): number;

    /**
     * Returns unit at the given index in group. Groups start at index 0.
     *
     * If the unit was removed from the game or index is out of bounds, returns null.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGroupUnitAt(whichGroup: HandleHolder<"group">, index: number): Unit;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzForceHasPlayer(whichForce: HandleHolder<"force">, whichPlayer: Player): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function ParseTags(taggedString: string): string;

    /**
     *
     *
     * @patch 1.32
     * @event EVENT_COMMAND_BUTTON_CLICK
     *
     *
     */
    function TriggerRegisterCommandEvent(whichTrigger: HTrigger, whichAbility: number, order: string): HEvent;

    /**
     *
     *
     * @patch 1.32
     * @event EVENT_COMMAND_BUTTON_CLICK
     *
     *
     */
    function TriggerRegisterUpgradeCommandEvent(whichTrigger: HTrigger, whichUpgrade: number): HEvent;

    /**
     * For EVENT_PLAYER_UNIT_PICKUP_ITEM, returns the item absorbing the picked up item in case it is stacking.
     * Returns null if the item was a powerup and not a stacking item.
     *
     *
     * @event EVENT_PLAYER_UNIT_PICKUP_ITEM
     * @patch 1.32.3
     *
     *
     */
    function BlzGetAbsorbingItem(): Item;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_PICKUP_ITEM
     * @patch 1.32.3
     *
     *
     */
    function BlzGetManipulatedItemWasAbsorbed(): boolean;

    /**
     * Source is the item that is losing charges.
     *
     *
     * @event EVENT_PLAYER_UNIT_STACK_ITEM
     * @patch 1.32.3
     *
     *
     */
    function BlzGetStackingItemSource(): Item;

    /**
     * Target is the item getting charges.
     *
     *
     * @event EVENT_PLAYER_UNIT_STACK_ITEM
     * @patch 1.32.3
     *
     *
     */
    function BlzGetStackingItemTarget(): Item;

    /**
     *
     *
     * @event EVENT_PLAYER_UNIT_STACK_ITEM
     * @patch 1.32.3
     *
     *
     */
    function BlzGetStackingItemTargetPreviousCharges(): number;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function GetPlayerHandicapReviveTime(whichPlayer: Player): number;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function GetPlayerHandicapDamage(whichPlayer: Player): number;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetPlayerHandicapReviveTime(whichPlayer: Player, handicap: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetPlayerHandicapDamage(whichPlayer: Player, handicap: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetMaxCheckpointSaves(maxCheckpointSaves: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SaveGameCheckpoint(saveFileName: string, showWindow: boolean): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetPortraitLight(portraitDNCFile: string): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CreateMinimapIconOnUnit(whichUnit: Unit, red: number, green: number, blue: number, pingPath: string, fogVisibility: HandleHolder<"fogstate">): HandleHolder<"minimapicon">;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CreateMinimapIconAtLoc(where: HLocation, red: number, green: number, blue: number, pingPath: string, fogVisibility: HandleHolder<"fogstate">): HandleHolder<"minimapicon">;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CreateMinimapIcon(x: number, y: number, red: number, green: number, blue: number, pingPath: string, fogVisibility: HandleHolder<"fogstate">): HandleHolder<"minimapicon">;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SkinManagerGetLocalPath(key: string): string;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function DestroyMinimapIcon(pingId: HandleHolder<"minimapicon">): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetMinimapIconVisible(whichMinimapIcon: HandleHolder<"minimapicon">, visible: boolean): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetMinimapIconOrphanDestroy(whichMinimapIcon: HandleHolder<"minimapicon">, doDestroy: boolean): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCameraSetupSetLabel(whichSetup: HandleHolder<"camerasetup">, label: string): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCameraSetupGetLabel(whichSetup: HandleHolder<"camerasetup">): string;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CameraSetFocalDistance(distance: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CameraSetDepthOfFieldScale(scale: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetCinematicAudio(cinematicAudio: boolean): void;

    /**
     * Starts playing a sound. 
     *
     *
     * @note An officially exported native in: 1.33.0 (checked v1.33.0.18897 PTR).
     * Unofficially available in: 1.32 (not declared a native, but visible in Lua).
     *
     * @bug The `fadeIn` parameter does nothing (unused); thus equivalent to `StartSound`.
     *
     * @note The only difference to StartSound is the optional fadeIn (boolean).
     * @patch 1.33
     *
     *
     */
    function StartSoundEx(soundHandle: HandleHolder<"sound">, fadeIn: boolean): void;

    /**
     *
     *
     * @patch 1.32.2
     *
     *
     */
    function SetThematicMusicVolume(volume: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetSoundFacialAnimationLabel(soundHandle: HandleHolder<"sound">, animationLabel: string): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetSoundFacialAnimationGroupLabel(soundHandle: HandleHolder<"sound">, groupLabel: string): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetSoundFacialAnimationSetFilepath(soundHandle: HandleHolder<"sound">, animationSetFilepath: string): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetDialogueSpeakerNameKey(soundHandle: HandleHolder<"sound">, speakerName: string): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function GetDialogueSpeakerNameKey(soundHandle: HandleHolder<"sound">): string;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function SetDialogueTextKey(soundHandle: HandleHolder<"sound">, dialogueText: string): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function GetDialogueTextKey(soundHandle: HandleHolder<"sound">): string;

    /**
     *
     *
     * @bug (v1.32.10, Lua)
     * Enabling this mode without cinematic mode produces no visible differences. (TODO)
     *
     * However, it shifts the rendered view towards north (without changing the
     * camera position) until disabled again.
     *
     * See [test code](https://github.com/Luashine/wc3-test-maps/blob/master/BlzHideCinematicPanels.md)
     *
     * @patch 1.32
     *
     *
     */
    function BlzHideCinematicPanels(enable: boolean): void;

    /**
     *
     *
     * @patch 1.29
     *
     *
     */
    function AutomationSetTestType(testType: string): void;

    /**
     *
     *
     * @patch 1.29
     *
     *
     */
    function AutomationTestStart(testName: string): void;

    /**
     *
     *
     * @patch 1.30
     *
     *
     */
    function AutomationTestEnd(): void;

    /**
     *
     *
     * @patch 1.30
     *
     *
     */
    function AutomationTestingFinished(): void;

    /**
     * It is used inside a mouse event trigger’s action/condition it will return only the X coordinate (Cartesian System) of the current location of the mouse (ground) at the moment of the event trigger.
     *
     *
     * @event EVENT_PLAYER_MOUSE_MOVE
     * @patch 1.29
     *
     *
     */
    function BlzGetTriggerPlayerMouseX(): number;

    /**
     * It is used inside a mouse event trigger’s action/condition it will return only the Y coordinate (Cartesian System) of the current location of the mouse (ground) at the moment of the event trigger.
     *
     *
     * @event EVENT_PLAYER_MOUSE_MOVE
     * @patch 1.29
     *
     *
     */
    function BlzGetTriggerPlayerMouseY(): number;

    /**
     * It is used inside a mouse event trigger’s action/condition it will return a location (type, based on the ground not screen) of the mouse at the moment of the event trigger.
     *
     *
     * @event EVENT_PLAYER_MOUSE_MOVE
     * @patch 1.29
     *
     *
     */
    function BlzGetTriggerPlayerMousePosition(): HLocation;

    /**
     * It is used inside a mouse event trigger’s action/condition it will return the mousebuttontype (type) used at the moment of the event trigger.
     *
     *
     * @event EVENT_PLAYER_MOUSE_UP
     * @event EVENT_PLAYER_MOUSE_DOWN
     * @patch 1.29
     *
     *
     */
    function BlzGetTriggerPlayerMouseButton(): HandleHolder<"mousebuttontype">;

    /**
     * Set the ability tooltip (basic) of an ability at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityTooltip(abilCode: number, tooltip: string, level: number): void;

    /**
     * Set the activated ability tooltip (for abilities such as defend which have an “active” state) of an ability at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityActivatedTooltip(abilCode: number, tooltip: string, level: number): void;

    /**
     * Set the ability tooltip (extended) of an ability at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityExtendedTooltip(abilCode: number, extendedTooltip: string, level: number): void;

    /**
     * Set the activated ability tooltip (Extended state for abilities such as defend which have an “active” state) of an ability at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityActivatedExtendedTooltip(abilCode: number, extendedTooltip: string, level: number): void;

    /**
     * Set the research ability tooltip (For abilities that can be learned (all abilities have this, but only hero abilities show it on the object editor, you can still change it with these natives)) of an ability at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityResearchTooltip(abilCode: number, researchTooltip: string, level: number): void;

    /**
     * Set the research ability tooltip (Extended state for abilities that can be learned (all abilities have this, but only hero abilities show it on the object editor, you can still change it with these natives)) of an ability at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityResearchExtendedTooltip(abilCode: number, researchExtendedTooltip: string, level: number): void;

    /**
     * Get the ability tooltip of an ability.
     * Supports Unit/Item/Ability/Tech Codes.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityTooltip(abilCode: number, level: number): string;

    /**
     * Get the ability activated tooltip (for abilities that have an “activated” state) of an ability.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityActivatedTooltip(abilCode: number, level: number): string;

    /**
     * Get the extended ability tooltip of an ability.
     * Supports Unit/Item/Ability/Tech Codes.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityExtendedTooltip(abilCode: number, level: number): string;

    /**
     * Get the extended ability activated tooltip (for abilities that have an “activated” state such as defend, Avatar, etc.) of an ability.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityActivatedExtendedTooltip(abilCode: number, level: number): string;

    /**
     * Get the ability research tooltip (for abilities that can be researched/learned such as defend, hero abilities, etc) of an ability.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityResearchTooltip(abilCode: number, level: number): string;

    /**
     * Get the extended ability research tooltip (for abilities that can be researched/learned such as defend, hero abilities, etc) of an ability.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityResearchExtendedTooltip(abilCode: number, level: number): string;

    /**
     * Change(set) an ability’s icon at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityIcon(abilCode: number, iconPath: string): void;

    /**
     * Get an ability’s icon at runtime, returns the icon path.
     * Supports Unit/Item/Ability/Tech Codes.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityIcon(abilCode: number): string;

    /**
     * Change(set) an ability’s activated icon (this is for abilities that have an activated state such as defend, avatar, etc) at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityActivatedIcon(abilCode: number, iconPath: string): void;

    /**
     * Get an ability’s activated icon (this is for abilities that have an activated state such as defend, avatar, etc) at runtime, returns icon path.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityActivatedIcon(abilCode: number): string;

    /**
     * Get the ability X coordinate (Cartesian System) of the ability icon in the default 4x3 grid.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityPosX(abilCode: number): number;

    /**
     * Get the ability Y coordinate (Cartesian System) of the ability icon in the default 4x3 grid.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityPosY(abilCode: number): number;

    /**
     * Set the ability X coordinate (Cartesian System) of the ability icon in the default 4x3 grid.
     * As of the 1.31 PTR while you can specify the position of abilities such as “Build” directly in the object editor, you cannot do it with this native.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityPosX(abilCode: number, x: number): void;

    /**
     * Set the ability Y coordinate (Cartesian System) of the ability icon in the default 4x3 grid.
     *
     *
     * @note As of the 1.31 PTR while you can specify the position of abilities such as “Build” directly in the object editor, you cannot do it with this native.
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityPosY(abilCode: number, y: number): void;

    /**
     * Get the ability X coordinate (Cartesian System) of the activated ability icon in the default 4x3 grid.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityActivatedPosX(abilCode: number): number;

    /**
     * Get the ability Y coordinate (Cartesian System) of the activated ability icon in the default 4x3 grid.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityActivatedPosY(abilCode: number): number;

    /**
     * Change(Set) the ability X coordinate (Cartesian System) of the activated ability icon in the default 4x3 grid.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityActivatedPosX(abilCode: number, x: number): void;

    /**
     * Change(Set) the ability Y coordinate (Cartesian System) of the activated ability icon in the default 4x3 grid.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetAbilityActivatedPosY(abilCode: number, y: number): void;

    /**
     * Get the max HP (hit points) of a unit.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitMaxHP(whichUnit: Unit): number;

    /**
     * Change(set) the max HP (hit points) of a unit.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitMaxHP(whichUnit: Unit, hp: number): void;

    /**
     * Get the max mana of a unit.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitMaxMana(whichUnit: Unit): number;

    /**
     * Change(set) the max mana of a unit.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitMaxMana(whichUnit: Unit, mana: number): void;

    /**
     * Change(set) the item name at runtime.
     *
     *
     * @patch 1.29
     * @bug Doesn't work.
     *
     *
     */
    function BlzSetItemName(whichItem: Item, name: string): void;

    /**
     * Change(set) the item description at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetItemDescription(whichItem: Item, description: string): void;

    /**
     * Get the item description.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetItemDescription(whichItem: Item): string;

    /**
     * Change(set) the item tooltip at runtime.
     *
     *
     * @patch 1.29
     * @bug Doesn't work.
     *
     *
     */
    function BlzSetItemTooltip(whichItem: Item, tooltip: string): void;

    /**
     * Get the item tooltip.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetItemTooltip(whichItem: Item): string;

    /**
     * Change(set) the extended item tooltip at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetItemExtendedTooltip(whichItem: Item, extendedTooltip: string): void;

    /**
     * Get the extended item tooltip.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetItemExtendedTooltip(whichItem: Item): string;

    /**
     * Change(set) the item icon path at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetItemIconPath(whichItem: Item, iconPath: string): void;

    /**
     * Get the item icon path.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetItemIconPath(whichItem: Item): string;

    /**
     * Change(set) the unit name at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitName(whichUnit: Unit, name: string): void;

    /**
     * Change(set) the hero proper name at runtime. A "proper name" is the multiple names a hero can get at random, in this case it forces a specific proper name.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetHeroProperName(whichUnit: Unit, heroProperName: string): void;

    /**
     * Get a unit’s base damage, weapon index can be either 0 and 1 (a unit can have two different attacks).
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitBaseDamage(whichUnit: Unit, weaponIndex: number): number;

    /**
     * Change(set) a unit’s base damage, weapon index can be either 0 and 1 (a unit can have two different attacks) at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitBaseDamage(whichUnit: Unit, baseDamage: number, weaponIndex: number): void;

    /**
     * Get a unit’s dice number (damage), weapon index can be either 0 and 1 (a unit can have two different attacks).
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitDiceNumber(whichUnit: Unit, weaponIndex: number): number;

    /**
     * Change(set) a unit’s dice number (damage), weapon index can be either 0 and 1 (a unit can have two different attacks) at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitDiceNumber(whichUnit: Unit, diceNumber: number, weaponIndex: number): void;

    /**
     * Get a unit’s dice sides (damage), weapon index can be either 0 and 1 (a unit can have two different attacks).
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitDiceSides(whichUnit: Unit, weaponIndex: number): number;

    /**
     * Changes(set) unit’s dice sides (damage), weapon index can be either 0 and 1 (a unit can have two different attacks) at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitDiceSides(whichUnit: Unit, diceSides: number, weaponIndex: number): void;

    /**
     * Get a unit’s Attack Cooldown, weapon index can be either 0 and 1 (a unit can have two different attacks).
     * Returns base attack cooldown (from the unit editor) in seconds, without any items, agility or buff bonuses.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitAttackCooldown(whichUnit: Unit, weaponIndex: number): number;

    /**
     * Set a unit’s base Attack Cooldown, weapon index can be either 0 and 1 (a unit can have two different attacks) at runtime.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitAttackCooldown(whichUnit: Unit, cooldown: number, weaponIndex: number): void;

    /**
     * Changes(Set) the color of a special effect (tinting), using the specific player’s color, it will tint the effect on every part that it can be tinted.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectColorByPlayer(whichEffect: HandleHolder<"effect">, whichPlayer: Player): void;

    /**
     * Changes(Set) the color of a special effect (tinting), using R (RED) G (GREEN) B (BLUE) values, it will tint the effect on every part that it can be tinted.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectColor(whichEffect: HandleHolder<"effect">, r: number, g: number, b: number): void;

    /**
     * Changes(Set) the alpha (transparency) of a special effect, the entire model will be made transparent based on the integer value.
     * *Integer Alpha goes from 0 to 100 (it equals percentage).*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectAlpha(whichEffect: HandleHolder<"effect">, alpha: number): void;

    /**
     * Changes(Set) the scale of a special effect, the entire model will be scaled based on the scale value.
     *
     * *Even though scale is a real (allows negative and positive numbers with decimals), it should be logically deduced that it shouldn’t be a negative value, object editor forces the minimum to be 0.10 (10% of the original size), it is not yet tested if it supports up to 0.01(1% of the original size).*
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetSpecialEffectScale(whichEffect: HandleHolder<"effect">, scale: number): void;

    /**
     * Changes(set) the X, Y and Z (altitude) coordinate (Cartesian System) of the current location of the special effect.
     *
     *
     * @note Z is not relative to terrain, it is absolute.
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectPosition(whichEffect: HandleHolder<"effect">, x: number, y: number, z: number): void;

    /**
     * Sets the effect's absolute Z position (height). This native is functionally identical to `BlzSetSpecialEffectZ`.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectHeight(whichEffect: HandleHolder<"effect">, height: number): void;

    /**
     * Changes(set) the TimeScale (animation speed) of the passed special effect.
     *
     * *TimeScale is a real, which means that it can be both negative and positive numbers with decimals, if you see the animation speed at 100.0 it will go at 100% speed, if you however set it to -100.0 it will go backwards and reset towards the beginning, however it can’t start at a negative value, if you want to reset the animation, you must pass it a negative value mid animation, else it will stand still.*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectTimeScale(whichEffect: HandleHolder<"effect">, timeScale: number): void;

    /**
     * Changes(set) the time (how long the special effect lasts) of the passed special effect.
     *
     * *TimeScale is a real, which means that it could be both negative and positive numbers with decimals, however it can’t be a negative value in this case.*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectTime(whichEffect: HandleHolder<"effect">, time: number): void;

    /**
     * Changes(set) the yaw, pitch and roll of the passed special effect.
     *
     * *Yaw, pitch and roll are reals, which means that they can be both negative and positive numbers with decimals.*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectOrientation(whichEffect: HandleHolder<"effect">, yaw: number, pitch: number, roll: number): void;

    /**
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectYaw(whichEffect: HandleHolder<"effect">, yaw: number): void;

    /**
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectPitch(whichEffect: HandleHolder<"effect">, pitch: number): void;

    /**
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectRoll(whichEffect: HandleHolder<"effect">, roll: number): void;

    /**
     *
     *
     * @bug In 1.29 this native is bugged, it will set the X coordinate, but reset the Y and Z to where it was spawned in.
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectX(whichEffect: HandleHolder<"effect">, x: number): void;

    /**
     *
     *
     * @bug In 1.29 this native is bugged, it will set the Y coordinate, but reset the X and Z to where it was spawned in.
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectY(whichEffect: HandleHolder<"effect">, y: number): void;

    /**
     * Sets the effect's absolute Z position (height). 
     *
     *
     * @note Before 1.29 there was no direct way to set a special effect's height. The following trick was used as a workaround:
     *
     *     // Creates a temporary platform in the air, the special effect will be put on top of it:
     *     set tempDestr = CreateDestructableZ('OTis', x, y, z, 0, 1, 0)
     *     // Effect spawns on top of platform
     *     call DestroyEffect(AddSpecialEffect(effectPath, x, y))
     *     // Remove platform immediately, only the effect will remain visible for its life duration
     *     call RemoveDestructable(tempDestr)
     *
     * @bug In 1.29 this native is bugged, it will set the Z coordinate, but reset the X and Y to where it was spawned in.
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectZ(whichEffect: HandleHolder<"effect">, z: number): void;

    /**
     * Changes(set) the current location of the special effect into the passed location.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetSpecialEffectPositionLoc(whichEffect: HandleHolder<"effect">, loc: HLocation): void;

    /**
     * Get the X coordinate (Cartesian System) of the current location of the special effect.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetLocalSpecialEffectX(whichEffect: HandleHolder<"effect">): number;

    /**
     * Get the Y coordinate (Cartesian System) of the current location of the special effect.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetLocalSpecialEffectY(whichEffect: HandleHolder<"effect">): number;

    /**
     * Get the absolute Z coordinate (altitude)(Cartesian System) of the current location of the special effect.
     *
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetLocalSpecialEffectZ(whichEffect: HandleHolder<"effect">): number;

    /**
     * Clears all subanimations (tags) of the special effect. It does not affect normal animations.
     *
     * **Example usage of subanimations:**
     *
     *     // if you play anim attack it becomes attack slam:
     *     call BlzSpecialEffectAddSubAnimation(fx, SUBANIM_TYPE_SLAM)
     *     call BlzPlaySpecialEffect(fx, ANIM_TYPE_SPELL)
     *     call BlzSpecialEffectRemoveSubAnimation(fx, SUBANIM_TYPE_SLAM)
     *
     * **Examples of animations, animation names:**
     *
     *     stand | birth | death | decay | dissipate | walk | attack | morph | sleep | spell | portrait
     *
     * **Examples of subanimations (tags), subanimation names:**
     *
     *     first | second | third | fourth | fifth | defend | channel | slam | victory | throw | spin |
     *     ready | upgrade | lumber | gold | work | talk | swim | flesh | entangle | chainlightning | rooted |
     *     eattree | berserk | spiked | light | moderate | severe | critical | small | medium | large | alternateex |
     *     looping | wounded | fast | turn | left | right | fire | one | two | three | four | five | fill |
     *     puke | drain | flail | hit | off | complete
     *
     *
     * @patch 1.30
     *
     *
     */
    function BlzSpecialEffectClearSubAnimations(whichEffect: HandleHolder<"effect">): void;

    /**
     * Clears a specific subanimation (tag) of a specified special effect. (It does not affect normal animations).
     *
     *
     * @patch 1.30
     *
     *
     */
    function BlzSpecialEffectRemoveSubAnimation(whichEffect: HandleHolder<"effect">, whichSubAnim: HandleHolder<"subanimtype">): void;

    /**
     * Adds(set) a specific subanimation (tag) to a specified special effect.
     *
     *
     * @patch 1.30
     *
     *
     */
    function BlzSpecialEffectAddSubAnimation(whichEffect: HandleHolder<"effect">, whichSubAnim: HandleHolder<"subanimtype">): void;

    /**
     * Plays a specific subanimation (tag) on a specified special effect.
     *
     *
     * @patch 1.30
     *
     *
     */
    function BlzPlaySpecialEffect(whichEffect: HandleHolder<"effect">, whichAnim: HandleHolder<"animtype">): void;

    /**
     * Plays a specific subanimation (tag) on a specified special effect at a specific timeScale (speed).
     *
     * 1. *Overrides the currently playing animation/subanimation.*
     * 2. *TimeScale is a real, meaning that it can be both negative and positive numbers with decimals, there are examples in which you can use negative numbers mid animation to make it go backwards, however in this case it starts at 0 meaning that it can’t be negative.*
     *
     *
     * @patch 1.30
     *
     *
     */
    function BlzPlaySpecialEffectWithTimeScale(whichEffect: HandleHolder<"effect">, whichAnim: HandleHolder<"animtype">, timeScale: number): void;

    /**
     * Returns the string representation of the name of the animation. `animtype` is a handle of the animation type.
     *
     *
     * @patch 1.30
     *
     *
     */
    function BlzGetAnimName(whichAnim: HandleHolder<"animtype">): string;

    /**
     * Get the current unit armor of a specific unit (real value).
     *
     * *Returns TOTAL amount of armor a unit has, including bonus (green) armor from  auras, buffs, agility and items. If you need just base or bonus armor, you need to calculate base armor yourself (for heroes: -2 + agility (excluding bonuses) * 0.3). Agility bonus also counts as bonus armor, e.g. +1 agility will be displayed as + 0.3 armor with default gameplay constants.*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitArmor(whichUnit: Unit): number;

    /**
     * Changes(set) the unit armor of a specific unit, you pass it a real value, can be negative.
     *
     * *Changes TOTAL amount of armor a unit has. If unit has a bonus (green) armor from an aura or item, base armor will be reduced to achieve total amount of armor you specified. E.g. a unit has 1+3 armor, if you set armor to 1.00, unit’s armor will be changed to -2+3*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitArmor(whichUnit: Unit, armorAmount: number): void;

    /**
     * Hides or unhides an ability for a unit.
     *
     * @param whichUnit Unit to apply this to
     *
     * @param abilId Rawcode of ability.
     *
     * @param flag isHidden: true to hide, false to show.
     *
     *
     * @bug The boolean flag doesn't work as expected, it acts more like an integer counter: <https://www.hiveworkshop.com/threads/blzunithideability-and-blzunitdisableability-dont-work.312477/>.
     *
     * @patch 1.29
     *
     *
     */
    function BlzUnitHideAbility(whichUnit: Unit, abilId: number, flag: boolean): void;

    /**
     * Enables/disables and hides/unhides an ability for a unit. A visible disabled ability is shown as deactivated, an invisible ability disappears from the grid.
     *
     * **Example (Lua)**:
     *
     * ```lua
     * -- assume u is Human Peasant, AHbu is ability for Human building.
     * -- keep enabled, but hide icon
     * BlzUnitDisableAbility(u, FourCC"AHbu", false, true)
     * ```
     *
     * @param whichUnit Unit to apply this to.
     *
     * @param abilId Rawcode of ability.
     *
     * @param flag isDisabled: true to disable (cannot click), false to enable ability.
     *
     * @param hideUI isHidden: true to completely hide the icon, false to show icon. Icons are different for disabled/enabled abilities.
     *
     *
     * @bug (1.32.10 confirmed) The game counts isDisabled and hideUI internally as integers(?) If you called 5 times "hideUI = true" to hide an icon then you'll need to multiple times "hideUI = false" to show it again. I do not exactly understand how it's counted.
     * https://www.hiveworkshop.com/threads/blzunithideability-and-blzunitdisableability-dont-work.312477/
     *
     * @patch 1.29
     *
     *
     */
    function BlzUnitDisableAbility(whichUnit: Unit, abilId: number, flag: boolean, hideUI: boolean): void;

    /**
     * Makes a specific summoned unit permanent.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzUnitCancelTimedLife(whichUnit: Unit): void;

    /**
     * Returns true if the unit is selectable.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzIsUnitSelectable(whichUnit: Unit): boolean;

    /**
     * Returns true if unit is invulnerable.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzIsUnitInvulnerable(whichUnit: Unit): boolean;

    /**
     * Interrupts unit's current attack being casted.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzUnitInterruptAttack(whichUnit: Unit): void;

    /**
     * Get a real which is the collision size of the specific unit being passed. For reference, a peasant returns 16 and a MG returns 48.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitCollisionSize(whichUnit: Unit): number;

    /**
     * Requires an ability ID and the ability level and returns the ability’s (at the level passed) mana cost. 
     *
     *
     * @note Since 1.31: use Level 0 to read manacosts of Level 1.
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityManaCost(abilId: number, level: number): number;

    /**
     * Requires an ability ID and the ability level and returns the ability’s (at the level passed) cooldown. *Since 1.31: use Level 0 to read cooldown from Level 1.*
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetAbilityCooldown(abilId: number, level: number): number;

    /**
     * Changes(set) an ability’s cooldown at runtime for a specific unit.
     *
     * @param whichUnit Target unit (handle).
     * @param abilId Rawcode of ability.
     * @param level Ability level.
     * @param cooldown New cooldown.
     *
     *
     * @note Cooldown is a real, which means that it supports negative and positive numbers with decimals, in this case setting it to negative allows you to reduce an ability’s cooldown.
     * @note It does not reduce the cooldown if the ability is currently on CD, it will have its new cooldown after the CD is over though.
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitAbilityCooldown(whichUnit: Unit, abilId: number, level: number, cooldown: number): void;

    /**
     * Get a specific unit’s specific ability cooldown from a specific level.
     *
     *
     * @note It does not return the remaining cooldown when you use an ability but the max cooldown of that ability of that unit at that level.
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitAbilityCooldown(whichUnit: Unit, abilId: number, level: number): number;

    /**
     * Get a specific unit’s remaining ability cooldown.
     *
     *
     * @bug Sometimes it may return 0 for abilities based on Channel even when they are on cooldown.
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitAbilityCooldownRemaining(whichUnit: Unit, abilId: number): number;

    /**
     * Reduces the current ability cooldown of a specific ability to 0.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzEndUnitAbilityCooldown(whichUnit: Unit, abilCode: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzStartUnitAbilityCooldown(whichUnit: Unit, abilCode: number, cooldown: number): void;

    /**
     * Get a specific unit’s specific ability’s mana cost at a specific level.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzGetUnitAbilityManaCost(whichUnit: Unit, abilId: number, level: number): number;

    /**
     * Set manacost of an ability (at ability level) for a unit.
     * Works as expected, so you can dynamically calculate the mana cost.
     *
     *
     * @patch 1.29
     *
     *
     */
    function BlzSetUnitAbilityManaCost(whichUnit: Unit, abilId: number, level: number, manaCost: number): void;

    /**
     * Return unit's (altitude) Z map coordinate ([Cartesian System](https://en.wikipedia.org/wiki/Cartesian_coordinate_system)). Unit may be alive or dead.
     *
     * Returns 0.0 if unit was removed or is null.
     *
     * Retrieving Z is desync prone, this version might cause desyncs, but (unconfirmed) should be faster than `BlzGetUnitZ`, hence why both exist. In case that you are doing a single player map (campaign), you might decide to use this one instead of `BlzGetUnitZ`.
     *
     *
     * @note Terrain height is not synced between clients in multiplayer.
     *
     * @note Since unit extends from widget, you can use widget-related functions too.
     * See: `BlzGetUnitZ`, `GetUnitX`, `GetUnitY`, `GetWidgetX`, `GetWidgetY`.
     *
     * @async 
     * @patch 1.29
     *
     *
     */
    function BlzGetLocalUnitZ(whichUnit: Unit): number;

    /**
     * Decreases (reduces) a specific player’s specific upgrade by a specific amount of levels.
     *
     *
     * @note Even though this native takes an integer and integers can be both negatives and positive numbers, in this specific case this native does not allow for an increment by setting the integer to negative.
     *
     * @patch 1.29
     *
     *
     */
    function BlzDecPlayerTechResearched(whichPlayer: Player, techid: number, levels: number): void;

    /**
     * Set the damage amount of a damage event.
     *
     * In 1.31 PTR there’s currently 3 new damage events:
     *
     * 1. `EVENT_UNIT_DAMAGED` - old classic event for a specific unit;
     * 2. `EVENT_PLAYER_UNIT_DAMAGED` - Same as 1, but for all units of a specific player on the map;
     *
     *         // This seems to work fine anyway:
     *         call TriggerRegisterAnyUnitEventBJ(gg_trg_a, EVENT_PLAYER_UNIT_DAMAGING)
     *
     * 3. `EVENT_UNIT_DAMAGING` - triggers before any armor, armor type and other resistances. Event for a specific unit like 1.
     * 4. `EVENT_PLAYER_UNIT_DAMAGING` - triggers before any armor, armor type and other resistances. Useful to modify either damage amount, attack type or damage type before any reductions done by game.
     *
     * 1 and 2 - modify the damage after any reduction.
     * 3 and 4 - changes damage before reduction. Amount you set will be reduced later according to target’s resistance, armor etc.
     *
     * If set to <=0 during 3 or 4, then 1 or 2 will never fire.
     * Misses don’t trigger any damage events.
     * Set to 0.00 to completely block the damage.
     * Set to negative value to heal the target instead of damaging.
     *
     *
     * @note Tip: calling `GetEventDamage` after you set it with this function will return the value you set.
     * @note If you’ll call `UnitDamageTarget` from within a trigger, which reacts to a damage event or triggered by one, it will cause infinite loop and game will crash, so you should handle such scenarios with additional logic.
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.29
     *
     *
     */
    function BlzSetEventDamage(damage: number): void;

    /**
     * The target unit of the damage event.
     * If damage is AoE, your trigger will run separately for each target without known issues.
     * This returns the same result as `GetTriggerUnit`.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzGetEventDamageTarget(): Unit;

    /**
     * Returns attacktype of the damage being taken.
     * Spell-damage is `ATTACK_TYPE_NORMAL`.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzGetEventAttackType(): HandleHolder<"attacktype">;

    /**
     * Returns damagetype of the damage being taken.
     * Regular attack is `DAMAGE_TYPE_NORMAL`.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzGetEventDamageType(): HandleHolder<"damagetype">;

    /**
     * Returns weapontype of a damage being taken. This only affects the sound of impact.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzGetEventWeaponType(): HandleHolder<"weapontype">;

    /**
     * Set the attacktype of a damage being taken. 
     * Can be only used to change attacktype before armor reduction.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzSetEventAttackType(attackType: HandleHolder<"attacktype">): boolean;

    /**
     * Set the damagetype of a damage being taken. 
     * Can be only used to change damagetype before armor reduction.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzSetEventDamageType(damageType: HandleHolder<"damagetype">): boolean;

    /**
     * Set the weapontype of a damage being taken. 
     * Can be used to modify the sound of impact in the event before armor reduction.
     *
     *
     * @event EVENT_UNIT_DAMAGED
     * @patch 1.31
     *
     *
     */
    function BlzSetEventWeaponType(weaponType: HandleHolder<"weapontype">): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzGetEventIsAttack(): boolean;

    /**
     *
     *
     * @note Returns the same result as `BlzGetLocalUnitZ`.
     * @note Since unit extends from widget, you can use widget-related functions too.
     * See: `GetUnitX`, `GetUnitY`, `GetWidgetX`, `GetWidgetY`.
     *
     * @async 
     * @patch 1.30
     *
     *
     */
    function BlzGetUnitZ(whichUnit: Unit): number;

    /**
     * Controls selection settings globally: enables/disables selection of units, and visibility of selection circles.
     *
     * @param enableSelection true to enable, false to disable selection.
     * @param enableSelectionCircle true to show, false to hide selection circles on units and doodads.
     *
     *
     * @note 
     * Acts exactly the same as `EnableSelect`
     *
     * @patch 1.31
     *
     *
     */
    function BlzEnableSelections(enableSelection: boolean, enableSelectionCircle: boolean): void;

    /**
     * Returns whether unit selection is enabled (a global setting, see `BlzEnableSelections` and `EnableSelect`).
     *
     *
     * @note 
     * Does not account for `EnablePreSelect` or `EnableDragSelect` settings.
     *
     * @patch 1.31
     *
     *
     */
    function BlzIsSelectionEnabled(): boolean;

    /**
     * Returns whether unit selection circles are shown (a global setting, see `BlzEnableSelections` and `EnableSelect`).
     *
     *
     * @note 
     * Does not account for `EnablePreSelect` or `EnableDragSelect` settings.
     *
     * @patch 1.31
     *
     *
     */
    function BlzIsSelectionCircleEnabled(): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzCameraSetupApplyForceDurationSmooth(whichSetup: HandleHolder<"camerasetup">, doPan: boolean, forcedDuration: number, easeInDuration: number, easeOutDuration: number, smoothFactor: number): void;

    /**
     * Enable or disable the three green arrows when right-clicking on ground.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzEnableTargetIndicator(enable: boolean): void;

    /**
     * Check if the the three green arrows when right-clicking on ground is shown or not.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzIsTargetIndicatorEnabled(): boolean;

    /**
     * Toggles the rendering of terrain.
     *
     * @param show `true` to render terrain, `false` no terrain (black background by default)
     *
     *
     * @note See: `BlzShowSkyBox`
     *
     * @patch 1.32
     *
     *
     */
    function BlzShowTerrain(show: boolean): void;

    /**
     *
     *
     * @note See: `BlzShowTerrain`
     *
     * @patch 1.32
     *
     *
     */
    function BlzShowSkyBox(show: boolean): void;

    /**
     * Does nothing (v1.32.10 without Battle.net App running), no files are created.
     *
     *
     * @note See: `BlzEndRecording`
     *
     * @patch 1.32
     *
     *
     */
    function BlzStartRecording(fps: number): void;

    /**
     * Does nothing (v1.32.10 without Battle.net App running), no files are created.
     *
     *
     * @note See: `BlzStartRecording`
     *
     * @patch 1.32
     *
     *
     */
    function BlzEndRecording(): void;

    /**
     * Toggle team glow on whichUnit.
     * Will remove Hero glowing team color when set to false.
     *
     * @param whichUnit Target unit (handle).
     * @param show Boolean to show/hide the team glow.
     *
     * @patch 1.32
     *
     *
     */
    function BlzShowUnitTeamGlow(whichUnit: Unit, show: boolean): void;

    /**
     * Get a `framehandle` by specifying a specific `originframetype` and index (in most cases it should be 0 (first index), however it can go above 0 when using originframetypes such as `ORIGIN_FRAME_HERO_BUTTON`)
     *
     * The one with indices above 0 are:
     *
     * 	// The ability buttons at the right bottom corner
     *     ORIGIN_FRAME_COMMAND_BUTTON <0 to 11>
     * 	// The clickable hero icons at the left of the screen
     *     ORIGIN_FRAME_HERO_BUTTON <0 to 6>
     * 	// See above for the following:
     *     ORIGIN_FRAME_HERO_HP_BAR <0 to 6>
     *     ORIGIN_FRAME_HERO_MANA_BAR <0 to 6>
     *     ORIGIN_FRAME_HERO_BUTTON_INDICATOR <0 to 6>
     * 	// Item inventory buttons
     *     ORIGIN_FRAME_ITEM_BUTTON <0 to 5>
     * 	// The buttons altering the minimap
     *     ORIGIN_FRAME_MINIMAP_BUTTON
     * 	// Indices:
     * 	// 0 = Menu
     * 	// 1 = Allies
     * 	// 2 = Log
     * 	// 3 = Quest
     *     ORIGIN_FRAME_SYSTEM_BUTTON <0 to 3> 
     *
     * Here is a basic example that creates a custom timerdialog window:
     *
     *     set GameUI = BlzGetOriginFrame(ORIGIN_FRAME_GAME_UI, 0)
     *     set UIMain = BlzCreateFrame("TimerDialog", GameUI, 0, 0)
     *     call BlzFrameSetPoint(UIMain, FRAMEPOINT_CENTER, GameUI, FRAMEPOINT_CENTER, 0.25, 0.055)
     *     call BlzFrameSetSize(UIMain, 0.3, 0.7)
     *
     * *Take a look at the .fdf files in the game’s CASC or point 1.3 (refer to this document’s table of contents for reference) it should give you some ideas.*
     *
     * @param index to high values will return the frame from the last valid Index.
     *
     * @note The first time a Frame enters the map's script it takes a handleId.
     *
     * @note This is up for edition, this native is lacking a more in-depth explanation. For example a list of all of the originframetypes, and their possible indexes.
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetOriginFrame(frameType: HandleHolder<"originframetype">, index: number): HandleHolder<"framehandle">;

    /**
     * Disabling Auto Position will prevent the game using default positions for changed hidden frames as soon they reappear/their state is changed.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzEnableUIAutoPosition(enable: boolean): void;

    /**
     * Hides/Shows most of the default in-game UI.
     * Unaffected: Mouse, Command Buttons, Chat, Messages, TimerDialog, Multiboard, Leaderboard and ConsoleUIBackdrop.
     *
     *
     * (De)Activades some auto-repositioning of default frames (see: `BlzEnableUIAutoPosition`).
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzHideOriginFrames(enable: boolean): void;

    /**
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function BlzConvertColor(a: number, r: number, g: number, b: number): number;

    /**
     * Loads in a TOCFile, to add/define Frame-Blueprints or Localized Strings
     * A TOC file contains a list, Each line is a path to a fdf (not case sensitve).
     *
     *
     * @bug The TOC needs to end with one or two empty lines.
     *
     * @patch 1.31
     *
     *
     */
    function BlzLoadTOCFile(TOCFile: string): boolean;

    /**
     * Create a new Frame using a Frame-BluePrint name (fdf) as child of owner.
     * BluePrint needs to be loaded over TOC & fdf.
     * Owner and BluePrint have to be from the Frame family.
     * Can only create rootFrames (not subFrames).
     * Created Frames are stored into the game's Frame-Storage, `BlzGetFrameByName(name, createContext)`. Overwrites occupied slots.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzCreateFrame(name: string, owner: HandleHolder<"framehandle">, priority: number, createContext: number): HandleHolder<"framehandle">;

    /**
     * Like `BlzCreateFrame` but for the SimpleFrame family, Frame "SIMPLExxxx".
     *
     *
     * @note Only Frames loaded by used tocs are valid names.
     *
     * @patch 1.31
     *
     *
     */
    function BlzCreateSimpleFrame(name: string, owner: HandleHolder<"framehandle">, createContext: number): HandleHolder<"framehandle">;

    /**
     * Create & Define a new (Simple)Frame.
     * Can use a root-(Simple)Frame-BluePrint with inherits, when that is done it needs to be a loaded BluePrint.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzCreateFrameByType(typeName: string, name: string, owner: HandleHolder<"framehandle">, inherits: string, createContext: number): HandleHolder<"framehandle">;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzDestroyFrame(frame: HandleHolder<"framehandle">): void;

    /**
     * Unbinds a point of FrameA and places it relative to a point of FrameB.
     * When FrameB moves FrameA's point will keep this rule and moves with it.
     *
     * Each point of a frame can be placed to one point.
     * By placing multiple points of one Frame a Size is enforced.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetPoint(frame: HandleHolder<"framehandle">, point: HandleHolder<"framepointtype">, relative: HandleHolder<"framehandle">, relativePoint: HandleHolder<"framepointtype">, x: number, y: number): void;

    /**
     * Set frame absolute x,y position with framepointtype.
     * Coords are for the 4:3 Screen
     *
     *     |0.0/0.6           0.8/0.6|
     *     |                         |
     *     |         0.4/0.3         |
     *     |                         |
     *     |0.0/0.0           0.8/0.0|
     *
     * 0.0/0.0 is bottomLeft (Minimap)
     * 0.8/0.6 is TopRight (UpkeepCost)
     * In widescreen format one can go further left with -x or further right with x > 0.8
     * Only some Frames and their Children/Offspring can leave 4:3.
     * SimpleFrames, Leaderboard, TimerDialog, Multiboard, ConsoleUIBackdrop
     *
     * @param point framepointtype is a point, position of which you set to move the frame relatively to it.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetAbsPoint(frame: HandleHolder<"framehandle">, point: HandleHolder<"framepointtype">, x: number, y: number): void;

    /**
     * Unbinds all points of frame.
     * Useful to move frames with the next SetPoint.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameClearAllPoints(frame: HandleHolder<"framehandle">): void;

    /**
     * Example:
     *
     *     BlzHideOriginFrames(true)
     *     BlzFrameSetAllPoints(BlzGetOriginFrame(ORIGIN_FRAME_WORLD_FRAME, 0), BlzGetOriginFrame(ORIGIN_FRAME_GAME_UI, 0))
     *
     * @param frame the frame moved/resized.
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetAllPoints(frame: HandleHolder<"framehandle">, relative: HandleHolder<"framehandle">): void;

    /**
     * Sets visibility of a frame and its children.
     *
     * @param visible true is visible, false is invisible.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetVisible(frame: HandleHolder<"framehandle">, visible: boolean): void;

    /**
     * Returns visibility status of frame.
     *
     * @param frame Target frame.
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameIsVisible(frame: HandleHolder<"framehandle">): boolean;

    /**
     * Requires a string for the frame name that you want to retrieve (get), and an integer (which in most cases should be 0) that specifies the index of the frame that you want to get (for example for inventory slots you have 6, from 0-5).
     *
     * Read from the internal Frame-Storage.
     * The first time a Frame enters the map's script it takes a handleId.
     *
     * Example: `BlzGetFrameByName("SimpleHeroLevelBar", 0)`.
     *
     *
     * @note Refer to fdf files for frame names.
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetFrameByName(name: string, createContext: number): HandleHolder<"framehandle">;

    /**
     * Returns the string representation of frame name.
     *
     * Inherited Frames lose their Name.
     * SimpleFrames return an empty String.
     *
     * @param frame A handle to frame.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetName(frame: HandleHolder<"framehandle">): string;

    /**
     * Ignores visibility. Triggers `FRAMEEVENT_CONTROL_CLICK`.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameClick(frame: HandleHolder<"framehandle">): void;

    /**
     * Supports Warcraft 3 formatting codes:
     *
     * * Colors (`|cffffcc00`)
     * * Multiple lines (`|n`, `\n`)
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetText(frame: HandleHolder<"framehandle">, text: string): void;

    /**
     * Returns(Get) the text of that frame. For user input frames this text probably differs between them. For some frames the child contains the Text.
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetText(frame: HandleHolder<"framehandle">): string;

    /**
     * Start a NewLine and add text (TEXTAREA).
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameAddText(frame: HandleHolder<"framehandle">, text: string): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetTextSizeLimit(frame: HandleHolder<"framehandle">, size: number): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetTextSizeLimit(frame: HandleHolder<"framehandle">): number;

    /**
     * Changes text color of the frame. SimpleFrames only.
     *
     * @param color Four byte integer of the form 0xaarrggbb. You can also use
     * `BlzConvertColor` to create such an integer.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetTextColor(frame: HandleHolder<"framehandle">, color: number): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetFocus(frame: HandleHolder<"framehandle">, flag: boolean): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetModel(frame: HandleHolder<"framehandle">, modelFile: string, cameraIndex: number): void;

    /**
     * Turns on/off Interactivity/Events of frame.
     * A disabled frame is transparent to the mouse (can click on things behind it) and can have a different color/texture/frame than in enabled state.
     * The frame's Tooltip is still shown on hover.
     * (false) Removes KeyboardFocus.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetEnable(frame: HandleHolder<"framehandle">, enabled: boolean): void;

    /**
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetEnable(frame: HandleHolder<"framehandle">): boolean;

    /**
     * Affects child-Frames, when they don't have an own Alpha.
     *
     * @param alpha 0 to 255.
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetAlpha(frame: HandleHolder<"framehandle">, alpha: number): void;

    /**
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetAlpha(frame: HandleHolder<"framehandle">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetSpriteAnimate(frame: HandleHolder<"framehandle">, primaryProp: number, flags: number): void;

    /**
     * Overwrittes some fdf setup.
     *
     * @param flag texture fill setting: 0 to stretch, 1 to tile (BACKDROP).
     * @param blend Use transparency.
     *
     *
     * @patch 1.31
     *
     *
     *
     */
    function BlzFrameSetTexture(frame: HandleHolder<"framehandle">, texFile: string, flag: number, blend: boolean): void;

    /**
     * Affects child-Frames, when they don't have an own Scale.
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetScale(frame: HandleHolder<"framehandle">, scale: number): void;

    /**
     * Frame tooltip is visible when hovered with the mouse. Otherwise tooltip will be hidden.
     *
     * tooltip is limited to 4:3, but not it's children.
     * SimpleFrame tooltips are not hidden with this call.
     * frame and tooltip have to be from the same Family (Frames/SimpleFrames).
     * tooltip can only serve one frame.
     * It's not possible to undo this.
     *
     *
     * @bug Crashes the game, on hover, when done twice (same pair).
     * @bug Frames should not be used as tooltips for simple Frames (Crash on PTR 1.31).
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetTooltip(frame: HandleHolder<"framehandle">, tooltip: HandleHolder<"framehandle">): void;

    /**
     * The mouse cursor is forced into the frame and can not leave it. New cages (true) will overwrite old ones. Some frames can not be used to imprison the mouse.
     *
     * @param enable Enable mouse cage.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameCageMouse(frame: HandleHolder<"framehandle">, enable: boolean): void;

    /**
     * Sets the current Frame Value. Only for FrameType that use this feature:
     * POPUPMENU, SLIDER, SIMPLESTATUSBAR, STATUSBAR.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetValue(frame: HandleHolder<"framehandle">, value: number): void;

    /**
     * Gets the current Frame Value.
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetValue(frame: HandleHolder<"framehandle">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetMinMaxValue(frame: HandleHolder<"framehandle">, minValue: number, maxValue: number): void;

    /**
     * SLIDER accuracy for User.
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetStepSize(frame: HandleHolder<"framehandle">, stepSize: number): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetSize(frame: HandleHolder<"framehandle">, width: number, height: number): void;

    /**
     * SimpleFrames only.
     * @param color Four byte integer of the form 0xaarrggbb. You can also use `BlzConvertColor` to create such an integer.
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetVertexColor(frame: HandleHolder<"framehandle">, color: number): void;

    /**
     * Used to reorder the children of a Frame.
     * SimpleFrames have fixed internal Layers. Which only contain String/Textures.
     * For SimpleFrames Level sets them higher/lower to all other SimpleFrames.
     *
     * @param level bigger number gives a higher position.
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetLevel(frame: HandleHolder<"framehandle">, level: number): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetParent(frame: HandleHolder<"framehandle">, parent: HandleHolder<"framehandle">): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetParent(frame: HandleHolder<"framehandle">): HandleHolder<"framehandle">;

    /**
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetHeight(frame: HandleHolder<"framehandle">): number;

    /**
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzFrameGetWidth(frame: HandleHolder<"framehandle">): number;

    /**
     * Only works for String (SimpleFrames).
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetFont(frame: HandleHolder<"framehandle">, fileName: string, height: number, flags: number): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzFrameSetTextAlignment(frame: HandleHolder<"framehandle">, vert: HandleHolder<"textaligntype">, horz: HandleHolder<"textaligntype">): void;

    /**
     * Ignores String/Texture.
     *
     *
     * @patch 1.32.6
     *
     *
     */
    function BlzFrameGetChildrenCount(frame: HandleHolder<"framehandle">): number;

    /**
     * Valid Indexes are 0 to `BlzFrameGetChildrenCount` - 1.
     * Ignores String/Texture.
     * Breaks `BlzGetOriginFrame` when the same frame is first get using `BlzFrameGetChild`.
     *
     *
     * @patch 1.32.6
     *
     *
     */
    function BlzFrameGetChild(frame: HandleHolder<"framehandle">, index: number): HandleHolder<"framehandle">;

    /**
     * The event starts for all players when one player triggers it.
     *
     * The Event Getter functions. 
     *
     * * `BlzGetTriggerFrame`
     * * `BlzGetTriggerFrameEvent`
     * * `BlzGetTriggerFrameValue`
     * * `BlzGetTriggerFrameText`
     * * `GetTriggerPlayer`
     *
     * `BlzGetTriggerFrameValue` & `BlzGetTriggerFrameText` are only set when the
     * FrameEventEvent has use of them.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzTriggerRegisterFrameEvent(whichTrigger: HTrigger, frame: HandleHolder<"framehandle">, eventId: HandleHolder<"frameeventtype">): HEvent;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerFrame(): HandleHolder<"framehandle">;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerFrameEvent(): HandleHolder<"frameeventtype">;

    /**
     * Returns the user input value of the triggered frame. (Slider, popupmenu, scrollbar...)
     * One has to use this native to sync user input, if that is needed.
     *
     *
     * @note This is a hidden native in PTR 1.31 (has to be declared to be usable in Jass).
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerFrameValue(): number;

    /**
     * Returns the user input text of the triggered frame. (EditBox)
     * One has to use this native to sync user input, if that is needed.
     *
     * Limited to something like ~255 bytes.
     *
     *
     * @note This is a hidden native in PTR 1.31 (has to be declared to be usable in Jass).
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerFrameText(): string;

    /**
     * Create an event that listens to messages sent by player with prefix. (see: `BlzSendSyncData`).
     *
     * One can create a player SyncEvent for any prefix with `TriggerRegisterPlayerEvent(whichTrigger, whichPlayer, EVENT_PLAYER_SYNC_DATA)`.
     *
     * `GetTriggerPlayer()` is the message source.
     *
     * @param fromServer "should be false".
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzTriggerRegisterPlayerSyncEvent(whichTrigger: HTrigger, whichPlayer: Player, prefix: string, fromServer: boolean): HEvent;

    /**
     * The player running this function sends a string message to all players.
     * See also `BlzTriggerRegisterPlayerSyncEvent`.
     *
     * @param prefix Limited to something like 255 bytes.
     *
     * @param data Limited to something like 255 bytes.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSendSyncData(prefix: string, data: string): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerSyncPrefix(): string;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerSyncData(): string;

    /**
     * Registers event to call trigger when player presses a key + metakey.
     * Key presses are synced by the game between players automatically.
     *
     * Meta keys are modifier keys like CTRL, SHIFT, ALT. See `BlzGetTriggerPlayerMetaKey`. If you just want a key press without them, use 0.
     *
     * **Example (Lua):**
     *
     *     trg_key = CreateTrigger()
     *     -- prints oskey as object, metakey as integer
     *     TriggerAddAction(trg_key, function() print(BlzGetTriggerPlayerKey(),  BlzGetTriggerPlayerMetaKey()) end)
     *      
     *     -- register key press ESCAPE
     *     BlzTriggerRegisterPlayerKeyEvent(trg_key, Player(0), OSKEY_ESCAPE, 0, false)
     *      
     *     -- register key press CTRL+1
     *     BlzTriggerRegisterPlayerKeyEvent(trg_key, Player(0), OSKEY_1, 2, false)
     *
     * @param metaKey Bitfield. MetaKeys are "none"(0), "shift"(1), "control"(2), "alt"(4) and "META"(8) (Windows key). They can be combined 2 + 4 = 6.
     * The player needs to hold all specified metakeys to trigger the event.
     *
     * @param keyDown If keyDown = false: trigger is called once when key is released (unpressed).
     * If keyDown = true: calls trigger repeatedly while key is being held down. In V1.31.1 this happens once. In V1.32.10 repeats until released at approximately 30 times per second and fluctuating.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzTriggerRegisterPlayerKeyEvent(whichTrigger: HTrigger, whichPlayer: Player, key: HandleHolder<"oskeytype">, metaKey: number, keyDown: boolean): HEvent;

    /**
     * Returns the key that was pressed during current event.
     *
     * **Example:** `if BlzGetTriggerPlayerKey() == OSKEY_F then ...`
     *
     *
     * @note See: `BlzTriggerRegisterPlayerKeyEvent`.
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerPlayerKey(): HandleHolder<"oskeytype">;

    /**
     * Returns the meta keys that were pressed (aka [modifier keys](https://en.wikipedia.org/wiki/Modifier_key)).
     *
     * **Example:** if player pressed CTRL+W then metakey=2 and oskeytype=OSKEY_W
     *
     * **Meta keys:**
     *
     * * 0 = None
     * * 1 = Shift
     * * 2 = Control (CTRL)
     * * 4 = ALT
     * * 8 = Meta aka Windows key aka Super
     *
     * Meta keys can be pressed simultaneously (CTRL+SHIFT+W) in that case, you need to add the numbers or use bit OR/AND/XOR.
     * CTRL+SHIFT = 2+1 = 3. CTRL+SHIFT+ALT = 2+1+4 = 7.
     *
     *
     * @note See: `BlzTriggerRegisterPlayerKeyEvent`.
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerPlayerMetaKey(): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetTriggerPlayerIsKeyDown(): boolean;

    /**
     * Sets cursor visibility.
     *
     * @param enable true to show, false to hide cursor.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzEnableCursor(enable: boolean): void;

    /**
     * x & y are px upto the used resolution `BlzGetLocalClientWidth()` `BlzGetLocalClientHeight()`.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetMousePos(x: number, y: number): void;

    /**
     * Gets the width (pixels) of the Warcraft 3 window.
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzGetLocalClientWidth(): number;

    /**
     * Gets the height (pixels) of the Warcraft 3 window.
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzGetLocalClientHeight(): number;

    /**
     * Returns true if Warcraft 3 window is in focus.
     *
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzIsLocalClientActive(): boolean;

    /**
     * Returns the unit that is currently hovered by the mouse of the local player.
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzGetMouseFocusUnit(): Unit;

    /**
     * Uses a new Texture for the minimap.
     *
     * @patch 1.31
     *
     *
     */
    function BlzChangeMinimapTerrainTex(texFile: string): boolean;

    /**
     * Returns the used warcraft 3 Lcid.
     *
     *     //  English (US)            = 'enUS' 
     *     //  English (UK)            = 'enGB' 
     *     //  French                  = 'frFR' 
     *     //  German                  = 'deDE' 
     *     //  Spanish                 = 'esES' 
     *     //  Italian                 = 'itIT' 
     *     //  Czech                   = 'csCZ' 
     *     //  Russian                 = 'ruRU' 
     *     //  Polish                  = 'plPL' 
     *     //  Portuguese (Brazilian)  = 'ptBR' 
     *     //  Portuguese (Portugal)   = 'ptPT' 
     *     //  Turkish                 = 'tkTK' 
     *     //  Japanese                = 'jaJA' 
     *     //  Korean                  = 'koKR' 
     *     //  Chinese (Traditional)   = 'zhTW' 
     *     //  Chinese (Simplified)    = 'zhCN' 
     *     //  Thai                    = 'thTH'
     * 	
     *
     * @note Warcraft 3 Lcids can be found in `config.ini` inside the CASC.
     *
     * @async 
     * @patch 1.31
     *
     *
     */
    function BlzGetLocale(): string;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetSpecialEffectScale(whichEffect: HandleHolder<"effect">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetSpecialEffectMatrixScale(whichEffect: HandleHolder<"effect">, x: number, y: number, z: number): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzResetSpecialEffectMatrix(whichEffect: HandleHolder<"effect">): void;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitAbility(whichUnit: Unit, abilId: number): HandleHolder<"ability">;

    /**
     * Returns a handle to specific unit's ability instance.
     *
     *
     * @note Last added ability is at index 0, older abilities are pushed up.
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitAbilityByIndex(whichUnit: Unit, index: number): HandleHolder<"ability">;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzGetAbilityId(whichAbility: HandleHolder<"ability">): number;

    /**
     * Displays the message in chat as if it were sent by the specified player. The message does not appear in log (F12).
     *
     * @param whichPlayer The target player will be shown as sender of the message.
     *
     * @param recipient Changes the type of chat channel prefix shown. It has no effect on the message's visibility.
     *
     * * 0: "All" chat prefix
     * * 1: "Allies"
     * * 2: "Observers"
     * * 3: "Private"
     * * 4+: Defaults to private too.
     *
     * @param message Text to show.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzDisplayChatMessage(whichPlayer: Player, recipient: number, message: string): void;

    /**
     * This does not update `IsUnitPaused` and keeps the command card visible. Otherwise identical to `PauseUnit()`.
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzPauseUnitEx(whichUnit: Unit, flag: boolean): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzSetUnitFacingEx(whichUnit: Unit, facingAngle: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CreateCommandButtonEffect(abilityId: number, order: string): HandleHolder<"commandbuttoneffect">;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CreateUpgradeCommandButtonEffect(whichUprgade: number): HandleHolder<"commandbuttoneffect">;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function CreateLearnCommandButtonEffect(abilityId: number): HandleHolder<"commandbuttoneffect">;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function DestroyCommandButtonEffect(whichEffect: HandleHolder<"commandbuttoneffect">): void;

    /**
     * Returns the result of connecting all bits of both numbers using OR (in regards of binary numeral system). It returns a number with bits, being set in at least one of the numbers.
     *
     * 3v1 => 3 (0011 v 0001 => 0011)
     * 2v5 => 7 (0010 v 0101 => 0111)
     *
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function BlzBitOr(x: number, y: number): number;

    /**
     * Returns the result of connecting all bits of both numbers using AND (in regards of binary numeral system). It tells which bits are set for both integers.
     *
     * 3&1 => 1 (0011 & 0001 => 0001)
     * 2&1 => 0 (0010 & 0001 => 0000)
     * 11&7 => 3 (1011 & 0111 => 0011)
     * 13&5 => 5 (1101 & 0101 => 0101)
     * 12&6 => 4 (1100 & 0100 => 0100)
     *
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function BlzBitAnd(x: number, y: number): number;

    /**
     * Returns the result of connecting all bits of both numbers using XOR (Difference) (in regards of binary numeral system). Each Bit being different between x and y becomes 1; every bit being equal becomes 0.
     *
     * 2 xor 5 => 7 (0010 xor 0101 => 0111)
     * 6 xor 8 => 14  (0110 xor 1000 => 1110)
     *
     *
     *
     * @pure 
     * @patch 1.31
     *
     *
     */
    function BlzBitXor(x: number, y: number): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityBooleanField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanfield">): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityIntegerField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerfield">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityRealField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityrealfield">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityStringField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringfield">): string;

    /**
     *
     *
     * @patch 1.31
     * @bug Should not be used (crash): Use `BlzGetAbilityIntegerLevelField`.
     *
     *
     */
    function BlzGetAbilityBooleanLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelfield">, level: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityIntegerLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelfield">, level: number): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityRealLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelfield">, level: number): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityStringLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelfield">, level: number): string;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, index: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, index: number): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, index: number): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, index: number): string;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityBooleanField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanfield">, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityIntegerField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerfield">, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityRealField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityrealfield">, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityStringField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringfield">, value: string): boolean;

    /**
     *
     *
     * @patch 1.31
     * @bug Should not be used (crash): Use `BlzSetAbilityIntegerLevelField`.
     *
     *
     */
    function BlzSetAbilityBooleanLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelfield">, level: number, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityIntegerLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelfield">, level: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityRealLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelfield">, level: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityStringLevelField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelfield">, level: number, value: string): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, index: number, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, index: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, index: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, index: number, value: string): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzAddAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzAddAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzAddAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzAddAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, value: string): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzRemoveAbilityBooleanLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitybooleanlevelarrayfield">, level: number, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzRemoveAbilityIntegerLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityintegerlevelarrayfield">, level: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzRemoveAbilityRealLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilityreallevelarrayfield">, level: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzRemoveAbilityStringLevelArrayField(whichAbility: HandleHolder<"ability">, whichField: HandleHolder<"abilitystringlevelarrayfield">, level: number, value: string): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetItemAbilityByIndex(whichItem: Item, index: number): HandleHolder<"ability">;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetItemAbility(whichItem: Item, abilCode: number): HandleHolder<"ability">;

    /**
     *
     *
     * @note The item has to be carried by a unit for this to work.
     *
     * @patch 1.31
     *
     *
     */
    function BlzItemAddAbility(whichItem: Item, abilCode: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetItemBooleanField(whichItem: Item, whichField: HandleHolder<"itembooleanfield">): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetItemIntegerField(whichItem: Item, whichField: HandleHolder<"itemintegerfield">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetItemRealField(whichItem: Item, whichField: HandleHolder<"itemrealfield">): number;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzGetItemStringField(whichItem: Item, whichField: HandleHolder<"itemstringfield">): string;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetItemBooleanField(whichItem: Item, whichField: HandleHolder<"itembooleanfield">, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetItemIntegerField(whichItem: Item, whichField: HandleHolder<"itemintegerfield">, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetItemRealField(whichItem: Item, whichField: HandleHolder<"itemrealfield">, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetItemStringField(whichItem: Item, whichField: HandleHolder<"itemstringfield">, value: string): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzItemRemoveAbility(whichItem: Item, abilCode: number): boolean;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitbooleanfield">): boolean;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitintegerfield">): number;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitRealField(whichUnit: Unit, whichField: HandleHolder<"unitrealfield">): number;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitStringField(whichUnit: Unit, whichField: HandleHolder<"unitstringfield">): string;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitbooleanfield">, value: boolean): boolean;

    /**
     * Changes a unit's stats integer field.
     *
     * There're quirks when changing stats, some values don't apply immediately and some don't work at all, likely due to how the game engine uses them. Example:
     *
     * `BlzSetUnitIntegerField(unit, UNIT_IF_HIT_POINTS_REGENERATION_TYPE)`
     *
     * Regeneration type values are as follows:
     *
     * * 0 - Never
     * * 1 - Always
     * * 2 - Only on blight
     * * 4 - Only at night
     *
     * Changing the regeneration type at runtime WILL NOT work, even if true is returned (false positive).
     *
     * For vision, it appears changing them to a specific value does not immediately change it. Instead, it will change over time to approach and reach said value. However, if one wishes to decrease the vision range, and the initial vision range is greater than 1800, the vision will remain at 1800. Thus, one must change it first to 1800, then to the desired value. Otherwise, vision change works as intended. One cannot increase vision beyond 1800.
     *
     * Going into a fountain of life will not increase a unit's hp regeneration rate. Modifying regeneration rate is instant.
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitintegerfield">, value: number): boolean;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitRealField(whichUnit: Unit, whichField: HandleHolder<"unitrealfield">, value: number): boolean;

    /**
     *
     *
     * @note Many fields don't work at all.
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitStringField(whichUnit: Unit, whichField: HandleHolder<"unitstringfield">, value: string): boolean;

    /**
     *
     *
     * @bug Might crash the game when called on a unit with no attack.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitWeaponBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitweaponbooleanfield">, index: number): boolean;

    /**
     *
     *
     * @bug Might crash the game when called on a unit with no attack.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitWeaponIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitweaponintegerfield">, index: number): number;

    /**
     *
     *
     * @bug Might crash the game when called on a unit with no attack.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitWeaponRealField(whichUnit: Unit, whichField: HandleHolder<"unitweaponrealfield">, index: number): number;

    /**
     *
     *
     * @bug Might crash the game when called on a unit with no attack.
     * @patch 1.31
     *
     *
     */
    function BlzGetUnitWeaponStringField(whichUnit: Unit, whichField: HandleHolder<"unitweaponstringfield">, index: number): string;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitWeaponBooleanField(whichUnit: Unit, whichField: HandleHolder<"unitweaponbooleanfield">, index: number, value: boolean): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitWeaponIntegerField(whichUnit: Unit, whichField: HandleHolder<"unitweaponintegerfield">, index: number, value: number): boolean;

    /**
     * Problems:
     * unitweaponfields `UNIT_WEAPON_RF_ATTACK_RANGE` and `UNIT_WEAPON_RF_ATTACK_PROJECTILE_SPEED` do not appear to change in value, even if the operation is reported successful (returns a false positive). This was tested at indices 0 - 3.
     *
     * The getter equivalent of the native above does not work too (returns 0).
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitWeaponRealField(whichUnit: Unit, whichField: HandleHolder<"unitweaponrealfield">, index: number, value: number): boolean;

    /**
     *
     *
     * @patch 1.31
     *
     *
     */
    function BlzSetUnitWeaponStringField(whichUnit: Unit, whichField: HandleHolder<"unitweaponstringfield">, index: number, value: string): boolean;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzGetUnitSkin(whichUnit: Unit): number;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzGetItemSkin(whichItem: Item): number;

    /**
     * Replaces a unit's model with the unit's model referenced by the skinId.
     * `BlzSetUnitSkin(whichUnit, 'hfoo')` will replace whichUnit model with the footman one.
     * Scale from the unit referenced by the skinId is applied to whichUnit.
     * SoundSet from the unit referenced by the skinId is applied to whichUnit.
     *
     * @param whichUnit The function will modify this unit's model.
     * @param skinId The function will apply the skinId model to whichUnit.
     *
     *
     * @note Upon function call, all attachment visual effect are removed from whichUnit.
     * @patch 1.32
     *
     *
     */
    function BlzSetUnitSkin(whichUnit: Unit, skinId: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzSetItemSkin(whichItem: Item, skinId: number): void;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCreateItemWithSkin(itemid: number, x: number, y: number, skinId: number): Item;

    /**
     * Creates a unit with the model from the unit referenced by the skinId.
     * `BlzCreateUnitWithSkin(players[0], 'hpea', 0, 0, 270, 'hfoo')` will create a peasant with a footman model.
     * Scale from the unit referenced by the skinId is applied to whichUnit.
     * SoundSet from the unit referenced by the skinId is applied to whichUnit.
     *
     * @param id The owner of the unit.
     * @param unitid The rawcode of the unit.
     * @param x The x-coordinate of the unit.
     * @param y The y-coordinate of the unit.
     * @param face Unit facing in degrees.
     * @param skinId The function will apply the skinId model to the unit created.
     *
     * @patch 1.32
     *
     *
     */
    function BlzCreateUnitWithSkin(id: Player, unitid: number, x: number, y: number, face: number, skinId: number): Unit;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCreateDestructableWithSkin(objectid: number, x: number, y: number, face: number, scale: number, variation: number, skinId: number): Destructable;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCreateDestructableZWithSkin(objectid: number, x: number, y: number, z: number, face: number, scale: number, variation: number, skinId: number): Destructable;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCreateDeadDestructableWithSkin(objectid: number, x: number, y: number, face: number, scale: number, variation: number, skinId: number): Destructable;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzCreateDeadDestructableZWithSkin(objectid: number, x: number, y: number, z: number, face: number, scale: number, variation: number, skinId: number): Destructable;

    /**
     *
     *
     * @patch 1.32
     *
     *
     */
    function BlzGetPlayerTownHallCount(whichPlayer: Player): number;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueImmediateOrderById(whichUnit: Unit, order: number): boolean;

    /**
     *
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @bug If the order is to build a structure, this function will return `false` even if the unit accepts the order.
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueuePointOrderById(whichUnit: Unit, order: number, x: number, y: number): boolean;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueTargetOrderById(whichUnit: Unit, order: number, targetWidget: Widget): boolean;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueInstantPointOrderById(whichUnit: Unit, order: number, x: number, y: number, instantTargetWidget: Widget): boolean;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueInstantTargetOrderById(whichUnit: Unit, order: number, targetWidget: Widget, instantTargetWidget: Widget): boolean;

    /**
     *
     * @note If the order is to build a structure and the unit can build that structure in principle but the player lacks the resources for it, then the unit
     * will be pinged on the minimap in yellow for its owning player.
     *
     * @note If the order is to build a structure and the unit can build that structure in principle (and the spot is not blocked, either),
     * this function will still return `true` even if the player lacks the resources for it and the unit has no other orders.
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueBuildOrderById(whichPeon: Unit, unitId: number, x: number, y: number): boolean;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueNeutralImmediateOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number): boolean;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueNeutralPointOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number, x: number, y: number): boolean;

    /**
     *
     *
     * @patch 1.33
     *
     *
     */
    function BlzQueueNeutralTargetOrderById(forWhichPlayer: Player, neutralStructure: Unit, unitId: number, target: Widget): boolean;

    /**
     * Returns the number of orders the unit currently has queued up.
     *
     * @patch 1.33
     *
     *
     */
    function BlzGetUnitOrderCount(whichUnit: Unit): number;

    /**
     * Clears either all orders or only queued up orders.
     *
     * @patch 1.33
     *
     *
     */
    function BlzUnitClearOrders(whichUnit: Unit, onlyQueued: boolean): void;

    /**
     * Stops the current order and optionally clears the queue.
     *
     * @patch 1.33
     *
     *
     */
    function BlzUnitForceStopOrder(whichUnit: Unit, clearQueue: boolean): void;
}
